-------------------------------------------------------------------------------
-- ofdm_txrx_mimo_plbw_0_wrapper.vhd
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

library UNISIM;
use UNISIM.VCOMPONENTS.ALL;

library ofdm_txrx_mimo_plbw_v1_07_u;
use ofdm_txrx_mimo_plbw_v1_07_u.all;

entity ofdm_txrx_mimo_plbw_0_wrapper is
  port (
    bram_datain : in std_logic_vector(0 to 63);
    splb_clk : in std_logic;
    debug_chipscopetrig1 : in std_logic;
    plb_abus : in std_logic_vector(0 to 31);
    plb_pavalid : in std_logic;
    plb_rnw : in std_logic;
    plb_wrdbus : in std_logic_vector(0 to 31);
    rssi_anta : in std_logic_vector(0 to 9);
    rssi_antb : in std_logic_vector(0 to 9);
    rx_anta_adci : in std_logic_vector(0 to 13);
    rx_anta_adcq : in std_logic_vector(0 to 13);
    rx_anta_agc_done : in std_logic;
    rx_anta_gainbb : in std_logic_vector(0 to 4);
    rx_anta_gainrf : in std_logic_vector(0 to 1);
    rx_antb_adci : in std_logic_vector(0 to 13);
    rx_antb_adcq : in std_logic_vector(0 to 13);
    rx_antb_agc_done : in std_logic;
    rx_antb_gainbb : in std_logic_vector(0 to 4);
    rx_antb_gainrf : in std_logic_vector(0 to 1);
    rx_reset : in std_logic;
    splb_rst : in std_logic;
    tx_reset : in std_logic;
    tx_starttransmit : in std_logic;
    bram_addr : out std_logic_vector(0 to 31);
    bram_dout : out std_logic_vector(0 to 63);
    bram_reset : out std_logic;
    bram_wen : out std_logic_vector(0 to 7);
    idlefordifs : out std_logic;
    pktdetect : out std_logic;
    rssi_clk_out : out std_logic;
    rx_debug_antsel : out std_logic;
    rx_debug_cfophasediff : out std_logic_vector(0 to 13);
    rx_debug_eq_i : out std_logic_vector(0 to 13);
    rx_debug_eq_q : out std_logic_vector(0 to 13);
    rx_debug_payload : out std_logic;
    rx_debug_phasecorrect : out std_logic_vector(0 to 13);
    rx_debug_phaseerror : out std_logic_vector(0 to 13);
    rx_debug_pktdone : out std_logic;
    rx_int_badheader : out std_logic;
    rx_int_badpkt : out std_logic;
    rx_int_goodheader : out std_logic;
    rx_int_goodpkt : out std_logic;
    rx_pktdetreset : out std_logic;
    sl_addrack : out std_logic;
    sl_rdcomp : out std_logic;
    sl_rddack : out std_logic;
    sl_rddbus : out std_logic_vector(0 to 31);
    sl_wait : out std_logic;
    sl_wrcomp : out std_logic;
    sl_wrdack : out std_logic;
    tx_anta_dac_i : out std_logic_vector(0 to 15);
    tx_anta_dac_q : out std_logic_vector(0 to 15);
    tx_antb_dac_i : out std_logic_vector(0 to 15);
    tx_antb_dac_q : out std_logic_vector(0 to 15);
    tx_debug_pktrunning : out std_logic;
    tx_pktdone : out std_logic
  );

  attribute x_core_info : STRING;
  attribute x_core_info of ofdm_txrx_mimo_plbw_0_wrapper : entity is "ofdm_txrx_mimo_plbw_v1_07_u";

end ofdm_txrx_mimo_plbw_0_wrapper;

architecture STRUCTURE of ofdm_txrx_mimo_plbw_0_wrapper is

  component ofdm_txrx_mimo_plbw is
    generic (
      C_BASEADDR : std_logic_vector(0 to 31);
      C_HIGHADDR : std_logic_vector(0 to 31);
      C_SPLB_AWIDTH : INTEGER;
      C_SPLB_DWIDTH : INTEGER;
      C_SPLB_P2P : INTEGER;
      C_SPLB_MID_WIDTH : INTEGER;
      C_SPLB_NUM_MASTERS : INTEGER;
      C_SPLB_SUPPORT_BURSTS : INTEGER;
      C_SPLB_NATIVE_DWIDTH : INTEGER;
      C_MEMMAP_RX_BER_ERRORS : integer;
      C_MEMMAP_RX_BER_ERRORS_N_BITS : integer;
      C_MEMMAP_RX_BER_ERRORS_BIN_PT : integer;
      C_MEMMAP_RX_BER_TOTALBITS : integer;
      C_MEMMAP_RX_BER_TOTALBITS_N_BITS : integer;
      C_MEMMAP_RX_BER_TOTALBITS_BIN_PT : integer;
      C_MEMMAP_RX_CONTROLBITS_R : integer;
      C_MEMMAP_RX_CONTROLBITS_R_N_BITS : integer;
      C_MEMMAP_RX_CONTROLBITS_R_BIN_PT : integer;
      C_MEMMAP_RX_GAINS : integer;
      C_MEMMAP_RX_GAINS_N_BITS : integer;
      C_MEMMAP_RX_GAINS_BIN_PT : integer;
      C_MEMMAP_RX_OFDM_SYMBOLCOUNTS_R : integer;
      C_MEMMAP_RX_OFDM_SYMBOLCOUNTS_R_N_BITS : integer;
      C_MEMMAP_RX_OFDM_SYMBOLCOUNTS_R_BIN_PT : integer;
      C_MEMMAP_RX_PKTDET_DELAY_R : integer;
      C_MEMMAP_RX_PKTDET_DELAY_R_N_BITS : integer;
      C_MEMMAP_RX_PKTDET_DELAY_R_BIN_PT : integer;
      C_MEMMAP_RX_PKTDET_LONGCORR_PARAMS_R : integer;
      C_MEMMAP_RX_PKTDET_LONGCORR_PARAMS_R_N_BITS : integer;
      C_MEMMAP_RX_PKTDET_LONGCORR_PARAMS_R_BIN_PT : integer;
      C_MEMMAP_RX_COLLISION : integer;
      C_MEMMAP_RX_COLLISION_N_BITS : integer;
      C_MEMMAP_RX_COLLISION_BIN_PT : integer;
      C_MEMMAP_RX_PKTBYTENUMS_R : integer;
      C_MEMMAP_RX_PKTBYTENUMS_R_N_BITS : integer;
      C_MEMMAP_RX_PKTBYTENUMS_R_BIN_PT : integer;
      C_MEMMAP_RX_PKTDONE_INTERRUPTSTATUS : integer;
      C_MEMMAP_RX_PKTDONE_INTERRUPTSTATUS_N_BITS : integer;
      C_MEMMAP_RX_PKTDONE_INTERRUPTSTATUS_BIN_PT : integer;
      C_MEMMAP_TXRX_INTERRUPT_PKTBUF_CTRL_R : integer;
      C_MEMMAP_TXRX_INTERRUPT_PKTBUF_CTRL_R_N_BITS : integer;
      C_MEMMAP_TXRX_INTERRUPT_PKTBUF_CTRL_R_BIN_PT : integer;
      C_MEMMAP_TX_CONTROLBITS_R : integer;
      C_MEMMAP_TX_CONTROLBITS_R_N_BITS : integer;
      C_MEMMAP_TX_CONTROLBITS_R_BIN_PT : integer;
      C_MEMMAP_TX_OFDM_SYMCOUNTS_R : integer;
      C_MEMMAP_TX_OFDM_SYMCOUNTS_R_N_BITS : integer;
      C_MEMMAP_TX_OFDM_SYMCOUNTS_R_BIN_PT : integer;
      C_MEMMAP_TX_PKTRUNNING : integer;
      C_MEMMAP_TX_PKTRUNNING_N_BITS : integer;
      C_MEMMAP_TX_PKTRUNNING_BIN_PT : integer;
      C_MEMMAP_TX_START_RESET_CONTROL_R : integer;
      C_MEMMAP_TX_START_RESET_CONTROL_R_N_BITS : integer;
      C_MEMMAP_TX_START_RESET_CONTROL_R_BIN_PT : integer;
      C_MEMMAP_MIDPACKETRSSI : integer;
      C_MEMMAP_MIDPACKETRSSI_N_BITS : integer;
      C_MEMMAP_MIDPACKETRSSI_BIN_PT : integer;
      C_MEMMAP_PKTDET_CONTROLBITS_R : integer;
      C_MEMMAP_PKTDET_CONTROLBITS_R_N_BITS : integer;
      C_MEMMAP_PKTDET_CONTROLBITS_R_BIN_PT : integer;
      C_MEMMAP_PKTDET_DURATIONS_R : integer;
      C_MEMMAP_PKTDET_DURATIONS_R_N_BITS : integer;
      C_MEMMAP_PKTDET_DURATIONS_R_BIN_PT : integer;
      C_MEMMAP_PKTDET_STATUS : integer;
      C_MEMMAP_PKTDET_STATUS_N_BITS : integer;
      C_MEMMAP_PKTDET_STATUS_BIN_PT : integer;
      C_MEMMAP_PKTDET_THRESHOLDS_R : integer;
      C_MEMMAP_PKTDET_THRESHOLDS_R_N_BITS : integer;
      C_MEMMAP_PKTDET_THRESHOLDS_R_BIN_PT : integer;
      C_MEMMAP_RX_CONSTELLATION_SCALING_W : integer;
      C_MEMMAP_RX_CONSTELLATION_SCALING_W_N_BITS : integer;
      C_MEMMAP_RX_CONSTELLATION_SCALING_W_BIN_PT : integer;
      C_MEMMAP_RX_CONTROLBITS_W : integer;
      C_MEMMAP_RX_CONTROLBITS_W_N_BITS : integer;
      C_MEMMAP_RX_CONTROLBITS_W_BIN_PT : integer;
      C_MEMMAP_RX_EVM_W : integer;
      C_MEMMAP_RX_EVM_W_N_BITS : integer;
      C_MEMMAP_RX_EVM_W_BIN_PT : integer;
      C_MEMMAP_RX_FREQOFFFILT_B_KI_W : integer;
      C_MEMMAP_RX_FREQOFFFILT_B_KI_W_N_BITS : integer;
      C_MEMMAP_RX_FREQOFFFILT_B_KI_W_BIN_PT : integer;
      C_MEMMAP_RX_FREQOFFFILT_B_KP_W : integer;
      C_MEMMAP_RX_FREQOFFFILT_B_KP_W_N_BITS : integer;
      C_MEMMAP_RX_FREQOFFFILT_B_KP_W_BIN_PT : integer;
      C_MEMMAP_RX_OFDM_SYMBOLCOUNTS_W : integer;
      C_MEMMAP_RX_OFDM_SYMBOLCOUNTS_W_N_BITS : integer;
      C_MEMMAP_RX_OFDM_SYMBOLCOUNTS_W_BIN_PT : integer;
      C_MEMMAP_RX_PHASENOISETRACK_K_W : integer;
      C_MEMMAP_RX_PHASENOISETRACK_K_W_N_BITS : integer;
      C_MEMMAP_RX_PHASENOISETRACK_K_W_BIN_PT : integer;
      C_MEMMAP_RX_PKTDET_DELAY_W : integer;
      C_MEMMAP_RX_PKTDET_DELAY_W_N_BITS : integer;
      C_MEMMAP_RX_PKTDET_DELAY_W_BIN_PT : integer;
      C_MEMMAP_RX_PKTDET_LONGCORR_PARAMS_W : integer;
      C_MEMMAP_RX_PKTDET_LONGCORR_PARAMS_W_N_BITS : integer;
      C_MEMMAP_RX_PKTDET_LONGCORR_PARAMS_W_BIN_PT : integer;
      C_MEMMAP_RX_PKTBYTENUMS_W : integer;
      C_MEMMAP_RX_PKTBYTENUMS_W_N_BITS : integer;
      C_MEMMAP_RX_PKTBYTENUMS_W_BIN_PT : integer;
      C_MEMMAP_RX_PKTDET_TRESHOLDS_W : integer;
      C_MEMMAP_RX_PKTDET_TRESHOLDS_W_N_BITS : integer;
      C_MEMMAP_RX_PKTDET_TRESHOLDS_W_BIN_PT : integer;
      C_MEMMAP_TXRX_FFT_SCALING_W : integer;
      C_MEMMAP_TXRX_FFT_SCALING_W_N_BITS : integer;
      C_MEMMAP_TXRX_FFT_SCALING_W_BIN_PT : integer;
      C_MEMMAP_TXRX_INTERRUPT_PKTBUF_CTRL_W : integer;
      C_MEMMAP_TXRX_INTERRUPT_PKTBUF_CTRL_W_N_BITS : integer;
      C_MEMMAP_TXRX_INTERRUPT_PKTBUF_CTRL_W_BIN_PT : integer;
      C_MEMMAP_TX_CONTROLBITS_W : integer;
      C_MEMMAP_TX_CONTROLBITS_W_N_BITS : integer;
      C_MEMMAP_TX_CONTROLBITS_W_BIN_PT : integer;
      C_MEMMAP_TX_OFDM_SYMCOUNTS_W : integer;
      C_MEMMAP_TX_OFDM_SYMCOUNTS_W_N_BITS : integer;
      C_MEMMAP_TX_OFDM_SYMCOUNTS_W_BIN_PT : integer;
      C_MEMMAP_TX_PILOTS_INDEX1_W : integer;
      C_MEMMAP_TX_PILOTS_INDEX1_W_N_BITS : integer;
      C_MEMMAP_TX_PILOTS_INDEX1_W_BIN_PT : integer;
      C_MEMMAP_TX_PILOTS_INDEX2_W : integer;
      C_MEMMAP_TX_PILOTS_INDEX2_W_N_BITS : integer;
      C_MEMMAP_TX_PILOTS_INDEX2_W_BIN_PT : integer;
      C_MEMMAP_TX_PILOTS_VALUE1_W : integer;
      C_MEMMAP_TX_PILOTS_VALUE1_W_N_BITS : integer;
      C_MEMMAP_TX_PILOTS_VALUE1_W_BIN_PT : integer;
      C_MEMMAP_TX_PILOTS_VALUE2_W : integer;
      C_MEMMAP_TX_PILOTS_VALUE2_W_N_BITS : integer;
      C_MEMMAP_TX_PILOTS_VALUE2_W_BIN_PT : integer;
      C_MEMMAP_TX_PREAMBLEMASKING_W : integer;
      C_MEMMAP_TX_PREAMBLEMASKING_W_N_BITS : integer;
      C_MEMMAP_TX_PREAMBLEMASKING_W_BIN_PT : integer;
      C_MEMMAP_TX_SCALING_W : integer;
      C_MEMMAP_TX_SCALING_W_N_BITS : integer;
      C_MEMMAP_TX_SCALING_W_BIN_PT : integer;
      C_MEMMAP_TX_START_RESET_CONTROL_W : integer;
      C_MEMMAP_TX_START_RESET_CONTROL_W_N_BITS : integer;
      C_MEMMAP_TX_START_RESET_CONTROL_W_BIN_PT : integer;
      C_MEMMAP_PKTDET_CONTROLBITS_W : integer;
      C_MEMMAP_PKTDET_CONTROLBITS_W_N_BITS : integer;
      C_MEMMAP_PKTDET_CONTROLBITS_W_BIN_PT : integer;
      C_MEMMAP_PKTDET_DURATIONS_W : integer;
      C_MEMMAP_PKTDET_DURATIONS_W_N_BITS : integer;
      C_MEMMAP_PKTDET_DURATIONS_W_BIN_PT : integer;
      C_MEMMAP_PKTDET_THRESHOLDS_W : integer;
      C_MEMMAP_PKTDET_THRESHOLDS_W_N_BITS : integer;
      C_MEMMAP_PKTDET_THRESHOLDS_W_BIN_PT : integer;
      C_MEMMAP_RXMODULATION : integer;
      C_MEMMAP_RXMODULATION_N_BITS : integer;
      C_MEMMAP_RXMODULATION_BIN_PT : integer;
      C_MEMMAP_RXMODULATION_DEPTH : integer;
      C_MEMMAP_TXMODULATION : integer;
      C_MEMMAP_TXMODULATION_N_BITS : integer;
      C_MEMMAP_TXMODULATION_BIN_PT : integer;
      C_MEMMAP_TXMODULATION_DEPTH : integer
    );
    port (
      bram_datain : in std_logic_vector(0 to (64-1));
      splb_clk : in std_logic;
      debug_chipscopetrig1 : in std_logic;
      plb_abus : in std_logic_vector(0 to (32-1));
      plb_pavalid : in std_logic;
      plb_rnw : in std_logic;
      plb_wrdbus : in std_logic_vector(0 to (C_SPLB_DWIDTH-1));
      rssi_anta : in std_logic_vector(0 to (10-1));
      rssi_antb : in std_logic_vector(0 to (10-1));
      rx_anta_adci : in std_logic_vector(0 to (14-1));
      rx_anta_adcq : in std_logic_vector(0 to (14-1));
      rx_anta_agc_done : in std_logic;
      rx_anta_gainbb : in std_logic_vector(0 to (5-1));
      rx_anta_gainrf : in std_logic_vector(0 to (2-1));
      rx_antb_adci : in std_logic_vector(0 to (14-1));
      rx_antb_adcq : in std_logic_vector(0 to (14-1));
      rx_antb_agc_done : in std_logic;
      rx_antb_gainbb : in std_logic_vector(0 to (5-1));
      rx_antb_gainrf : in std_logic_vector(0 to (2-1));
      rx_reset : in std_logic;
      splb_rst : in std_logic;
      tx_reset : in std_logic;
      tx_starttransmit : in std_logic;
      bram_addr : out std_logic_vector(0 to (32-1));
      bram_dout : out std_logic_vector(0 to (64-1));
      bram_reset : out std_logic;
      bram_wen : out std_logic_vector(0 to (8-1));
      idlefordifs : out std_logic;
      pktdetect : out std_logic;
      rssi_clk_out : out std_logic;
      rx_debug_antsel : out std_logic;
      rx_debug_cfophasediff : out std_logic_vector(0 to (14-1));
      rx_debug_eq_i : out std_logic_vector(0 to (14-1));
      rx_debug_eq_q : out std_logic_vector(0 to (14-1));
      rx_debug_payload : out std_logic;
      rx_debug_phasecorrect : out std_logic_vector(0 to (14-1));
      rx_debug_phaseerror : out std_logic_vector(0 to (14-1));
      rx_debug_pktdone : out std_logic;
      rx_int_badheader : out std_logic;
      rx_int_badpkt : out std_logic;
      rx_int_goodheader : out std_logic;
      rx_int_goodpkt : out std_logic;
      rx_pktdetreset : out std_logic;
      sl_addrack : out std_logic;
      sl_rdcomp : out std_logic;
      sl_rddack : out std_logic;
      sl_rddbus : out std_logic_vector(0 to (C_SPLB_DWIDTH-1));
      sl_wait : out std_logic;
      sl_wrcomp : out std_logic;
      sl_wrdack : out std_logic;
      tx_anta_dac_i : out std_logic_vector(0 to (16-1));
      tx_anta_dac_q : out std_logic_vector(0 to (16-1));
      tx_antb_dac_i : out std_logic_vector(0 to (16-1));
      tx_antb_dac_q : out std_logic_vector(0 to (16-1));
      tx_debug_pktrunning : out std_logic;
      tx_pktdone : out std_logic
    );
  end component;

begin

  ofdm_txrx_mimo_plbw_0 : ofdm_txrx_mimo_plbw
    generic map (
      C_BASEADDR => X"cda00000",
      C_HIGHADDR => X"cda0ffff",
      C_SPLB_AWIDTH => 32,
      C_SPLB_DWIDTH => 32,
      C_SPLB_P2P => 0,
      C_SPLB_MID_WIDTH => 1,
      C_SPLB_NUM_MASTERS => 1,
      C_SPLB_SUPPORT_BURSTS => 0,
      C_SPLB_NATIVE_DWIDTH => 32,
      C_MEMMAP_RX_BER_ERRORS => 16#1000#,
      C_MEMMAP_RX_BER_ERRORS_N_BITS => 32,
      C_MEMMAP_RX_BER_ERRORS_BIN_PT => 0,
      C_MEMMAP_RX_BER_TOTALBITS => 16#1004#,
      C_MEMMAP_RX_BER_TOTALBITS_N_BITS => 32,
      C_MEMMAP_RX_BER_TOTALBITS_BIN_PT => 0,
      C_MEMMAP_RX_CONTROLBITS_R => 16#1008#,
      C_MEMMAP_RX_CONTROLBITS_R_N_BITS => 32,
      C_MEMMAP_RX_CONTROLBITS_R_BIN_PT => 0,
      C_MEMMAP_RX_GAINS => 16#100C#,
      C_MEMMAP_RX_GAINS_N_BITS => 32,
      C_MEMMAP_RX_GAINS_BIN_PT => 0,
      C_MEMMAP_RX_OFDM_SYMBOLCOUNTS_R => 16#1010#,
      C_MEMMAP_RX_OFDM_SYMBOLCOUNTS_R_N_BITS => 32,
      C_MEMMAP_RX_OFDM_SYMBOLCOUNTS_R_BIN_PT => 0,
      C_MEMMAP_RX_PKTDET_DELAY_R => 16#1014#,
      C_MEMMAP_RX_PKTDET_DELAY_R_N_BITS => 32,
      C_MEMMAP_RX_PKTDET_DELAY_R_BIN_PT => 0,
      C_MEMMAP_RX_PKTDET_LONGCORR_PARAMS_R => 16#1018#,
      C_MEMMAP_RX_PKTDET_LONGCORR_PARAMS_R_N_BITS => 32,
      C_MEMMAP_RX_PKTDET_LONGCORR_PARAMS_R_BIN_PT => 0,
      C_MEMMAP_RX_COLLISION => 16#101C#,
      C_MEMMAP_RX_COLLISION_N_BITS => 1,
      C_MEMMAP_RX_COLLISION_BIN_PT => 0,
      C_MEMMAP_RX_PKTBYTENUMS_R => 16#1020#,
      C_MEMMAP_RX_PKTBYTENUMS_R_N_BITS => 32,
      C_MEMMAP_RX_PKTBYTENUMS_R_BIN_PT => 0,
      C_MEMMAP_RX_PKTDONE_INTERRUPTSTATUS => 16#1024#,
      C_MEMMAP_RX_PKTDONE_INTERRUPTSTATUS_N_BITS => 32,
      C_MEMMAP_RX_PKTDONE_INTERRUPTSTATUS_BIN_PT => 0,
      C_MEMMAP_TXRX_INTERRUPT_PKTBUF_CTRL_R => 16#1028#,
      C_MEMMAP_TXRX_INTERRUPT_PKTBUF_CTRL_R_N_BITS => 32,
      C_MEMMAP_TXRX_INTERRUPT_PKTBUF_CTRL_R_BIN_PT => 0,
      C_MEMMAP_TX_CONTROLBITS_R => 16#102C#,
      C_MEMMAP_TX_CONTROLBITS_R_N_BITS => 32,
      C_MEMMAP_TX_CONTROLBITS_R_BIN_PT => 0,
      C_MEMMAP_TX_OFDM_SYMCOUNTS_R => 16#1030#,
      C_MEMMAP_TX_OFDM_SYMCOUNTS_R_N_BITS => 32,
      C_MEMMAP_TX_OFDM_SYMCOUNTS_R_BIN_PT => 0,
      C_MEMMAP_TX_PKTRUNNING => 16#1034#,
      C_MEMMAP_TX_PKTRUNNING_N_BITS => 32,
      C_MEMMAP_TX_PKTRUNNING_BIN_PT => 0,
      C_MEMMAP_TX_START_RESET_CONTROL_R => 16#1038#,
      C_MEMMAP_TX_START_RESET_CONTROL_R_N_BITS => 32,
      C_MEMMAP_TX_START_RESET_CONTROL_R_BIN_PT => 0,
      C_MEMMAP_MIDPACKETRSSI => 16#103C#,
      C_MEMMAP_MIDPACKETRSSI_N_BITS => 32,
      C_MEMMAP_MIDPACKETRSSI_BIN_PT => 0,
      C_MEMMAP_PKTDET_CONTROLBITS_R => 16#1040#,
      C_MEMMAP_PKTDET_CONTROLBITS_R_N_BITS => 32,
      C_MEMMAP_PKTDET_CONTROLBITS_R_BIN_PT => 0,
      C_MEMMAP_PKTDET_DURATIONS_R => 16#1044#,
      C_MEMMAP_PKTDET_DURATIONS_R_N_BITS => 32,
      C_MEMMAP_PKTDET_DURATIONS_R_BIN_PT => 0,
      C_MEMMAP_PKTDET_STATUS => 16#1048#,
      C_MEMMAP_PKTDET_STATUS_N_BITS => 14,
      C_MEMMAP_PKTDET_STATUS_BIN_PT => 0,
      C_MEMMAP_PKTDET_THRESHOLDS_R => 16#104C#,
      C_MEMMAP_PKTDET_THRESHOLDS_R_N_BITS => 32,
      C_MEMMAP_PKTDET_THRESHOLDS_R_BIN_PT => 0,
      C_MEMMAP_RX_CONSTELLATION_SCALING_W => 16#1000#,
      C_MEMMAP_RX_CONSTELLATION_SCALING_W_N_BITS => 32,
      C_MEMMAP_RX_CONSTELLATION_SCALING_W_BIN_PT => 0,
      C_MEMMAP_RX_CONTROLBITS_W => 16#1004#,
      C_MEMMAP_RX_CONTROLBITS_W_N_BITS => 32,
      C_MEMMAP_RX_CONTROLBITS_W_BIN_PT => 0,
      C_MEMMAP_RX_EVM_W => 16#1008#,
      C_MEMMAP_RX_EVM_W_N_BITS => 7,
      C_MEMMAP_RX_EVM_W_BIN_PT => 0,
      C_MEMMAP_RX_FREQOFFFILT_B_KI_W => 16#100C#,
      C_MEMMAP_RX_FREQOFFFILT_B_KI_W_N_BITS => 32,
      C_MEMMAP_RX_FREQOFFFILT_B_KI_W_BIN_PT => 0,
      C_MEMMAP_RX_FREQOFFFILT_B_KP_W => 16#1010#,
      C_MEMMAP_RX_FREQOFFFILT_B_KP_W_N_BITS => 32,
      C_MEMMAP_RX_FREQOFFFILT_B_KP_W_BIN_PT => 0,
      C_MEMMAP_RX_OFDM_SYMBOLCOUNTS_W => 16#1014#,
      C_MEMMAP_RX_OFDM_SYMBOLCOUNTS_W_N_BITS => 32,
      C_MEMMAP_RX_OFDM_SYMBOLCOUNTS_W_BIN_PT => 0,
      C_MEMMAP_RX_PHASENOISETRACK_K_W => 16#1018#,
      C_MEMMAP_RX_PHASENOISETRACK_K_W_N_BITS => 32,
      C_MEMMAP_RX_PHASENOISETRACK_K_W_BIN_PT => 0,
      C_MEMMAP_RX_PKTDET_DELAY_W => 16#101C#,
      C_MEMMAP_RX_PKTDET_DELAY_W_N_BITS => 32,
      C_MEMMAP_RX_PKTDET_DELAY_W_BIN_PT => 0,
      C_MEMMAP_RX_PKTDET_LONGCORR_PARAMS_W => 16#1020#,
      C_MEMMAP_RX_PKTDET_LONGCORR_PARAMS_W_N_BITS => 32,
      C_MEMMAP_RX_PKTDET_LONGCORR_PARAMS_W_BIN_PT => 0,
      C_MEMMAP_RX_PKTBYTENUMS_W => 16#1024#,
      C_MEMMAP_RX_PKTBYTENUMS_W_N_BITS => 32,
      C_MEMMAP_RX_PKTBYTENUMS_W_BIN_PT => 0,
      C_MEMMAP_RX_PKTDET_TRESHOLDS_W => 16#1028#,
      C_MEMMAP_RX_PKTDET_TRESHOLDS_W_N_BITS => 32,
      C_MEMMAP_RX_PKTDET_TRESHOLDS_W_BIN_PT => 0,
      C_MEMMAP_TXRX_FFT_SCALING_W => 16#102C#,
      C_MEMMAP_TXRX_FFT_SCALING_W_N_BITS => 12,
      C_MEMMAP_TXRX_FFT_SCALING_W_BIN_PT => 0,
      C_MEMMAP_TXRX_INTERRUPT_PKTBUF_CTRL_W => 16#1030#,
      C_MEMMAP_TXRX_INTERRUPT_PKTBUF_CTRL_W_N_BITS => 32,
      C_MEMMAP_TXRX_INTERRUPT_PKTBUF_CTRL_W_BIN_PT => 0,
      C_MEMMAP_TX_CONTROLBITS_W => 16#1034#,
      C_MEMMAP_TX_CONTROLBITS_W_N_BITS => 32,
      C_MEMMAP_TX_CONTROLBITS_W_BIN_PT => 0,
      C_MEMMAP_TX_OFDM_SYMCOUNTS_W => 16#1038#,
      C_MEMMAP_TX_OFDM_SYMCOUNTS_W_N_BITS => 32,
      C_MEMMAP_TX_OFDM_SYMCOUNTS_W_BIN_PT => 0,
      C_MEMMAP_TX_PILOTS_INDEX1_W => 16#103C#,
      C_MEMMAP_TX_PILOTS_INDEX1_W_N_BITS => 32,
      C_MEMMAP_TX_PILOTS_INDEX1_W_BIN_PT => 0,
      C_MEMMAP_TX_PILOTS_INDEX2_W => 16#1040#,
      C_MEMMAP_TX_PILOTS_INDEX2_W_N_BITS => 32,
      C_MEMMAP_TX_PILOTS_INDEX2_W_BIN_PT => 0,
      C_MEMMAP_TX_PILOTS_VALUE1_W => 16#1044#,
      C_MEMMAP_TX_PILOTS_VALUE1_W_N_BITS => 32,
      C_MEMMAP_TX_PILOTS_VALUE1_W_BIN_PT => 0,
      C_MEMMAP_TX_PILOTS_VALUE2_W => 16#1048#,
      C_MEMMAP_TX_PILOTS_VALUE2_W_N_BITS => 32,
      C_MEMMAP_TX_PILOTS_VALUE2_W_BIN_PT => 0,
      C_MEMMAP_TX_PREAMBLEMASKING_W => 16#104C#,
      C_MEMMAP_TX_PREAMBLEMASKING_W_N_BITS => 32,
      C_MEMMAP_TX_PREAMBLEMASKING_W_BIN_PT => 0,
      C_MEMMAP_TX_SCALING_W => 16#1050#,
      C_MEMMAP_TX_SCALING_W_N_BITS => 32,
      C_MEMMAP_TX_SCALING_W_BIN_PT => 0,
      C_MEMMAP_TX_START_RESET_CONTROL_W => 16#1054#,
      C_MEMMAP_TX_START_RESET_CONTROL_W_N_BITS => 32,
      C_MEMMAP_TX_START_RESET_CONTROL_W_BIN_PT => 0,
      C_MEMMAP_PKTDET_CONTROLBITS_W => 16#1058#,
      C_MEMMAP_PKTDET_CONTROLBITS_W_N_BITS => 32,
      C_MEMMAP_PKTDET_CONTROLBITS_W_BIN_PT => 0,
      C_MEMMAP_PKTDET_DURATIONS_W => 16#105C#,
      C_MEMMAP_PKTDET_DURATIONS_W_N_BITS => 32,
      C_MEMMAP_PKTDET_DURATIONS_W_BIN_PT => 0,
      C_MEMMAP_PKTDET_THRESHOLDS_W => 16#1060#,
      C_MEMMAP_PKTDET_THRESHOLDS_W_N_BITS => 32,
      C_MEMMAP_PKTDET_THRESHOLDS_W_BIN_PT => 0,
      C_MEMMAP_RXMODULATION => 16#0000#,
      C_MEMMAP_RXMODULATION_N_BITS => 4,
      C_MEMMAP_RXMODULATION_BIN_PT => 0,
      C_MEMMAP_RXMODULATION_DEPTH => 192,
      C_MEMMAP_TXMODULATION => 16#0400#,
      C_MEMMAP_TXMODULATION_N_BITS => 4,
      C_MEMMAP_TXMODULATION_BIN_PT => 0,
      C_MEMMAP_TXMODULATION_DEPTH => 192
    )
    port map (
      bram_datain => bram_datain,
      splb_clk => splb_clk,
      debug_chipscopetrig1 => debug_chipscopetrig1,
      plb_abus => plb_abus,
      plb_pavalid => plb_pavalid,
      plb_rnw => plb_rnw,
      plb_wrdbus => plb_wrdbus,
      rssi_anta => rssi_anta,
      rssi_antb => rssi_antb,
      rx_anta_adci => rx_anta_adci,
      rx_anta_adcq => rx_anta_adcq,
      rx_anta_agc_done => rx_anta_agc_done,
      rx_anta_gainbb => rx_anta_gainbb,
      rx_anta_gainrf => rx_anta_gainrf,
      rx_antb_adci => rx_antb_adci,
      rx_antb_adcq => rx_antb_adcq,
      rx_antb_agc_done => rx_antb_agc_done,
      rx_antb_gainbb => rx_antb_gainbb,
      rx_antb_gainrf => rx_antb_gainrf,
      rx_reset => rx_reset,
      splb_rst => splb_rst,
      tx_reset => tx_reset,
      tx_starttransmit => tx_starttransmit,
      bram_addr => bram_addr,
      bram_dout => bram_dout,
      bram_reset => bram_reset,
      bram_wen => bram_wen,
      idlefordifs => idlefordifs,
      pktdetect => pktdetect,
      rssi_clk_out => rssi_clk_out,
      rx_debug_antsel => rx_debug_antsel,
      rx_debug_cfophasediff => rx_debug_cfophasediff,
      rx_debug_eq_i => rx_debug_eq_i,
      rx_debug_eq_q => rx_debug_eq_q,
      rx_debug_payload => rx_debug_payload,
      rx_debug_phasecorrect => rx_debug_phasecorrect,
      rx_debug_phaseerror => rx_debug_phaseerror,
      rx_debug_pktdone => rx_debug_pktdone,
      rx_int_badheader => rx_int_badheader,
      rx_int_badpkt => rx_int_badpkt,
      rx_int_goodheader => rx_int_goodheader,
      rx_int_goodpkt => rx_int_goodpkt,
      rx_pktdetreset => rx_pktdetreset,
      sl_addrack => sl_addrack,
      sl_rdcomp => sl_rdcomp,
      sl_rddack => sl_rddack,
      sl_rddbus => sl_rddbus,
      sl_wait => sl_wait,
      sl_wrcomp => sl_wrcomp,
      sl_wrdack => sl_wrdack,
      tx_anta_dac_i => tx_anta_dac_i,
      tx_anta_dac_q => tx_anta_dac_q,
      tx_antb_dac_i => tx_antb_dac_i,
      tx_antb_dac_q => tx_antb_dac_q,
      tx_debug_pktrunning => tx_debug_pktrunning,
      tx_pktdone => tx_pktdone
    );

end architecture STRUCTURE;

