-------------------------------------------------------------------------------
-- radio_controller_0_wrapper.vhd
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

library UNISIM;
use UNISIM.VCOMPONENTS.ALL;

library radio_controller_v1_21_a;
use radio_controller_v1_21_a.all;

entity radio_controller_0_wrapper is
  port (
    SPLB_Clk : in std_logic;
    SPLB_Rst : in std_logic;
    PLB_ABus : in std_logic_vector(0 to 31);
    PLB_UABus : in std_logic_vector(0 to 31);
    PLB_PAValid : in std_logic;
    PLB_SAValid : in std_logic;
    PLB_rdPrim : in std_logic;
    PLB_wrPrim : in std_logic;
    PLB_masterID : in std_logic_vector(0 to 0);
    PLB_abort : in std_logic;
    PLB_busLock : in std_logic;
    PLB_RNW : in std_logic;
    PLB_BE : in std_logic_vector(0 to 3);
    PLB_MSize : in std_logic_vector(0 to 1);
    PLB_size : in std_logic_vector(0 to 3);
    PLB_type : in std_logic_vector(0 to 2);
    PLB_lockErr : in std_logic;
    PLB_wrDBus : in std_logic_vector(0 to 31);
    PLB_wrBurst : in std_logic;
    PLB_rdBurst : in std_logic;
    PLB_wrPendReq : in std_logic;
    PLB_rdPendReq : in std_logic;
    PLB_wrPendPri : in std_logic_vector(0 to 1);
    PLB_rdPendPri : in std_logic_vector(0 to 1);
    PLB_reqPri : in std_logic_vector(0 to 1);
    PLB_TAttribute : in std_logic_vector(0 to 15);
    Sl_addrAck : out std_logic;
    Sl_SSize : out std_logic_vector(0 to 1);
    Sl_wait : out std_logic;
    Sl_rearbitrate : out std_logic;
    Sl_wrDAck : out std_logic;
    Sl_wrComp : out std_logic;
    Sl_wrBTerm : out std_logic;
    Sl_rdDBus : out std_logic_vector(0 to 31);
    Sl_rdWdAddr : out std_logic_vector(0 to 3);
    Sl_rdDAck : out std_logic;
    Sl_rdComp : out std_logic;
    Sl_rdBTerm : out std_logic;
    Sl_MBusy : out std_logic_vector(0 to 0);
    Sl_MWrErr : out std_logic_vector(0 to 0);
    Sl_MRdErr : out std_logic_vector(0 to 0);
    Sl_MIRQ : out std_logic_vector(0 to 0);
    controller_logic_clk : out std_logic;
    spi_clk : out std_logic;
    data_out : out std_logic;
    radio1_cs : out std_logic;
    radio2_cs : out std_logic;
    radio3_cs : out std_logic;
    radio4_cs : out std_logic;
    dac1_cs : out std_logic;
    dac2_cs : out std_logic;
    dac3_cs : out std_logic;
    dac4_cs : out std_logic;
    radio1_interpfiltbypass : out std_logic;
    radio1_decfiltbypass : out std_logic;
    radio1_SHDN : out std_logic;
    radio1_TxEn : out std_logic;
    radio1_RxEn : out std_logic;
    radio1_RxHP : out std_logic;
    radio1_LD : in std_logic;
    radio1_24PA : out std_logic;
    radio1_5PA : out std_logic;
    radio1_ANTSW : out std_logic_vector(0 to 1);
    radio1_LED : out std_logic_vector(0 to 2);
    radio1_ADC_RX_DCS : out std_logic;
    radio1_ADC_RX_DFS : out std_logic;
    radio1_ADC_RX_OTRA : in std_logic;
    radio1_ADC_RX_OTRB : in std_logic;
    radio1_ADC_RX_PWDNA : out std_logic;
    radio1_ADC_RX_PWDNB : out std_logic;
    radio1_DIPSW : in std_logic_vector(0 to 3);
    radio1_RSSI_ADC_CLAMP : out std_logic;
    radio1_RSSI_ADC_HIZ : out std_logic;
    radio1_RSSI_ADC_OTR : in std_logic;
    radio1_RSSI_ADC_SLEEP : out std_logic;
    radio1_RSSI_ADC_D : in std_logic_vector(0 to 9);
    radio1_TX_DAC_PLL_LOCK : in std_logic;
    radio1_TX_DAC_RESET : out std_logic;
    radio1_SHDN_external : in std_logic;
    radio1_TxEn_external : in std_logic;
    radio1_RxEn_external : in std_logic;
    radio1_RxHP_external : in std_logic;
    radio1_TxGain : out std_logic_vector(0 to 5);
    radio1_TxStart : out std_logic;
    radio2_interpfiltbypass : out std_logic;
    radio2_decfiltbypass : out std_logic;
    radio2_SHDN : out std_logic;
    radio2_TxEn : out std_logic;
    radio2_RxEn : out std_logic;
    radio2_RxHP : out std_logic;
    radio2_LD : in std_logic;
    radio2_24PA : out std_logic;
    radio2_5PA : out std_logic;
    radio2_ANTSW : out std_logic_vector(0 to 1);
    radio2_LED : out std_logic_vector(0 to 2);
    radio2_ADC_RX_DCS : out std_logic;
    radio2_ADC_RX_DFS : out std_logic;
    radio2_ADC_RX_OTRA : in std_logic;
    radio2_ADC_RX_OTRB : in std_logic;
    radio2_ADC_RX_PWDNA : out std_logic;
    radio2_ADC_RX_PWDNB : out std_logic;
    radio2_DIPSW : in std_logic_vector(0 to 3);
    radio2_RSSI_ADC_CLAMP : out std_logic;
    radio2_RSSI_ADC_HIZ : out std_logic;
    radio2_RSSI_ADC_OTR : in std_logic;
    radio2_RSSI_ADC_SLEEP : out std_logic;
    radio2_RSSI_ADC_D : in std_logic_vector(0 to 9);
    radio2_TX_DAC_PLL_LOCK : in std_logic;
    radio2_TX_DAC_RESET : out std_logic;
    radio2_SHDN_external : in std_logic;
    radio2_TxEn_external : in std_logic;
    radio2_RxEn_external : in std_logic;
    radio2_RxHP_external : in std_logic;
    radio2_TxGain : out std_logic_vector(0 to 5);
    radio2_TxStart : out std_logic;
    radio3_interpfiltbypass : out std_logic;
    radio3_decfiltbypass : out std_logic;
    radio3_SHDN : out std_logic;
    radio3_TxEn : out std_logic;
    radio3_RxEn : out std_logic;
    radio3_RxHP : out std_logic;
    radio3_LD : in std_logic;
    radio3_24PA : out std_logic;
    radio3_5PA : out std_logic;
    radio3_ANTSW : out std_logic_vector(0 to 1);
    radio3_LED : out std_logic_vector(0 to 2);
    radio3_ADC_RX_DCS : out std_logic;
    radio3_ADC_RX_DFS : out std_logic;
    radio3_ADC_RX_OTRA : in std_logic;
    radio3_ADC_RX_OTRB : in std_logic;
    radio3_ADC_RX_PWDNA : out std_logic;
    radio3_ADC_RX_PWDNB : out std_logic;
    radio3_DIPSW : in std_logic_vector(0 to 3);
    radio3_RSSI_ADC_CLAMP : out std_logic;
    radio3_RSSI_ADC_HIZ : out std_logic;
    radio3_RSSI_ADC_OTR : in std_logic;
    radio3_RSSI_ADC_SLEEP : out std_logic;
    radio3_RSSI_ADC_D : in std_logic_vector(0 to 9);
    radio3_TX_DAC_PLL_LOCK : in std_logic;
    radio3_TX_DAC_RESET : out std_logic;
    radio3_SHDN_external : in std_logic;
    radio3_TxEn_external : in std_logic;
    radio3_RxEn_external : in std_logic;
    radio3_RxHP_external : in std_logic;
    radio3_TxGain : out std_logic_vector(0 to 5);
    radio3_TxStart : out std_logic;
    radio4_interpfiltbypass : out std_logic;
    radio4_decfiltbypass : out std_logic;
    radio4_SHDN : out std_logic;
    radio4_TxEn : out std_logic;
    radio4_RxEn : out std_logic;
    radio4_RxHP : out std_logic;
    radio4_LD : in std_logic;
    radio4_24PA : out std_logic;
    radio4_5PA : out std_logic;
    radio4_ANTSW : out std_logic_vector(0 to 1);
    radio4_LED : out std_logic_vector(0 to 2);
    radio4_ADC_RX_DCS : out std_logic;
    radio4_ADC_RX_DFS : out std_logic;
    radio4_ADC_RX_OTRA : in std_logic;
    radio4_ADC_RX_OTRB : in std_logic;
    radio4_ADC_RX_PWDNA : out std_logic;
    radio4_ADC_RX_PWDNB : out std_logic;
    radio4_DIPSW : in std_logic_vector(0 to 3);
    radio4_RSSI_ADC_CLAMP : out std_logic;
    radio4_RSSI_ADC_HIZ : out std_logic;
    radio4_RSSI_ADC_OTR : in std_logic;
    radio4_RSSI_ADC_SLEEP : out std_logic;
    radio4_RSSI_ADC_D : in std_logic_vector(0 to 9);
    radio4_TX_DAC_PLL_LOCK : in std_logic;
    radio4_TX_DAC_RESET : out std_logic;
    radio4_SHDN_external : in std_logic;
    radio4_TxEn_external : in std_logic;
    radio4_RxEn_external : in std_logic;
    radio4_RxHP_external : in std_logic;
    radio4_TxGain : out std_logic_vector(0 to 5);
    radio4_TxStart : out std_logic
  );

  attribute x_core_info : STRING;
  attribute x_core_info of radio_controller_0_wrapper : entity is "radio_controller_v1_21_a";

end radio_controller_0_wrapper;

architecture STRUCTURE of radio_controller_0_wrapper is

  component radio_controller is
    generic (
      C_BASEADDR : std_logic_vector;
      C_HIGHADDR : std_logic_vector;
      C_SPLB_AWIDTH : INTEGER;
      C_SPLB_DWIDTH : INTEGER;
      C_SPLB_NUM_MASTERS : INTEGER;
      C_SPLB_MID_WIDTH : INTEGER;
      C_SPLB_NATIVE_DWIDTH : INTEGER;
      C_SPLB_P2P : INTEGER;
      C_SPLB_SUPPORT_BURSTS : INTEGER;
      C_SPLB_SMALLEST_MASTER : INTEGER;
      C_SPLB_CLK_PERIOD_PS : INTEGER;
      C_FAMILY : STRING
    );
    port (
      SPLB_Clk : in std_logic;
      SPLB_Rst : in std_logic;
      PLB_ABus : in std_logic_vector(0 to 31);
      PLB_UABus : in std_logic_vector(0 to 31);
      PLB_PAValid : in std_logic;
      PLB_SAValid : in std_logic;
      PLB_rdPrim : in std_logic;
      PLB_wrPrim : in std_logic;
      PLB_masterID : in std_logic_vector(0 to (C_SPLB_MID_WIDTH-1));
      PLB_abort : in std_logic;
      PLB_busLock : in std_logic;
      PLB_RNW : in std_logic;
      PLB_BE : in std_logic_vector(0 to ((C_SPLB_DWIDTH/8)-1));
      PLB_MSize : in std_logic_vector(0 to 1);
      PLB_size : in std_logic_vector(0 to 3);
      PLB_type : in std_logic_vector(0 to 2);
      PLB_lockErr : in std_logic;
      PLB_wrDBus : in std_logic_vector(0 to (C_SPLB_DWIDTH-1));
      PLB_wrBurst : in std_logic;
      PLB_rdBurst : in std_logic;
      PLB_wrPendReq : in std_logic;
      PLB_rdPendReq : in std_logic;
      PLB_wrPendPri : in std_logic_vector(0 to 1);
      PLB_rdPendPri : in std_logic_vector(0 to 1);
      PLB_reqPri : in std_logic_vector(0 to 1);
      PLB_TAttribute : in std_logic_vector(0 to 15);
      Sl_addrAck : out std_logic;
      Sl_SSize : out std_logic_vector(0 to 1);
      Sl_wait : out std_logic;
      Sl_rearbitrate : out std_logic;
      Sl_wrDAck : out std_logic;
      Sl_wrComp : out std_logic;
      Sl_wrBTerm : out std_logic;
      Sl_rdDBus : out std_logic_vector(0 to (C_SPLB_DWIDTH-1));
      Sl_rdWdAddr : out std_logic_vector(0 to 3);
      Sl_rdDAck : out std_logic;
      Sl_rdComp : out std_logic;
      Sl_rdBTerm : out std_logic;
      Sl_MBusy : out std_logic_vector(0 to (C_SPLB_NUM_MASTERS-1));
      Sl_MWrErr : out std_logic_vector(0 to (C_SPLB_NUM_MASTERS-1));
      Sl_MRdErr : out std_logic_vector(0 to (C_SPLB_NUM_MASTERS-1));
      Sl_MIRQ : out std_logic_vector(0 to (C_SPLB_NUM_MASTERS-1));
      controller_logic_clk : out std_logic;
      spi_clk : out std_logic;
      data_out : out std_logic;
      radio1_cs : out std_logic;
      radio2_cs : out std_logic;
      radio3_cs : out std_logic;
      radio4_cs : out std_logic;
      dac1_cs : out std_logic;
      dac2_cs : out std_logic;
      dac3_cs : out std_logic;
      dac4_cs : out std_logic;
      radio1_interpfiltbypass : out std_logic;
      radio1_decfiltbypass : out std_logic;
      radio1_SHDN : out std_logic;
      radio1_TxEn : out std_logic;
      radio1_RxEn : out std_logic;
      radio1_RxHP : out std_logic;
      radio1_LD : in std_logic;
      radio1_24PA : out std_logic;
      radio1_5PA : out std_logic;
      radio1_ANTSW : out std_logic_vector(0 to 1);
      radio1_LED : out std_logic_vector(0 to 2);
      radio1_ADC_RX_DCS : out std_logic;
      radio1_ADC_RX_DFS : out std_logic;
      radio1_ADC_RX_OTRA : in std_logic;
      radio1_ADC_RX_OTRB : in std_logic;
      radio1_ADC_RX_PWDNA : out std_logic;
      radio1_ADC_RX_PWDNB : out std_logic;
      radio1_DIPSW : in std_logic_vector(0 to 3);
      radio1_RSSI_ADC_CLAMP : out std_logic;
      radio1_RSSI_ADC_HIZ : out std_logic;
      radio1_RSSI_ADC_OTR : in std_logic;
      radio1_RSSI_ADC_SLEEP : out std_logic;
      radio1_RSSI_ADC_D : in std_logic_vector(0 to 9);
      radio1_TX_DAC_PLL_LOCK : in std_logic;
      radio1_TX_DAC_RESET : out std_logic;
      radio1_SHDN_external : in std_logic;
      radio1_TxEn_external : in std_logic;
      radio1_RxEn_external : in std_logic;
      radio1_RxHP_external : in std_logic;
      radio1_TxGain : out std_logic_vector(0 to 5);
      radio1_TxStart : out std_logic;
      radio2_interpfiltbypass : out std_logic;
      radio2_decfiltbypass : out std_logic;
      radio2_SHDN : out std_logic;
      radio2_TxEn : out std_logic;
      radio2_RxEn : out std_logic;
      radio2_RxHP : out std_logic;
      radio2_LD : in std_logic;
      radio2_24PA : out std_logic;
      radio2_5PA : out std_logic;
      radio2_ANTSW : out std_logic_vector(0 to 1);
      radio2_LED : out std_logic_vector(0 to 2);
      radio2_ADC_RX_DCS : out std_logic;
      radio2_ADC_RX_DFS : out std_logic;
      radio2_ADC_RX_OTRA : in std_logic;
      radio2_ADC_RX_OTRB : in std_logic;
      radio2_ADC_RX_PWDNA : out std_logic;
      radio2_ADC_RX_PWDNB : out std_logic;
      radio2_DIPSW : in std_logic_vector(0 to 3);
      radio2_RSSI_ADC_CLAMP : out std_logic;
      radio2_RSSI_ADC_HIZ : out std_logic;
      radio2_RSSI_ADC_OTR : in std_logic;
      radio2_RSSI_ADC_SLEEP : out std_logic;
      radio2_RSSI_ADC_D : in std_logic_vector(0 to 9);
      radio2_TX_DAC_PLL_LOCK : in std_logic;
      radio2_TX_DAC_RESET : out std_logic;
      radio2_SHDN_external : in std_logic;
      radio2_TxEn_external : in std_logic;
      radio2_RxEn_external : in std_logic;
      radio2_RxHP_external : in std_logic;
      radio2_TxGain : out std_logic_vector(0 to 5);
      radio2_TxStart : out std_logic;
      radio3_interpfiltbypass : out std_logic;
      radio3_decfiltbypass : out std_logic;
      radio3_SHDN : out std_logic;
      radio3_TxEn : out std_logic;
      radio3_RxEn : out std_logic;
      radio3_RxHP : out std_logic;
      radio3_LD : in std_logic;
      radio3_24PA : out std_logic;
      radio3_5PA : out std_logic;
      radio3_ANTSW : out std_logic_vector(0 to 1);
      radio3_LED : out std_logic_vector(0 to 2);
      radio3_ADC_RX_DCS : out std_logic;
      radio3_ADC_RX_DFS : out std_logic;
      radio3_ADC_RX_OTRA : in std_logic;
      radio3_ADC_RX_OTRB : in std_logic;
      radio3_ADC_RX_PWDNA : out std_logic;
      radio3_ADC_RX_PWDNB : out std_logic;
      radio3_DIPSW : in std_logic_vector(0 to 3);
      radio3_RSSI_ADC_CLAMP : out std_logic;
      radio3_RSSI_ADC_HIZ : out std_logic;
      radio3_RSSI_ADC_OTR : in std_logic;
      radio3_RSSI_ADC_SLEEP : out std_logic;
      radio3_RSSI_ADC_D : in std_logic_vector(0 to 9);
      radio3_TX_DAC_PLL_LOCK : in std_logic;
      radio3_TX_DAC_RESET : out std_logic;
      radio3_SHDN_external : in std_logic;
      radio3_TxEn_external : in std_logic;
      radio3_RxEn_external : in std_logic;
      radio3_RxHP_external : in std_logic;
      radio3_TxGain : out std_logic_vector(0 to 5);
      radio3_TxStart : out std_logic;
      radio4_interpfiltbypass : out std_logic;
      radio4_decfiltbypass : out std_logic;
      radio4_SHDN : out std_logic;
      radio4_TxEn : out std_logic;
      radio4_RxEn : out std_logic;
      radio4_RxHP : out std_logic;
      radio4_LD : in std_logic;
      radio4_24PA : out std_logic;
      radio4_5PA : out std_logic;
      radio4_ANTSW : out std_logic_vector(0 to 1);
      radio4_LED : out std_logic_vector(0 to 2);
      radio4_ADC_RX_DCS : out std_logic;
      radio4_ADC_RX_DFS : out std_logic;
      radio4_ADC_RX_OTRA : in std_logic;
      radio4_ADC_RX_OTRB : in std_logic;
      radio4_ADC_RX_PWDNA : out std_logic;
      radio4_ADC_RX_PWDNB : out std_logic;
      radio4_DIPSW : in std_logic_vector(0 to 3);
      radio4_RSSI_ADC_CLAMP : out std_logic;
      radio4_RSSI_ADC_HIZ : out std_logic;
      radio4_RSSI_ADC_OTR : in std_logic;
      radio4_RSSI_ADC_SLEEP : out std_logic;
      radio4_RSSI_ADC_D : in std_logic_vector(0 to 9);
      radio4_TX_DAC_PLL_LOCK : in std_logic;
      radio4_TX_DAC_RESET : out std_logic;
      radio4_SHDN_external : in std_logic;
      radio4_TxEn_external : in std_logic;
      radio4_RxEn_external : in std_logic;
      radio4_RxHP_external : in std_logic;
      radio4_TxGain : out std_logic_vector(0 to 5);
      radio4_TxStart : out std_logic
    );
  end component;

begin

  radio_controller_0 : radio_controller
    generic map (
      C_BASEADDR => X"cac00000",
      C_HIGHADDR => X"cac0ffff",
      C_SPLB_AWIDTH => 32,
      C_SPLB_DWIDTH => 32,
      C_SPLB_NUM_MASTERS => 1,
      C_SPLB_MID_WIDTH => 1,
      C_SPLB_NATIVE_DWIDTH => 32,
      C_SPLB_P2P => 0,
      C_SPLB_SUPPORT_BURSTS => 0,
      C_SPLB_SMALLEST_MASTER => 32,
      C_SPLB_CLK_PERIOD_PS => 10000,
      C_FAMILY => "virtex2p"
    )
    port map (
      SPLB_Clk => SPLB_Clk,
      SPLB_Rst => SPLB_Rst,
      PLB_ABus => PLB_ABus,
      PLB_UABus => PLB_UABus,
      PLB_PAValid => PLB_PAValid,
      PLB_SAValid => PLB_SAValid,
      PLB_rdPrim => PLB_rdPrim,
      PLB_wrPrim => PLB_wrPrim,
      PLB_masterID => PLB_masterID,
      PLB_abort => PLB_abort,
      PLB_busLock => PLB_busLock,
      PLB_RNW => PLB_RNW,
      PLB_BE => PLB_BE,
      PLB_MSize => PLB_MSize,
      PLB_size => PLB_size,
      PLB_type => PLB_type,
      PLB_lockErr => PLB_lockErr,
      PLB_wrDBus => PLB_wrDBus,
      PLB_wrBurst => PLB_wrBurst,
      PLB_rdBurst => PLB_rdBurst,
      PLB_wrPendReq => PLB_wrPendReq,
      PLB_rdPendReq => PLB_rdPendReq,
      PLB_wrPendPri => PLB_wrPendPri,
      PLB_rdPendPri => PLB_rdPendPri,
      PLB_reqPri => PLB_reqPri,
      PLB_TAttribute => PLB_TAttribute,
      Sl_addrAck => Sl_addrAck,
      Sl_SSize => Sl_SSize,
      Sl_wait => Sl_wait,
      Sl_rearbitrate => Sl_rearbitrate,
      Sl_wrDAck => Sl_wrDAck,
      Sl_wrComp => Sl_wrComp,
      Sl_wrBTerm => Sl_wrBTerm,
      Sl_rdDBus => Sl_rdDBus,
      Sl_rdWdAddr => Sl_rdWdAddr,
      Sl_rdDAck => Sl_rdDAck,
      Sl_rdComp => Sl_rdComp,
      Sl_rdBTerm => Sl_rdBTerm,
      Sl_MBusy => Sl_MBusy,
      Sl_MWrErr => Sl_MWrErr,
      Sl_MRdErr => Sl_MRdErr,
      Sl_MIRQ => Sl_MIRQ,
      controller_logic_clk => controller_logic_clk,
      spi_clk => spi_clk,
      data_out => data_out,
      radio1_cs => radio1_cs,
      radio2_cs => radio2_cs,
      radio3_cs => radio3_cs,
      radio4_cs => radio4_cs,
      dac1_cs => dac1_cs,
      dac2_cs => dac2_cs,
      dac3_cs => dac3_cs,
      dac4_cs => dac4_cs,
      radio1_interpfiltbypass => radio1_interpfiltbypass,
      radio1_decfiltbypass => radio1_decfiltbypass,
      radio1_SHDN => radio1_SHDN,
      radio1_TxEn => radio1_TxEn,
      radio1_RxEn => radio1_RxEn,
      radio1_RxHP => radio1_RxHP,
      radio1_LD => radio1_LD,
      radio1_24PA => radio1_24PA,
      radio1_5PA => radio1_5PA,
      radio1_ANTSW => radio1_ANTSW,
      radio1_LED => radio1_LED,
      radio1_ADC_RX_DCS => radio1_ADC_RX_DCS,
      radio1_ADC_RX_DFS => radio1_ADC_RX_DFS,
      radio1_ADC_RX_OTRA => radio1_ADC_RX_OTRA,
      radio1_ADC_RX_OTRB => radio1_ADC_RX_OTRB,
      radio1_ADC_RX_PWDNA => radio1_ADC_RX_PWDNA,
      radio1_ADC_RX_PWDNB => radio1_ADC_RX_PWDNB,
      radio1_DIPSW => radio1_DIPSW,
      radio1_RSSI_ADC_CLAMP => radio1_RSSI_ADC_CLAMP,
      radio1_RSSI_ADC_HIZ => radio1_RSSI_ADC_HIZ,
      radio1_RSSI_ADC_OTR => radio1_RSSI_ADC_OTR,
      radio1_RSSI_ADC_SLEEP => radio1_RSSI_ADC_SLEEP,
      radio1_RSSI_ADC_D => radio1_RSSI_ADC_D,
      radio1_TX_DAC_PLL_LOCK => radio1_TX_DAC_PLL_LOCK,
      radio1_TX_DAC_RESET => radio1_TX_DAC_RESET,
      radio1_SHDN_external => radio1_SHDN_external,
      radio1_TxEn_external => radio1_TxEn_external,
      radio1_RxEn_external => radio1_RxEn_external,
      radio1_RxHP_external => radio1_RxHP_external,
      radio1_TxGain => radio1_TxGain,
      radio1_TxStart => radio1_TxStart,
      radio2_interpfiltbypass => radio2_interpfiltbypass,
      radio2_decfiltbypass => radio2_decfiltbypass,
      radio2_SHDN => radio2_SHDN,
      radio2_TxEn => radio2_TxEn,
      radio2_RxEn => radio2_RxEn,
      radio2_RxHP => radio2_RxHP,
      radio2_LD => radio2_LD,
      radio2_24PA => radio2_24PA,
      radio2_5PA => radio2_5PA,
      radio2_ANTSW => radio2_ANTSW,
      radio2_LED => radio2_LED,
      radio2_ADC_RX_DCS => radio2_ADC_RX_DCS,
      radio2_ADC_RX_DFS => radio2_ADC_RX_DFS,
      radio2_ADC_RX_OTRA => radio2_ADC_RX_OTRA,
      radio2_ADC_RX_OTRB => radio2_ADC_RX_OTRB,
      radio2_ADC_RX_PWDNA => radio2_ADC_RX_PWDNA,
      radio2_ADC_RX_PWDNB => radio2_ADC_RX_PWDNB,
      radio2_DIPSW => radio2_DIPSW,
      radio2_RSSI_ADC_CLAMP => radio2_RSSI_ADC_CLAMP,
      radio2_RSSI_ADC_HIZ => radio2_RSSI_ADC_HIZ,
      radio2_RSSI_ADC_OTR => radio2_RSSI_ADC_OTR,
      radio2_RSSI_ADC_SLEEP => radio2_RSSI_ADC_SLEEP,
      radio2_RSSI_ADC_D => radio2_RSSI_ADC_D,
      radio2_TX_DAC_PLL_LOCK => radio2_TX_DAC_PLL_LOCK,
      radio2_TX_DAC_RESET => radio2_TX_DAC_RESET,
      radio2_SHDN_external => radio2_SHDN_external,
      radio2_TxEn_external => radio2_TxEn_external,
      radio2_RxEn_external => radio2_RxEn_external,
      radio2_RxHP_external => radio2_RxHP_external,
      radio2_TxGain => radio2_TxGain,
      radio2_TxStart => radio2_TxStart,
      radio3_interpfiltbypass => radio3_interpfiltbypass,
      radio3_decfiltbypass => radio3_decfiltbypass,
      radio3_SHDN => radio3_SHDN,
      radio3_TxEn => radio3_TxEn,
      radio3_RxEn => radio3_RxEn,
      radio3_RxHP => radio3_RxHP,
      radio3_LD => radio3_LD,
      radio3_24PA => radio3_24PA,
      radio3_5PA => radio3_5PA,
      radio3_ANTSW => radio3_ANTSW,
      radio3_LED => radio3_LED,
      radio3_ADC_RX_DCS => radio3_ADC_RX_DCS,
      radio3_ADC_RX_DFS => radio3_ADC_RX_DFS,
      radio3_ADC_RX_OTRA => radio3_ADC_RX_OTRA,
      radio3_ADC_RX_OTRB => radio3_ADC_RX_OTRB,
      radio3_ADC_RX_PWDNA => radio3_ADC_RX_PWDNA,
      radio3_ADC_RX_PWDNB => radio3_ADC_RX_PWDNB,
      radio3_DIPSW => radio3_DIPSW,
      radio3_RSSI_ADC_CLAMP => radio3_RSSI_ADC_CLAMP,
      radio3_RSSI_ADC_HIZ => radio3_RSSI_ADC_HIZ,
      radio3_RSSI_ADC_OTR => radio3_RSSI_ADC_OTR,
      radio3_RSSI_ADC_SLEEP => radio3_RSSI_ADC_SLEEP,
      radio3_RSSI_ADC_D => radio3_RSSI_ADC_D,
      radio3_TX_DAC_PLL_LOCK => radio3_TX_DAC_PLL_LOCK,
      radio3_TX_DAC_RESET => radio3_TX_DAC_RESET,
      radio3_SHDN_external => radio3_SHDN_external,
      radio3_TxEn_external => radio3_TxEn_external,
      radio3_RxEn_external => radio3_RxEn_external,
      radio3_RxHP_external => radio3_RxHP_external,
      radio3_TxGain => radio3_TxGain,
      radio3_TxStart => radio3_TxStart,
      radio4_interpfiltbypass => radio4_interpfiltbypass,
      radio4_decfiltbypass => radio4_decfiltbypass,
      radio4_SHDN => radio4_SHDN,
      radio4_TxEn => radio4_TxEn,
      radio4_RxEn => radio4_RxEn,
      radio4_RxHP => radio4_RxHP,
      radio4_LD => radio4_LD,
      radio4_24PA => radio4_24PA,
      radio4_5PA => radio4_5PA,
      radio4_ANTSW => radio4_ANTSW,
      radio4_LED => radio4_LED,
      radio4_ADC_RX_DCS => radio4_ADC_RX_DCS,
      radio4_ADC_RX_DFS => radio4_ADC_RX_DFS,
      radio4_ADC_RX_OTRA => radio4_ADC_RX_OTRA,
      radio4_ADC_RX_OTRB => radio4_ADC_RX_OTRB,
      radio4_ADC_RX_PWDNA => radio4_ADC_RX_PWDNA,
      radio4_ADC_RX_PWDNB => radio4_ADC_RX_PWDNB,
      radio4_DIPSW => radio4_DIPSW,
      radio4_RSSI_ADC_CLAMP => radio4_RSSI_ADC_CLAMP,
      radio4_RSSI_ADC_HIZ => radio4_RSSI_ADC_HIZ,
      radio4_RSSI_ADC_OTR => radio4_RSSI_ADC_OTR,
      radio4_RSSI_ADC_SLEEP => radio4_RSSI_ADC_SLEEP,
      radio4_RSSI_ADC_D => radio4_RSSI_ADC_D,
      radio4_TX_DAC_PLL_LOCK => radio4_TX_DAC_PLL_LOCK,
      radio4_TX_DAC_RESET => radio4_TX_DAC_RESET,
      radio4_SHDN_external => radio4_SHDN_external,
      radio4_TxEn_external => radio4_TxEn_external,
      radio4_RxEn_external => radio4_RxEn_external,
      radio4_RxHP_external => radio4_RxHP_external,
      radio4_TxGain => radio4_TxGain,
      radio4_TxStart => radio4_TxStart
    );

end architecture STRUCTURE;

