-------------------------------------------------------------------------------
-- system.vhd
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

library UNISIM;
use UNISIM.VCOMPONENTS.ALL;

entity system is
  port (
    fpga_0_clk_board_config_sys_clk_pin : in std_logic;
    fpga_0_clk_board_config_cfg_radio_dat_out_pin : out std_logic;
    fpga_0_clk_board_config_cfg_radio_csb_out_pin : out std_logic;
    fpga_0_clk_board_config_cfg_radio_en_out_pin : out std_logic;
    fpga_0_clk_board_config_cfg_radio_clk_out_pin : out std_logic;
    fpga_0_clk_board_config_cfg_logic_dat_out_pin : out std_logic;
    fpga_0_clk_board_config_cfg_logic_csb_out_pin : out std_logic;
    fpga_0_clk_board_config_cfg_logic_en_out_pin : out std_logic;
    fpga_0_clk_board_config_cfg_logic_clk_out_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_converter_clock_out_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_EEPROM_IO : inout std_logic;
    fpga_0_radio_bridge_slot_2_dac_spi_clk_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_dac_spi_cs_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_dac_spi_data_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_24PA_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_5PA_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_ANTSW_pin : out std_logic_vector(1 downto 0);
    fpga_0_radio_bridge_slot_2_radio_dac_PLL_LOCK_pin : in std_logic;
    fpga_0_radio_bridge_slot_2_radio_dac_RESET_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_DIPSW_pin : in std_logic_vector(3 downto 0);
    fpga_0_radio_bridge_slot_2_radio_LD_pin : in std_logic;
    fpga_0_radio_bridge_slot_2_radio_LED_pin : out std_logic_vector(2 downto 0);
    fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_clk_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_CLAMP_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_D_pin : in std_logic_vector(9 downto 0);
    fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_HIZ_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_OTR_pin : in std_logic;
    fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_SLEEP_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_RX_ADC_DCS_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_RX_ADC_DFS_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_RX_ADC_OTRA_pin : in std_logic;
    fpga_0_radio_bridge_slot_2_radio_RX_ADC_OTRB_pin : in std_logic;
    fpga_0_radio_bridge_slot_2_radio_RX_ADC_PWDNA_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_RX_ADC_PWDNB_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_TxEn_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_RxEn_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_RxHP_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_SHDN_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_spi_clk_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_spi_cs_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_spi_data_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_B_pin : out std_logic_vector(6 downto 0);
    fpga_0_radio_bridge_slot_2_radio_DAC_I_pin : out std_logic_vector(15 downto 0);
    fpga_0_radio_bridge_slot_2_radio_DAC_Q_pin : out std_logic_vector(15 downto 0);
    fpga_0_radio_bridge_slot_2_radio_ADC_I_pin : in std_logic_vector(13 downto 0);
    fpga_0_radio_bridge_slot_2_radio_ADC_Q_pin : in std_logic_vector(13 downto 0);
    fpga_0_radio_bridge_slot_3_converter_clock_out_pin : out std_logic;
    fpga_0_radio_bridge_slot_3_radio_EEPROM_IO : inout std_logic;
    fpga_0_radio_bridge_slot_3_dac_spi_clk_pin : out std_logic;
    fpga_0_radio_bridge_slot_3_dac_spi_cs_pin : out std_logic;
    fpga_0_radio_bridge_slot_3_dac_spi_data_pin : out std_logic;
    fpga_0_radio_bridge_slot_3_radio_24PA_pin : out std_logic;
    fpga_0_radio_bridge_slot_3_radio_5PA_pin : out std_logic;
    fpga_0_radio_bridge_slot_3_radio_ANTSW_pin : out std_logic_vector(1 downto 0);
    fpga_0_radio_bridge_slot_3_radio_dac_PLL_LOCK_pin : in std_logic;
    fpga_0_radio_bridge_slot_3_radio_dac_RESET_pin : out std_logic;
    fpga_0_radio_bridge_slot_3_radio_DIPSW_pin : in std_logic_vector(3 downto 0);
    fpga_0_radio_bridge_slot_3_radio_LD_pin : in std_logic;
    fpga_0_radio_bridge_slot_3_radio_LED_pin : out std_logic_vector(2 downto 0);
    fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_clk_pin : out std_logic;
    fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_CLAMP_pin : out std_logic;
    fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_D_pin : in std_logic_vector(9 downto 0);
    fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_HIZ_pin : out std_logic;
    fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_OTR_pin : in std_logic;
    fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_SLEEP_pin : out std_logic;
    fpga_0_radio_bridge_slot_3_radio_RX_ADC_DCS_pin : out std_logic;
    fpga_0_radio_bridge_slot_3_radio_RX_ADC_DFS_pin : out std_logic;
    fpga_0_radio_bridge_slot_3_radio_RX_ADC_OTRA_pin : in std_logic;
    fpga_0_radio_bridge_slot_3_radio_RX_ADC_OTRB_pin : in std_logic;
    fpga_0_radio_bridge_slot_3_radio_RX_ADC_PWDNA_pin : out std_logic;
    fpga_0_radio_bridge_slot_3_radio_RX_ADC_PWDNB_pin : out std_logic;
    fpga_0_radio_bridge_slot_3_radio_TxEn_pin : out std_logic;
    fpga_0_radio_bridge_slot_3_radio_RxEn_pin : out std_logic;
    fpga_0_radio_bridge_slot_3_radio_RxHP_pin : out std_logic;
    fpga_0_radio_bridge_slot_3_radio_SHDN_pin : out std_logic;
    fpga_0_radio_bridge_slot_3_radio_spi_clk_pin : out std_logic;
    fpga_0_radio_bridge_slot_3_radio_spi_cs_pin : out std_logic;
    fpga_0_radio_bridge_slot_3_radio_spi_data_pin : out std_logic;
    fpga_0_radio_bridge_slot_3_radio_B_pin : out std_logic_vector(6 downto 0);
    fpga_0_radio_bridge_slot_3_radio_DAC_I_pin : out std_logic_vector(15 downto 0);
    fpga_0_radio_bridge_slot_3_radio_DAC_Q_pin : out std_logic_vector(15 downto 0);
    fpga_0_radio_bridge_slot_3_radio_ADC_I_pin : in std_logic_vector(13 downto 0);
    fpga_0_radio_bridge_slot_3_radio_ADC_Q_pin : in std_logic_vector(13 downto 0);
    fpga_0_analog_bridge_slot_4_clock_out_pin : out std_logic;
    fpga_0_analog_bridge_slot_4_analog_DAC1_A_pin : out std_logic_vector(13 downto 0);
    fpga_0_analog_bridge_slot_4_analog_DAC1_B_pin : out std_logic_vector(13 downto 0);
    fpga_0_analog_bridge_slot_4_analog_DAC2_A_pin : out std_logic_vector(13 downto 0);
    fpga_0_analog_bridge_slot_4_analog_DAC2_B_pin : out std_logic_vector(13 downto 0);
    fpga_0_analog_bridge_slot_4_analog_DAC1_sleep_pin : out std_logic;
    fpga_0_analog_bridge_slot_4_analog_DAC2_sleep_pin : out std_logic;
    fpga_0_analog_bridge_slot_4_analog_ADC_A_pin : in std_logic_vector(13 downto 0);
    fpga_0_analog_bridge_slot_4_analog_ADC_B_pin : in std_logic_vector(13 downto 0);
    fpga_0_analog_bridge_slot_4_analog_ADC_DFS_pin : out std_logic;
    fpga_0_analog_bridge_slot_4_analog_ADC_DCS_pin : out std_logic;
    fpga_0_analog_bridge_slot_4_analog_ADC_pdwnA_pin : out std_logic;
    fpga_0_analog_bridge_slot_4_analog_ADC_pdwnB_pin : out std_logic;
    fpga_0_analog_bridge_slot_4_analog_ADC_otrA_pin : in std_logic;
    fpga_0_analog_bridge_slot_4_analog_ADC_otrB_pin : in std_logic;
    fpga_0_analog_bridge_slot_4_analog_LED_pin : out std_logic_vector(0 to 2);
    fpga_0_USER_IO_GPIO2_d_out_pin : out std_logic_vector(0 to 17);
    fpga_0_USER_IO_GPIO_in_pin : in std_logic_vector(0 to 7);
    fpga_0_rs232_RX_pin : in std_logic;
    fpga_0_rs232_TX_pin : out std_logic;
    fpga_0_eeprom_controller_DQ0_pin : inout std_logic;
    fpga_0_sysace_compactflash_SysACE_CLK_pin : in std_logic;
    fpga_0_sysace_compactflash_SysACE_MPA_pin : out std_logic_vector(6 downto 0);
    fpga_0_sysace_compactflash_SysACE_MPD_pin : inout std_logic_vector(15 downto 0);
    fpga_0_sysace_compactflash_SysACE_CEN_pin : out std_logic;
    fpga_0_sysace_compactflash_SysACE_OEN_pin : out std_logic;
    fpga_0_sysace_compactflash_SysACE_WEN_pin : out std_logic;
    fpga_0_sysace_compactflash_SysACE_MPIRQ_pin : in std_logic;
    fpga_0_Ethernet_MAC_slew1_pin : out std_logic;
    fpga_0_Ethernet_MAC_slew2_pin : out std_logic;
    fpga_0_Ethernet_MAC_PHY_rst_n_pin : out std_logic;
    fpga_0_Ethernet_MAC_PHY_crs_pin : in std_logic;
    fpga_0_Ethernet_MAC_PHY_col_pin : in std_logic;
    fpga_0_Ethernet_MAC_PHY_tx_data_pin : out std_logic_vector(3 downto 0);
    fpga_0_Ethernet_MAC_PHY_tx_en_pin : out std_logic;
    fpga_0_Ethernet_MAC_PHY_tx_clk_pin : in std_logic;
    fpga_0_Ethernet_MAC_PHY_rx_er_pin : in std_logic;
    fpga_0_Ethernet_MAC_PHY_rx_clk_pin : in std_logic;
    fpga_0_Ethernet_MAC_PHY_dv_pin : in std_logic;
    fpga_0_Ethernet_MAC_PHY_rx_data_pin : in std_logic_vector(3 downto 0);
    fpga_0_SRAM0_ZBT_512Kx32_Mem_OEN_pin : out std_logic_vector(0 to 0);
    fpga_0_SRAM0_ZBT_512Kx32_Mem_ADV_LDN_pin : out std_logic;
    fpga_0_SRAM0_ZBT_512Kx32_Mem_CKEN_pin : out std_logic;
    fpga_0_SRAM0_ZBT_512Kx32_Mem_CE_pin : out std_logic;
    fpga_0_SRAM0_ZBT_512Kx32_Mem_BEN_pin : out std_logic_vector(0 to 3);
    fpga_0_SRAM0_ZBT_512Kx32_Mem_WEN_pin : out std_logic;
    fpga_0_SRAM0_ZBT_512Kx32_Mem_A_pin : out std_logic_vector(11 to 29);
    fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin : inout std_logic_vector(0 to 31);
    fpga_0_SRAM1_ZBT_512Kx32_Mem_OEN_pin : out std_logic_vector(0 to 0);
    fpga_0_SRAM1_ZBT_512Kx32_Mem_ADV_LDN_pin : out std_logic;
    fpga_0_SRAM1_ZBT_512Kx32_Mem_CKEN_pin : out std_logic;
    fpga_0_SRAM1_ZBT_512Kx32_Mem_BEN_pin : out std_logic_vector(0 to 3);
    fpga_0_SRAM1_ZBT_512Kx32_Mem_WEN_pin : out std_logic;
    fpga_0_SRAM1_ZBT_512Kx32_Mem_CE_pin : out std_logic;
    fpga_0_SRAM1_ZBT_512Kx32_Mem_A_pin : out std_logic_vector(11 to 29);
    fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin : inout std_logic_vector(0 to 31);
    fpga_0_SRAM0_CLOCK : out std_logic;
    fpga_0_SRAM1_CLOCK : out std_logic;
    user_io_board_controller_plbw_0_sdi_pin : out std_logic;
    user_io_board_controller_plbw_0_scl_pin : out std_logic;
    user_io_board_controller_plbw_0_resetlcd_pin : out std_logic;
    user_io_board_controller_plbw_0_leds_pin : out std_logic_vector(0 to 7);
    user_io_board_controller_plbw_0_cs_pin : out std_logic;
    user_io_board_controller_plbw_0_buzzer_pin : out std_logic;
    user_io_board_controller_plbw_0_dip_switch_pin : in std_logic_vector(0 to 3);
    user_io_board_controller_plbw_0_buttons_small_pin : in std_logic_vector(0 to 5);
    user_io_board_controller_plbw_0_buttons_big_pin : in std_logic_vector(0 to 1);
    user_io_board_controller_plbw_0_trackball_yscn_pin : out std_logic;
    user_io_board_controller_plbw_0_trackball_sel1_pin : out std_logic;
    user_io_board_controller_plbw_0_trackball_xscn_pin : out std_logic;
    user_io_board_controller_plbw_0_trackball_sel2_pin : in std_logic;
    user_io_board_controller_plbw_0_trackball_oyn_pin : in std_logic;
    user_io_board_controller_plbw_0_trackball_oy_pin : in std_logic;
    user_io_board_controller_plbw_0_trackball_oxn_pin : in std_logic;
    user_io_board_controller_plbw_0_trackball_ox_pin : in std_logic;
    sys_clk_pin : in std_logic;
    sys_rst_pin : in std_logic;
    debug : out std_logic_vector(0 to 9);
    debug_chipscopetrig_pin : in std_logic;
    debug_GPIO_d_out_pin : out std_logic_vector(0 to 3)
  );
end system;

architecture STRUCTURE of system is

  component ppc405_0_wrapper is
    port (
      C405CPMCORESLEEPREQ : out std_logic;
      C405CPMMSRCE : out std_logic;
      C405CPMMSREE : out std_logic;
      C405CPMTIMERIRQ : out std_logic;
      C405CPMTIMERRESETREQ : out std_logic;
      C405XXXMACHINECHECK : out std_logic;
      CPMC405CLOCK : in std_logic;
      CPMC405CORECLKINACTIVE : in std_logic;
      CPMC405CPUCLKEN : in std_logic;
      CPMC405JTAGCLKEN : in std_logic;
      CPMC405TIMERCLKEN : in std_logic;
      CPMC405TIMERTICK : in std_logic;
      MCBCPUCLKEN : in std_logic;
      MCBTIMEREN : in std_logic;
      MCPPCRST : in std_logic;
      DCRCLK : in std_logic;
      C405RSTCHIPRESETREQ : out std_logic;
      C405RSTCORERESETREQ : out std_logic;
      C405RSTSYSRESETREQ : out std_logic;
      RSTC405RESETCHIP : in std_logic;
      RSTC405RESETCORE : in std_logic;
      RSTC405RESETSYS : in std_logic;
      IPLB0_PLB_Clk : in std_logic;
      IPLB0_PLB_Rst : in std_logic;
      IPLB0_PLB_MBusy : in std_logic;
      IPLB0_PLB_MRdErr : in std_logic;
      IPLB0_PLB_MWrErr : in std_logic;
      IPLB0_PLB_MWrBTerm : in std_logic;
      IPLB0_PLB_MWrDAck : in std_logic;
      IPLB0_PLB_MAddrAck : in std_logic;
      IPLB0_PLB_MRdBTerm : in std_logic;
      IPLB0_PLB_MRdDAck : in std_logic;
      IPLB0_PLB_MRdDBus : in std_logic_vector(0 to 63);
      IPLB0_PLB_MRearbitrate : in std_logic;
      IPLB0_PLB_MSSize : in std_logic_vector(0 to 1);
      IPLB0_PLB_MTimeout : in std_logic;
      IPLB0_PLB_MRdWdAddr : in std_logic_vector(0 to 3);
      IPLB0_M_ABus : out std_logic_vector(0 to 31);
      IPLB0_M_BE : out std_logic_vector(0 to 7);
      IPLB0_M_MSize : out std_logic_vector(0 to 1);
      IPLB0_M_rdBurst : out std_logic;
      IPLB0_M_request : out std_logic;
      IPLB0_M_RNW : out std_logic;
      IPLB0_M_size : out std_logic_vector(0 to 3);
      IPLB0_M_wrBurst : out std_logic;
      IPLB0_M_wrDBus : out std_logic_vector(0 to 63);
      IPLB0_M_abort : out std_logic;
      IPLB0_M_UABus : out std_logic_vector(0 to 31);
      IPLB0_M_busLock : out std_logic;
      IPLB0_M_lockErr : out std_logic;
      IPLB0_M_priority : out std_logic_vector(0 to 1);
      IPLB0_M_type : out std_logic_vector(0 to 2);
      IPLB0_M_TAttribute : out std_logic_vector(0 to 15);
      DPLB0_PLB_Clk : in std_logic;
      DPLB0_PLB_Rst : in std_logic;
      DPLB0_PLB_MBusy : in std_logic;
      DPLB0_PLB_MRdErr : in std_logic;
      DPLB0_PLB_MWrErr : in std_logic;
      DPLB0_PLB_MWrBTerm : in std_logic;
      DPLB0_PLB_MWrDAck : in std_logic;
      DPLB0_PLB_MAddrAck : in std_logic;
      DPLB0_PLB_MRdBTerm : in std_logic;
      DPLB0_PLB_MRdDAck : in std_logic;
      DPLB0_PLB_MRdDBus : in std_logic_vector(0 to 63);
      DPLB0_PLB_MRearbitrate : in std_logic;
      DPLB0_PLB_MSSize : in std_logic_vector(0 to 1);
      DPLB0_PLB_MTimeout : in std_logic;
      DPLB0_PLB_MRdWdAddr : in std_logic_vector(0 to 3);
      DPLB0_M_ABus : out std_logic_vector(0 to 31);
      DPLB0_M_BE : out std_logic_vector(0 to 7);
      DPLB0_M_MSize : out std_logic_vector(0 to 1);
      DPLB0_M_rdBurst : out std_logic;
      DPLB0_M_request : out std_logic;
      DPLB0_M_RNW : out std_logic;
      DPLB0_M_size : out std_logic_vector(0 to 3);
      DPLB0_M_wrBurst : out std_logic;
      DPLB0_M_wrDBus : out std_logic_vector(0 to 63);
      DPLB0_M_abort : out std_logic;
      DPLB0_M_UABus : out std_logic_vector(0 to 31);
      DPLB0_M_busLock : out std_logic;
      DPLB0_M_lockErr : out std_logic;
      DPLB0_M_priority : out std_logic_vector(0 to 1);
      DPLB0_M_type : out std_logic_vector(0 to 2);
      DPLB0_M_TAttribute : out std_logic_vector(0 to 15);
      IPLB1_PLB_Clk : in std_logic;
      IPLB1_PLB_Rst : in std_logic;
      IPLB1_PLB_MBusy : in std_logic;
      IPLB1_PLB_MRdErr : in std_logic;
      IPLB1_PLB_MWrErr : in std_logic;
      IPLB1_PLB_MWrBTerm : in std_logic;
      IPLB1_PLB_MWrDAck : in std_logic;
      IPLB1_PLB_MAddrAck : in std_logic;
      IPLB1_PLB_MRdBTerm : in std_logic;
      IPLB1_PLB_MRdDAck : in std_logic;
      IPLB1_PLB_MRdDBus : in std_logic_vector(0 to 63);
      IPLB1_PLB_MRearbitrate : in std_logic;
      IPLB1_PLB_MSSize : in std_logic_vector(0 to 1);
      IPLB1_PLB_MTimeout : in std_logic;
      IPLB1_PLB_MRdWdAddr : in std_logic_vector(0 to 3);
      IPLB1_M_ABus : out std_logic_vector(0 to 31);
      IPLB1_M_BE : out std_logic_vector(0 to 7);
      IPLB1_M_MSize : out std_logic_vector(0 to 1);
      IPLB1_M_rdBurst : out std_logic;
      IPLB1_M_request : out std_logic;
      IPLB1_M_RNW : out std_logic;
      IPLB1_M_size : out std_logic_vector(0 to 3);
      IPLB1_M_wrBurst : out std_logic;
      IPLB1_M_wrDBus : out std_logic_vector(0 to 63);
      IPLB1_M_abort : out std_logic;
      IPLB1_M_UABus : out std_logic_vector(0 to 31);
      IPLB1_M_busLock : out std_logic;
      IPLB1_M_lockErr : out std_logic;
      IPLB1_M_priority : out std_logic_vector(0 to 1);
      IPLB1_M_type : out std_logic_vector(0 to 2);
      IPLB1_M_TAttribute : out std_logic_vector(0 to 15);
      DPLB1_PLB_Clk : in std_logic;
      DPLB1_PLB_Rst : in std_logic;
      DPLB1_PLB_MBusy : in std_logic;
      DPLB1_PLB_MRdErr : in std_logic;
      DPLB1_PLB_MWrErr : in std_logic;
      DPLB1_PLB_MWrBTerm : in std_logic;
      DPLB1_PLB_MWrDAck : in std_logic;
      DPLB1_PLB_MAddrAck : in std_logic;
      DPLB1_PLB_MRdBTerm : in std_logic;
      DPLB1_PLB_MRdDAck : in std_logic;
      DPLB1_PLB_MRdDBus : in std_logic_vector(0 to 63);
      DPLB1_PLB_MRearbitrate : in std_logic;
      DPLB1_PLB_MSSize : in std_logic_vector(0 to 1);
      DPLB1_PLB_MTimeout : in std_logic;
      DPLB1_PLB_MRdWdAddr : in std_logic_vector(0 to 3);
      DPLB1_M_ABus : out std_logic_vector(0 to 31);
      DPLB1_M_BE : out std_logic_vector(0 to 7);
      DPLB1_M_MSize : out std_logic_vector(0 to 1);
      DPLB1_M_rdBurst : out std_logic;
      DPLB1_M_request : out std_logic;
      DPLB1_M_RNW : out std_logic;
      DPLB1_M_size : out std_logic_vector(0 to 3);
      DPLB1_M_wrBurst : out std_logic;
      DPLB1_M_wrDBus : out std_logic_vector(0 to 63);
      DPLB1_M_abort : out std_logic;
      DPLB1_M_UABus : out std_logic_vector(0 to 31);
      DPLB1_M_busLock : out std_logic;
      DPLB1_M_lockErr : out std_logic;
      DPLB1_M_priority : out std_logic_vector(0 to 1);
      DPLB1_M_type : out std_logic_vector(0 to 2);
      DPLB1_M_TAttribute : out std_logic_vector(0 to 15);
      BRAMDSOCMCLK : in std_logic;
      BRAMDSOCMRDDBUS : in std_logic_vector(0 to 31);
      DSARCVALUE : in std_logic_vector(0 to 7);
      DSCNTLVALUE : in std_logic_vector(0 to 7);
      DSOCMBRAMABUS : out std_logic_vector(8 to 29);
      DSOCMBRAMBYTEWRITE : out std_logic_vector(0 to 3);
      DSOCMBRAMEN : out std_logic;
      DSOCMBRAMWRDBUS : out std_logic_vector(0 to 31);
      DSOCMBUSY : out std_logic;
      BRAMISOCMCLK : in std_logic;
      BRAMISOCMRDDBUS : in std_logic_vector(0 to 63);
      ISARCVALUE : in std_logic_vector(0 to 7);
      ISCNTLVALUE : in std_logic_vector(0 to 7);
      ISOCMBRAMEN : out std_logic;
      ISOCMBRAMEVENWRITEEN : out std_logic;
      ISOCMBRAMODDWRITEEN : out std_logic;
      ISOCMBRAMRDABUS : out std_logic_vector(8 to 28);
      ISOCMBRAMWRABUS : out std_logic_vector(8 to 28);
      ISOCMBRAMWRDBUS : out std_logic_vector(0 to 31);
      C405DCRABUS : out std_logic_vector(0 to 9);
      C405DCRDBUSOUT : out std_logic_vector(0 to 31);
      C405DCRREAD : out std_logic;
      C405DCRWRITE : out std_logic;
      DCRC405ACK : in std_logic;
      DCRC405DBUSIN : in std_logic_vector(0 to 31);
      EICC405CRITINPUTIRQ : in std_logic;
      EICC405EXTINPUTIRQ : in std_logic;
      C405JTGCAPTUREDR : out std_logic;
      C405JTGEXTEST : out std_logic;
      C405JTGPGMOUT : out std_logic;
      C405JTGSHIFTDR : out std_logic;
      C405JTGTDO : out std_logic;
      C405JTGTDOEN : out std_logic;
      C405JTGUPDATEDR : out std_logic;
      MCBJTAGEN : in std_logic;
      JTGC405BNDSCANTDO : in std_logic;
      JTGC405TCK : in std_logic;
      JTGC405TDI : in std_logic;
      JTGC405TMS : in std_logic;
      JTGC405TRSTNEG : in std_logic;
      C405DBGMSRWE : out std_logic;
      C405DBGSTOPACK : out std_logic;
      C405DBGWBCOMPLETE : out std_logic;
      C405DBGWBFULL : out std_logic;
      C405DBGWBIAR : out std_logic_vector(0 to 29);
      DBGC405DEBUGHALT : in std_logic;
      DBGC405DEBUGHALTNEG : in std_logic;
      DBGC405EXTBUSHOLDACK : in std_logic;
      DBGC405UNCONDDEBUGEVENT : in std_logic;
      C405TRCCYCLE : out std_logic;
      C405TRCEVENEXECUTIONSTATUS : out std_logic_vector(0 to 1);
      C405TRCODDEXECUTIONSTATUS : out std_logic_vector(0 to 1);
      C405TRCTRACESTATUS : out std_logic_vector(0 to 3);
      C405TRCTRIGGEREVENTOUT : out std_logic;
      C405TRCTRIGGEREVENTTYPE : out std_logic_vector(0 to 10);
      TRCC405TRACEDISABLE : in std_logic;
      TRCC405TRIGGEREVENTIN : in std_logic
    );
  end component;

  component jtagppc_cntlr_0_wrapper is
    port (
      TRSTNEG : in std_logic;
      HALTNEG0 : in std_logic;
      DBGC405DEBUGHALT0 : out std_logic;
      HALTNEG1 : in std_logic;
      DBGC405DEBUGHALT1 : out std_logic;
      C405JTGTDO0 : in std_logic;
      C405JTGTDOEN0 : in std_logic;
      JTGC405TCK0 : out std_logic;
      JTGC405TDI0 : out std_logic;
      JTGC405TMS0 : out std_logic;
      JTGC405TRSTNEG0 : out std_logic;
      C405JTGTDO1 : in std_logic;
      C405JTGTDOEN1 : in std_logic;
      JTGC405TCK1 : out std_logic;
      JTGC405TDI1 : out std_logic;
      JTGC405TMS1 : out std_logic;
      JTGC405TRSTNEG1 : out std_logic
    );
  end component;

  component plb0_wrapper is
    port (
      PLB_Clk : in std_logic;
      SYS_Rst : in std_logic;
      PLB_Rst : out std_logic;
      SPLB_Rst : out std_logic_vector(0 to 12);
      MPLB_Rst : out std_logic_vector(0 to 2);
      PLB_dcrAck : out std_logic;
      PLB_dcrDBus : out std_logic_vector(0 to 31);
      DCR_ABus : in std_logic_vector(0 to 9);
      DCR_DBus : in std_logic_vector(0 to 31);
      DCR_Read : in std_logic;
      DCR_Write : in std_logic;
      M_ABus : in std_logic_vector(0 to 95);
      M_UABus : in std_logic_vector(0 to 95);
      M_BE : in std_logic_vector(0 to 23);
      M_RNW : in std_logic_vector(0 to 2);
      M_abort : in std_logic_vector(0 to 2);
      M_busLock : in std_logic_vector(0 to 2);
      M_TAttribute : in std_logic_vector(0 to 47);
      M_lockErr : in std_logic_vector(0 to 2);
      M_MSize : in std_logic_vector(0 to 5);
      M_priority : in std_logic_vector(0 to 5);
      M_rdBurst : in std_logic_vector(0 to 2);
      M_request : in std_logic_vector(0 to 2);
      M_size : in std_logic_vector(0 to 11);
      M_type : in std_logic_vector(0 to 8);
      M_wrBurst : in std_logic_vector(0 to 2);
      M_wrDBus : in std_logic_vector(0 to 191);
      Sl_addrAck : in std_logic_vector(0 to 12);
      Sl_MRdErr : in std_logic_vector(0 to 38);
      Sl_MWrErr : in std_logic_vector(0 to 38);
      Sl_MBusy : in std_logic_vector(0 to 38);
      Sl_rdBTerm : in std_logic_vector(0 to 12);
      Sl_rdComp : in std_logic_vector(0 to 12);
      Sl_rdDAck : in std_logic_vector(0 to 12);
      Sl_rdDBus : in std_logic_vector(0 to 831);
      Sl_rdWdAddr : in std_logic_vector(0 to 51);
      Sl_rearbitrate : in std_logic_vector(0 to 12);
      Sl_SSize : in std_logic_vector(0 to 25);
      Sl_wait : in std_logic_vector(0 to 12);
      Sl_wrBTerm : in std_logic_vector(0 to 12);
      Sl_wrComp : in std_logic_vector(0 to 12);
      Sl_wrDAck : in std_logic_vector(0 to 12);
      Sl_MIRQ : in std_logic_vector(0 to 38);
      PLB_MIRQ : out std_logic_vector(0 to 2);
      PLB_ABus : out std_logic_vector(0 to 31);
      PLB_UABus : out std_logic_vector(0 to 31);
      PLB_BE : out std_logic_vector(0 to 7);
      PLB_MAddrAck : out std_logic_vector(0 to 2);
      PLB_MTimeout : out std_logic_vector(0 to 2);
      PLB_MBusy : out std_logic_vector(0 to 2);
      PLB_MRdErr : out std_logic_vector(0 to 2);
      PLB_MWrErr : out std_logic_vector(0 to 2);
      PLB_MRdBTerm : out std_logic_vector(0 to 2);
      PLB_MRdDAck : out std_logic_vector(0 to 2);
      PLB_MRdDBus : out std_logic_vector(0 to 191);
      PLB_MRdWdAddr : out std_logic_vector(0 to 11);
      PLB_MRearbitrate : out std_logic_vector(0 to 2);
      PLB_MWrBTerm : out std_logic_vector(0 to 2);
      PLB_MWrDAck : out std_logic_vector(0 to 2);
      PLB_MSSize : out std_logic_vector(0 to 5);
      PLB_PAValid : out std_logic;
      PLB_RNW : out std_logic;
      PLB_SAValid : out std_logic;
      PLB_abort : out std_logic;
      PLB_busLock : out std_logic;
      PLB_TAttribute : out std_logic_vector(0 to 15);
      PLB_lockErr : out std_logic;
      PLB_masterID : out std_logic_vector(0 to 1);
      PLB_MSize : out std_logic_vector(0 to 1);
      PLB_rdPendPri : out std_logic_vector(0 to 1);
      PLB_wrPendPri : out std_logic_vector(0 to 1);
      PLB_rdPendReq : out std_logic;
      PLB_wrPendReq : out std_logic;
      PLB_rdBurst : out std_logic;
      PLB_rdPrim : out std_logic_vector(0 to 12);
      PLB_reqPri : out std_logic_vector(0 to 1);
      PLB_size : out std_logic_vector(0 to 3);
      PLB_type : out std_logic_vector(0 to 2);
      PLB_wrBurst : out std_logic;
      PLB_wrDBus : out std_logic_vector(0 to 63);
      PLB_wrPrim : out std_logic_vector(0 to 12);
      PLB_SaddrAck : out std_logic;
      PLB_SMRdErr : out std_logic_vector(0 to 2);
      PLB_SMWrErr : out std_logic_vector(0 to 2);
      PLB_SMBusy : out std_logic_vector(0 to 2);
      PLB_SrdBTerm : out std_logic;
      PLB_SrdComp : out std_logic;
      PLB_SrdDAck : out std_logic;
      PLB_SrdDBus : out std_logic_vector(0 to 63);
      PLB_SrdWdAddr : out std_logic_vector(0 to 3);
      PLB_Srearbitrate : out std_logic;
      PLB_Sssize : out std_logic_vector(0 to 1);
      PLB_Swait : out std_logic;
      PLB_SwrBTerm : out std_logic;
      PLB_SwrComp : out std_logic;
      PLB_SwrDAck : out std_logic;
      Bus_Error_Det : out std_logic
    );
  end component;

  component xps_bram_if_cntlr_1_wrapper is
    port (
      SPLB_Clk : in std_logic;
      SPLB_Rst : in std_logic;
      PLB_ABus : in std_logic_vector(0 to 31);
      PLB_UABus : in std_logic_vector(0 to 31);
      PLB_PAValid : in std_logic;
      PLB_SAValid : in std_logic;
      PLB_rdPrim : in std_logic;
      PLB_wrPrim : in std_logic;
      PLB_masterID : in std_logic_vector(0 to 1);
      PLB_abort : in std_logic;
      PLB_busLock : in std_logic;
      PLB_RNW : in std_logic;
      PLB_BE : in std_logic_vector(0 to 7);
      PLB_MSize : in std_logic_vector(0 to 1);
      PLB_size : in std_logic_vector(0 to 3);
      PLB_type : in std_logic_vector(0 to 2);
      PLB_lockErr : in std_logic;
      PLB_wrDBus : in std_logic_vector(0 to 63);
      PLB_wrBurst : in std_logic;
      PLB_rdBurst : in std_logic;
      PLB_wrPendReq : in std_logic;
      PLB_rdPendReq : in std_logic;
      PLB_wrPendPri : in std_logic_vector(0 to 1);
      PLB_rdPendPri : in std_logic_vector(0 to 1);
      PLB_reqPri : in std_logic_vector(0 to 1);
      PLB_TAttribute : in std_logic_vector(0 to 15);
      Sl_addrAck : out std_logic;
      Sl_SSize : out std_logic_vector(0 to 1);
      Sl_wait : out std_logic;
      Sl_rearbitrate : out std_logic;
      Sl_wrDAck : out std_logic;
      Sl_wrComp : out std_logic;
      Sl_wrBTerm : out std_logic;
      Sl_rdDBus : out std_logic_vector(0 to 63);
      Sl_rdWdAddr : out std_logic_vector(0 to 3);
      Sl_rdDAck : out std_logic;
      Sl_rdComp : out std_logic;
      Sl_rdBTerm : out std_logic;
      Sl_MBusy : out std_logic_vector(0 to 2);
      Sl_MWrErr : out std_logic_vector(0 to 2);
      Sl_MRdErr : out std_logic_vector(0 to 2);
      Sl_MIRQ : out std_logic_vector(0 to 2);
      BRAM_Rst : out std_logic;
      BRAM_Clk : out std_logic;
      BRAM_EN : out std_logic;
      BRAM_WEN : out std_logic_vector(0 to 7);
      BRAM_Addr : out std_logic_vector(0 to 31);
      BRAM_Din : in std_logic_vector(0 to 63);
      BRAM_Dout : out std_logic_vector(0 to 63)
    );
  end component;

  component plb_bram_if_cntlr_1_bram_wrapper is
    port (
      BRAM_Rst_A : in std_logic;
      BRAM_Clk_A : in std_logic;
      BRAM_EN_A : in std_logic;
      BRAM_WEN_A : in std_logic_vector(0 to 7);
      BRAM_Addr_A : in std_logic_vector(0 to 31);
      BRAM_Din_A : out std_logic_vector(0 to 63);
      BRAM_Dout_A : in std_logic_vector(0 to 63);
      BRAM_Rst_B : in std_logic;
      BRAM_Clk_B : in std_logic;
      BRAM_EN_B : in std_logic;
      BRAM_WEN_B : in std_logic_vector(0 to 7);
      BRAM_Addr_B : in std_logic_vector(0 to 31);
      BRAM_Din_B : out std_logic_vector(0 to 63);
      BRAM_Dout_B : in std_logic_vector(0 to 63)
    );
  end component;

  component user_io_wrapper is
    port (
      SPLB_Clk : in std_logic;
      SPLB_Rst : in std_logic;
      PLB_ABus : in std_logic_vector(0 to 31);
      PLB_UABus : in std_logic_vector(0 to 31);
      PLB_PAValid : in std_logic;
      PLB_SAValid : in std_logic;
      PLB_rdPrim : in std_logic;
      PLB_wrPrim : in std_logic;
      PLB_masterID : in std_logic_vector(0 to 1);
      PLB_abort : in std_logic;
      PLB_busLock : in std_logic;
      PLB_RNW : in std_logic;
      PLB_BE : in std_logic_vector(0 to 7);
      PLB_MSize : in std_logic_vector(0 to 1);
      PLB_size : in std_logic_vector(0 to 3);
      PLB_type : in std_logic_vector(0 to 2);
      PLB_lockErr : in std_logic;
      PLB_wrDBus : in std_logic_vector(0 to 63);
      PLB_wrBurst : in std_logic;
      PLB_rdBurst : in std_logic;
      PLB_wrPendReq : in std_logic;
      PLB_rdPendReq : in std_logic;
      PLB_wrPendPri : in std_logic_vector(0 to 1);
      PLB_rdPendPri : in std_logic_vector(0 to 1);
      PLB_reqPri : in std_logic_vector(0 to 1);
      PLB_TAttribute : in std_logic_vector(0 to 15);
      Sl_addrAck : out std_logic;
      Sl_SSize : out std_logic_vector(0 to 1);
      Sl_wait : out std_logic;
      Sl_rearbitrate : out std_logic;
      Sl_wrDAck : out std_logic;
      Sl_wrComp : out std_logic;
      Sl_wrBTerm : out std_logic;
      Sl_rdDBus : out std_logic_vector(0 to 63);
      Sl_rdWdAddr : out std_logic_vector(0 to 3);
      Sl_rdDAck : out std_logic;
      Sl_rdComp : out std_logic;
      Sl_rdBTerm : out std_logic;
      Sl_MBusy : out std_logic_vector(0 to 2);
      Sl_MWrErr : out std_logic_vector(0 to 2);
      Sl_MRdErr : out std_logic_vector(0 to 2);
      Sl_MIRQ : out std_logic_vector(0 to 2);
      IP2INTC_Irpt : out std_logic;
      GPIO_IO_I : in std_logic_vector(0 to 17);
      GPIO_IO_O : out std_logic_vector(0 to 17);
      GPIO_IO_T : out std_logic_vector(0 to 17);
      GPIO_in : in std_logic_vector(0 to 17);
      GPIO_d_out : out std_logic_vector(0 to 17);
      GPIO_t_out : out std_logic_vector(0 to 17);
      GPIO2_IO_I : in std_logic_vector(0 to 17);
      GPIO2_IO_O : out std_logic_vector(0 to 17);
      GPIO2_IO_T : out std_logic_vector(0 to 17);
      GPIO2_in : in std_logic_vector(0 to 17);
      GPIO2_d_out : out std_logic_vector(0 to 17);
      GPIO2_t_out : out std_logic_vector(0 to 17)
    );
  end component;

  component rs232_wrapper is
    port (
      SPLB_Clk : in std_logic;
      SPLB_Rst : in std_logic;
      PLB_ABus : in std_logic_vector(0 to 31);
      PLB_PAValid : in std_logic;
      PLB_masterID : in std_logic_vector(0 to 1);
      PLB_RNW : in std_logic;
      PLB_BE : in std_logic_vector(0 to 7);
      PLB_size : in std_logic_vector(0 to 3);
      PLB_type : in std_logic_vector(0 to 2);
      PLB_wrDBus : in std_logic_vector(0 to 63);
      PLB_UABus : in std_logic_vector(0 to 31);
      PLB_SAValid : in std_logic;
      PLB_rdPrim : in std_logic;
      PLB_wrPrim : in std_logic;
      PLB_abort : in std_logic;
      PLB_busLock : in std_logic;
      PLB_MSize : in std_logic_vector(0 to 1);
      PLB_lockErr : in std_logic;
      PLB_wrBurst : in std_logic;
      PLB_rdBurst : in std_logic;
      PLB_wrPendReq : in std_logic;
      PLB_rdPendReq : in std_logic;
      PLB_wrPendPri : in std_logic_vector(0 to 1);
      PLB_rdPendPri : in std_logic_vector(0 to 1);
      PLB_reqPri : in std_logic_vector(0 to 1);
      PLB_TAttribute : in std_logic_vector(0 to 15);
      Sl_addrAck : out std_logic;
      Sl_SSize : out std_logic_vector(0 to 1);
      Sl_wait : out std_logic;
      Sl_rearbitrate : out std_logic;
      Sl_wrDAck : out std_logic;
      Sl_wrComp : out std_logic;
      Sl_rdDBus : out std_logic_vector(0 to 63);
      Sl_rdDAck : out std_logic;
      Sl_rdComp : out std_logic;
      Sl_MBusy : out std_logic_vector(0 to 2);
      Sl_MWrErr : out std_logic_vector(0 to 2);
      Sl_MRdErr : out std_logic_vector(0 to 2);
      Sl_wrBTerm : out std_logic;
      Sl_rdWdAddr : out std_logic_vector(0 to 3);
      Sl_rdBTerm : out std_logic;
      Sl_MIRQ : out std_logic_vector(0 to 2);
      RX : in std_logic;
      TX : out std_logic;
      Interrupt : out std_logic
    );
  end component;

  component sysace_compactflash_wrapper is
    port (
      SPLB_Clk : in std_logic;
      SPLB_Rst : in std_logic;
      PLB_ABus : in std_logic_vector(0 to 31);
      PLB_UABus : in std_logic_vector(0 to 31);
      PLB_PAValid : in std_logic;
      PLB_SAValid : in std_logic;
      PLB_rdPrim : in std_logic;
      PLB_wrPrim : in std_logic;
      PLB_masterID : in std_logic_vector(0 to 1);
      PLB_abort : in std_logic;
      PLB_busLock : in std_logic;
      PLB_RNW : in std_logic;
      PLB_BE : in std_logic_vector(0 to 7);
      PLB_MSize : in std_logic_vector(0 to 1);
      PLB_size : in std_logic_vector(0 to 3);
      PLB_type : in std_logic_vector(0 to 2);
      PLB_lockErr : in std_logic;
      PLB_wrDBus : in std_logic_vector(0 to 63);
      PLB_wrBurst : in std_logic;
      PLB_rdBurst : in std_logic;
      PLB_wrPendReq : in std_logic;
      PLB_rdPendReq : in std_logic;
      PLB_wrPendPri : in std_logic_vector(0 to 1);
      PLB_rdPendPri : in std_logic_vector(0 to 1);
      PLB_reqPri : in std_logic_vector(0 to 1);
      PLB_TAttribute : in std_logic_vector(0 to 15);
      Sl_addrAck : out std_logic;
      Sl_SSize : out std_logic_vector(0 to 1);
      Sl_wait : out std_logic;
      Sl_rearbitrate : out std_logic;
      Sl_wrDAck : out std_logic;
      Sl_wrComp : out std_logic;
      Sl_wrBTerm : out std_logic;
      Sl_rdDBus : out std_logic_vector(0 to 63);
      Sl_rdWdAddr : out std_logic_vector(0 to 3);
      Sl_rdDAck : out std_logic;
      Sl_rdComp : out std_logic;
      Sl_rdBTerm : out std_logic;
      Sl_MBusy : out std_logic_vector(0 to 2);
      Sl_MWrErr : out std_logic_vector(0 to 2);
      Sl_MRdErr : out std_logic_vector(0 to 2);
      Sl_MIRQ : out std_logic_vector(0 to 2);
      SysACE_MPA : out std_logic_vector(6 downto 0);
      SysACE_CLK : in std_logic;
      SysACE_MPIRQ : in std_logic;
      SysACE_MPD_I : in std_logic_vector(15 downto 0);
      SysACE_MPD_O : out std_logic_vector(15 downto 0);
      SysACE_MPD_T : out std_logic_vector(15 downto 0);
      SysACE_CEN : out std_logic;
      SysACE_OEN : out std_logic;
      SysACE_WEN : out std_logic;
      SysACE_IRQ : out std_logic
    );
  end component;

  component clk_board_config_wrapper is
    port (
      sys_clk : in std_logic;
      sys_rst : in std_logic;
      cfg_radio_dat_out : out std_logic;
      cfg_radio_csb_out : out std_logic;
      cfg_radio_en_out : out std_logic;
      cfg_radio_clk_out : out std_logic;
      cfg_logic_dat_out : out std_logic;
      cfg_logic_csb_out : out std_logic;
      cfg_logic_en_out : out std_logic;
      cfg_logic_clk_out : out std_logic;
      config_invalid : out std_logic
    );
  end component;

  component ethernet_mac_wrapper is
    port (
      PHY_tx_clk : in std_logic;
      PHY_rx_clk : in std_logic;
      PHY_crs : in std_logic;
      PHY_dv : in std_logic;
      PHY_rx_data : in std_logic_vector(3 downto 0);
      PHY_col : in std_logic;
      PHY_rx_er : in std_logic;
      PHY_rst_n : out std_logic;
      PHY_tx_en : out std_logic;
      PHY_tx_data : out std_logic_vector(3 downto 0);
      IP2INTC_Irpt : out std_logic;
      SPLB_Clk : in std_logic;
      SPLB_Rst : in std_logic;
      PLB_ABus : in std_logic_vector(0 to 31);
      PLB_UABus : in std_logic_vector(0 to 31);
      PLB_PAValid : in std_logic;
      PLB_SAValid : in std_logic;
      PLB_rdPrim : in std_logic;
      PLB_wrPrim : in std_logic;
      PLB_masterID : in std_logic_vector(0 to 1);
      PLB_abort : in std_logic;
      PLB_busLock : in std_logic;
      PLB_RNW : in std_logic;
      PLB_BE : in std_logic_vector(0 to 7);
      PLB_MSize : in std_logic_vector(0 to 1);
      PLB_size : in std_logic_vector(0 to 3);
      PLB_type : in std_logic_vector(0 to 2);
      PLB_lockErr : in std_logic;
      PLB_wrDBus : in std_logic_vector(0 to 63);
      PLB_wrBurst : in std_logic;
      PLB_rdBurst : in std_logic;
      PLB_wrPendReq : in std_logic;
      PLB_rdPendReq : in std_logic;
      PLB_wrPendPri : in std_logic_vector(0 to 1);
      PLB_rdPendPri : in std_logic_vector(0 to 1);
      PLB_reqPri : in std_logic_vector(0 to 1);
      PLB_TAttribute : in std_logic_vector(0 to 15);
      Sl_addrAck : out std_logic;
      Sl_SSize : out std_logic_vector(0 to 1);
      Sl_wait : out std_logic;
      Sl_rearbitrate : out std_logic;
      Sl_wrDAck : out std_logic;
      Sl_wrComp : out std_logic;
      Sl_wrBTerm : out std_logic;
      Sl_rdDBus : out std_logic_vector(0 to 63);
      Sl_rdWdAddr : out std_logic_vector(0 to 3);
      Sl_rdDAck : out std_logic;
      Sl_rdComp : out std_logic;
      Sl_rdBTerm : out std_logic;
      Sl_MBusy : out std_logic_vector(0 to 2);
      Sl_MWrErr : out std_logic_vector(0 to 2);
      Sl_MRdErr : out std_logic_vector(0 to 2);
      Sl_MIRQ : out std_logic_vector(0 to 2)
    );
  end component;

  component radio_controller_0_wrapper is
    port (
      SPLB_Clk : in std_logic;
      SPLB_Rst : in std_logic;
      PLB_ABus : in std_logic_vector(0 to 31);
      PLB_UABus : in std_logic_vector(0 to 31);
      PLB_PAValid : in std_logic;
      PLB_SAValid : in std_logic;
      PLB_rdPrim : in std_logic;
      PLB_wrPrim : in std_logic;
      PLB_masterID : in std_logic_vector(0 to 0);
      PLB_abort : in std_logic;
      PLB_busLock : in std_logic;
      PLB_RNW : in std_logic;
      PLB_BE : in std_logic_vector(0 to 3);
      PLB_MSize : in std_logic_vector(0 to 1);
      PLB_size : in std_logic_vector(0 to 3);
      PLB_type : in std_logic_vector(0 to 2);
      PLB_lockErr : in std_logic;
      PLB_wrDBus : in std_logic_vector(0 to 31);
      PLB_wrBurst : in std_logic;
      PLB_rdBurst : in std_logic;
      PLB_wrPendReq : in std_logic;
      PLB_rdPendReq : in std_logic;
      PLB_wrPendPri : in std_logic_vector(0 to 1);
      PLB_rdPendPri : in std_logic_vector(0 to 1);
      PLB_reqPri : in std_logic_vector(0 to 1);
      PLB_TAttribute : in std_logic_vector(0 to 15);
      Sl_addrAck : out std_logic;
      Sl_SSize : out std_logic_vector(0 to 1);
      Sl_wait : out std_logic;
      Sl_rearbitrate : out std_logic;
      Sl_wrDAck : out std_logic;
      Sl_wrComp : out std_logic;
      Sl_wrBTerm : out std_logic;
      Sl_rdDBus : out std_logic_vector(0 to 31);
      Sl_rdWdAddr : out std_logic_vector(0 to 3);
      Sl_rdDAck : out std_logic;
      Sl_rdComp : out std_logic;
      Sl_rdBTerm : out std_logic;
      Sl_MBusy : out std_logic_vector(0 to 0);
      Sl_MWrErr : out std_logic_vector(0 to 0);
      Sl_MRdErr : out std_logic_vector(0 to 0);
      Sl_MIRQ : out std_logic_vector(0 to 0);
      controller_logic_clk : out std_logic;
      spi_clk : out std_logic;
      data_out : out std_logic;
      radio1_cs : out std_logic;
      radio2_cs : out std_logic;
      radio3_cs : out std_logic;
      radio4_cs : out std_logic;
      dac1_cs : out std_logic;
      dac2_cs : out std_logic;
      dac3_cs : out std_logic;
      dac4_cs : out std_logic;
      radio1_interpfiltbypass : out std_logic;
      radio1_decfiltbypass : out std_logic;
      radio1_SHDN : out std_logic;
      radio1_TxEn : out std_logic;
      radio1_RxEn : out std_logic;
      radio1_RxHP : out std_logic;
      radio1_LD : in std_logic;
      radio1_24PA : out std_logic;
      radio1_5PA : out std_logic;
      radio1_ANTSW : out std_logic_vector(0 to 1);
      radio1_LED : out std_logic_vector(0 to 2);
      radio1_ADC_RX_DCS : out std_logic;
      radio1_ADC_RX_DFS : out std_logic;
      radio1_ADC_RX_OTRA : in std_logic;
      radio1_ADC_RX_OTRB : in std_logic;
      radio1_ADC_RX_PWDNA : out std_logic;
      radio1_ADC_RX_PWDNB : out std_logic;
      radio1_DIPSW : in std_logic_vector(0 to 3);
      radio1_RSSI_ADC_CLAMP : out std_logic;
      radio1_RSSI_ADC_HIZ : out std_logic;
      radio1_RSSI_ADC_OTR : in std_logic;
      radio1_RSSI_ADC_SLEEP : out std_logic;
      radio1_RSSI_ADC_D : in std_logic_vector(0 to 9);
      radio1_TX_DAC_PLL_LOCK : in std_logic;
      radio1_TX_DAC_RESET : out std_logic;
      radio1_SHDN_external : in std_logic;
      radio1_TxEn_external : in std_logic;
      radio1_RxEn_external : in std_logic;
      radio1_RxHP_external : in std_logic;
      radio1_TxGain : out std_logic_vector(0 to 5);
      radio1_TxStart : out std_logic;
      radio2_interpfiltbypass : out std_logic;
      radio2_decfiltbypass : out std_logic;
      radio2_SHDN : out std_logic;
      radio2_TxEn : out std_logic;
      radio2_RxEn : out std_logic;
      radio2_RxHP : out std_logic;
      radio2_LD : in std_logic;
      radio2_24PA : out std_logic;
      radio2_5PA : out std_logic;
      radio2_ANTSW : out std_logic_vector(0 to 1);
      radio2_LED : out std_logic_vector(0 to 2);
      radio2_ADC_RX_DCS : out std_logic;
      radio2_ADC_RX_DFS : out std_logic;
      radio2_ADC_RX_OTRA : in std_logic;
      radio2_ADC_RX_OTRB : in std_logic;
      radio2_ADC_RX_PWDNA : out std_logic;
      radio2_ADC_RX_PWDNB : out std_logic;
      radio2_DIPSW : in std_logic_vector(0 to 3);
      radio2_RSSI_ADC_CLAMP : out std_logic;
      radio2_RSSI_ADC_HIZ : out std_logic;
      radio2_RSSI_ADC_OTR : in std_logic;
      radio2_RSSI_ADC_SLEEP : out std_logic;
      radio2_RSSI_ADC_D : in std_logic_vector(0 to 9);
      radio2_TX_DAC_PLL_LOCK : in std_logic;
      radio2_TX_DAC_RESET : out std_logic;
      radio2_SHDN_external : in std_logic;
      radio2_TxEn_external : in std_logic;
      radio2_RxEn_external : in std_logic;
      radio2_RxHP_external : in std_logic;
      radio2_TxGain : out std_logic_vector(0 to 5);
      radio2_TxStart : out std_logic;
      radio3_interpfiltbypass : out std_logic;
      radio3_decfiltbypass : out std_logic;
      radio3_SHDN : out std_logic;
      radio3_TxEn : out std_logic;
      radio3_RxEn : out std_logic;
      radio3_RxHP : out std_logic;
      radio3_LD : in std_logic;
      radio3_24PA : out std_logic;
      radio3_5PA : out std_logic;
      radio3_ANTSW : out std_logic_vector(0 to 1);
      radio3_LED : out std_logic_vector(0 to 2);
      radio3_ADC_RX_DCS : out std_logic;
      radio3_ADC_RX_DFS : out std_logic;
      radio3_ADC_RX_OTRA : in std_logic;
      radio3_ADC_RX_OTRB : in std_logic;
      radio3_ADC_RX_PWDNA : out std_logic;
      radio3_ADC_RX_PWDNB : out std_logic;
      radio3_DIPSW : in std_logic_vector(0 to 3);
      radio3_RSSI_ADC_CLAMP : out std_logic;
      radio3_RSSI_ADC_HIZ : out std_logic;
      radio3_RSSI_ADC_OTR : in std_logic;
      radio3_RSSI_ADC_SLEEP : out std_logic;
      radio3_RSSI_ADC_D : in std_logic_vector(0 to 9);
      radio3_TX_DAC_PLL_LOCK : in std_logic;
      radio3_TX_DAC_RESET : out std_logic;
      radio3_SHDN_external : in std_logic;
      radio3_TxEn_external : in std_logic;
      radio3_RxEn_external : in std_logic;
      radio3_RxHP_external : in std_logic;
      radio3_TxGain : out std_logic_vector(0 to 5);
      radio3_TxStart : out std_logic;
      radio4_interpfiltbypass : out std_logic;
      radio4_decfiltbypass : out std_logic;
      radio4_SHDN : out std_logic;
      radio4_TxEn : out std_logic;
      radio4_RxEn : out std_logic;
      radio4_RxHP : out std_logic;
      radio4_LD : in std_logic;
      radio4_24PA : out std_logic;
      radio4_5PA : out std_logic;
      radio4_ANTSW : out std_logic_vector(0 to 1);
      radio4_LED : out std_logic_vector(0 to 2);
      radio4_ADC_RX_DCS : out std_logic;
      radio4_ADC_RX_DFS : out std_logic;
      radio4_ADC_RX_OTRA : in std_logic;
      radio4_ADC_RX_OTRB : in std_logic;
      radio4_ADC_RX_PWDNA : out std_logic;
      radio4_ADC_RX_PWDNB : out std_logic;
      radio4_DIPSW : in std_logic_vector(0 to 3);
      radio4_RSSI_ADC_CLAMP : out std_logic;
      radio4_RSSI_ADC_HIZ : out std_logic;
      radio4_RSSI_ADC_OTR : in std_logic;
      radio4_RSSI_ADC_SLEEP : out std_logic;
      radio4_RSSI_ADC_D : in std_logic_vector(0 to 9);
      radio4_TX_DAC_PLL_LOCK : in std_logic;
      radio4_TX_DAC_RESET : out std_logic;
      radio4_SHDN_external : in std_logic;
      radio4_TxEn_external : in std_logic;
      radio4_RxEn_external : in std_logic;
      radio4_RxHP_external : in std_logic;
      radio4_TxGain : out std_logic_vector(0 to 5);
      radio4_TxStart : out std_logic
    );
  end component;

  component radio_bridge_slot_2_wrapper is
    port (
      user_ADC_I : out std_logic_vector(0 to 13);
      user_ADC_Q : out std_logic_vector(0 to 13);
      user_DAC_I : in std_logic_vector(0 to 15);
      user_DAC_Q : in std_logic_vector(0 to 15);
      user_RxRF_gain : in std_logic_vector(0 to 1);
      user_RxBB_gain : in std_logic_vector(0 to 4);
      user_Tx_gain : in std_logic_vector(0 to 5);
      user_TxModelStart : out std_logic;
      user_RSSI_ADC_clk : in std_logic;
      user_RSSI_ADC_D : out std_logic_vector(0 to 9);
      user_EEPROM_IO_T : in std_logic;
      user_EEPROM_IO_O : in std_logic;
      user_EEPROM_IO_I : out std_logic;
      user_SHDN_external : in std_logic;
      user_RxEn_external : in std_logic;
      user_TxEn_external : in std_logic;
      user_RxHP_external : in std_logic;
      converter_clock_in : in std_logic;
      converter_clock_out : out std_logic;
      radio_RSSI_ADC_clk : out std_logic;
      radio_DAC_I : out std_logic_vector(15 downto 0);
      radio_DAC_Q : out std_logic_vector(15 downto 0);
      radio_ADC_I : in std_logic_vector(13 downto 0);
      radio_ADC_Q : in std_logic_vector(13 downto 0);
      radio_B : out std_logic_vector(6 downto 0);
      radio_ANTSW : out std_logic_vector(1 downto 0);
      radio_LED : out std_logic_vector(2 downto 0);
      radio_DIPSW : in std_logic_vector(3 downto 0);
      radio_RSSI_ADC_D : in std_logic_vector(9 downto 0);
      radio_EEPROM_IO : inout std_logic;
      radio_spi_clk : out std_logic;
      radio_spi_data : out std_logic;
      radio_spi_cs : out std_logic;
      radio_SHDN : out std_logic;
      radio_TxEn : out std_logic;
      radio_RxEn : out std_logic;
      radio_RxHP : out std_logic;
      radio_24PA : out std_logic;
      radio_5PA : out std_logic;
      radio_RX_ADC_DCS : out std_logic;
      radio_RX_ADC_DFS : out std_logic;
      radio_RX_ADC_PWDNA : out std_logic;
      radio_RX_ADC_PWDNB : out std_logic;
      radio_RSSI_ADC_CLAMP : out std_logic;
      radio_RSSI_ADC_HIZ : out std_logic;
      radio_RSSI_ADC_SLEEP : out std_logic;
      radio_LD : in std_logic;
      radio_RX_ADC_OTRA : in std_logic;
      radio_RX_ADC_OTRB : in std_logic;
      radio_RSSI_ADC_OTR : in std_logic;
      radio_DAC_PLL_LOCK : in std_logic;
      radio_DAC_RESET : out std_logic;
      controller_interpfiltbypass : in std_logic;
      controller_decfiltbypass : in std_logic;
      controller_logic_clk : in std_logic;
      controller_spi_clk : in std_logic;
      controller_spi_data : in std_logic;
      controller_radio_cs : in std_logic;
      controller_dac_cs : in std_logic;
      controller_SHDN : in std_logic;
      controller_TxEn : in std_logic;
      controller_RxEn : in std_logic;
      controller_RxHP : in std_logic;
      controller_24PA : in std_logic;
      controller_5PA : in std_logic;
      controller_ANTSW : in std_logic_vector(0 to 1);
      controller_LED : in std_logic_vector(0 to 2);
      controller_RX_ADC_DCS : in std_logic;
      controller_RX_ADC_DFS : in std_logic;
      controller_RX_ADC_PWDNA : in std_logic;
      controller_RX_ADC_PWDNB : in std_logic;
      controller_RSSI_ADC_CLAMP : in std_logic;
      controller_RSSI_ADC_HIZ : in std_logic;
      controller_RSSI_ADC_SLEEP : in std_logic;
      controller_DIPSW : out std_logic_vector(0 to 3);
      controller_RSSI_ADC_D : out std_logic_vector(0 to 9);
      controller_LD : out std_logic;
      controller_RX_ADC_OTRA : out std_logic;
      controller_RX_ADC_OTRB : out std_logic;
      controller_RSSI_ADC_OTR : out std_logic;
      controller_DAC_PLL_LOCK : out std_logic;
      controller_DAC_RESET : in std_logic;
      controller_TxStart : in std_logic;
      dac_spi_data : out std_logic;
      dac_spi_cs : out std_logic;
      dac_spi_clk : out std_logic;
      controller_SHDN_external : out std_logic;
      controller_RxEn_external : out std_logic;
      controller_TxEn_external : out std_logic;
      controller_RxHP_external : out std_logic
    );
  end component;

  component radio_bridge_slot_3_wrapper is
    port (
      user_ADC_I : out std_logic_vector(0 to 13);
      user_ADC_Q : out std_logic_vector(0 to 13);
      user_DAC_I : in std_logic_vector(0 to 15);
      user_DAC_Q : in std_logic_vector(0 to 15);
      user_RxRF_gain : in std_logic_vector(0 to 1);
      user_RxBB_gain : in std_logic_vector(0 to 4);
      user_Tx_gain : in std_logic_vector(0 to 5);
      user_TxModelStart : out std_logic;
      user_RSSI_ADC_clk : in std_logic;
      user_RSSI_ADC_D : out std_logic_vector(0 to 9);
      user_EEPROM_IO_T : in std_logic;
      user_EEPROM_IO_O : in std_logic;
      user_EEPROM_IO_I : out std_logic;
      user_SHDN_external : in std_logic;
      user_RxEn_external : in std_logic;
      user_TxEn_external : in std_logic;
      user_RxHP_external : in std_logic;
      converter_clock_in : in std_logic;
      converter_clock_out : out std_logic;
      radio_RSSI_ADC_clk : out std_logic;
      radio_DAC_I : out std_logic_vector(15 downto 0);
      radio_DAC_Q : out std_logic_vector(15 downto 0);
      radio_ADC_I : in std_logic_vector(13 downto 0);
      radio_ADC_Q : in std_logic_vector(13 downto 0);
      radio_B : out std_logic_vector(6 downto 0);
      radio_ANTSW : out std_logic_vector(1 downto 0);
      radio_LED : out std_logic_vector(2 downto 0);
      radio_DIPSW : in std_logic_vector(3 downto 0);
      radio_RSSI_ADC_D : in std_logic_vector(9 downto 0);
      radio_EEPROM_IO : inout std_logic;
      radio_spi_clk : out std_logic;
      radio_spi_data : out std_logic;
      radio_spi_cs : out std_logic;
      radio_SHDN : out std_logic;
      radio_TxEn : out std_logic;
      radio_RxEn : out std_logic;
      radio_RxHP : out std_logic;
      radio_24PA : out std_logic;
      radio_5PA : out std_logic;
      radio_RX_ADC_DCS : out std_logic;
      radio_RX_ADC_DFS : out std_logic;
      radio_RX_ADC_PWDNA : out std_logic;
      radio_RX_ADC_PWDNB : out std_logic;
      radio_RSSI_ADC_CLAMP : out std_logic;
      radio_RSSI_ADC_HIZ : out std_logic;
      radio_RSSI_ADC_SLEEP : out std_logic;
      radio_LD : in std_logic;
      radio_RX_ADC_OTRA : in std_logic;
      radio_RX_ADC_OTRB : in std_logic;
      radio_RSSI_ADC_OTR : in std_logic;
      radio_DAC_PLL_LOCK : in std_logic;
      radio_DAC_RESET : out std_logic;
      controller_interpfiltbypass : in std_logic;
      controller_decfiltbypass : in std_logic;
      controller_logic_clk : in std_logic;
      controller_spi_clk : in std_logic;
      controller_spi_data : in std_logic;
      controller_radio_cs : in std_logic;
      controller_dac_cs : in std_logic;
      controller_SHDN : in std_logic;
      controller_TxEn : in std_logic;
      controller_RxEn : in std_logic;
      controller_RxHP : in std_logic;
      controller_24PA : in std_logic;
      controller_5PA : in std_logic;
      controller_ANTSW : in std_logic_vector(0 to 1);
      controller_LED : in std_logic_vector(0 to 2);
      controller_RX_ADC_DCS : in std_logic;
      controller_RX_ADC_DFS : in std_logic;
      controller_RX_ADC_PWDNA : in std_logic;
      controller_RX_ADC_PWDNB : in std_logic;
      controller_RSSI_ADC_CLAMP : in std_logic;
      controller_RSSI_ADC_HIZ : in std_logic;
      controller_RSSI_ADC_SLEEP : in std_logic;
      controller_DIPSW : out std_logic_vector(0 to 3);
      controller_RSSI_ADC_D : out std_logic_vector(0 to 9);
      controller_LD : out std_logic;
      controller_RX_ADC_OTRA : out std_logic;
      controller_RX_ADC_OTRB : out std_logic;
      controller_RSSI_ADC_OTR : out std_logic;
      controller_DAC_PLL_LOCK : out std_logic;
      controller_DAC_RESET : in std_logic;
      controller_TxStart : in std_logic;
      dac_spi_data : out std_logic;
      dac_spi_cs : out std_logic;
      dac_spi_clk : out std_logic;
      controller_SHDN_external : out std_logic;
      controller_RxEn_external : out std_logic;
      controller_TxEn_external : out std_logic;
      controller_RxHP_external : out std_logic
    );
  end component;

  component analog_bridge_slot_4_wrapper is
    port (
      user_DAC1_A : in std_logic_vector(0 to 13);
      user_DAC1_B : in std_logic_vector(0 to 13);
      user_DAC2_A : in std_logic_vector(0 to 13);
      user_DAC2_B : in std_logic_vector(0 to 13);
      user_DAC1_sleep : in std_logic;
      user_DAC2_sleep : in std_logic;
      user_ADC_A : out std_logic_vector(0 to 13);
      user_ADC_B : out std_logic_vector(0 to 13);
      user_ADC_DFS : in std_logic;
      user_ADC_DCS : in std_logic;
      user_ADC_pdwnA : in std_logic;
      user_ADC_pdwnB : in std_logic;
      user_ADC_otrA : out std_logic;
      user_ADC_otrB : out std_logic;
      user_LED : in std_logic_vector(0 to 2);
      clock_in : in std_logic;
      clock_out : out std_logic;
      analog_DAC1_A : out std_logic_vector(13 downto 0);
      analog_DAC1_B : out std_logic_vector(13 downto 0);
      analog_DAC2_A : out std_logic_vector(13 downto 0);
      analog_DAC2_B : out std_logic_vector(13 downto 0);
      analog_DAC1_sleep : out std_logic;
      analog_DAC2_sleep : out std_logic;
      analog_ADC_A : in std_logic_vector(13 downto 0);
      analog_ADC_B : in std_logic_vector(13 downto 0);
      analog_ADC_DFS : out std_logic;
      analog_ADC_DCS : out std_logic;
      analog_ADC_pdwnA : out std_logic;
      analog_ADC_pdwnB : out std_logic;
      analog_ADC_otrA : in std_logic;
      analog_ADC_otrB : in std_logic;
      analog_LED : out std_logic_vector(0 to 2)
    );
  end component;

  component sram0_zbt_512kx32_wrapper is
    port (
      MCH_PLB_Clk : in std_logic;
      RdClk : in std_logic;
      MCH_PLB_Rst : in std_logic;
      MCH0_Access_Control : in std_logic;
      MCH0_Access_Data : in std_logic_vector(0 to 31);
      MCH0_Access_Write : in std_logic;
      MCH0_Access_Full : out std_logic;
      MCH0_ReadData_Control : out std_logic;
      MCH0_ReadData_Data : out std_logic_vector(0 to 31);
      MCH0_ReadData_Read : in std_logic;
      MCH0_ReadData_Exists : out std_logic;
      MCH1_Access_Control : in std_logic;
      MCH1_Access_Data : in std_logic_vector(0 to 31);
      MCH1_Access_Write : in std_logic;
      MCH1_Access_Full : out std_logic;
      MCH1_ReadData_Control : out std_logic;
      MCH1_ReadData_Data : out std_logic_vector(0 to 31);
      MCH1_ReadData_Read : in std_logic;
      MCH1_ReadData_Exists : out std_logic;
      MCH2_Access_Control : in std_logic;
      MCH2_Access_Data : in std_logic_vector(0 to 31);
      MCH2_Access_Write : in std_logic;
      MCH2_Access_Full : out std_logic;
      MCH2_ReadData_Control : out std_logic;
      MCH2_ReadData_Data : out std_logic_vector(0 to 31);
      MCH2_ReadData_Read : in std_logic;
      MCH2_ReadData_Exists : out std_logic;
      MCH3_Access_Control : in std_logic;
      MCH3_Access_Data : in std_logic_vector(0 to 31);
      MCH3_Access_Write : in std_logic;
      MCH3_Access_Full : out std_logic;
      MCH3_ReadData_Control : out std_logic;
      MCH3_ReadData_Data : out std_logic_vector(0 to 31);
      MCH3_ReadData_Read : in std_logic;
      MCH3_ReadData_Exists : out std_logic;
      PLB_ABus : in std_logic_vector(0 to 31);
      PLB_UABus : in std_logic_vector(0 to 31);
      PLB_PAValid : in std_logic;
      PLB_SAValid : in std_logic;
      PLB_rdPrim : in std_logic;
      PLB_wrPrim : in std_logic;
      PLB_masterID : in std_logic_vector(0 to 1);
      PLB_abort : in std_logic;
      PLB_busLock : in std_logic;
      PLB_RNW : in std_logic;
      PLB_BE : in std_logic_vector(0 to 7);
      PLB_MSize : in std_logic_vector(0 to 1);
      PLB_size : in std_logic_vector(0 to 3);
      PLB_type : in std_logic_vector(0 to 2);
      PLB_lockErr : in std_logic;
      PLB_wrDBus : in std_logic_vector(0 to 63);
      PLB_wrBurst : in std_logic;
      PLB_rdBurst : in std_logic;
      PLB_wrPendReq : in std_logic;
      PLB_rdPendReq : in std_logic;
      PLB_wrPendPri : in std_logic_vector(0 to 1);
      PLB_rdPendPri : in std_logic_vector(0 to 1);
      PLB_reqPri : in std_logic_vector(0 to 1);
      PLB_TAttribute : in std_logic_vector(0 to 15);
      Sl_addrAck : out std_logic;
      Sl_SSize : out std_logic_vector(0 to 1);
      Sl_wait : out std_logic;
      Sl_rearbitrate : out std_logic;
      Sl_wrDAck : out std_logic;
      Sl_wrComp : out std_logic;
      Sl_wrBTerm : out std_logic;
      Sl_rdDBus : out std_logic_vector(0 to 63);
      Sl_rdWdAddr : out std_logic_vector(0 to 3);
      Sl_rdDAck : out std_logic;
      Sl_rdComp : out std_logic;
      Sl_rdBTerm : out std_logic;
      Sl_MBusy : out std_logic_vector(0 to 2);
      Sl_MWrErr : out std_logic_vector(0 to 2);
      Sl_MRdErr : out std_logic_vector(0 to 2);
      Sl_MIRQ : out std_logic_vector(0 to 2);
      Mem_DQ_I : in std_logic_vector(0 to 31);
      Mem_DQ_O : out std_logic_vector(0 to 31);
      Mem_DQ_T : out std_logic_vector(0 to 31);
      Mem_A : out std_logic_vector(0 to 31);
      Mem_RPN : out std_logic;
      Mem_CEN : out std_logic_vector(0 to 0);
      Mem_OEN : out std_logic_vector(0 to 0);
      Mem_WEN : out std_logic;
      Mem_QWEN : out std_logic_vector(0 to 3);
      Mem_BEN : out std_logic_vector(0 to 3);
      Mem_CE : out std_logic_vector(0 to 0);
      Mem_ADV_LDN : out std_logic;
      Mem_LBON : out std_logic;
      Mem_CKEN : out std_logic;
      Mem_RNW : out std_logic
    );
  end component;

  component sram1_zbt_512kx32_wrapper is
    port (
      MCH_PLB_Clk : in std_logic;
      RdClk : in std_logic;
      MCH_PLB_Rst : in std_logic;
      MCH0_Access_Control : in std_logic;
      MCH0_Access_Data : in std_logic_vector(0 to 31);
      MCH0_Access_Write : in std_logic;
      MCH0_Access_Full : out std_logic;
      MCH0_ReadData_Control : out std_logic;
      MCH0_ReadData_Data : out std_logic_vector(0 to 31);
      MCH0_ReadData_Read : in std_logic;
      MCH0_ReadData_Exists : out std_logic;
      MCH1_Access_Control : in std_logic;
      MCH1_Access_Data : in std_logic_vector(0 to 31);
      MCH1_Access_Write : in std_logic;
      MCH1_Access_Full : out std_logic;
      MCH1_ReadData_Control : out std_logic;
      MCH1_ReadData_Data : out std_logic_vector(0 to 31);
      MCH1_ReadData_Read : in std_logic;
      MCH1_ReadData_Exists : out std_logic;
      MCH2_Access_Control : in std_logic;
      MCH2_Access_Data : in std_logic_vector(0 to 31);
      MCH2_Access_Write : in std_logic;
      MCH2_Access_Full : out std_logic;
      MCH2_ReadData_Control : out std_logic;
      MCH2_ReadData_Data : out std_logic_vector(0 to 31);
      MCH2_ReadData_Read : in std_logic;
      MCH2_ReadData_Exists : out std_logic;
      MCH3_Access_Control : in std_logic;
      MCH3_Access_Data : in std_logic_vector(0 to 31);
      MCH3_Access_Write : in std_logic;
      MCH3_Access_Full : out std_logic;
      MCH3_ReadData_Control : out std_logic;
      MCH3_ReadData_Data : out std_logic_vector(0 to 31);
      MCH3_ReadData_Read : in std_logic;
      MCH3_ReadData_Exists : out std_logic;
      PLB_ABus : in std_logic_vector(0 to 31);
      PLB_UABus : in std_logic_vector(0 to 31);
      PLB_PAValid : in std_logic;
      PLB_SAValid : in std_logic;
      PLB_rdPrim : in std_logic;
      PLB_wrPrim : in std_logic;
      PLB_masterID : in std_logic_vector(0 to 1);
      PLB_abort : in std_logic;
      PLB_busLock : in std_logic;
      PLB_RNW : in std_logic;
      PLB_BE : in std_logic_vector(0 to 7);
      PLB_MSize : in std_logic_vector(0 to 1);
      PLB_size : in std_logic_vector(0 to 3);
      PLB_type : in std_logic_vector(0 to 2);
      PLB_lockErr : in std_logic;
      PLB_wrDBus : in std_logic_vector(0 to 63);
      PLB_wrBurst : in std_logic;
      PLB_rdBurst : in std_logic;
      PLB_wrPendReq : in std_logic;
      PLB_rdPendReq : in std_logic;
      PLB_wrPendPri : in std_logic_vector(0 to 1);
      PLB_rdPendPri : in std_logic_vector(0 to 1);
      PLB_reqPri : in std_logic_vector(0 to 1);
      PLB_TAttribute : in std_logic_vector(0 to 15);
      Sl_addrAck : out std_logic;
      Sl_SSize : out std_logic_vector(0 to 1);
      Sl_wait : out std_logic;
      Sl_rearbitrate : out std_logic;
      Sl_wrDAck : out std_logic;
      Sl_wrComp : out std_logic;
      Sl_wrBTerm : out std_logic;
      Sl_rdDBus : out std_logic_vector(0 to 63);
      Sl_rdWdAddr : out std_logic_vector(0 to 3);
      Sl_rdDAck : out std_logic;
      Sl_rdComp : out std_logic;
      Sl_rdBTerm : out std_logic;
      Sl_MBusy : out std_logic_vector(0 to 2);
      Sl_MWrErr : out std_logic_vector(0 to 2);
      Sl_MRdErr : out std_logic_vector(0 to 2);
      Sl_MIRQ : out std_logic_vector(0 to 2);
      Mem_DQ_I : in std_logic_vector(0 to 31);
      Mem_DQ_O : out std_logic_vector(0 to 31);
      Mem_DQ_T : out std_logic_vector(0 to 31);
      Mem_A : out std_logic_vector(0 to 31);
      Mem_RPN : out std_logic;
      Mem_CEN : out std_logic_vector(0 to 0);
      Mem_OEN : out std_logic_vector(0 to 0);
      Mem_WEN : out std_logic;
      Mem_QWEN : out std_logic_vector(0 to 3);
      Mem_BEN : out std_logic_vector(0 to 3);
      Mem_CE : out std_logic_vector(0 to 0);
      Mem_ADV_LDN : out std_logic;
      Mem_LBON : out std_logic;
      Mem_CKEN : out std_logic;
      Mem_RNW : out std_logic
    );
  end component;

  component xps_bram_if_cntlr_2_wrapper is
    port (
      SPLB_Clk : in std_logic;
      SPLB_Rst : in std_logic;
      PLB_ABus : in std_logic_vector(0 to 31);
      PLB_UABus : in std_logic_vector(0 to 31);
      PLB_PAValid : in std_logic;
      PLB_SAValid : in std_logic;
      PLB_rdPrim : in std_logic;
      PLB_wrPrim : in std_logic;
      PLB_masterID : in std_logic_vector(0 to 1);
      PLB_abort : in std_logic;
      PLB_busLock : in std_logic;
      PLB_RNW : in std_logic;
      PLB_BE : in std_logic_vector(0 to 7);
      PLB_MSize : in std_logic_vector(0 to 1);
      PLB_size : in std_logic_vector(0 to 3);
      PLB_type : in std_logic_vector(0 to 2);
      PLB_lockErr : in std_logic;
      PLB_wrDBus : in std_logic_vector(0 to 63);
      PLB_wrBurst : in std_logic;
      PLB_rdBurst : in std_logic;
      PLB_wrPendReq : in std_logic;
      PLB_rdPendReq : in std_logic;
      PLB_wrPendPri : in std_logic_vector(0 to 1);
      PLB_rdPendPri : in std_logic_vector(0 to 1);
      PLB_reqPri : in std_logic_vector(0 to 1);
      PLB_TAttribute : in std_logic_vector(0 to 15);
      Sl_addrAck : out std_logic;
      Sl_SSize : out std_logic_vector(0 to 1);
      Sl_wait : out std_logic;
      Sl_rearbitrate : out std_logic;
      Sl_wrDAck : out std_logic;
      Sl_wrComp : out std_logic;
      Sl_wrBTerm : out std_logic;
      Sl_rdDBus : out std_logic_vector(0 to 63);
      Sl_rdWdAddr : out std_logic_vector(0 to 3);
      Sl_rdDAck : out std_logic;
      Sl_rdComp : out std_logic;
      Sl_rdBTerm : out std_logic;
      Sl_MBusy : out std_logic_vector(0 to 2);
      Sl_MWrErr : out std_logic_vector(0 to 2);
      Sl_MRdErr : out std_logic_vector(0 to 2);
      Sl_MIRQ : out std_logic_vector(0 to 2);
      BRAM_Rst : out std_logic;
      BRAM_Clk : out std_logic;
      BRAM_EN : out std_logic;
      BRAM_WEN : out std_logic_vector(0 to 7);
      BRAM_Addr : out std_logic_vector(0 to 31);
      BRAM_Din : in std_logic_vector(0 to 63);
      BRAM_Dout : out std_logic_vector(0 to 63)
    );
  end component;

  component xps_bram_if_cntlr_2_bram_wrapper is
    port (
      BRAM_Rst_A : in std_logic;
      BRAM_Clk_A : in std_logic;
      BRAM_EN_A : in std_logic;
      BRAM_WEN_A : in std_logic_vector(0 to 7);
      BRAM_Addr_A : in std_logic_vector(0 to 31);
      BRAM_Din_A : out std_logic_vector(0 to 63);
      BRAM_Dout_A : in std_logic_vector(0 to 63);
      BRAM_Rst_B : in std_logic;
      BRAM_Clk_B : in std_logic;
      BRAM_EN_B : in std_logic;
      BRAM_WEN_B : in std_logic_vector(0 to 7);
      BRAM_Addr_B : in std_logic_vector(0 to 31);
      BRAM_Din_B : out std_logic_vector(0 to 63);
      BRAM_Dout_B : in std_logic_vector(0 to 63)
    );
  end component;

  component ppc405_0_iocm_wrapper is
    port (
      ISOCM_Clk : in std_logic;
      SYS_Rst : in std_logic;
      ISOCM_Rst : out std_logic;
      M_ISOCMBRAMRDABUS : in std_logic_vector(8 to 28);
      M_ISOCMBRAMWRABUS : in std_logic_vector(8 to 28);
      M_ISOCMBRAMEN : in std_logic;
      M_ISOCMBRAMWRDBUS : in std_logic_vector(0 to 31);
      M_ISOCMBRAMODDWRITEEN : in std_logic;
      M_ISOCMBRAMEVENWRITEEN : in std_logic;
      M_ISOCMDCRBRAMODDEN : in std_logic;
      M_ISOCMDCRBRAMEVENEN : in std_logic;
      M_ISOCMDCRBRAMRDSELECT : in std_logic;
      S_BRAMISOCMRDDBUS : in std_logic_vector(0 to 63);
      S_BRAMISOCMDCRRDDBUS : in std_logic_vector(0 to 31);
      S_ISOCMSLAVESELECT : in std_logic_vector(0 to 0);
      S_ISOCMDCRSLAVESELECT : in std_logic_vector(0 to 0);
      BRAMISOCMRDDBUS : out std_logic_vector(0 to 63);
      ISARCVALUE : out std_logic_vector(0 to 7);
      ISCNTLVALUE : out std_logic_vector(0 to 7);
      ISOCMBRAMEN : out std_logic;
      ISOCMBRAMWRDBUS : out std_logic_vector(0 to 31);
      ISOCMBRAMODDWRITEEN : out std_logic;
      ISOCMBRAMEVENWRITEEN : out std_logic;
      ISOCMBRAMRDABUS : out std_logic_vector(8 to 28);
      ISOCMBRAMWRABUS : out std_logic_vector(8 to 28);
      ISOCMDCRBRAMODDEN : out std_logic;
      ISOCMDCRBRAMEVENEN : out std_logic;
      ISOCMDCRBRAMRDSELECT : out std_logic;
      BRAMISOCMDCRRDDBUS : out std_logic_vector(0 to 31)
    );
  end component;

  component ppc405_0_iocm_cntlr_wrapper is
    port (
      BRAMISOCMCLK : in std_logic;
      ISBRAMRST : in std_logic;
      ISOCMBRAMRDABUS : in std_logic_vector(8 to 28);
      ISOCMBRAMWRABUS : in std_logic_vector(8 to 28);
      ISOCMBRAMEN : in std_logic;
      ISOCMBRAMWRDBUS : in std_logic_vector(0 to 31);
      ISOCMBRAMODDWRITEEN : in std_logic;
      ISOCMBRAMEVENWRITEEN : in std_logic;
      ISOCMDCRBRAMODDEN : in std_logic;
      ISOCMDCRBRAMEVENEN : in std_logic;
      ISOCMDCRBRAMRDSELECT : in std_logic;
      S_BRAMISOCMRDDBUS : out std_logic_vector(0 to 63);
      S_BRAMISOCMDCRRDDBUS : out std_logic_vector(0 to 31);
      S_ISOCMSLAVESELECT : out std_logic;
      S_ISOCMDCRSLAVESELECT : out std_logic;
      BRAM_Rst_A : out std_logic;
      BRAM_Clk_A : out std_logic;
      BRAM_Addr_A : out std_logic_vector(0 to 31);
      BRAM_EN_A : out std_logic;
      BRAM_WEN_A : out std_logic_vector(0 to 1);
      BRAM_Dout_A : out std_logic_vector(0 to 63);
      BRAM_Din_A : in std_logic_vector(0 to 63);
      BRAM_Rst_B : out std_logic;
      BRAM_Clk_B : out std_logic;
      BRAM_Addr_B : out std_logic_vector(0 to 31);
      BRAM_EN_B : out std_logic;
      BRAM_WEN_B : out std_logic_vector(0 to 1);
      BRAM_Dout_B : out std_logic_vector(0 to 63);
      BRAM_Din_B : in std_logic_vector(0 to 63)
    );
  end component;

  component isocm_bram_wrapper is
    port (
      BRAM_Rst_A : in std_logic;
      BRAM_Clk_A : in std_logic;
      BRAM_EN_A : in std_logic;
      BRAM_WEN_A : in std_logic_vector(0 to 1);
      BRAM_Addr_A : in std_logic_vector(0 to 31);
      BRAM_Din_A : out std_logic_vector(0 to 63);
      BRAM_Dout_A : in std_logic_vector(0 to 63);
      BRAM_Rst_B : in std_logic;
      BRAM_Clk_B : in std_logic;
      BRAM_EN_B : in std_logic;
      BRAM_WEN_B : in std_logic_vector(0 to 1);
      BRAM_Addr_B : in std_logic_vector(0 to 31);
      BRAM_Din_B : out std_logic_vector(0 to 63);
      BRAM_Dout_B : in std_logic_vector(0 to 63)
    );
  end component;

  component ppc405_0_docm_wrapper is
    port (
      DSOCM_Clk : in std_logic;
      SYS_Rst : in std_logic;
      DSOCM_Rst : out std_logic;
      M_DSOCMBRAMABUS : in std_logic_vector(8 to 29);
      M_DSOCMBRAMBYTEWRITE : in std_logic_vector(0 to 3);
      M_DSOCMBRAMEN : in std_logic;
      M_DSOCMBRAMWRDBUS : in std_logic_vector(0 to 31);
      M_DSOCMBUSY : in std_logic;
      M_DSOCMRDADDRVALID : in std_logic;
      M_DSOCMWRADDRVALID : in std_logic;
      S_BRAMDSOCMRDDBUS : in std_logic_vector(0 to 31);
      S_DSOCMRWCOMPLETE : in std_logic_vector(0 to 0);
      S_DSOCMSLAVESELECT : in std_logic_vector(0 to 0);
      BRAMDSOCMRDDBUS : out std_logic_vector(0 to 31);
      DSARCVALUE : out std_logic_vector(0 to 7);
      DSCNTLVALUE : out std_logic_vector(0 to 7);
      DSOCMBRAMWRDBUS : out std_logic_vector(0 to 31);
      DSOCMBRAMEN : out std_logic;
      DSOCMBRAMBYTEWRITE : out std_logic_vector(0 to 3);
      DSOCMBRAMABUS : out std_logic_vector(8 to 29);
      DSOCMBUSY : out std_logic;
      DSOCMRDADDRVALID : out std_logic;
      DSOCMWRADDRVALID : out std_logic;
      DSOCMRWCOMPLETE : out std_logic
    );
  end component;

  component ppc405_0_docm_cntlr_wrapper is
    port (
      BRAMDSOCMCLK : in std_logic;
      DSBRAMRST : in std_logic;
      DSOCMBRAMABUS : in std_logic_vector(8 to 29);
      DSOCMBRAMBYTEWRITE : in std_logic_vector(0 to 3);
      DSOCMBRAMEN : in std_logic;
      DSOCMBRAMWRDBUS : in std_logic_vector(0 to 31);
      S_BRAMDSOCMRDDBUS : out std_logic_vector(0 to 31);
      S_DSOCMRWCOMPLETE : out std_logic;
      S_DSOCMSLAVESELECT : out std_logic;
      BRAM_Rst_A : out std_logic;
      BRAM_Clk_A : out std_logic;
      BRAM_EN_A : out std_logic;
      BRAM_WEN_A : out std_logic_vector(0 to 3);
      BRAM_Addr_A : out std_logic_vector(0 to 31);
      BRAM_Din_A : in std_logic_vector(0 to 31);
      BRAM_Dout_A : out std_logic_vector(0 to 31)
    );
  end component;

  component dsocm_bram_wrapper is
    port (
      BRAM_Rst_A : in std_logic;
      BRAM_Clk_A : in std_logic;
      BRAM_EN_A : in std_logic;
      BRAM_WEN_A : in std_logic_vector(0 to 3);
      BRAM_Addr_A : in std_logic_vector(0 to 31);
      BRAM_Din_A : out std_logic_vector(0 to 31);
      BRAM_Dout_A : in std_logic_vector(0 to 31);
      BRAM_Rst_B : in std_logic;
      BRAM_Clk_B : in std_logic;
      BRAM_EN_B : in std_logic;
      BRAM_WEN_B : in std_logic_vector(0 to 3);
      BRAM_Addr_B : in std_logic_vector(0 to 31);
      BRAM_Din_B : out std_logic_vector(0 to 31);
      BRAM_Dout_B : in std_logic_vector(0 to 31)
    );
  end component;

  component sram0_zbt_512kx32_util_bus_split_0_wrapper is
    port (
      Sig : in std_logic_vector(0 to 31);
      Out1 : out std_logic_vector(11 to 29);
      Out2 : out std_logic_vector(30 to 31)
    );
  end component;

  component sram1_zbt_512kx32_util_bus_split_1_wrapper is
    port (
      Sig : in std_logic_vector(0 to 31);
      Out1 : out std_logic_vector(11 to 29);
      Out2 : out std_logic_vector(30 to 31)
    );
  end component;

  component clock_generator_0_wrapper is
    port (
      CLKIN : in std_logic;
      CLKFBIN : in std_logic;
      CLKOUT0 : out std_logic;
      CLKOUT1 : out std_logic;
      CLKOUT2 : out std_logic;
      CLKOUT3 : out std_logic;
      CLKOUT4 : out std_logic;
      CLKOUT5 : out std_logic;
      CLKOUT6 : out std_logic;
      CLKOUT7 : out std_logic;
      CLKOUT8 : out std_logic;
      CLKOUT9 : out std_logic;
      CLKOUT10 : out std_logic;
      CLKOUT11 : out std_logic;
      CLKOUT12 : out std_logic;
      CLKOUT13 : out std_logic;
      CLKOUT14 : out std_logic;
      CLKOUT15 : out std_logic;
      CLKFBOUT : out std_logic;
      RST : in std_logic;
      LOCKED : out std_logic
    );
  end component;

  component proc_sys_reset_0_wrapper is
    port (
      Slowest_sync_clk : in std_logic;
      Ext_Reset_In : in std_logic;
      Aux_Reset_In : in std_logic;
      MB_Debug_Sys_Rst : in std_logic;
      Core_Reset_Req_0 : in std_logic;
      Chip_Reset_Req_0 : in std_logic;
      System_Reset_Req_0 : in std_logic;
      Core_Reset_Req_1 : in std_logic;
      Chip_Reset_Req_1 : in std_logic;
      System_Reset_Req_1 : in std_logic;
      Dcm_locked : in std_logic;
      RstcPPCresetcore_0 : out std_logic;
      RstcPPCresetchip_0 : out std_logic;
      RstcPPCresetsys_0 : out std_logic;
      RstcPPCresetcore_1 : out std_logic;
      RstcPPCresetchip_1 : out std_logic;
      RstcPPCresetsys_1 : out std_logic;
      MB_Reset : out std_logic;
      Bus_Struct_Reset : out std_logic_vector(0 to 0);
      Peripheral_Reset : out std_logic_vector(0 to 0)
    );
  end component;

  component plbv46_plbv46_bridge_0_wrapper is
    port (
      SPLB_Clk : in std_logic;
      SPLB_Rst : in std_logic;
      IP2INTC_Irpt : out std_logic;
      PLB_ABus : in std_logic_vector(0 to 31);
      PLB_UABus : in std_logic_vector(0 to 31);
      PLB_PAValid : in std_logic;
      PLB_SAValid : in std_logic;
      PLB_rdPrim : in std_logic;
      PLB_wrPrim : in std_logic;
      PLB_masterID : in std_logic_vector(0 to 1);
      PLB_abort : in std_logic;
      PLB_busLock : in std_logic;
      PLB_RNW : in std_logic;
      PLB_BE : in std_logic_vector(0 to 7);
      PLB_MSize : in std_logic_vector(0 to 1);
      PLB_size : in std_logic_vector(0 to 3);
      PLB_type : in std_logic_vector(0 to 2);
      PLB_lockErr : in std_logic;
      PLB_wrDBus : in std_logic_vector(0 to 63);
      PLB_wrBurst : in std_logic;
      PLB_rdBurst : in std_logic;
      PLB_wrPendReq : in std_logic;
      PLB_rdPendReq : in std_logic;
      PLB_wrPendPri : in std_logic_vector(0 to 1);
      PLB_rdPendPri : in std_logic_vector(0 to 1);
      PLB_reqPri : in std_logic_vector(0 to 1);
      PLB_TAttribute : in std_logic_vector(0 to 15);
      Sl_addrAck : out std_logic;
      Sl_SSize : out std_logic_vector(0 to 1);
      Sl_wait : out std_logic;
      Sl_rearbitrate : out std_logic;
      Sl_wrDAck : out std_logic;
      Sl_wrComp : out std_logic;
      Sl_wrBTerm : out std_logic;
      Sl_rdDBus : out std_logic_vector(0 to 63);
      Sl_rdWdAddr : out std_logic_vector(0 to 3);
      Sl_rdDAck : out std_logic;
      Sl_rdComp : out std_logic;
      Sl_rdBTerm : out std_logic;
      Sl_MBusy : out std_logic_vector(0 to 2);
      Sl_MWrErr : out std_logic_vector(0 to 2);
      Sl_MRdErr : out std_logic_vector(0 to 2);
      Sl_MIRQ : out std_logic_vector(0 to 2);
      MPLB_Clk : in std_logic;
      MPLB_Rst : in std_logic;
      M_request : out std_logic;
      M_priority : out std_logic_vector(0 to 1);
      M_busLock : out std_logic;
      M_RNW : out std_logic;
      M_BE : out std_logic_vector(0 to 3);
      M_MSize : out std_logic_vector(0 to 1);
      M_size : out std_logic_vector(0 to 3);
      M_type : out std_logic_vector(0 to 2);
      M_ABus : out std_logic_vector(0 to 31);
      M_wrBurst : out std_logic;
      M_rdBurst : out std_logic;
      M_wrDBus : out std_logic_vector(0 to 31);
      PLB_MAddrAck : in std_logic;
      PLB_MSSize : in std_logic_vector(0 to 1);
      PLB_MRearbitrate : in std_logic;
      PLB_MTimeout : in std_logic;
      PLB_MRdErr : in std_logic;
      PLB_MWrErr : in std_logic;
      PLB_MRdDBus : in std_logic_vector(0 to 31);
      PLB_MRdDAck : in std_logic;
      PLB_MRdBTerm : in std_logic;
      PLB_MWrDAck : in std_logic;
      PLB_MWrBTerm : in std_logic;
      M_TAttribute : out std_logic_vector(0 to 15);
      M_lockErr : out std_logic;
      M_abort : out std_logic;
      M_UABus : out std_logic_vector(0 to 31);
      PLB_MBusy : in std_logic;
      PLB_MIRQ : in std_logic;
      PLB_MRdWdAddr : in std_logic_vector(0 to 3)
    );
  end component;

  component plb_32b_40mhz_wrapper is
    port (
      PLB_Clk : in std_logic;
      SYS_Rst : in std_logic;
      PLB_Rst : out std_logic;
      SPLB_Rst : out std_logic_vector(0 to 3);
      MPLB_Rst : out std_logic_vector(0 to 0);
      PLB_dcrAck : out std_logic;
      PLB_dcrDBus : out std_logic_vector(0 to 31);
      DCR_ABus : in std_logic_vector(0 to 9);
      DCR_DBus : in std_logic_vector(0 to 31);
      DCR_Read : in std_logic;
      DCR_Write : in std_logic;
      M_ABus : in std_logic_vector(0 to 31);
      M_UABus : in std_logic_vector(0 to 31);
      M_BE : in std_logic_vector(0 to 3);
      M_RNW : in std_logic_vector(0 to 0);
      M_abort : in std_logic_vector(0 to 0);
      M_busLock : in std_logic_vector(0 to 0);
      M_TAttribute : in std_logic_vector(0 to 15);
      M_lockErr : in std_logic_vector(0 to 0);
      M_MSize : in std_logic_vector(0 to 1);
      M_priority : in std_logic_vector(0 to 1);
      M_rdBurst : in std_logic_vector(0 to 0);
      M_request : in std_logic_vector(0 to 0);
      M_size : in std_logic_vector(0 to 3);
      M_type : in std_logic_vector(0 to 2);
      M_wrBurst : in std_logic_vector(0 to 0);
      M_wrDBus : in std_logic_vector(0 to 31);
      Sl_addrAck : in std_logic_vector(0 to 3);
      Sl_MRdErr : in std_logic_vector(0 to 3);
      Sl_MWrErr : in std_logic_vector(0 to 3);
      Sl_MBusy : in std_logic_vector(0 to 3);
      Sl_rdBTerm : in std_logic_vector(0 to 3);
      Sl_rdComp : in std_logic_vector(0 to 3);
      Sl_rdDAck : in std_logic_vector(0 to 3);
      Sl_rdDBus : in std_logic_vector(0 to 127);
      Sl_rdWdAddr : in std_logic_vector(0 to 15);
      Sl_rearbitrate : in std_logic_vector(0 to 3);
      Sl_SSize : in std_logic_vector(0 to 7);
      Sl_wait : in std_logic_vector(0 to 3);
      Sl_wrBTerm : in std_logic_vector(0 to 3);
      Sl_wrComp : in std_logic_vector(0 to 3);
      Sl_wrDAck : in std_logic_vector(0 to 3);
      Sl_MIRQ : in std_logic_vector(0 to 3);
      PLB_MIRQ : out std_logic_vector(0 to 0);
      PLB_ABus : out std_logic_vector(0 to 31);
      PLB_UABus : out std_logic_vector(0 to 31);
      PLB_BE : out std_logic_vector(0 to 3);
      PLB_MAddrAck : out std_logic_vector(0 to 0);
      PLB_MTimeout : out std_logic_vector(0 to 0);
      PLB_MBusy : out std_logic_vector(0 to 0);
      PLB_MRdErr : out std_logic_vector(0 to 0);
      PLB_MWrErr : out std_logic_vector(0 to 0);
      PLB_MRdBTerm : out std_logic_vector(0 to 0);
      PLB_MRdDAck : out std_logic_vector(0 to 0);
      PLB_MRdDBus : out std_logic_vector(0 to 31);
      PLB_MRdWdAddr : out std_logic_vector(0 to 3);
      PLB_MRearbitrate : out std_logic_vector(0 to 0);
      PLB_MWrBTerm : out std_logic_vector(0 to 0);
      PLB_MWrDAck : out std_logic_vector(0 to 0);
      PLB_MSSize : out std_logic_vector(0 to 1);
      PLB_PAValid : out std_logic;
      PLB_RNW : out std_logic;
      PLB_SAValid : out std_logic;
      PLB_abort : out std_logic;
      PLB_busLock : out std_logic;
      PLB_TAttribute : out std_logic_vector(0 to 15);
      PLB_lockErr : out std_logic;
      PLB_masterID : out std_logic_vector(0 to 0);
      PLB_MSize : out std_logic_vector(0 to 1);
      PLB_rdPendPri : out std_logic_vector(0 to 1);
      PLB_wrPendPri : out std_logic_vector(0 to 1);
      PLB_rdPendReq : out std_logic;
      PLB_wrPendReq : out std_logic;
      PLB_rdBurst : out std_logic;
      PLB_rdPrim : out std_logic_vector(0 to 3);
      PLB_reqPri : out std_logic_vector(0 to 1);
      PLB_size : out std_logic_vector(0 to 3);
      PLB_type : out std_logic_vector(0 to 2);
      PLB_wrBurst : out std_logic;
      PLB_wrDBus : out std_logic_vector(0 to 31);
      PLB_wrPrim : out std_logic_vector(0 to 3);
      PLB_SaddrAck : out std_logic;
      PLB_SMRdErr : out std_logic_vector(0 to 0);
      PLB_SMWrErr : out std_logic_vector(0 to 0);
      PLB_SMBusy : out std_logic_vector(0 to 0);
      PLB_SrdBTerm : out std_logic;
      PLB_SrdComp : out std_logic;
      PLB_SrdDAck : out std_logic;
      PLB_SrdDBus : out std_logic_vector(0 to 31);
      PLB_SrdWdAddr : out std_logic_vector(0 to 3);
      PLB_Srearbitrate : out std_logic;
      PLB_Sssize : out std_logic_vector(0 to 1);
      PLB_Swait : out std_logic;
      PLB_SwrBTerm : out std_logic;
      PLB_SwrComp : out std_logic;
      PLB_SwrDAck : out std_logic;
      Bus_Error_Det : out std_logic
    );
  end component;

  component ofdm_txrx_mimo_plbw_0_wrapper is
    port (
      bram_datain : in std_logic_vector(0 to 63);
      splb_clk : in std_logic;
      debug_chipscopetrig1 : in std_logic;
      plb_abus : in std_logic_vector(0 to 31);
      plb_pavalid : in std_logic;
      plb_rnw : in std_logic;
      plb_wrdbus : in std_logic_vector(0 to 31);
      rssi_anta : in std_logic_vector(0 to 9);
      rssi_antb : in std_logic_vector(0 to 9);
      rx_anta_adci : in std_logic_vector(0 to 13);
      rx_anta_adcq : in std_logic_vector(0 to 13);
      rx_anta_agc_done : in std_logic;
      rx_anta_gainbb : in std_logic_vector(0 to 4);
      rx_anta_gainrf : in std_logic_vector(0 to 1);
      rx_antb_adci : in std_logic_vector(0 to 13);
      rx_antb_adcq : in std_logic_vector(0 to 13);
      rx_antb_agc_done : in std_logic;
      rx_antb_gainbb : in std_logic_vector(0 to 4);
      rx_antb_gainrf : in std_logic_vector(0 to 1);
      rx_reset : in std_logic;
      splb_rst : in std_logic;
      tx_reset : in std_logic;
      tx_starttransmit : in std_logic;
      bram_addr : out std_logic_vector(0 to 31);
      bram_dout : out std_logic_vector(0 to 63);
      bram_reset : out std_logic;
      bram_wen : out std_logic_vector(0 to 7);
      idlefordifs : out std_logic;
      pktdetect : out std_logic;
      rssi_clk_out : out std_logic;
      rx_debug_antsel : out std_logic;
      rx_debug_cfophasediff : out std_logic_vector(0 to 13);
      rx_debug_eq_i : out std_logic_vector(0 to 13);
      rx_debug_eq_q : out std_logic_vector(0 to 13);
      rx_debug_payload : out std_logic;
      rx_debug_phasecorrect : out std_logic_vector(0 to 13);
      rx_debug_phaseerror : out std_logic_vector(0 to 13);
      rx_debug_pktdone : out std_logic;
      rx_int_badheader : out std_logic;
      rx_int_badpkt : out std_logic;
      rx_int_goodheader : out std_logic;
      rx_int_goodpkt : out std_logic;
      rx_pktdetreset : out std_logic;
      sl_addrack : out std_logic;
      sl_rdcomp : out std_logic;
      sl_rddack : out std_logic;
      sl_rddbus : out std_logic_vector(0 to 31);
      sl_wait : out std_logic;
      sl_wrcomp : out std_logic;
      sl_wrdack : out std_logic;
      tx_anta_dac_i : out std_logic_vector(0 to 15);
      tx_anta_dac_q : out std_logic_vector(0 to 15);
      tx_antb_dac_i : out std_logic_vector(0 to 15);
      tx_antb_dac_q : out std_logic_vector(0 to 15);
      tx_debug_pktrunning : out std_logic;
      tx_pktdone : out std_logic
    );
  end component;

  component warp_timer_plbw_0_wrapper is
    port (
      splb_clk : in std_logic;
      idlefordifs : in std_logic;
      plb_abus : in std_logic_vector(0 to 31);
      plb_pavalid : in std_logic;
      plb_rnw : in std_logic;
      plb_wrdbus : in std_logic_vector(0 to 63);
      splb_rst : in std_logic;
      sl_addrack : out std_logic;
      sl_rdcomp : out std_logic;
      sl_rddack : out std_logic;
      sl_rddbus : out std_logic_vector(0 to 63);
      sl_wait : out std_logic;
      sl_wrcomp : out std_logic;
      sl_wrdack : out std_logic;
      timer0_active : out std_logic;
      timer1_active : out std_logic;
      timer2_active : out std_logic;
      timer3_active : out std_logic;
      timer4_active : out std_logic;
      timer5_active : out std_logic;
      timer6_active : out std_logic;
      timer7_active : out std_logic;
      timerexpire : out std_logic
    );
  end component;

  component ofdm_agc_mimo_plbw_0_wrapper is
    port (
      splb_clk : in std_logic;
      i_in_a : in std_logic_vector(0 to 13);
      i_in_b : in std_logic_vector(0 to 13);
      packet_in : in std_logic;
      plb_abus : in std_logic_vector(0 to 31);
      plb_pavalid : in std_logic;
      plb_rnw : in std_logic;
      plb_wrdbus : in std_logic_vector(0 to 31);
      q_in_a : in std_logic_vector(0 to 13);
      q_in_b : in std_logic_vector(0 to 13);
      reset_in : in std_logic;
      rssi_in_a : in std_logic_vector(0 to 9);
      rssi_in_b : in std_logic_vector(0 to 9);
      splb_rst : in std_logic;
      done_a : out std_logic;
      done_b : out std_logic;
      g_bb_a : out std_logic_vector(0 to 4);
      g_bb_b : out std_logic_vector(0 to 4);
      g_rf_a : out std_logic_vector(0 to 1);
      g_rf_b : out std_logic_vector(0 to 1);
      i_out_a : out std_logic_vector(0 to 13);
      i_out_b : out std_logic_vector(0 to 13);
      q_out_a : out std_logic_vector(0 to 13);
      q_out_b : out std_logic_vector(0 to 13);
      rxhp_a : out std_logic;
      rxhp_b : out std_logic;
      sl_addrack : out std_logic;
      sl_rdcomp : out std_logic;
      sl_rddack : out std_logic;
      sl_rddbus : out std_logic_vector(0 to 31);
      sl_wait : out std_logic;
      sl_wrcomp : out std_logic;
      sl_wrdack : out std_logic
    );
  end component;

  component util_reduced_logic_0_wrapper is
    port (
      Op1 : in std_logic_vector(0 to 1);
      Res : out std_logic
    );
  end component;

  component debugoutputs_wrapper is
    port (
      SPLB_Clk : in std_logic;
      SPLB_Rst : in std_logic;
      PLB_ABus : in std_logic_vector(0 to 31);
      PLB_UABus : in std_logic_vector(0 to 31);
      PLB_PAValid : in std_logic;
      PLB_SAValid : in std_logic;
      PLB_rdPrim : in std_logic;
      PLB_wrPrim : in std_logic;
      PLB_masterID : in std_logic_vector(0 to 1);
      PLB_abort : in std_logic;
      PLB_busLock : in std_logic;
      PLB_RNW : in std_logic;
      PLB_BE : in std_logic_vector(0 to 7);
      PLB_MSize : in std_logic_vector(0 to 1);
      PLB_size : in std_logic_vector(0 to 3);
      PLB_type : in std_logic_vector(0 to 2);
      PLB_lockErr : in std_logic;
      PLB_wrDBus : in std_logic_vector(0 to 63);
      PLB_wrBurst : in std_logic;
      PLB_rdBurst : in std_logic;
      PLB_wrPendReq : in std_logic;
      PLB_rdPendReq : in std_logic;
      PLB_wrPendPri : in std_logic_vector(0 to 1);
      PLB_rdPendPri : in std_logic_vector(0 to 1);
      PLB_reqPri : in std_logic_vector(0 to 1);
      PLB_TAttribute : in std_logic_vector(0 to 15);
      Sl_addrAck : out std_logic;
      Sl_SSize : out std_logic_vector(0 to 1);
      Sl_wait : out std_logic;
      Sl_rearbitrate : out std_logic;
      Sl_wrDAck : out std_logic;
      Sl_wrComp : out std_logic;
      Sl_wrBTerm : out std_logic;
      Sl_rdDBus : out std_logic_vector(0 to 63);
      Sl_rdWdAddr : out std_logic_vector(0 to 3);
      Sl_rdDAck : out std_logic;
      Sl_rdComp : out std_logic;
      Sl_rdBTerm : out std_logic;
      Sl_MBusy : out std_logic_vector(0 to 2);
      Sl_MWrErr : out std_logic_vector(0 to 2);
      Sl_MRdErr : out std_logic_vector(0 to 2);
      Sl_MIRQ : out std_logic_vector(0 to 2);
      IP2INTC_Irpt : out std_logic;
      GPIO_IO_I : in std_logic_vector(0 to 3);
      GPIO_IO_O : out std_logic_vector(0 to 3);
      GPIO_IO_T : out std_logic_vector(0 to 3);
      GPIO_in : in std_logic_vector(0 to 3);
      GPIO_d_out : out std_logic_vector(0 to 3);
      GPIO_t_out : out std_logic_vector(0 to 3);
      GPIO2_IO_I : in std_logic_vector(0 to 3);
      GPIO2_IO_O : out std_logic_vector(0 to 3);
      GPIO2_IO_T : out std_logic_vector(0 to 3);
      GPIO2_in : in std_logic_vector(0 to 3);
      GPIO2_d_out : out std_logic_vector(0 to 3);
      GPIO2_t_out : out std_logic_vector(0 to 3)
    );
  end component;

  component xps_central_dma_0_wrapper is
    port (
      SPLB_Clk : in std_logic;
      SPLB_Rst : in std_logic;
      MPLB_Clk : in std_logic;
      MPLB_Rst : in std_logic;
      SPLB_ABus : in std_logic_vector(0 to 31);
      SPLB_BE : in std_logic_vector(0 to 7);
      SPLB_UABus : in std_logic_vector(0 to 31);
      SPLB_PAValid : in std_logic;
      SPLB_SAValid : in std_logic;
      SPLB_rdPrim : in std_logic;
      SPLB_wrPrim : in std_logic;
      SPLB_masterID : in std_logic_vector(0 to 1);
      SPLB_abort : in std_logic;
      SPLB_busLock : in std_logic;
      SPLB_RNW : in std_logic;
      SPLB_MSize : in std_logic_vector(0 to 1);
      SPLB_size : in std_logic_vector(0 to 3);
      SPLB_type : in std_logic_vector(0 to 2);
      SPLB_lockErr : in std_logic;
      SPLB_wrDBus : in std_logic_vector(0 to 63);
      SPLB_wrBurst : in std_logic;
      SPLB_rdBurst : in std_logic;
      SPLB_wrPendReq : in std_logic;
      SPLB_rdPendReq : in std_logic;
      SPLB_wrPendPri : in std_logic_vector(0 to 1);
      SPLB_rdPendPri : in std_logic_vector(0 to 1);
      SPLB_reqPri : in std_logic_vector(0 to 1);
      SPLB_TAttribute : in std_logic_vector(0 to 15);
      Sl_addrAck : out std_logic;
      Sl_SSize : out std_logic_vector(0 to 1);
      Sl_wait : out std_logic;
      Sl_rearbitrate : out std_logic;
      Sl_wrDAck : out std_logic;
      Sl_wrComp : out std_logic;
      Sl_wrBTerm : out std_logic;
      Sl_rdDBus : out std_logic_vector(0 to 63);
      Sl_rdWdAddr : out std_logic_vector(0 to 3);
      Sl_rdDAck : out std_logic;
      Sl_rdComp : out std_logic;
      Sl_rdBTerm : out std_logic;
      Sl_MBusy : out std_logic_vector(0 to 2);
      Sl_MWrErr : out std_logic_vector(0 to 2);
      Sl_MRdErr : out std_logic_vector(0 to 2);
      Sl_MIRQ : out std_logic_vector(0 to 2);
      IP2INTC_Irpt : out std_logic;
      MPLB_MAddrAck : in std_logic;
      MPLB_MSSize : in std_logic_vector(0 to 1);
      MPLB_MRearbitrate : in std_logic;
      MPLB_MTimeout : in std_logic;
      MPLB_MBusy : in std_logic;
      MPLB_MRdErr : in std_logic;
      MPLB_MWrErr : in std_logic;
      MPLB_MIRQ : in std_logic;
      MPLB_MRdDBus : in std_logic_vector(0 to 63);
      MPLB_MRdWdAddr : in std_logic_vector(0 to 3);
      MPLB_MRdDAck : in std_logic;
      MPLB_MRdBTerm : in std_logic;
      MPLB_MWrDAck : in std_logic;
      MPLB_MWrBTerm : in std_logic;
      M_request : out std_logic;
      M_priority : out std_logic_vector(0 to 1);
      M_busLock : out std_logic;
      M_RNW : out std_logic;
      M_BE : out std_logic_vector(0 to 7);
      M_MSize : out std_logic_vector(0 to 1);
      M_size : out std_logic_vector(0 to 3);
      M_type : out std_logic_vector(0 to 2);
      M_TAttribute : out std_logic_vector(0 to 15);
      M_lockErr : out std_logic;
      M_abort : out std_logic;
      M_UABus : out std_logic_vector(0 to 31);
      M_ABus : out std_logic_vector(0 to 31);
      M_wrDBus : out std_logic_vector(0 to 63);
      M_wrBurst : out std_logic;
      M_rdBurst : out std_logic
    );
  end component;

  component eeprom_0_wrapper is
    port (
      DQ0_T : out std_logic;
      DQ0_O : out std_logic;
      DQ0_I : in std_logic;
      DQ1_T : out std_logic;
      DQ1_O : out std_logic;
      DQ1_I : in std_logic;
      DQ2_T : out std_logic;
      DQ2_O : out std_logic;
      DQ2_I : in std_logic;
      DQ3_T : out std_logic;
      DQ3_O : out std_logic;
      DQ3_I : in std_logic;
      DQ4_T : out std_logic;
      DQ4_O : out std_logic;
      DQ4_I : in std_logic;
      DQ5_T : out std_logic;
      DQ5_O : out std_logic;
      DQ5_I : in std_logic;
      DQ6_T : out std_logic;
      DQ6_O : out std_logic;
      DQ6_I : in std_logic;
      DQ7_T : out std_logic;
      DQ7_O : out std_logic;
      DQ7_I : in std_logic;
      SPLB_Clk : in std_logic;
      SPLB_Rst : in std_logic;
      PLB_ABus : in std_logic_vector(0 to 31);
      PLB_UABus : in std_logic_vector(0 to 31);
      PLB_PAValid : in std_logic;
      PLB_SAValid : in std_logic;
      PLB_rdPrim : in std_logic;
      PLB_wrPrim : in std_logic;
      PLB_masterID : in std_logic_vector(0 to 0);
      PLB_abort : in std_logic;
      PLB_busLock : in std_logic;
      PLB_RNW : in std_logic;
      PLB_BE : in std_logic_vector(0 to 3);
      PLB_MSize : in std_logic_vector(0 to 1);
      PLB_size : in std_logic_vector(0 to 3);
      PLB_type : in std_logic_vector(0 to 2);
      PLB_lockErr : in std_logic;
      PLB_wrDBus : in std_logic_vector(0 to 31);
      PLB_wrBurst : in std_logic;
      PLB_rdBurst : in std_logic;
      PLB_wrPendReq : in std_logic;
      PLB_rdPendReq : in std_logic;
      PLB_wrPendPri : in std_logic_vector(0 to 1);
      PLB_rdPendPri : in std_logic_vector(0 to 1);
      PLB_reqPri : in std_logic_vector(0 to 1);
      PLB_TAttribute : in std_logic_vector(0 to 15);
      Sl_addrAck : out std_logic;
      Sl_SSize : out std_logic_vector(0 to 1);
      Sl_wait : out std_logic;
      Sl_rearbitrate : out std_logic;
      Sl_wrDAck : out std_logic;
      Sl_wrComp : out std_logic;
      Sl_wrBTerm : out std_logic;
      Sl_rdDBus : out std_logic_vector(0 to 31);
      Sl_rdWdAddr : out std_logic_vector(0 to 3);
      Sl_rdDAck : out std_logic;
      Sl_rdComp : out std_logic;
      Sl_rdBTerm : out std_logic;
      Sl_MBusy : out std_logic_vector(0 to 0);
      Sl_MWrErr : out std_logic_vector(0 to 0);
      Sl_MRdErr : out std_logic_vector(0 to 0);
      Sl_MIRQ : out std_logic_vector(0 to 0)
    );
  end component;

  component user_io_board_controller_plbw_0_wrapper is
    port (
      buttons_big : in std_logic_vector(0 to 1);
      buttons_small : in std_logic_vector(0 to 5);
      splb_clk : in std_logic;
      dip_switch : in std_logic_vector(0 to 3);
      plb_abus : in std_logic_vector(0 to 31);
      plb_pavalid : in std_logic;
      plb_rnw : in std_logic;
      plb_wrdbus : in std_logic_vector(0 to 63);
      reset : in std_logic;
      splb_rst : in std_logic;
      trackball_ox : in std_logic;
      trackball_oxn : in std_logic;
      trackball_oy : in std_logic;
      trackball_oyn : in std_logic;
      trackball_sel2 : in std_logic;
      buzzer : out std_logic;
      cs : out std_logic;
      leds : out std_logic_vector(0 to 7);
      resetlcd : out std_logic;
      scl : out std_logic;
      sdi : out std_logic;
      sl_addrack : out std_logic;
      sl_rdcomp : out std_logic;
      sl_rddack : out std_logic;
      sl_rddbus : out std_logic_vector(0 to 63);
      sl_wait : out std_logic;
      sl_wrcomp : out std_logic;
      sl_wrdack : out std_logic;
      trackball_sel1 : out std_logic;
      trackball_xscn : out std_logic;
      trackball_yscn : out std_logic
    );
  end component;

  component IOBUF is
    port (
      I : in std_logic;
      IO : inout std_logic;
      O : out std_logic;
      T : in std_logic
    );
  end component;

  -- Internal signals

  signal Dcm_all_locked : std_logic;
  signal agc_done_a : std_logic;
  signal agc_done_b : std_logic;
  signal agc_g_bb_a : std_logic_vector(0 to 4);
  signal agc_g_bb_b : std_logic_vector(0 to 4);
  signal agc_g_rf_a : std_logic_vector(0 to 1);
  signal agc_g_rf_b : std_logic_vector(0 to 1);
  signal agc_rxhp_a : std_logic;
  signal agc_rxhp_b : std_logic;
  signal clkBoardConfig_DCM_Reset : std_logic;
  signal clk_40MHz : std_logic;
  signal dcm_clk_s : std_logic;
  signal debug_chipscopetrig : std_logic;
  signal debug_rx_payload : std_logic;
  signal debug_timer0_active : std_logic;
  signal debug_tx_pktrunning : std_logic;
  signal dsocm_porta_BRAM_Addr : std_logic_vector(0 to 31);
  signal dsocm_porta_BRAM_Clk : std_logic;
  signal dsocm_porta_BRAM_Din : std_logic_vector(0 to 31);
  signal dsocm_porta_BRAM_Dout : std_logic_vector(0 to 31);
  signal dsocm_porta_BRAM_EN : std_logic;
  signal dsocm_porta_BRAM_Rst : std_logic;
  signal dsocm_porta_BRAM_WEN : std_logic_vector(0 to 3);
  signal eeprom_controller_DQ2_I_radio_bridge_slot_2_user_EEPROM_IO_I : std_logic;
  signal eeprom_controller_DQ2_O_radio_bridge_slot_2_user_EEPROM_IO_O : std_logic;
  signal eeprom_controller_DQ2_T_radio_bridge_slot_2_user_EEPROM_IO_T : std_logic;
  signal eeprom_controller_DQ3_I_radio_bridge_slot_3_user_EEPROM_IO_I : std_logic;
  signal eeprom_controller_DQ3_O_radio_bridge_slot_3_user_EEPROM_IO_O : std_logic;
  signal eeprom_controller_DQ3_T_radio_bridge_slot_3_user_EEPROM_IO_T : std_logic;
  signal fpga_0_Ethernet_MAC_PHY_col : std_logic;
  signal fpga_0_Ethernet_MAC_PHY_crs : std_logic;
  signal fpga_0_Ethernet_MAC_PHY_dv : std_logic;
  signal fpga_0_Ethernet_MAC_PHY_rst_n : std_logic;
  signal fpga_0_Ethernet_MAC_PHY_rx_clk : std_logic;
  signal fpga_0_Ethernet_MAC_PHY_rx_data : std_logic_vector(3 downto 0);
  signal fpga_0_Ethernet_MAC_PHY_rx_er : std_logic;
  signal fpga_0_Ethernet_MAC_PHY_tx_clk : std_logic;
  signal fpga_0_Ethernet_MAC_PHY_tx_data : std_logic_vector(3 downto 0);
  signal fpga_0_Ethernet_MAC_PHY_tx_en : std_logic;
  signal fpga_0_SRAM0_ZBT_512Kx32_Mem_A : std_logic_vector(11 to 29);
  signal fpga_0_SRAM0_ZBT_512Kx32_Mem_ADV_LDN : std_logic;
  signal fpga_0_SRAM0_ZBT_512Kx32_Mem_A_split : std_logic_vector(0 to 31);
  signal fpga_0_SRAM0_ZBT_512Kx32_Mem_BEN : std_logic_vector(0 to 3);
  signal fpga_0_SRAM0_ZBT_512Kx32_Mem_CE : std_logic_vector(0 to 0);
  signal fpga_0_SRAM0_ZBT_512Kx32_Mem_CKEN : std_logic;
  signal fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I : std_logic_vector(0 to 31);
  signal fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O : std_logic_vector(0 to 31);
  signal fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T : std_logic_vector(0 to 31);
  signal fpga_0_SRAM0_ZBT_512Kx32_Mem_OEN : std_logic_vector(0 to 0);
  signal fpga_0_SRAM0_ZBT_512Kx32_Mem_WEN : std_logic;
  signal fpga_0_SRAM1_ZBT_512Kx32_Mem_A : std_logic_vector(11 to 29);
  signal fpga_0_SRAM1_ZBT_512Kx32_Mem_ADV_LDN : std_logic;
  signal fpga_0_SRAM1_ZBT_512Kx32_Mem_A_split : std_logic_vector(0 to 31);
  signal fpga_0_SRAM1_ZBT_512Kx32_Mem_BEN : std_logic_vector(0 to 3);
  signal fpga_0_SRAM1_ZBT_512Kx32_Mem_CE : std_logic_vector(0 to 0);
  signal fpga_0_SRAM1_ZBT_512Kx32_Mem_CKEN : std_logic;
  signal fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I : std_logic_vector(0 to 31);
  signal fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O : std_logic_vector(0 to 31);
  signal fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T : std_logic_vector(0 to 31);
  signal fpga_0_SRAM1_ZBT_512Kx32_Mem_OEN : std_logic_vector(0 to 0);
  signal fpga_0_SRAM1_ZBT_512Kx32_Mem_WEN : std_logic;
  signal fpga_0_USER_IO_GPIO2_d_out : std_logic_vector(0 to 17);
  signal fpga_0_USER_IO_GPIO_in : std_logic_vector(0 to 7);
  signal fpga_0_analog_bridge_slot_4_analog_ADC_A : std_logic_vector(13 downto 0);
  signal fpga_0_analog_bridge_slot_4_analog_ADC_B : std_logic_vector(13 downto 0);
  signal fpga_0_analog_bridge_slot_4_analog_ADC_DCS : std_logic;
  signal fpga_0_analog_bridge_slot_4_analog_ADC_DFS : std_logic;
  signal fpga_0_analog_bridge_slot_4_analog_ADC_otrA : std_logic;
  signal fpga_0_analog_bridge_slot_4_analog_ADC_otrB : std_logic;
  signal fpga_0_analog_bridge_slot_4_analog_ADC_pdwnA : std_logic;
  signal fpga_0_analog_bridge_slot_4_analog_ADC_pdwnB : std_logic;
  signal fpga_0_analog_bridge_slot_4_analog_DAC1_A : std_logic_vector(13 downto 0);
  signal fpga_0_analog_bridge_slot_4_analog_DAC1_B : std_logic_vector(13 downto 0);
  signal fpga_0_analog_bridge_slot_4_analog_DAC1_sleep : std_logic;
  signal fpga_0_analog_bridge_slot_4_analog_DAC2_A : std_logic_vector(13 downto 0);
  signal fpga_0_analog_bridge_slot_4_analog_DAC2_B : std_logic_vector(13 downto 0);
  signal fpga_0_analog_bridge_slot_4_analog_DAC2_sleep : std_logic;
  signal fpga_0_analog_bridge_slot_4_analog_LED : std_logic_vector(0 to 2);
  signal fpga_0_analog_bridge_slot_4_clock_out : std_logic;
  signal fpga_0_clk_board_config_cfg_logic_clk_out : std_logic;
  signal fpga_0_clk_board_config_cfg_logic_csb_out : std_logic;
  signal fpga_0_clk_board_config_cfg_logic_dat_out : std_logic;
  signal fpga_0_clk_board_config_cfg_logic_en_out : std_logic;
  signal fpga_0_clk_board_config_cfg_radio_clk_out : std_logic;
  signal fpga_0_clk_board_config_cfg_radio_csb_out : std_logic;
  signal fpga_0_clk_board_config_cfg_radio_dat_out : std_logic;
  signal fpga_0_clk_board_config_cfg_radio_en_out : std_logic;
  signal fpga_0_clk_board_config_sys_clk : std_logic;
  signal fpga_0_debug_GPIO_d_out : std_logic_vector(0 to 3);
  signal fpga_0_eeprom_controller_DQ0_I : std_logic;
  signal fpga_0_eeprom_controller_DQ0_O : std_logic;
  signal fpga_0_eeprom_controller_DQ0_T : std_logic;
  signal fpga_0_radio_bridge_slot_2_converter_clock_out : std_logic;
  signal fpga_0_radio_bridge_slot_2_dac_spi_clk : std_logic;
  signal fpga_0_radio_bridge_slot_2_dac_spi_cs : std_logic;
  signal fpga_0_radio_bridge_slot_2_dac_spi_data : std_logic;
  signal fpga_0_radio_bridge_slot_2_radio_5PA : std_logic;
  signal fpga_0_radio_bridge_slot_2_radio_24PA : std_logic;
  signal fpga_0_radio_bridge_slot_2_radio_ADC_I : std_logic_vector(13 downto 0);
  signal fpga_0_radio_bridge_slot_2_radio_ADC_Q : std_logic_vector(13 downto 0);
  signal fpga_0_radio_bridge_slot_2_radio_ANTSW : std_logic_vector(1 downto 0);
  signal fpga_0_radio_bridge_slot_2_radio_B : std_logic_vector(6 downto 0);
  signal fpga_0_radio_bridge_slot_2_radio_DAC_I : std_logic_vector(15 downto 0);
  signal fpga_0_radio_bridge_slot_2_radio_DAC_Q : std_logic_vector(15 downto 0);
  signal fpga_0_radio_bridge_slot_2_radio_DIPSW : std_logic_vector(3 downto 0);
  signal fpga_0_radio_bridge_slot_2_radio_LD : std_logic;
  signal fpga_0_radio_bridge_slot_2_radio_LED : std_logic_vector(2 downto 0);
  signal fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_CLAMP : std_logic;
  signal fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_D : std_logic_vector(9 downto 0);
  signal fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_HIZ : std_logic;
  signal fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_OTR : std_logic;
  signal fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_SLEEP : std_logic;
  signal fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_clk : std_logic;
  signal fpga_0_radio_bridge_slot_2_radio_RX_ADC_DCS : std_logic;
  signal fpga_0_radio_bridge_slot_2_radio_RX_ADC_DFS : std_logic;
  signal fpga_0_radio_bridge_slot_2_radio_RX_ADC_OTRA : std_logic;
  signal fpga_0_radio_bridge_slot_2_radio_RX_ADC_OTRB : std_logic;
  signal fpga_0_radio_bridge_slot_2_radio_RX_ADC_PWDNA : std_logic;
  signal fpga_0_radio_bridge_slot_2_radio_RX_ADC_PWDNB : std_logic;
  signal fpga_0_radio_bridge_slot_2_radio_RxEn : std_logic;
  signal fpga_0_radio_bridge_slot_2_radio_RxHP : std_logic;
  signal fpga_0_radio_bridge_slot_2_radio_SHDN : std_logic;
  signal fpga_0_radio_bridge_slot_2_radio_TxEn : std_logic;
  signal fpga_0_radio_bridge_slot_2_radio_dac_PLL_LOCK : std_logic;
  signal fpga_0_radio_bridge_slot_2_radio_dac_RESET : std_logic;
  signal fpga_0_radio_bridge_slot_2_radio_spi_clk : std_logic;
  signal fpga_0_radio_bridge_slot_2_radio_spi_cs : std_logic;
  signal fpga_0_radio_bridge_slot_2_radio_spi_data : std_logic;
  signal fpga_0_radio_bridge_slot_3_converter_clock_out : std_logic;
  signal fpga_0_radio_bridge_slot_3_dac_spi_clk : std_logic;
  signal fpga_0_radio_bridge_slot_3_dac_spi_cs : std_logic;
  signal fpga_0_radio_bridge_slot_3_dac_spi_data : std_logic;
  signal fpga_0_radio_bridge_slot_3_radio_5PA : std_logic;
  signal fpga_0_radio_bridge_slot_3_radio_24PA : std_logic;
  signal fpga_0_radio_bridge_slot_3_radio_ADC_I : std_logic_vector(13 downto 0);
  signal fpga_0_radio_bridge_slot_3_radio_ADC_Q : std_logic_vector(13 downto 0);
  signal fpga_0_radio_bridge_slot_3_radio_ANTSW : std_logic_vector(1 downto 0);
  signal fpga_0_radio_bridge_slot_3_radio_B : std_logic_vector(6 downto 0);
  signal fpga_0_radio_bridge_slot_3_radio_DAC_I : std_logic_vector(15 downto 0);
  signal fpga_0_radio_bridge_slot_3_radio_DAC_Q : std_logic_vector(15 downto 0);
  signal fpga_0_radio_bridge_slot_3_radio_DIPSW : std_logic_vector(3 downto 0);
  signal fpga_0_radio_bridge_slot_3_radio_LD : std_logic;
  signal fpga_0_radio_bridge_slot_3_radio_LED : std_logic_vector(2 downto 0);
  signal fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_CLAMP : std_logic;
  signal fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_D : std_logic_vector(9 downto 0);
  signal fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_HIZ : std_logic;
  signal fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_OTR : std_logic;
  signal fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_SLEEP : std_logic;
  signal fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_clk : std_logic;
  signal fpga_0_radio_bridge_slot_3_radio_RX_ADC_DCS : std_logic;
  signal fpga_0_radio_bridge_slot_3_radio_RX_ADC_DFS : std_logic;
  signal fpga_0_radio_bridge_slot_3_radio_RX_ADC_OTRA : std_logic;
  signal fpga_0_radio_bridge_slot_3_radio_RX_ADC_OTRB : std_logic;
  signal fpga_0_radio_bridge_slot_3_radio_RX_ADC_PWDNA : std_logic;
  signal fpga_0_radio_bridge_slot_3_radio_RX_ADC_PWDNB : std_logic;
  signal fpga_0_radio_bridge_slot_3_radio_RxEn : std_logic;
  signal fpga_0_radio_bridge_slot_3_radio_RxHP : std_logic;
  signal fpga_0_radio_bridge_slot_3_radio_SHDN : std_logic;
  signal fpga_0_radio_bridge_slot_3_radio_TxEn : std_logic;
  signal fpga_0_radio_bridge_slot_3_radio_dac_PLL_LOCK : std_logic;
  signal fpga_0_radio_bridge_slot_3_radio_dac_RESET : std_logic;
  signal fpga_0_radio_bridge_slot_3_radio_spi_clk : std_logic;
  signal fpga_0_radio_bridge_slot_3_radio_spi_cs : std_logic;
  signal fpga_0_radio_bridge_slot_3_radio_spi_data : std_logic;
  signal fpga_0_rs232_RX : std_logic;
  signal fpga_0_rs232_TX : std_logic;
  signal fpga_0_sysace_compactflash_SysACE_CEN : std_logic;
  signal fpga_0_sysace_compactflash_SysACE_CLK : std_logic;
  signal fpga_0_sysace_compactflash_SysACE_MPA : std_logic_vector(6 downto 0);
  signal fpga_0_sysace_compactflash_SysACE_MPD_I : std_logic_vector(15 downto 0);
  signal fpga_0_sysace_compactflash_SysACE_MPD_O : std_logic_vector(15 downto 0);
  signal fpga_0_sysace_compactflash_SysACE_MPD_T : std_logic_vector(15 downto 0);
  signal fpga_0_sysace_compactflash_SysACE_MPIRQ : std_logic;
  signal fpga_0_sysace_compactflash_SysACE_OEN : std_logic;
  signal fpga_0_sysace_compactflash_SysACE_WEN : std_logic;
  signal isocm_porta_BRAM_Addr : std_logic_vector(0 to 31);
  signal isocm_porta_BRAM_Clk : std_logic;
  signal isocm_porta_BRAM_Din : std_logic_vector(0 to 63);
  signal isocm_porta_BRAM_Dout : std_logic_vector(0 to 63);
  signal isocm_porta_BRAM_EN : std_logic;
  signal isocm_porta_BRAM_Rst : std_logic;
  signal isocm_porta_BRAM_WEN : std_logic_vector(0 to 1);
  signal isocm_portb_BRAM_Addr : std_logic_vector(0 to 31);
  signal isocm_portb_BRAM_Clk : std_logic;
  signal isocm_portb_BRAM_Din : std_logic_vector(0 to 63);
  signal isocm_portb_BRAM_Dout : std_logic_vector(0 to 63);
  signal isocm_portb_BRAM_EN : std_logic;
  signal isocm_portb_BRAM_Rst : std_logic;
  signal isocm_portb_BRAM_WEN : std_logic_vector(0 to 1);
  signal jtagppc_cntlr_0_0_C405JTGTDO : std_logic;
  signal jtagppc_cntlr_0_0_C405JTGTDOEN : std_logic;
  signal jtagppc_cntlr_0_0_JTGC405TCK : std_logic;
  signal jtagppc_cntlr_0_0_JTGC405TDI : std_logic;
  signal jtagppc_cntlr_0_0_JTGC405TMS : std_logic;
  signal jtagppc_cntlr_0_0_JTGC405TRSTNEG : std_logic;
  signal net_gnd0 : std_logic;
  signal net_gnd2 : std_logic_vector(0 to 1);
  signal net_gnd3 : std_logic_vector(0 to 2);
  signal net_gnd4 : std_logic_vector(0 to 3);
  signal net_gnd8 : std_logic_vector(0 to 7);
  signal net_gnd10 : std_logic_vector(0 to 9);
  signal net_gnd18 : std_logic_vector(0 to 17);
  signal net_gnd32 : std_logic_vector(0 to 31);
  signal net_gnd64 : std_logic_vector(0 to 63);
  signal net_vcc0 : std_logic;
  signal ofdmRx_antA_ADC_I : std_logic_vector(0 to 13);
  signal ofdmRx_antA_ADC_Q : std_logic_vector(0 to 13);
  signal ofdmRx_antB_ADC_I : std_logic_vector(0 to 13);
  signal ofdmRx_antB_ADC_Q : std_logic_vector(0 to 13);
  signal ofdm_TxRxPLB_BRAM_port_BRAM_Addr : std_logic_vector(0 to 31);
  signal ofdm_TxRxPLB_BRAM_port_BRAM_Din : std_logic_vector(0 to 63);
  signal ofdm_TxRxPLB_BRAM_port_BRAM_Dout : std_logic_vector(0 to 63);
  signal ofdm_TxRxPLB_BRAM_port_BRAM_Rst : std_logic;
  signal ofdm_TxRxPLB_BRAM_port_BRAM_WEN : std_logic_vector(0 to 7);
  signal ofdm_pktDetector_mimo_plbw_0_idlefordifs : std_logic;
  signal ofdm_rx_debug_eq_i : std_logic_vector(0 to 13);
  signal ofdm_rx_debug_eq_q : std_logic_vector(0 to 13);
  signal ofdm_txrx_mimo_plbw_0_rx_int_badheader : std_logic;
  signal pgassign1 : std_logic_vector(0 to 9);
  signal pgassign2 : std_logic_vector(0 to 17);
  signal pgassign3 : std_logic_vector(0 to 1);
  signal pgassign4 : std_logic_vector(0 to 9);
  signal plb0_MPLB_Rst : std_logic_vector(0 to 2);
  signal plb0_M_ABus : std_logic_vector(0 to 95);
  signal plb0_M_BE : std_logic_vector(0 to 23);
  signal plb0_M_MSize : std_logic_vector(0 to 5);
  signal plb0_M_RNW : std_logic_vector(0 to 2);
  signal plb0_M_TAttribute : std_logic_vector(0 to 47);
  signal plb0_M_UABus : std_logic_vector(0 to 95);
  signal plb0_M_abort : std_logic_vector(0 to 2);
  signal plb0_M_busLock : std_logic_vector(0 to 2);
  signal plb0_M_lockErr : std_logic_vector(0 to 2);
  signal plb0_M_priority : std_logic_vector(0 to 5);
  signal plb0_M_rdBurst : std_logic_vector(0 to 2);
  signal plb0_M_request : std_logic_vector(0 to 2);
  signal plb0_M_size : std_logic_vector(0 to 11);
  signal plb0_M_type : std_logic_vector(0 to 8);
  signal plb0_M_wrBurst : std_logic_vector(0 to 2);
  signal plb0_M_wrDBus : std_logic_vector(0 to 191);
  signal plb0_PLB_ABus : std_logic_vector(0 to 31);
  signal plb0_PLB_BE : std_logic_vector(0 to 7);
  signal plb0_PLB_MAddrAck : std_logic_vector(0 to 2);
  signal plb0_PLB_MBusy : std_logic_vector(0 to 2);
  signal plb0_PLB_MIRQ : std_logic_vector(0 to 2);
  signal plb0_PLB_MRdBTerm : std_logic_vector(0 to 2);
  signal plb0_PLB_MRdDAck : std_logic_vector(0 to 2);
  signal plb0_PLB_MRdDBus : std_logic_vector(0 to 191);
  signal plb0_PLB_MRdErr : std_logic_vector(0 to 2);
  signal plb0_PLB_MRdWdAddr : std_logic_vector(0 to 11);
  signal plb0_PLB_MRearbitrate : std_logic_vector(0 to 2);
  signal plb0_PLB_MSSize : std_logic_vector(0 to 5);
  signal plb0_PLB_MSize : std_logic_vector(0 to 1);
  signal plb0_PLB_MTimeout : std_logic_vector(0 to 2);
  signal plb0_PLB_MWrBTerm : std_logic_vector(0 to 2);
  signal plb0_PLB_MWrDAck : std_logic_vector(0 to 2);
  signal plb0_PLB_MWrErr : std_logic_vector(0 to 2);
  signal plb0_PLB_PAValid : std_logic;
  signal plb0_PLB_RNW : std_logic;
  signal plb0_PLB_SAValid : std_logic;
  signal plb0_PLB_TAttribute : std_logic_vector(0 to 15);
  signal plb0_PLB_UABus : std_logic_vector(0 to 31);
  signal plb0_PLB_abort : std_logic;
  signal plb0_PLB_busLock : std_logic;
  signal plb0_PLB_lockErr : std_logic;
  signal plb0_PLB_masterID : std_logic_vector(0 to 1);
  signal plb0_PLB_rdBurst : std_logic;
  signal plb0_PLB_rdPendPri : std_logic_vector(0 to 1);
  signal plb0_PLB_rdPendReq : std_logic;
  signal plb0_PLB_rdPrim : std_logic_vector(0 to 12);
  signal plb0_PLB_reqPri : std_logic_vector(0 to 1);
  signal plb0_PLB_size : std_logic_vector(0 to 3);
  signal plb0_PLB_type : std_logic_vector(0 to 2);
  signal plb0_PLB_wrBurst : std_logic;
  signal plb0_PLB_wrDBus : std_logic_vector(0 to 63);
  signal plb0_PLB_wrPendPri : std_logic_vector(0 to 1);
  signal plb0_PLB_wrPendReq : std_logic;
  signal plb0_PLB_wrPrim : std_logic_vector(0 to 12);
  signal plb0_SPLB_Rst : std_logic_vector(0 to 12);
  signal plb0_Sl_MBusy : std_logic_vector(0 to 38);
  signal plb0_Sl_MIRQ : std_logic_vector(0 to 38);
  signal plb0_Sl_MRdErr : std_logic_vector(0 to 38);
  signal plb0_Sl_MWrErr : std_logic_vector(0 to 38);
  signal plb0_Sl_SSize : std_logic_vector(0 to 25);
  signal plb0_Sl_addrAck : std_logic_vector(0 to 12);
  signal plb0_Sl_rdBTerm : std_logic_vector(0 to 12);
  signal plb0_Sl_rdComp : std_logic_vector(0 to 12);
  signal plb0_Sl_rdDAck : std_logic_vector(0 to 12);
  signal plb0_Sl_rdDBus : std_logic_vector(0 to 831);
  signal plb0_Sl_rdWdAddr : std_logic_vector(0 to 51);
  signal plb0_Sl_rearbitrate : std_logic_vector(0 to 12);
  signal plb0_Sl_wait : std_logic_vector(0 to 12);
  signal plb0_Sl_wrBTerm : std_logic_vector(0 to 12);
  signal plb0_Sl_wrComp : std_logic_vector(0 to 12);
  signal plb0_Sl_wrDAck : std_logic_vector(0 to 12);
  signal plb_32b_40MHz_MPLB_Rst : std_logic_vector(0 to 0);
  signal plb_32b_40MHz_M_ABus : std_logic_vector(0 to 31);
  signal plb_32b_40MHz_M_BE : std_logic_vector(0 to 3);
  signal plb_32b_40MHz_M_MSize : std_logic_vector(0 to 1);
  signal plb_32b_40MHz_M_RNW : std_logic_vector(0 to 0);
  signal plb_32b_40MHz_M_TAttribute : std_logic_vector(0 to 15);
  signal plb_32b_40MHz_M_UABus : std_logic_vector(0 to 31);
  signal plb_32b_40MHz_M_abort : std_logic_vector(0 to 0);
  signal plb_32b_40MHz_M_busLock : std_logic_vector(0 to 0);
  signal plb_32b_40MHz_M_lockErr : std_logic_vector(0 to 0);
  signal plb_32b_40MHz_M_priority : std_logic_vector(0 to 1);
  signal plb_32b_40MHz_M_rdBurst : std_logic_vector(0 to 0);
  signal plb_32b_40MHz_M_request : std_logic_vector(0 to 0);
  signal plb_32b_40MHz_M_size : std_logic_vector(0 to 3);
  signal plb_32b_40MHz_M_type : std_logic_vector(0 to 2);
  signal plb_32b_40MHz_M_wrBurst : std_logic_vector(0 to 0);
  signal plb_32b_40MHz_M_wrDBus : std_logic_vector(0 to 31);
  signal plb_32b_40MHz_PLB_ABus : std_logic_vector(0 to 31);
  signal plb_32b_40MHz_PLB_BE : std_logic_vector(0 to 3);
  signal plb_32b_40MHz_PLB_MAddrAck : std_logic_vector(0 to 0);
  signal plb_32b_40MHz_PLB_MBusy : std_logic_vector(0 to 0);
  signal plb_32b_40MHz_PLB_MIRQ : std_logic_vector(0 to 0);
  signal plb_32b_40MHz_PLB_MRdBTerm : std_logic_vector(0 to 0);
  signal plb_32b_40MHz_PLB_MRdDAck : std_logic_vector(0 to 0);
  signal plb_32b_40MHz_PLB_MRdDBus : std_logic_vector(0 to 31);
  signal plb_32b_40MHz_PLB_MRdErr : std_logic_vector(0 to 0);
  signal plb_32b_40MHz_PLB_MRdWdAddr : std_logic_vector(0 to 3);
  signal plb_32b_40MHz_PLB_MRearbitrate : std_logic_vector(0 to 0);
  signal plb_32b_40MHz_PLB_MSSize : std_logic_vector(0 to 1);
  signal plb_32b_40MHz_PLB_MSize : std_logic_vector(0 to 1);
  signal plb_32b_40MHz_PLB_MTimeout : std_logic_vector(0 to 0);
  signal plb_32b_40MHz_PLB_MWrBTerm : std_logic_vector(0 to 0);
  signal plb_32b_40MHz_PLB_MWrDAck : std_logic_vector(0 to 0);
  signal plb_32b_40MHz_PLB_MWrErr : std_logic_vector(0 to 0);
  signal plb_32b_40MHz_PLB_PAValid : std_logic;
  signal plb_32b_40MHz_PLB_RNW : std_logic;
  signal plb_32b_40MHz_PLB_SAValid : std_logic;
  signal plb_32b_40MHz_PLB_TAttribute : std_logic_vector(0 to 15);
  signal plb_32b_40MHz_PLB_UABus : std_logic_vector(0 to 31);
  signal plb_32b_40MHz_PLB_abort : std_logic;
  signal plb_32b_40MHz_PLB_busLock : std_logic;
  signal plb_32b_40MHz_PLB_lockErr : std_logic;
  signal plb_32b_40MHz_PLB_masterID : std_logic_vector(0 to 0);
  signal plb_32b_40MHz_PLB_rdBurst : std_logic;
  signal plb_32b_40MHz_PLB_rdPendPri : std_logic_vector(0 to 1);
  signal plb_32b_40MHz_PLB_rdPendReq : std_logic;
  signal plb_32b_40MHz_PLB_rdPrim : std_logic_vector(0 to 3);
  signal plb_32b_40MHz_PLB_reqPri : std_logic_vector(0 to 1);
  signal plb_32b_40MHz_PLB_size : std_logic_vector(0 to 3);
  signal plb_32b_40MHz_PLB_type : std_logic_vector(0 to 2);
  signal plb_32b_40MHz_PLB_wrBurst : std_logic;
  signal plb_32b_40MHz_PLB_wrDBus : std_logic_vector(0 to 31);
  signal plb_32b_40MHz_PLB_wrPendPri : std_logic_vector(0 to 1);
  signal plb_32b_40MHz_PLB_wrPendReq : std_logic;
  signal plb_32b_40MHz_PLB_wrPrim : std_logic_vector(0 to 3);
  signal plb_32b_40MHz_SPLB_Rst : std_logic_vector(0 to 3);
  signal plb_32b_40MHz_Sl_MBusy : std_logic_vector(0 to 3);
  signal plb_32b_40MHz_Sl_MIRQ : std_logic_vector(0 to 3);
  signal plb_32b_40MHz_Sl_MRdErr : std_logic_vector(0 to 3);
  signal plb_32b_40MHz_Sl_MWrErr : std_logic_vector(0 to 3);
  signal plb_32b_40MHz_Sl_SSize : std_logic_vector(0 to 7);
  signal plb_32b_40MHz_Sl_addrAck : std_logic_vector(0 to 3);
  signal plb_32b_40MHz_Sl_rdBTerm : std_logic_vector(0 to 3);
  signal plb_32b_40MHz_Sl_rdComp : std_logic_vector(0 to 3);
  signal plb_32b_40MHz_Sl_rdDAck : std_logic_vector(0 to 3);
  signal plb_32b_40MHz_Sl_rdDBus : std_logic_vector(0 to 127);
  signal plb_32b_40MHz_Sl_rdWdAddr : std_logic_vector(0 to 15);
  signal plb_32b_40MHz_Sl_rearbitrate : std_logic_vector(0 to 3);
  signal plb_32b_40MHz_Sl_wait : std_logic_vector(0 to 3);
  signal plb_32b_40MHz_Sl_wrBTerm : std_logic_vector(0 to 3);
  signal plb_32b_40MHz_Sl_wrComp : std_logic_vector(0 to 3);
  signal plb_32b_40MHz_Sl_wrDAck : std_logic_vector(0 to 3);
  signal ppc405_0_docm_BRAMDSOCMRDDBUS : std_logic_vector(0 to 31);
  signal ppc405_0_docm_DSARCVALUE : std_logic_vector(0 to 7);
  signal ppc405_0_docm_DSCNTLVALUE : std_logic_vector(0 to 7);
  signal ppc405_0_docm_DSOCMBRAMABUS : std_logic_vector(8 to 29);
  signal ppc405_0_docm_DSOCMBRAMBYTEWRITE : std_logic_vector(0 to 3);
  signal ppc405_0_docm_DSOCMBRAMEN : std_logic;
  signal ppc405_0_docm_DSOCMBRAMWRDBUS : std_logic_vector(0 to 31);
  signal ppc405_0_docm_DSOCM_Rst : std_logic;
  signal ppc405_0_docm_M_DSOCMBRAMABUS : std_logic_vector(8 to 29);
  signal ppc405_0_docm_M_DSOCMBRAMBYTEWRITE : std_logic_vector(0 to 3);
  signal ppc405_0_docm_M_DSOCMBRAMEN : std_logic;
  signal ppc405_0_docm_M_DSOCMBRAMWRDBUS : std_logic_vector(0 to 31);
  signal ppc405_0_docm_M_DSOCMBUSY : std_logic;
  signal ppc405_0_docm_S_BRAMDSOCMRDDBUS : std_logic_vector(0 to 31);
  signal ppc405_0_docm_S_DSOCMRWCOMPLETE : std_logic_vector(0 to 0);
  signal ppc405_0_docm_S_DSOCMSLAVESELECT : std_logic_vector(0 to 0);
  signal ppc405_0_iocm_BRAMISOCMRDDBUS : std_logic_vector(0 to 63);
  signal ppc405_0_iocm_ISARCVALUE : std_logic_vector(0 to 7);
  signal ppc405_0_iocm_ISCNTLVALUE : std_logic_vector(0 to 7);
  signal ppc405_0_iocm_ISOCMBRAMEN : std_logic;
  signal ppc405_0_iocm_ISOCMBRAMEVENWRITEEN : std_logic;
  signal ppc405_0_iocm_ISOCMBRAMODDWRITEEN : std_logic;
  signal ppc405_0_iocm_ISOCMBRAMRDABUS : std_logic_vector(8 to 28);
  signal ppc405_0_iocm_ISOCMBRAMWRABUS : std_logic_vector(8 to 28);
  signal ppc405_0_iocm_ISOCMBRAMWRDBUS : std_logic_vector(0 to 31);
  signal ppc405_0_iocm_ISOCMDCRBRAMEVENEN : std_logic;
  signal ppc405_0_iocm_ISOCMDCRBRAMODDEN : std_logic;
  signal ppc405_0_iocm_ISOCMDCRBRAMRDSELECT : std_logic;
  signal ppc405_0_iocm_ISOCM_Rst : std_logic;
  signal ppc405_0_iocm_M_ISOCMBRAMEN : std_logic;
  signal ppc405_0_iocm_M_ISOCMBRAMEVENWRITEEN : std_logic;
  signal ppc405_0_iocm_M_ISOCMBRAMODDWRITEEN : std_logic;
  signal ppc405_0_iocm_M_ISOCMBRAMRDABUS : std_logic_vector(8 to 28);
  signal ppc405_0_iocm_M_ISOCMBRAMWRABUS : std_logic_vector(8 to 28);
  signal ppc405_0_iocm_M_ISOCMBRAMWRDBUS : std_logic_vector(0 to 31);
  signal ppc405_0_iocm_S_BRAMISOCMDCRRDDBUS : std_logic_vector(0 to 31);
  signal ppc405_0_iocm_S_BRAMISOCMRDDBUS : std_logic_vector(0 to 63);
  signal ppc405_0_iocm_S_ISOCMDCRSLAVESELECT : std_logic_vector(0 to 0);
  signal ppc405_0_iocm_S_ISOCMSLAVESELECT : std_logic_vector(0 to 0);
  signal ppc_reset_bus_Chip_Reset_Req : std_logic;
  signal ppc_reset_bus_Core_Reset_Req : std_logic;
  signal ppc_reset_bus_RstcPPCresetcore : std_logic;
  signal ppc_reset_bus_RstcPPCresetsys : std_logic;
  signal ppc_reset_bus_RstsPPCresetchip : std_logic;
  signal ppc_reset_bus_System_Reset_Req : std_logic;
  signal proc_clk_s : std_logic;
  signal radio2_txStart : std_logic;
  signal radio3_txStart : std_logic;
  signal radio_bridge_slot_2_controller_5PA_radio_controller_0_radio2_5PA : std_logic;
  signal radio_bridge_slot_2_controller_24PA_radio_controller_0_radio2_24PA : std_logic;
  signal radio_bridge_slot_2_controller_ANTSW_radio_controller_0_radio2_ANTSW : std_logic_vector(0 to 1);
  signal radio_bridge_slot_2_controller_DIPSW_radio_controller_0_radio2_DIPSW : std_logic_vector(0 to 3);
  signal radio_bridge_slot_2_controller_LD_radio_controller_0_radio2_LD : std_logic;
  signal radio_bridge_slot_2_controller_LED_radio_controller_0_radio2_LED : std_logic_vector(0 to 2);
  signal radio_bridge_slot_2_controller_RSSI_ADC_CLAMP_radio_controller_0_radio2_RSSI_ADC_CLAMP : std_logic;
  signal radio_bridge_slot_2_controller_RSSI_ADC_D_radio_controller_0_radio2_RSSI_ADC_D : std_logic_vector(0 to 9);
  signal radio_bridge_slot_2_controller_RSSI_ADC_HIZ_radio_controller_0_radio2_RSSI_ADC_HIZ : std_logic;
  signal radio_bridge_slot_2_controller_RSSI_ADC_OTR_radio_controller_0_radio2_RSSI_ADC_OTR : std_logic;
  signal radio_bridge_slot_2_controller_RSSI_ADC_SLEEP_radio_controller_0_radio2_RSSI_ADC_SLEEP : std_logic;
  signal radio_bridge_slot_2_controller_RX_ADC_DCS_radio_controller_0_radio2_ADC_RX_DCS : std_logic;
  signal radio_bridge_slot_2_controller_RX_ADC_DFS_radio_controller_0_radio2_ADC_RX_DFS : std_logic;
  signal radio_bridge_slot_2_controller_RX_ADC_OTRA_radio_controller_0_radio2_ADC_RX_OTRA : std_logic;
  signal radio_bridge_slot_2_controller_RX_ADC_OTRB_radio_controller_0_radio2_ADC_RX_OTRB : std_logic;
  signal radio_bridge_slot_2_controller_RX_ADC_PWDNA_radio_controller_0_radio2_ADC_RX_PWDNA : std_logic;
  signal radio_bridge_slot_2_controller_RX_ADC_PWDNB_radio_controller_0_radio2_ADC_RX_PWDNB : std_logic;
  signal radio_bridge_slot_2_controller_RxEn_external_radio_controller_0_radio2_RxEn_external : std_logic;
  signal radio_bridge_slot_2_controller_RxEn_radio_controller_0_radio2_RxEn : std_logic;
  signal radio_bridge_slot_2_controller_RxHP_external_radio_controller_0_radio2_RxHP_external : std_logic;
  signal radio_bridge_slot_2_controller_RxHP_radio_controller_0_radio2_RxHP : std_logic;
  signal radio_bridge_slot_2_controller_SHDN_external_radio_controller_0_radio2_SHDN_external : std_logic;
  signal radio_bridge_slot_2_controller_SHDN_radio_controller_0_radio2_SHDN : std_logic;
  signal radio_bridge_slot_2_controller_TxEn_external_radio_controller_0_radio2_TxEn_external : std_logic;
  signal radio_bridge_slot_2_controller_TxEn_radio_controller_0_radio2_TxEn : std_logic;
  signal radio_bridge_slot_2_controller_TxStart_radio_controller_0_radio2_TxStart : std_logic;
  signal radio_bridge_slot_2_controller_dac_PLL_LOCK_radio_controller_0_radio2_TX_DAC_PLL_LOCK : std_logic;
  signal radio_bridge_slot_2_controller_dac_RESET_radio_controller_0_radio2_TX_DAC_RESET : std_logic;
  signal radio_bridge_slot_2_controller_dac_cs_radio_controller_0_dac2_cs : std_logic;
  signal radio_bridge_slot_2_controller_radio_cs_radio_controller_0_radio2_cs : std_logic;
  signal radio_bridge_slot_2_controller_spi_clk_radio_bridge_slot_3_controller_spi_clk_radio_controller_0_spi_clk : std_logic;
  signal radio_bridge_slot_2_controller_spi_data_radio_bridge_slot_3_controller_spi_data_radio_controller_0_data_out : std_logic;
  signal radio_bridge_slot_2_user_ADC_I : std_logic_vector(0 to 13);
  signal radio_bridge_slot_2_user_ADC_Q : std_logic_vector(0 to 13);
  signal radio_bridge_slot_2_user_DAC_I : std_logic_vector(0 to 15);
  signal radio_bridge_slot_2_user_DAC_Q : std_logic_vector(0 to 15);
  signal radio_bridge_slot_2_user_RSSI_ADC_D : std_logic_vector(0 to 9);
  signal radio_bridge_slot_2_user_Tx_gain_radio_controller_0_radio2_TxGain : std_logic_vector(0 to 5);
  signal radio_bridge_slot_3_controller_5PA_radio_controller_0_radio3_5PA : std_logic;
  signal radio_bridge_slot_3_controller_24PA_radio_controller_0_radio3_24PA : std_logic;
  signal radio_bridge_slot_3_controller_ANTSW_radio_controller_0_radio3_ANTSW : std_logic_vector(0 to 1);
  signal radio_bridge_slot_3_controller_DIPSW_radio_controller_0_radio3_DIPSW : std_logic_vector(0 to 3);
  signal radio_bridge_slot_3_controller_LD_radio_controller_0_radio3_LD : std_logic;
  signal radio_bridge_slot_3_controller_LED_radio_controller_0_radio3_LED : std_logic_vector(0 to 2);
  signal radio_bridge_slot_3_controller_RSSI_ADC_CLAMP_radio_controller_0_radio3_RSSI_ADC_CLAMP : std_logic;
  signal radio_bridge_slot_3_controller_RSSI_ADC_D_radio_controller_0_radio3_RSSI_ADC_D : std_logic_vector(0 to 9);
  signal radio_bridge_slot_3_controller_RSSI_ADC_HIZ_radio_controller_0_radio3_RSSI_ADC_HIZ : std_logic;
  signal radio_bridge_slot_3_controller_RSSI_ADC_OTR_radio_controller_0_radio3_RSSI_ADC_OTR : std_logic;
  signal radio_bridge_slot_3_controller_RSSI_ADC_SLEEP_radio_controller_0_radio3_RSSI_ADC_SLEEP : std_logic;
  signal radio_bridge_slot_3_controller_RX_ADC_DCS_radio_controller_0_radio3_ADC_RX_DCS : std_logic;
  signal radio_bridge_slot_3_controller_RX_ADC_DFS_radio_controller_0_radio3_ADC_RX_DFS : std_logic;
  signal radio_bridge_slot_3_controller_RX_ADC_OTRA_radio_controller_0_radio3_ADC_RX_OTRA : std_logic;
  signal radio_bridge_slot_3_controller_RX_ADC_OTRB_radio_controller_0_radio3_ADC_RX_OTRB : std_logic;
  signal radio_bridge_slot_3_controller_RX_ADC_PWDNA_radio_controller_0_radio3_ADC_RX_PWDNA : std_logic;
  signal radio_bridge_slot_3_controller_RX_ADC_PWDNB_radio_controller_0_radio3_ADC_RX_PWDNB : std_logic;
  signal radio_bridge_slot_3_controller_RxEn_external_radio_controller_0_radio3_RxEn_external : std_logic;
  signal radio_bridge_slot_3_controller_RxEn_radio_controller_0_radio3_RxEn : std_logic;
  signal radio_bridge_slot_3_controller_RxHP_external_radio_controller_0_radio3_RxHP_external : std_logic;
  signal radio_bridge_slot_3_controller_RxHP_radio_controller_0_radio3_RxHP : std_logic;
  signal radio_bridge_slot_3_controller_SHDN_external_radio_controller_0_radio3_SHDN_external : std_logic;
  signal radio_bridge_slot_3_controller_SHDN_radio_controller_0_radio3_SHDN : std_logic;
  signal radio_bridge_slot_3_controller_TxEn_external_radio_controller_0_radio3_TxEn_external : std_logic;
  signal radio_bridge_slot_3_controller_TxEn_radio_controller_0_radio3_TxEn : std_logic;
  signal radio_bridge_slot_3_controller_TxStart_radio_controller_0_radio3_TxStart : std_logic;
  signal radio_bridge_slot_3_controller_dac_PLL_LOCK_radio_controller_0_radio3_TX_DAC_PLL_LOCK : std_logic;
  signal radio_bridge_slot_3_controller_dac_RESET_radio_controller_0_radio3_TX_DAC_RESET : std_logic;
  signal radio_bridge_slot_3_controller_dac_cs_radio_controller_0_dac3_cs : std_logic;
  signal radio_bridge_slot_3_controller_radio_cs_radio_controller_0_radio3_cs : std_logic;
  signal radio_bridge_slot_3_user_ADC_I : std_logic_vector(0 to 13);
  signal radio_bridge_slot_3_user_ADC_Q : std_logic_vector(0 to 13);
  signal radio_bridge_slot_3_user_DAC_I : std_logic_vector(0 to 15);
  signal radio_bridge_slot_3_user_DAC_Q : std_logic_vector(0 to 15);
  signal radio_bridge_slot_3_user_RSSI_ADC_D : std_logic_vector(0 to 9);
  signal radio_bridge_slot_3_user_Tx_gain_radio_controller_0_radio3_TxGain : std_logic_vector(0 to 5);
  signal radio_controller_0_controller_logic_clk : std_logic;
  signal rssi_pkt_detect_plbw_0_rssi_clk_out : std_logic;
  signal rssi_pkt_detect_plbw_0_rssi_pkt_det_out : std_logic;
  signal rx_debug_cfophasediff : std_logic_vector(0 to 13);
  signal rx_debug_phasecorrect : std_logic_vector(0 to 13);
  signal rx_int_badpkt : std_logic;
  signal rx_int_goodheader : std_logic;
  signal rx_int_goodpkt : std_logic;
  signal rx_pktdetreset : std_logic;
  signal sys_bus_reset : std_logic_vector(0 to 0);
  signal sys_clk_s : std_logic;
  signal sys_periph_reset : std_logic_vector(0 to 0);
  signal sys_rst_s : std_logic;
  signal txPHYStart : std_logic;
  signal user_io_board_controller_plbw_0_buttons_big : std_logic_vector(0 to 1);
  signal user_io_board_controller_plbw_0_buttons_small : std_logic_vector(0 to 5);
  signal user_io_board_controller_plbw_0_buzzer : std_logic;
  signal user_io_board_controller_plbw_0_cs : std_logic;
  signal user_io_board_controller_plbw_0_dip_switch : std_logic_vector(0 to 3);
  signal user_io_board_controller_plbw_0_leds : std_logic_vector(0 to 7);
  signal user_io_board_controller_plbw_0_resetlcd : std_logic;
  signal user_io_board_controller_plbw_0_scl : std_logic;
  signal user_io_board_controller_plbw_0_sdi : std_logic;
  signal user_io_board_controller_plbw_0_trackball_ox : std_logic;
  signal user_io_board_controller_plbw_0_trackball_oxn : std_logic;
  signal user_io_board_controller_plbw_0_trackball_oy : std_logic;
  signal user_io_board_controller_plbw_0_trackball_oyn : std_logic;
  signal user_io_board_controller_plbw_0_trackball_sel1 : std_logic;
  signal user_io_board_controller_plbw_0_trackball_sel2 : std_logic;
  signal user_io_board_controller_plbw_0_trackball_xscn : std_logic;
  signal user_io_board_controller_plbw_0_trackball_yscn : std_logic;
  signal xps_bram_if_cntlr_1_port_BRAM_Addr : std_logic_vector(0 to 31);
  signal xps_bram_if_cntlr_1_port_BRAM_Clk : std_logic;
  signal xps_bram_if_cntlr_1_port_BRAM_Din : std_logic_vector(0 to 63);
  signal xps_bram_if_cntlr_1_port_BRAM_Dout : std_logic_vector(0 to 63);
  signal xps_bram_if_cntlr_1_port_BRAM_EN : std_logic;
  signal xps_bram_if_cntlr_1_port_BRAM_Rst : std_logic;
  signal xps_bram_if_cntlr_1_port_BRAM_WEN : std_logic_vector(0 to 7);
  signal xps_bram_if_cntlr_2_port_BRAM_Addr : std_logic_vector(0 to 31);
  signal xps_bram_if_cntlr_2_port_BRAM_Clk : std_logic;
  signal xps_bram_if_cntlr_2_port_BRAM_Din : std_logic_vector(0 to 63);
  signal xps_bram_if_cntlr_2_port_BRAM_Dout : std_logic_vector(0 to 63);
  signal xps_bram_if_cntlr_2_port_BRAM_EN : std_logic;
  signal xps_bram_if_cntlr_2_port_BRAM_Rst : std_logic;
  signal xps_bram_if_cntlr_2_port_BRAM_WEN : std_logic_vector(0 to 7);

  attribute BOX_TYPE : STRING;
  attribute BOX_TYPE of ppc405_0_wrapper : component is "black_box";
  attribute BOX_TYPE of jtagppc_cntlr_0_wrapper : component is "black_box";
  attribute BOX_TYPE of plb0_wrapper : component is "black_box";
  attribute BOX_TYPE of xps_bram_if_cntlr_1_wrapper : component is "black_box";
  attribute BOX_TYPE of plb_bram_if_cntlr_1_bram_wrapper : component is "black_box";
  attribute BOX_TYPE of user_io_wrapper : component is "black_box";
  attribute BOX_TYPE of rs232_wrapper : component is "black_box";
  attribute BOX_TYPE of sysace_compactflash_wrapper : component is "black_box";
  attribute BOX_TYPE of clk_board_config_wrapper : component is "black_box";
  attribute BOX_TYPE of ethernet_mac_wrapper : component is "black_box";
  attribute BOX_TYPE of radio_controller_0_wrapper : component is "black_box";
  attribute BOX_TYPE of radio_bridge_slot_2_wrapper : component is "black_box";
  attribute BOX_TYPE of radio_bridge_slot_3_wrapper : component is "black_box";
  attribute BOX_TYPE of analog_bridge_slot_4_wrapper : component is "black_box";
  attribute BOX_TYPE of sram0_zbt_512kx32_wrapper : component is "black_box";
  attribute BOX_TYPE of sram1_zbt_512kx32_wrapper : component is "black_box";
  attribute BOX_TYPE of xps_bram_if_cntlr_2_wrapper : component is "black_box";
  attribute BOX_TYPE of xps_bram_if_cntlr_2_bram_wrapper : component is "black_box";
  attribute BOX_TYPE of ppc405_0_iocm_wrapper : component is "black_box";
  attribute BOX_TYPE of ppc405_0_iocm_cntlr_wrapper : component is "black_box";
  attribute BOX_TYPE of isocm_bram_wrapper : component is "black_box";
  attribute BOX_TYPE of ppc405_0_docm_wrapper : component is "black_box";
  attribute BOX_TYPE of ppc405_0_docm_cntlr_wrapper : component is "black_box";
  attribute BOX_TYPE of dsocm_bram_wrapper : component is "black_box";
  attribute BOX_TYPE of sram0_zbt_512kx32_util_bus_split_0_wrapper : component is "black_box";
  attribute BOX_TYPE of sram1_zbt_512kx32_util_bus_split_1_wrapper : component is "black_box";
  attribute BOX_TYPE of clock_generator_0_wrapper : component is "black_box";
  attribute BOX_TYPE of proc_sys_reset_0_wrapper : component is "black_box";
  attribute BOX_TYPE of plbv46_plbv46_bridge_0_wrapper : component is "black_box";
  attribute BOX_TYPE of plb_32b_40mhz_wrapper : component is "black_box";
  attribute BOX_TYPE of ofdm_txrx_mimo_plbw_0_wrapper : component is "black_box";
  attribute BOX_TYPE of warp_timer_plbw_0_wrapper : component is "black_box";
  attribute BOX_TYPE of ofdm_agc_mimo_plbw_0_wrapper : component is "black_box";
  attribute BOX_TYPE of util_reduced_logic_0_wrapper : component is "black_box";
  attribute BOX_TYPE of debugoutputs_wrapper : component is "black_box";
  attribute BOX_TYPE of xps_central_dma_0_wrapper : component is "black_box";
  attribute BOX_TYPE of eeprom_0_wrapper : component is "black_box";
  attribute BOX_TYPE of user_io_board_controller_plbw_0_wrapper : component is "black_box";

begin

  -- Internal assignments

  fpga_0_clk_board_config_sys_clk <= fpga_0_clk_board_config_sys_clk_pin;
  fpga_0_clk_board_config_cfg_radio_dat_out_pin <= fpga_0_clk_board_config_cfg_radio_dat_out;
  fpga_0_clk_board_config_cfg_radio_csb_out_pin <= fpga_0_clk_board_config_cfg_radio_csb_out;
  fpga_0_clk_board_config_cfg_radio_en_out_pin <= fpga_0_clk_board_config_cfg_radio_en_out;
  fpga_0_clk_board_config_cfg_radio_clk_out_pin <= fpga_0_clk_board_config_cfg_radio_clk_out;
  fpga_0_clk_board_config_cfg_logic_dat_out_pin <= fpga_0_clk_board_config_cfg_logic_dat_out;
  fpga_0_clk_board_config_cfg_logic_csb_out_pin <= fpga_0_clk_board_config_cfg_logic_csb_out;
  fpga_0_clk_board_config_cfg_logic_en_out_pin <= fpga_0_clk_board_config_cfg_logic_en_out;
  fpga_0_clk_board_config_cfg_logic_clk_out_pin <= fpga_0_clk_board_config_cfg_logic_clk_out;
  fpga_0_radio_bridge_slot_2_converter_clock_out_pin <= fpga_0_radio_bridge_slot_2_converter_clock_out;
  fpga_0_radio_bridge_slot_2_dac_spi_clk_pin <= fpga_0_radio_bridge_slot_2_dac_spi_clk;
  fpga_0_radio_bridge_slot_2_dac_spi_cs_pin <= fpga_0_radio_bridge_slot_2_dac_spi_cs;
  fpga_0_radio_bridge_slot_2_dac_spi_data_pin <= fpga_0_radio_bridge_slot_2_dac_spi_data;
  fpga_0_radio_bridge_slot_2_radio_24PA_pin <= fpga_0_radio_bridge_slot_2_radio_24PA;
  fpga_0_radio_bridge_slot_2_radio_5PA_pin <= fpga_0_radio_bridge_slot_2_radio_5PA;
  fpga_0_radio_bridge_slot_2_radio_ANTSW_pin <= fpga_0_radio_bridge_slot_2_radio_ANTSW;
  fpga_0_radio_bridge_slot_2_radio_dac_PLL_LOCK <= fpga_0_radio_bridge_slot_2_radio_dac_PLL_LOCK_pin;
  fpga_0_radio_bridge_slot_2_radio_dac_RESET_pin <= fpga_0_radio_bridge_slot_2_radio_dac_RESET;
  fpga_0_radio_bridge_slot_2_radio_DIPSW <= fpga_0_radio_bridge_slot_2_radio_DIPSW_pin;
  fpga_0_radio_bridge_slot_2_radio_LD <= fpga_0_radio_bridge_slot_2_radio_LD_pin;
  fpga_0_radio_bridge_slot_2_radio_LED_pin <= fpga_0_radio_bridge_slot_2_radio_LED;
  fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_clk_pin <= fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_clk;
  fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_CLAMP_pin <= fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_CLAMP;
  fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_D <= fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_D_pin;
  fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_HIZ_pin <= fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_HIZ;
  fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_OTR <= fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_OTR_pin;
  fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_SLEEP_pin <= fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_SLEEP;
  fpga_0_radio_bridge_slot_2_radio_RX_ADC_DCS_pin <= fpga_0_radio_bridge_slot_2_radio_RX_ADC_DCS;
  fpga_0_radio_bridge_slot_2_radio_RX_ADC_DFS_pin <= fpga_0_radio_bridge_slot_2_radio_RX_ADC_DFS;
  fpga_0_radio_bridge_slot_2_radio_RX_ADC_OTRA <= fpga_0_radio_bridge_slot_2_radio_RX_ADC_OTRA_pin;
  fpga_0_radio_bridge_slot_2_radio_RX_ADC_OTRB <= fpga_0_radio_bridge_slot_2_radio_RX_ADC_OTRB_pin;
  fpga_0_radio_bridge_slot_2_radio_RX_ADC_PWDNA_pin <= fpga_0_radio_bridge_slot_2_radio_RX_ADC_PWDNA;
  fpga_0_radio_bridge_slot_2_radio_RX_ADC_PWDNB_pin <= fpga_0_radio_bridge_slot_2_radio_RX_ADC_PWDNB;
  fpga_0_radio_bridge_slot_2_radio_TxEn_pin <= fpga_0_radio_bridge_slot_2_radio_TxEn;
  fpga_0_radio_bridge_slot_2_radio_RxEn_pin <= fpga_0_radio_bridge_slot_2_radio_RxEn;
  fpga_0_radio_bridge_slot_2_radio_RxHP_pin <= fpga_0_radio_bridge_slot_2_radio_RxHP;
  fpga_0_radio_bridge_slot_2_radio_SHDN_pin <= fpga_0_radio_bridge_slot_2_radio_SHDN;
  fpga_0_radio_bridge_slot_2_radio_spi_clk_pin <= fpga_0_radio_bridge_slot_2_radio_spi_clk;
  fpga_0_radio_bridge_slot_2_radio_spi_cs_pin <= fpga_0_radio_bridge_slot_2_radio_spi_cs;
  fpga_0_radio_bridge_slot_2_radio_spi_data_pin <= fpga_0_radio_bridge_slot_2_radio_spi_data;
  fpga_0_radio_bridge_slot_2_radio_B_pin <= fpga_0_radio_bridge_slot_2_radio_B;
  fpga_0_radio_bridge_slot_2_radio_DAC_I_pin <= fpga_0_radio_bridge_slot_2_radio_DAC_I;
  fpga_0_radio_bridge_slot_2_radio_DAC_Q_pin <= fpga_0_radio_bridge_slot_2_radio_DAC_Q;
  fpga_0_radio_bridge_slot_2_radio_ADC_I <= fpga_0_radio_bridge_slot_2_radio_ADC_I_pin;
  fpga_0_radio_bridge_slot_2_radio_ADC_Q <= fpga_0_radio_bridge_slot_2_radio_ADC_Q_pin;
  fpga_0_radio_bridge_slot_3_converter_clock_out_pin <= fpga_0_radio_bridge_slot_3_converter_clock_out;
  fpga_0_radio_bridge_slot_3_dac_spi_clk_pin <= fpga_0_radio_bridge_slot_3_dac_spi_clk;
  fpga_0_radio_bridge_slot_3_dac_spi_cs_pin <= fpga_0_radio_bridge_slot_3_dac_spi_cs;
  fpga_0_radio_bridge_slot_3_dac_spi_data_pin <= fpga_0_radio_bridge_slot_3_dac_spi_data;
  fpga_0_radio_bridge_slot_3_radio_24PA_pin <= fpga_0_radio_bridge_slot_3_radio_24PA;
  fpga_0_radio_bridge_slot_3_radio_5PA_pin <= fpga_0_radio_bridge_slot_3_radio_5PA;
  fpga_0_radio_bridge_slot_3_radio_ANTSW_pin <= fpga_0_radio_bridge_slot_3_radio_ANTSW;
  fpga_0_radio_bridge_slot_3_radio_dac_PLL_LOCK <= fpga_0_radio_bridge_slot_3_radio_dac_PLL_LOCK_pin;
  fpga_0_radio_bridge_slot_3_radio_dac_RESET_pin <= fpga_0_radio_bridge_slot_3_radio_dac_RESET;
  fpga_0_radio_bridge_slot_3_radio_DIPSW <= fpga_0_radio_bridge_slot_3_radio_DIPSW_pin;
  fpga_0_radio_bridge_slot_3_radio_LD <= fpga_0_radio_bridge_slot_3_radio_LD_pin;
  fpga_0_radio_bridge_slot_3_radio_LED_pin <= fpga_0_radio_bridge_slot_3_radio_LED;
  fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_clk_pin <= fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_clk;
  fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_CLAMP_pin <= fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_CLAMP;
  fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_D <= fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_D_pin;
  fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_HIZ_pin <= fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_HIZ;
  fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_OTR <= fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_OTR_pin;
  fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_SLEEP_pin <= fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_SLEEP;
  fpga_0_radio_bridge_slot_3_radio_RX_ADC_DCS_pin <= fpga_0_radio_bridge_slot_3_radio_RX_ADC_DCS;
  fpga_0_radio_bridge_slot_3_radio_RX_ADC_DFS_pin <= fpga_0_radio_bridge_slot_3_radio_RX_ADC_DFS;
  fpga_0_radio_bridge_slot_3_radio_RX_ADC_OTRA <= fpga_0_radio_bridge_slot_3_radio_RX_ADC_OTRA_pin;
  fpga_0_radio_bridge_slot_3_radio_RX_ADC_OTRB <= fpga_0_radio_bridge_slot_3_radio_RX_ADC_OTRB_pin;
  fpga_0_radio_bridge_slot_3_radio_RX_ADC_PWDNA_pin <= fpga_0_radio_bridge_slot_3_radio_RX_ADC_PWDNA;
  fpga_0_radio_bridge_slot_3_radio_RX_ADC_PWDNB_pin <= fpga_0_radio_bridge_slot_3_radio_RX_ADC_PWDNB;
  fpga_0_radio_bridge_slot_3_radio_TxEn_pin <= fpga_0_radio_bridge_slot_3_radio_TxEn;
  fpga_0_radio_bridge_slot_3_radio_RxEn_pin <= fpga_0_radio_bridge_slot_3_radio_RxEn;
  fpga_0_radio_bridge_slot_3_radio_RxHP_pin <= fpga_0_radio_bridge_slot_3_radio_RxHP;
  fpga_0_radio_bridge_slot_3_radio_SHDN_pin <= fpga_0_radio_bridge_slot_3_radio_SHDN;
  fpga_0_radio_bridge_slot_3_radio_spi_clk_pin <= fpga_0_radio_bridge_slot_3_radio_spi_clk;
  fpga_0_radio_bridge_slot_3_radio_spi_cs_pin <= fpga_0_radio_bridge_slot_3_radio_spi_cs;
  fpga_0_radio_bridge_slot_3_radio_spi_data_pin <= fpga_0_radio_bridge_slot_3_radio_spi_data;
  fpga_0_radio_bridge_slot_3_radio_B_pin <= fpga_0_radio_bridge_slot_3_radio_B;
  fpga_0_radio_bridge_slot_3_radio_DAC_I_pin <= fpga_0_radio_bridge_slot_3_radio_DAC_I;
  fpga_0_radio_bridge_slot_3_radio_DAC_Q_pin <= fpga_0_radio_bridge_slot_3_radio_DAC_Q;
  fpga_0_radio_bridge_slot_3_radio_ADC_I <= fpga_0_radio_bridge_slot_3_radio_ADC_I_pin;
  fpga_0_radio_bridge_slot_3_radio_ADC_Q <= fpga_0_radio_bridge_slot_3_radio_ADC_Q_pin;
  fpga_0_analog_bridge_slot_4_clock_out_pin <= fpga_0_analog_bridge_slot_4_clock_out;
  fpga_0_analog_bridge_slot_4_analog_DAC1_A_pin <= fpga_0_analog_bridge_slot_4_analog_DAC1_A;
  fpga_0_analog_bridge_slot_4_analog_DAC1_B_pin <= fpga_0_analog_bridge_slot_4_analog_DAC1_B;
  fpga_0_analog_bridge_slot_4_analog_DAC2_A_pin <= fpga_0_analog_bridge_slot_4_analog_DAC2_A;
  fpga_0_analog_bridge_slot_4_analog_DAC2_B_pin <= fpga_0_analog_bridge_slot_4_analog_DAC2_B;
  fpga_0_analog_bridge_slot_4_analog_DAC1_sleep_pin <= fpga_0_analog_bridge_slot_4_analog_DAC1_sleep;
  fpga_0_analog_bridge_slot_4_analog_DAC2_sleep_pin <= fpga_0_analog_bridge_slot_4_analog_DAC2_sleep;
  fpga_0_analog_bridge_slot_4_analog_ADC_A <= fpga_0_analog_bridge_slot_4_analog_ADC_A_pin;
  fpga_0_analog_bridge_slot_4_analog_ADC_B <= fpga_0_analog_bridge_slot_4_analog_ADC_B_pin;
  fpga_0_analog_bridge_slot_4_analog_ADC_DFS_pin <= fpga_0_analog_bridge_slot_4_analog_ADC_DFS;
  fpga_0_analog_bridge_slot_4_analog_ADC_DCS_pin <= fpga_0_analog_bridge_slot_4_analog_ADC_DCS;
  fpga_0_analog_bridge_slot_4_analog_ADC_pdwnA_pin <= fpga_0_analog_bridge_slot_4_analog_ADC_pdwnA;
  fpga_0_analog_bridge_slot_4_analog_ADC_pdwnB_pin <= fpga_0_analog_bridge_slot_4_analog_ADC_pdwnB;
  fpga_0_analog_bridge_slot_4_analog_ADC_otrA <= fpga_0_analog_bridge_slot_4_analog_ADC_otrA_pin;
  fpga_0_analog_bridge_slot_4_analog_ADC_otrB <= fpga_0_analog_bridge_slot_4_analog_ADC_otrB_pin;
  fpga_0_analog_bridge_slot_4_analog_LED_pin <= fpga_0_analog_bridge_slot_4_analog_LED;
  fpga_0_USER_IO_GPIO2_d_out_pin <= fpga_0_USER_IO_GPIO2_d_out;
  fpga_0_USER_IO_GPIO_in <= fpga_0_USER_IO_GPIO_in_pin;
  fpga_0_rs232_RX <= fpga_0_rs232_RX_pin;
  fpga_0_rs232_TX_pin <= fpga_0_rs232_TX;
  fpga_0_sysace_compactflash_SysACE_CLK <= fpga_0_sysace_compactflash_SysACE_CLK_pin;
  fpga_0_sysace_compactflash_SysACE_MPA_pin <= fpga_0_sysace_compactflash_SysACE_MPA;
  fpga_0_sysace_compactflash_SysACE_CEN_pin <= fpga_0_sysace_compactflash_SysACE_CEN;
  fpga_0_sysace_compactflash_SysACE_OEN_pin <= fpga_0_sysace_compactflash_SysACE_OEN;
  fpga_0_sysace_compactflash_SysACE_WEN_pin <= fpga_0_sysace_compactflash_SysACE_WEN;
  fpga_0_sysace_compactflash_SysACE_MPIRQ <= fpga_0_sysace_compactflash_SysACE_MPIRQ_pin;
  fpga_0_Ethernet_MAC_PHY_rst_n_pin <= fpga_0_Ethernet_MAC_PHY_rst_n;
  fpga_0_Ethernet_MAC_PHY_crs <= fpga_0_Ethernet_MAC_PHY_crs_pin;
  fpga_0_Ethernet_MAC_PHY_col <= fpga_0_Ethernet_MAC_PHY_col_pin;
  fpga_0_Ethernet_MAC_PHY_tx_data_pin <= fpga_0_Ethernet_MAC_PHY_tx_data;
  fpga_0_Ethernet_MAC_PHY_tx_en_pin <= fpga_0_Ethernet_MAC_PHY_tx_en;
  fpga_0_Ethernet_MAC_PHY_tx_clk <= fpga_0_Ethernet_MAC_PHY_tx_clk_pin;
  fpga_0_Ethernet_MAC_PHY_rx_er <= fpga_0_Ethernet_MAC_PHY_rx_er_pin;
  fpga_0_Ethernet_MAC_PHY_rx_clk <= fpga_0_Ethernet_MAC_PHY_rx_clk_pin;
  fpga_0_Ethernet_MAC_PHY_dv <= fpga_0_Ethernet_MAC_PHY_dv_pin;
  fpga_0_Ethernet_MAC_PHY_rx_data <= fpga_0_Ethernet_MAC_PHY_rx_data_pin;
  fpga_0_SRAM0_ZBT_512Kx32_Mem_OEN_pin(0 to 0) <= fpga_0_SRAM0_ZBT_512Kx32_Mem_OEN(0 to 0);
  fpga_0_SRAM0_ZBT_512Kx32_Mem_ADV_LDN_pin <= fpga_0_SRAM0_ZBT_512Kx32_Mem_ADV_LDN;
  fpga_0_SRAM0_ZBT_512Kx32_Mem_CKEN_pin <= fpga_0_SRAM0_ZBT_512Kx32_Mem_CKEN;
  fpga_0_SRAM0_ZBT_512Kx32_Mem_CE_pin <= fpga_0_SRAM0_ZBT_512Kx32_Mem_CE(0);
  fpga_0_SRAM0_ZBT_512Kx32_Mem_BEN_pin <= fpga_0_SRAM0_ZBT_512Kx32_Mem_BEN;
  fpga_0_SRAM0_ZBT_512Kx32_Mem_WEN_pin <= fpga_0_SRAM0_ZBT_512Kx32_Mem_WEN;
  fpga_0_SRAM0_ZBT_512Kx32_Mem_A_pin <= fpga_0_SRAM0_ZBT_512Kx32_Mem_A;
  fpga_0_SRAM1_ZBT_512Kx32_Mem_OEN_pin(0 to 0) <= fpga_0_SRAM1_ZBT_512Kx32_Mem_OEN(0 to 0);
  fpga_0_SRAM1_ZBT_512Kx32_Mem_ADV_LDN_pin <= fpga_0_SRAM1_ZBT_512Kx32_Mem_ADV_LDN;
  fpga_0_SRAM1_ZBT_512Kx32_Mem_CKEN_pin <= fpga_0_SRAM1_ZBT_512Kx32_Mem_CKEN;
  fpga_0_SRAM1_ZBT_512Kx32_Mem_BEN_pin <= fpga_0_SRAM1_ZBT_512Kx32_Mem_BEN;
  fpga_0_SRAM1_ZBT_512Kx32_Mem_WEN_pin <= fpga_0_SRAM1_ZBT_512Kx32_Mem_WEN;
  fpga_0_SRAM1_ZBT_512Kx32_Mem_CE_pin <= fpga_0_SRAM1_ZBT_512Kx32_Mem_CE(0);
  fpga_0_SRAM1_ZBT_512Kx32_Mem_A_pin <= fpga_0_SRAM1_ZBT_512Kx32_Mem_A;
  fpga_0_SRAM0_CLOCK <= sys_clk_s;
  fpga_0_SRAM1_CLOCK <= sys_clk_s;
  user_io_board_controller_plbw_0_sdi_pin <= user_io_board_controller_plbw_0_sdi;
  user_io_board_controller_plbw_0_scl_pin <= user_io_board_controller_plbw_0_scl;
  user_io_board_controller_plbw_0_resetlcd_pin <= user_io_board_controller_plbw_0_resetlcd;
  user_io_board_controller_plbw_0_leds_pin <= user_io_board_controller_plbw_0_leds;
  user_io_board_controller_plbw_0_cs_pin <= user_io_board_controller_plbw_0_cs;
  user_io_board_controller_plbw_0_buzzer_pin <= user_io_board_controller_plbw_0_buzzer;
  user_io_board_controller_plbw_0_dip_switch <= user_io_board_controller_plbw_0_dip_switch_pin;
  user_io_board_controller_plbw_0_buttons_small <= user_io_board_controller_plbw_0_buttons_small_pin;
  user_io_board_controller_plbw_0_buttons_big <= user_io_board_controller_plbw_0_buttons_big_pin;
  user_io_board_controller_plbw_0_trackball_yscn_pin <= user_io_board_controller_plbw_0_trackball_yscn;
  user_io_board_controller_plbw_0_trackball_sel1_pin <= user_io_board_controller_plbw_0_trackball_sel1;
  user_io_board_controller_plbw_0_trackball_xscn_pin <= user_io_board_controller_plbw_0_trackball_xscn;
  user_io_board_controller_plbw_0_trackball_sel2 <= user_io_board_controller_plbw_0_trackball_sel2_pin;
  user_io_board_controller_plbw_0_trackball_oyn <= user_io_board_controller_plbw_0_trackball_oyn_pin;
  user_io_board_controller_plbw_0_trackball_oy <= user_io_board_controller_plbw_0_trackball_oy_pin;
  user_io_board_controller_plbw_0_trackball_oxn <= user_io_board_controller_plbw_0_trackball_oxn_pin;
  user_io_board_controller_plbw_0_trackball_ox <= user_io_board_controller_plbw_0_trackball_ox_pin;
  dcm_clk_s <= sys_clk_pin;
  sys_rst_s <= sys_rst_pin;
  debug_chipscopetrig <= debug_chipscopetrig_pin;
  debug_GPIO_d_out_pin <= fpga_0_debug_GPIO_d_out;
  plb0_Sl_MRdErr(27 to 29) <= B"000";
  plb0_Sl_MRdErr(36 to 38) <= B"000";
  plb0_Sl_MWrErr(27 to 29) <= B"000";
  plb0_Sl_MWrErr(36 to 38) <= B"000";
  plb0_Sl_MBusy(27 to 29) <= B"000";
  plb0_Sl_MBusy(36 to 38) <= B"000";
  plb0_Sl_rdBTerm(9 to 9) <= B"0";
  plb0_Sl_rdBTerm(12 to 12) <= B"0";
  plb0_Sl_rdWdAddr(36 to 39) <= B"0000";
  plb0_Sl_rdWdAddr(48 to 51) <= B"0000";
  plb0_Sl_rearbitrate(9 to 9) <= B"0";
  plb0_Sl_rearbitrate(12 to 12) <= B"0";
  plb0_Sl_SSize(18 to 19) <= B"00";
  plb0_Sl_SSize(24 to 25) <= B"00";
  plb0_Sl_wrBTerm(9 to 9) <= B"0";
  plb0_Sl_wrBTerm(12 to 12) <= B"0";
  plb0_Sl_MIRQ(27 to 29) <= B"000";
  plb0_Sl_MIRQ(36 to 38) <= B"000";
  plb_32b_40MHz_Sl_SSize(2 to 3) <= B"00";
  plb_32b_40MHz_Sl_SSize(4 to 5) <= B"00";
  plb_32b_40MHz_Sl_rearbitrate(1 to 1) <= B"0";
  plb_32b_40MHz_Sl_rearbitrate(2 to 2) <= B"0";
  plb_32b_40MHz_Sl_wrBTerm(1 to 1) <= B"0";
  plb_32b_40MHz_Sl_wrBTerm(2 to 2) <= B"0";
  plb_32b_40MHz_Sl_rdWdAddr(4 to 7) <= B"0000";
  plb_32b_40MHz_Sl_rdWdAddr(8 to 11) <= B"0000";
  plb_32b_40MHz_Sl_rdBTerm(1 to 1) <= B"0";
  plb_32b_40MHz_Sl_rdBTerm(2 to 2) <= B"0";
  plb_32b_40MHz_Sl_MBusy(1 to 1) <= B"0";
  plb_32b_40MHz_Sl_MBusy(2 to 2) <= B"0";
  plb_32b_40MHz_Sl_MWrErr(1 to 1) <= B"0";
  plb_32b_40MHz_Sl_MWrErr(2 to 2) <= B"0";
  plb_32b_40MHz_Sl_MRdErr(1 to 1) <= B"0";
  plb_32b_40MHz_Sl_MRdErr(2 to 2) <= B"0";
  plb_32b_40MHz_Sl_MIRQ(1 to 1) <= B"0";
  plb_32b_40MHz_Sl_MIRQ(2 to 2) <= B"0";
  pgassign1(0 to 9) <= B"0000000000";
  pgassign2(0 to 7) <= fpga_0_USER_IO_GPIO_in(0 to 7);
  pgassign2(8 to 17) <= B"0000000000";
  pgassign3(0) <= radio2_txStart;
  pgassign3(1) <= radio3_txStart;
  pgassign4(0) <= debug_tx_pktrunning;
  pgassign4(1) <= debug_rx_payload;
  pgassign4(2) <= rssi_pkt_detect_plbw_0_rssi_pkt_det_out;
  pgassign4(3) <= rx_int_goodpkt;
  pgassign4(4) <= rx_int_badpkt;
  pgassign4(5) <= rx_int_goodheader;
  pgassign4(6) <= ofdm_txrx_mimo_plbw_0_rx_int_badheader;
  pgassign4(7) <= rx_pktdetreset;
  pgassign4(8) <= ofdm_pktDetector_mimo_plbw_0_idlefordifs;
  pgassign4(9) <= debug_timer0_active;
  debug <= pgassign4;
  net_gnd0 <= '0';
  net_gnd10(0 to 9) <= B"0000000000";
  net_gnd18(0 to 17) <= B"000000000000000000";
  net_gnd2(0 to 1) <= B"00";
  net_gnd3(0 to 2) <= B"000";
  net_gnd32(0 to 31) <= B"00000000000000000000000000000000";
  net_gnd4(0 to 3) <= B"0000";
  net_gnd64(0 to 63) <= B"0000000000000000000000000000000000000000000000000000000000000000";
  net_gnd8(0 to 7) <= B"00000000";
  net_vcc0 <= '1';
  fpga_0_Ethernet_MAC_slew1_pin <= net_vcc0;
  fpga_0_Ethernet_MAC_slew2_pin <= net_vcc0;

  ppc405_0 : ppc405_0_wrapper
    port map (
      C405CPMCORESLEEPREQ => open,
      C405CPMMSRCE => open,
      C405CPMMSREE => open,
      C405CPMTIMERIRQ => open,
      C405CPMTIMERRESETREQ => open,
      C405XXXMACHINECHECK => open,
      CPMC405CLOCK => proc_clk_s,
      CPMC405CORECLKINACTIVE => net_gnd0,
      CPMC405CPUCLKEN => net_vcc0,
      CPMC405JTAGCLKEN => net_vcc0,
      CPMC405TIMERCLKEN => net_vcc0,
      CPMC405TIMERTICK => net_vcc0,
      MCBCPUCLKEN => net_vcc0,
      MCBTIMEREN => net_vcc0,
      MCPPCRST => net_vcc0,
      DCRCLK => net_vcc0,
      C405RSTCHIPRESETREQ => ppc_reset_bus_Chip_Reset_Req,
      C405RSTCORERESETREQ => ppc_reset_bus_Core_Reset_Req,
      C405RSTSYSRESETREQ => ppc_reset_bus_System_Reset_Req,
      RSTC405RESETCHIP => ppc_reset_bus_RstsPPCresetchip,
      RSTC405RESETCORE => ppc_reset_bus_RstcPPCresetcore,
      RSTC405RESETSYS => ppc_reset_bus_RstcPPCresetsys,
      IPLB0_PLB_Clk => sys_clk_s,
      IPLB0_PLB_Rst => plb0_MPLB_Rst(1),
      IPLB0_PLB_MBusy => plb0_PLB_MBusy(1),
      IPLB0_PLB_MRdErr => plb0_PLB_MRdErr(1),
      IPLB0_PLB_MWrErr => plb0_PLB_MWrErr(1),
      IPLB0_PLB_MWrBTerm => plb0_PLB_MWrBTerm(1),
      IPLB0_PLB_MWrDAck => plb0_PLB_MWrDAck(1),
      IPLB0_PLB_MAddrAck => plb0_PLB_MAddrAck(1),
      IPLB0_PLB_MRdBTerm => plb0_PLB_MRdBTerm(1),
      IPLB0_PLB_MRdDAck => plb0_PLB_MRdDAck(1),
      IPLB0_PLB_MRdDBus => plb0_PLB_MRdDBus(64 to 127),
      IPLB0_PLB_MRearbitrate => plb0_PLB_MRearbitrate(1),
      IPLB0_PLB_MSSize => plb0_PLB_MSSize(2 to 3),
      IPLB0_PLB_MTimeout => plb0_PLB_MTimeout(1),
      IPLB0_PLB_MRdWdAddr => plb0_PLB_MRdWdAddr(4 to 7),
      IPLB0_M_ABus => plb0_M_ABus(32 to 63),
      IPLB0_M_BE => plb0_M_BE(8 to 15),
      IPLB0_M_MSize => plb0_M_MSize(2 to 3),
      IPLB0_M_rdBurst => plb0_M_rdBurst(1),
      IPLB0_M_request => plb0_M_request(1),
      IPLB0_M_RNW => plb0_M_RNW(1),
      IPLB0_M_size => plb0_M_size(4 to 7),
      IPLB0_M_wrBurst => plb0_M_wrBurst(1),
      IPLB0_M_wrDBus => plb0_M_wrDBus(64 to 127),
      IPLB0_M_abort => plb0_M_abort(1),
      IPLB0_M_UABus => plb0_M_UABus(32 to 63),
      IPLB0_M_busLock => plb0_M_busLock(1),
      IPLB0_M_lockErr => plb0_M_lockErr(1),
      IPLB0_M_priority => plb0_M_priority(2 to 3),
      IPLB0_M_type => plb0_M_type(3 to 5),
      IPLB0_M_TAttribute => plb0_M_TAttribute(16 to 31),
      DPLB0_PLB_Clk => sys_clk_s,
      DPLB0_PLB_Rst => plb0_MPLB_Rst(0),
      DPLB0_PLB_MBusy => plb0_PLB_MBusy(0),
      DPLB0_PLB_MRdErr => plb0_PLB_MRdErr(0),
      DPLB0_PLB_MWrErr => plb0_PLB_MWrErr(0),
      DPLB0_PLB_MWrBTerm => plb0_PLB_MWrBTerm(0),
      DPLB0_PLB_MWrDAck => plb0_PLB_MWrDAck(0),
      DPLB0_PLB_MAddrAck => plb0_PLB_MAddrAck(0),
      DPLB0_PLB_MRdBTerm => plb0_PLB_MRdBTerm(0),
      DPLB0_PLB_MRdDAck => plb0_PLB_MRdDAck(0),
      DPLB0_PLB_MRdDBus => plb0_PLB_MRdDBus(0 to 63),
      DPLB0_PLB_MRearbitrate => plb0_PLB_MRearbitrate(0),
      DPLB0_PLB_MSSize => plb0_PLB_MSSize(0 to 1),
      DPLB0_PLB_MTimeout => plb0_PLB_MTimeout(0),
      DPLB0_PLB_MRdWdAddr => plb0_PLB_MRdWdAddr(0 to 3),
      DPLB0_M_ABus => plb0_M_ABus(0 to 31),
      DPLB0_M_BE => plb0_M_BE(0 to 7),
      DPLB0_M_MSize => plb0_M_MSize(0 to 1),
      DPLB0_M_rdBurst => plb0_M_rdBurst(0),
      DPLB0_M_request => plb0_M_request(0),
      DPLB0_M_RNW => plb0_M_RNW(0),
      DPLB0_M_size => plb0_M_size(0 to 3),
      DPLB0_M_wrBurst => plb0_M_wrBurst(0),
      DPLB0_M_wrDBus => plb0_M_wrDBus(0 to 63),
      DPLB0_M_abort => plb0_M_abort(0),
      DPLB0_M_UABus => plb0_M_UABus(0 to 31),
      DPLB0_M_busLock => plb0_M_busLock(0),
      DPLB0_M_lockErr => plb0_M_lockErr(0),
      DPLB0_M_priority => plb0_M_priority(0 to 1),
      DPLB0_M_type => plb0_M_type(0 to 2),
      DPLB0_M_TAttribute => plb0_M_TAttribute(0 to 15),
      IPLB1_PLB_Clk => net_gnd0,
      IPLB1_PLB_Rst => net_gnd0,
      IPLB1_PLB_MBusy => net_gnd0,
      IPLB1_PLB_MRdErr => net_gnd0,
      IPLB1_PLB_MWrErr => net_gnd0,
      IPLB1_PLB_MWrBTerm => net_gnd0,
      IPLB1_PLB_MWrDAck => net_gnd0,
      IPLB1_PLB_MAddrAck => net_gnd0,
      IPLB1_PLB_MRdBTerm => net_gnd0,
      IPLB1_PLB_MRdDAck => net_gnd0,
      IPLB1_PLB_MRdDBus => net_gnd64,
      IPLB1_PLB_MRearbitrate => net_gnd0,
      IPLB1_PLB_MSSize => net_gnd2,
      IPLB1_PLB_MTimeout => net_gnd0,
      IPLB1_PLB_MRdWdAddr => net_gnd4,
      IPLB1_M_ABus => open,
      IPLB1_M_BE => open,
      IPLB1_M_MSize => open,
      IPLB1_M_rdBurst => open,
      IPLB1_M_request => open,
      IPLB1_M_RNW => open,
      IPLB1_M_size => open,
      IPLB1_M_wrBurst => open,
      IPLB1_M_wrDBus => open,
      IPLB1_M_abort => open,
      IPLB1_M_UABus => open,
      IPLB1_M_busLock => open,
      IPLB1_M_lockErr => open,
      IPLB1_M_priority => open,
      IPLB1_M_type => open,
      IPLB1_M_TAttribute => open,
      DPLB1_PLB_Clk => net_gnd0,
      DPLB1_PLB_Rst => net_gnd0,
      DPLB1_PLB_MBusy => net_gnd0,
      DPLB1_PLB_MRdErr => net_gnd0,
      DPLB1_PLB_MWrErr => net_gnd0,
      DPLB1_PLB_MWrBTerm => net_gnd0,
      DPLB1_PLB_MWrDAck => net_gnd0,
      DPLB1_PLB_MAddrAck => net_gnd0,
      DPLB1_PLB_MRdBTerm => net_gnd0,
      DPLB1_PLB_MRdDAck => net_gnd0,
      DPLB1_PLB_MRdDBus => net_gnd64,
      DPLB1_PLB_MRearbitrate => net_gnd0,
      DPLB1_PLB_MSSize => net_gnd2,
      DPLB1_PLB_MTimeout => net_gnd0,
      DPLB1_PLB_MRdWdAddr => net_gnd4,
      DPLB1_M_ABus => open,
      DPLB1_M_BE => open,
      DPLB1_M_MSize => open,
      DPLB1_M_rdBurst => open,
      DPLB1_M_request => open,
      DPLB1_M_RNW => open,
      DPLB1_M_size => open,
      DPLB1_M_wrBurst => open,
      DPLB1_M_wrDBus => open,
      DPLB1_M_abort => open,
      DPLB1_M_UABus => open,
      DPLB1_M_busLock => open,
      DPLB1_M_lockErr => open,
      DPLB1_M_priority => open,
      DPLB1_M_type => open,
      DPLB1_M_TAttribute => open,
      BRAMDSOCMCLK => sys_clk_s,
      BRAMDSOCMRDDBUS => ppc405_0_docm_BRAMDSOCMRDDBUS,
      DSARCVALUE => ppc405_0_docm_DSARCVALUE,
      DSCNTLVALUE => ppc405_0_docm_DSCNTLVALUE,
      DSOCMBRAMABUS => ppc405_0_docm_M_DSOCMBRAMABUS,
      DSOCMBRAMBYTEWRITE => ppc405_0_docm_M_DSOCMBRAMBYTEWRITE,
      DSOCMBRAMEN => ppc405_0_docm_M_DSOCMBRAMEN,
      DSOCMBRAMWRDBUS => ppc405_0_docm_M_DSOCMBRAMWRDBUS,
      DSOCMBUSY => ppc405_0_docm_M_DSOCMBUSY,
      BRAMISOCMCLK => sys_clk_s,
      BRAMISOCMRDDBUS => ppc405_0_iocm_BRAMISOCMRDDBUS,
      ISARCVALUE => ppc405_0_iocm_ISARCVALUE,
      ISCNTLVALUE => ppc405_0_iocm_ISCNTLVALUE,
      ISOCMBRAMEN => ppc405_0_iocm_M_ISOCMBRAMEN,
      ISOCMBRAMEVENWRITEEN => ppc405_0_iocm_M_ISOCMBRAMEVENWRITEEN,
      ISOCMBRAMODDWRITEEN => ppc405_0_iocm_M_ISOCMBRAMODDWRITEEN,
      ISOCMBRAMRDABUS => ppc405_0_iocm_M_ISOCMBRAMRDABUS,
      ISOCMBRAMWRABUS => ppc405_0_iocm_M_ISOCMBRAMWRABUS,
      ISOCMBRAMWRDBUS => ppc405_0_iocm_M_ISOCMBRAMWRDBUS,
      C405DCRABUS => open,
      C405DCRDBUSOUT => open,
      C405DCRREAD => open,
      C405DCRWRITE => open,
      DCRC405ACK => net_gnd0,
      DCRC405DBUSIN => net_gnd32,
      EICC405CRITINPUTIRQ => net_gnd0,
      EICC405EXTINPUTIRQ => net_gnd0,
      C405JTGCAPTUREDR => open,
      C405JTGEXTEST => open,
      C405JTGPGMOUT => open,
      C405JTGSHIFTDR => open,
      C405JTGTDO => jtagppc_cntlr_0_0_C405JTGTDO,
      C405JTGTDOEN => jtagppc_cntlr_0_0_C405JTGTDOEN,
      C405JTGUPDATEDR => open,
      MCBJTAGEN => net_vcc0,
      JTGC405BNDSCANTDO => net_gnd0,
      JTGC405TCK => jtagppc_cntlr_0_0_JTGC405TCK,
      JTGC405TDI => jtagppc_cntlr_0_0_JTGC405TDI,
      JTGC405TMS => jtagppc_cntlr_0_0_JTGC405TMS,
      JTGC405TRSTNEG => jtagppc_cntlr_0_0_JTGC405TRSTNEG,
      C405DBGMSRWE => open,
      C405DBGSTOPACK => open,
      C405DBGWBCOMPLETE => open,
      C405DBGWBFULL => open,
      C405DBGWBIAR => open,
      DBGC405DEBUGHALT => net_gnd0,
      DBGC405DEBUGHALTNEG => net_vcc0,
      DBGC405EXTBUSHOLDACK => net_gnd0,
      DBGC405UNCONDDEBUGEVENT => net_gnd0,
      C405TRCCYCLE => open,
      C405TRCEVENEXECUTIONSTATUS => open,
      C405TRCODDEXECUTIONSTATUS => open,
      C405TRCTRACESTATUS => open,
      C405TRCTRIGGEREVENTOUT => open,
      C405TRCTRIGGEREVENTTYPE => open,
      TRCC405TRACEDISABLE => net_gnd0,
      TRCC405TRIGGEREVENTIN => net_gnd0
    );

  jtagppc_cntlr_0 : jtagppc_cntlr_0_wrapper
    port map (
      TRSTNEG => net_vcc0,
      HALTNEG0 => net_vcc0,
      DBGC405DEBUGHALT0 => open,
      HALTNEG1 => net_vcc0,
      DBGC405DEBUGHALT1 => open,
      C405JTGTDO0 => jtagppc_cntlr_0_0_C405JTGTDO,
      C405JTGTDOEN0 => jtagppc_cntlr_0_0_C405JTGTDOEN,
      JTGC405TCK0 => jtagppc_cntlr_0_0_JTGC405TCK,
      JTGC405TDI0 => jtagppc_cntlr_0_0_JTGC405TDI,
      JTGC405TMS0 => jtagppc_cntlr_0_0_JTGC405TMS,
      JTGC405TRSTNEG0 => jtagppc_cntlr_0_0_JTGC405TRSTNEG,
      C405JTGTDO1 => net_gnd0,
      C405JTGTDOEN1 => net_gnd0,
      JTGC405TCK1 => open,
      JTGC405TDI1 => open,
      JTGC405TMS1 => open,
      JTGC405TRSTNEG1 => open
    );

  plb0 : plb0_wrapper
    port map (
      PLB_Clk => sys_clk_s,
      SYS_Rst => sys_bus_reset(0),
      PLB_Rst => open,
      SPLB_Rst => plb0_SPLB_Rst,
      MPLB_Rst => plb0_MPLB_Rst,
      PLB_dcrAck => open,
      PLB_dcrDBus => open,
      DCR_ABus => net_gnd10,
      DCR_DBus => net_gnd32,
      DCR_Read => net_gnd0,
      DCR_Write => net_gnd0,
      M_ABus => plb0_M_ABus,
      M_UABus => plb0_M_UABus,
      M_BE => plb0_M_BE,
      M_RNW => plb0_M_RNW,
      M_abort => plb0_M_abort,
      M_busLock => plb0_M_busLock,
      M_TAttribute => plb0_M_TAttribute,
      M_lockErr => plb0_M_lockErr,
      M_MSize => plb0_M_MSize,
      M_priority => plb0_M_priority,
      M_rdBurst => plb0_M_rdBurst,
      M_request => plb0_M_request,
      M_size => plb0_M_size,
      M_type => plb0_M_type,
      M_wrBurst => plb0_M_wrBurst,
      M_wrDBus => plb0_M_wrDBus,
      Sl_addrAck => plb0_Sl_addrAck,
      Sl_MRdErr => plb0_Sl_MRdErr,
      Sl_MWrErr => plb0_Sl_MWrErr,
      Sl_MBusy => plb0_Sl_MBusy,
      Sl_rdBTerm => plb0_Sl_rdBTerm,
      Sl_rdComp => plb0_Sl_rdComp,
      Sl_rdDAck => plb0_Sl_rdDAck,
      Sl_rdDBus => plb0_Sl_rdDBus,
      Sl_rdWdAddr => plb0_Sl_rdWdAddr,
      Sl_rearbitrate => plb0_Sl_rearbitrate,
      Sl_SSize => plb0_Sl_SSize,
      Sl_wait => plb0_Sl_wait,
      Sl_wrBTerm => plb0_Sl_wrBTerm,
      Sl_wrComp => plb0_Sl_wrComp,
      Sl_wrDAck => plb0_Sl_wrDAck,
      Sl_MIRQ => plb0_Sl_MIRQ,
      PLB_MIRQ => plb0_PLB_MIRQ,
      PLB_ABus => plb0_PLB_ABus,
      PLB_UABus => plb0_PLB_UABus,
      PLB_BE => plb0_PLB_BE,
      PLB_MAddrAck => plb0_PLB_MAddrAck,
      PLB_MTimeout => plb0_PLB_MTimeout,
      PLB_MBusy => plb0_PLB_MBusy,
      PLB_MRdErr => plb0_PLB_MRdErr,
      PLB_MWrErr => plb0_PLB_MWrErr,
      PLB_MRdBTerm => plb0_PLB_MRdBTerm,
      PLB_MRdDAck => plb0_PLB_MRdDAck,
      PLB_MRdDBus => plb0_PLB_MRdDBus,
      PLB_MRdWdAddr => plb0_PLB_MRdWdAddr,
      PLB_MRearbitrate => plb0_PLB_MRearbitrate,
      PLB_MWrBTerm => plb0_PLB_MWrBTerm,
      PLB_MWrDAck => plb0_PLB_MWrDAck,
      PLB_MSSize => plb0_PLB_MSSize,
      PLB_PAValid => plb0_PLB_PAValid,
      PLB_RNW => plb0_PLB_RNW,
      PLB_SAValid => plb0_PLB_SAValid,
      PLB_abort => plb0_PLB_abort,
      PLB_busLock => plb0_PLB_busLock,
      PLB_TAttribute => plb0_PLB_TAttribute,
      PLB_lockErr => plb0_PLB_lockErr,
      PLB_masterID => plb0_PLB_masterID,
      PLB_MSize => plb0_PLB_MSize,
      PLB_rdPendPri => plb0_PLB_rdPendPri,
      PLB_wrPendPri => plb0_PLB_wrPendPri,
      PLB_rdPendReq => plb0_PLB_rdPendReq,
      PLB_wrPendReq => plb0_PLB_wrPendReq,
      PLB_rdBurst => plb0_PLB_rdBurst,
      PLB_rdPrim => plb0_PLB_rdPrim,
      PLB_reqPri => plb0_PLB_reqPri,
      PLB_size => plb0_PLB_size,
      PLB_type => plb0_PLB_type,
      PLB_wrBurst => plb0_PLB_wrBurst,
      PLB_wrDBus => plb0_PLB_wrDBus,
      PLB_wrPrim => plb0_PLB_wrPrim,
      PLB_SaddrAck => open,
      PLB_SMRdErr => open,
      PLB_SMWrErr => open,
      PLB_SMBusy => open,
      PLB_SrdBTerm => open,
      PLB_SrdComp => open,
      PLB_SrdDAck => open,
      PLB_SrdDBus => open,
      PLB_SrdWdAddr => open,
      PLB_Srearbitrate => open,
      PLB_Sssize => open,
      PLB_Swait => open,
      PLB_SwrBTerm => open,
      PLB_SwrComp => open,
      PLB_SwrDAck => open,
      Bus_Error_Det => open
    );

  xps_bram_if_cntlr_1 : xps_bram_if_cntlr_1_wrapper
    port map (
      SPLB_Clk => sys_clk_s,
      SPLB_Rst => plb0_SPLB_Rst(0),
      PLB_ABus => plb0_PLB_ABus,
      PLB_UABus => plb0_PLB_UABus,
      PLB_PAValid => plb0_PLB_PAValid,
      PLB_SAValid => plb0_PLB_SAValid,
      PLB_rdPrim => plb0_PLB_rdPrim(0),
      PLB_wrPrim => plb0_PLB_wrPrim(0),
      PLB_masterID => plb0_PLB_masterID,
      PLB_abort => plb0_PLB_abort,
      PLB_busLock => plb0_PLB_busLock,
      PLB_RNW => plb0_PLB_RNW,
      PLB_BE => plb0_PLB_BE,
      PLB_MSize => plb0_PLB_MSize,
      PLB_size => plb0_PLB_size,
      PLB_type => plb0_PLB_type,
      PLB_lockErr => plb0_PLB_lockErr,
      PLB_wrDBus => plb0_PLB_wrDBus,
      PLB_wrBurst => plb0_PLB_wrBurst,
      PLB_rdBurst => plb0_PLB_rdBurst,
      PLB_wrPendReq => plb0_PLB_wrPendReq,
      PLB_rdPendReq => plb0_PLB_rdPendReq,
      PLB_wrPendPri => plb0_PLB_wrPendPri,
      PLB_rdPendPri => plb0_PLB_rdPendPri,
      PLB_reqPri => plb0_PLB_reqPri,
      PLB_TAttribute => plb0_PLB_TAttribute,
      Sl_addrAck => plb0_Sl_addrAck(0),
      Sl_SSize => plb0_Sl_SSize(0 to 1),
      Sl_wait => plb0_Sl_wait(0),
      Sl_rearbitrate => plb0_Sl_rearbitrate(0),
      Sl_wrDAck => plb0_Sl_wrDAck(0),
      Sl_wrComp => plb0_Sl_wrComp(0),
      Sl_wrBTerm => plb0_Sl_wrBTerm(0),
      Sl_rdDBus => plb0_Sl_rdDBus(0 to 63),
      Sl_rdWdAddr => plb0_Sl_rdWdAddr(0 to 3),
      Sl_rdDAck => plb0_Sl_rdDAck(0),
      Sl_rdComp => plb0_Sl_rdComp(0),
      Sl_rdBTerm => plb0_Sl_rdBTerm(0),
      Sl_MBusy => plb0_Sl_MBusy(0 to 2),
      Sl_MWrErr => plb0_Sl_MWrErr(0 to 2),
      Sl_MRdErr => plb0_Sl_MRdErr(0 to 2),
      Sl_MIRQ => plb0_Sl_MIRQ(0 to 2),
      BRAM_Rst => xps_bram_if_cntlr_1_port_BRAM_Rst,
      BRAM_Clk => xps_bram_if_cntlr_1_port_BRAM_Clk,
      BRAM_EN => xps_bram_if_cntlr_1_port_BRAM_EN,
      BRAM_WEN => xps_bram_if_cntlr_1_port_BRAM_WEN,
      BRAM_Addr => xps_bram_if_cntlr_1_port_BRAM_Addr,
      BRAM_Din => xps_bram_if_cntlr_1_port_BRAM_Din,
      BRAM_Dout => xps_bram_if_cntlr_1_port_BRAM_Dout
    );

  plb_bram_if_cntlr_1_bram : plb_bram_if_cntlr_1_bram_wrapper
    port map (
      BRAM_Rst_A => xps_bram_if_cntlr_1_port_BRAM_Rst,
      BRAM_Clk_A => xps_bram_if_cntlr_1_port_BRAM_Clk,
      BRAM_EN_A => xps_bram_if_cntlr_1_port_BRAM_EN,
      BRAM_WEN_A => xps_bram_if_cntlr_1_port_BRAM_WEN,
      BRAM_Addr_A => xps_bram_if_cntlr_1_port_BRAM_Addr,
      BRAM_Din_A => xps_bram_if_cntlr_1_port_BRAM_Din,
      BRAM_Dout_A => xps_bram_if_cntlr_1_port_BRAM_Dout,
      BRAM_Rst_B => net_gnd0,
      BRAM_Clk_B => net_gnd0,
      BRAM_EN_B => net_gnd0,
      BRAM_WEN_B => net_gnd8,
      BRAM_Addr_B => net_gnd32,
      BRAM_Din_B => open,
      BRAM_Dout_B => net_gnd64
    );

  USER_IO : user_io_wrapper
    port map (
      SPLB_Clk => sys_clk_s,
      SPLB_Rst => plb0_SPLB_Rst(1),
      PLB_ABus => plb0_PLB_ABus,
      PLB_UABus => plb0_PLB_UABus,
      PLB_PAValid => plb0_PLB_PAValid,
      PLB_SAValid => plb0_PLB_SAValid,
      PLB_rdPrim => plb0_PLB_rdPrim(1),
      PLB_wrPrim => plb0_PLB_wrPrim(1),
      PLB_masterID => plb0_PLB_masterID,
      PLB_abort => plb0_PLB_abort,
      PLB_busLock => plb0_PLB_busLock,
      PLB_RNW => plb0_PLB_RNW,
      PLB_BE => plb0_PLB_BE,
      PLB_MSize => plb0_PLB_MSize,
      PLB_size => plb0_PLB_size,
      PLB_type => plb0_PLB_type,
      PLB_lockErr => plb0_PLB_lockErr,
      PLB_wrDBus => plb0_PLB_wrDBus,
      PLB_wrBurst => plb0_PLB_wrBurst,
      PLB_rdBurst => plb0_PLB_rdBurst,
      PLB_wrPendReq => plb0_PLB_wrPendReq,
      PLB_rdPendReq => plb0_PLB_rdPendReq,
      PLB_wrPendPri => plb0_PLB_wrPendPri,
      PLB_rdPendPri => plb0_PLB_rdPendPri,
      PLB_reqPri => plb0_PLB_reqPri,
      PLB_TAttribute => plb0_PLB_TAttribute,
      Sl_addrAck => plb0_Sl_addrAck(1),
      Sl_SSize => plb0_Sl_SSize(2 to 3),
      Sl_wait => plb0_Sl_wait(1),
      Sl_rearbitrate => plb0_Sl_rearbitrate(1),
      Sl_wrDAck => plb0_Sl_wrDAck(1),
      Sl_wrComp => plb0_Sl_wrComp(1),
      Sl_wrBTerm => plb0_Sl_wrBTerm(1),
      Sl_rdDBus => plb0_Sl_rdDBus(64 to 127),
      Sl_rdWdAddr => plb0_Sl_rdWdAddr(4 to 7),
      Sl_rdDAck => plb0_Sl_rdDAck(1),
      Sl_rdComp => plb0_Sl_rdComp(1),
      Sl_rdBTerm => plb0_Sl_rdBTerm(1),
      Sl_MBusy => plb0_Sl_MBusy(3 to 5),
      Sl_MWrErr => plb0_Sl_MWrErr(3 to 5),
      Sl_MRdErr => plb0_Sl_MRdErr(3 to 5),
      Sl_MIRQ => plb0_Sl_MIRQ(3 to 5),
      IP2INTC_Irpt => open,
      GPIO_IO_I => net_gnd18,
      GPIO_IO_O => open,
      GPIO_IO_T => open,
      GPIO_in => pgassign2,
      GPIO_d_out => open,
      GPIO_t_out => open,
      GPIO2_IO_I => net_gnd18,
      GPIO2_IO_O => open,
      GPIO2_IO_T => open,
      GPIO2_in => net_gnd18,
      GPIO2_d_out => fpga_0_USER_IO_GPIO2_d_out,
      GPIO2_t_out => open
    );

  rs232 : rs232_wrapper
    port map (
      SPLB_Clk => sys_clk_s,
      SPLB_Rst => plb0_SPLB_Rst(2),
      PLB_ABus => plb0_PLB_ABus,
      PLB_PAValid => plb0_PLB_PAValid,
      PLB_masterID => plb0_PLB_masterID,
      PLB_RNW => plb0_PLB_RNW,
      PLB_BE => plb0_PLB_BE,
      PLB_size => plb0_PLB_size,
      PLB_type => plb0_PLB_type,
      PLB_wrDBus => plb0_PLB_wrDBus,
      PLB_UABus => plb0_PLB_UABus,
      PLB_SAValid => plb0_PLB_SAValid,
      PLB_rdPrim => plb0_PLB_rdPrim(2),
      PLB_wrPrim => plb0_PLB_wrPrim(2),
      PLB_abort => plb0_PLB_abort,
      PLB_busLock => plb0_PLB_busLock,
      PLB_MSize => plb0_PLB_MSize,
      PLB_lockErr => plb0_PLB_lockErr,
      PLB_wrBurst => plb0_PLB_wrBurst,
      PLB_rdBurst => plb0_PLB_rdBurst,
      PLB_wrPendReq => plb0_PLB_wrPendReq,
      PLB_rdPendReq => plb0_PLB_rdPendReq,
      PLB_wrPendPri => plb0_PLB_wrPendPri,
      PLB_rdPendPri => plb0_PLB_rdPendPri,
      PLB_reqPri => plb0_PLB_reqPri,
      PLB_TAttribute => plb0_PLB_TAttribute,
      Sl_addrAck => plb0_Sl_addrAck(2),
      Sl_SSize => plb0_Sl_SSize(4 to 5),
      Sl_wait => plb0_Sl_wait(2),
      Sl_rearbitrate => plb0_Sl_rearbitrate(2),
      Sl_wrDAck => plb0_Sl_wrDAck(2),
      Sl_wrComp => plb0_Sl_wrComp(2),
      Sl_rdDBus => plb0_Sl_rdDBus(128 to 191),
      Sl_rdDAck => plb0_Sl_rdDAck(2),
      Sl_rdComp => plb0_Sl_rdComp(2),
      Sl_MBusy => plb0_Sl_MBusy(6 to 8),
      Sl_MWrErr => plb0_Sl_MWrErr(6 to 8),
      Sl_MRdErr => plb0_Sl_MRdErr(6 to 8),
      Sl_wrBTerm => plb0_Sl_wrBTerm(2),
      Sl_rdWdAddr => plb0_Sl_rdWdAddr(8 to 11),
      Sl_rdBTerm => plb0_Sl_rdBTerm(2),
      Sl_MIRQ => plb0_Sl_MIRQ(6 to 8),
      RX => fpga_0_rs232_RX,
      TX => fpga_0_rs232_TX,
      Interrupt => open
    );

  sysace_compactflash : sysace_compactflash_wrapper
    port map (
      SPLB_Clk => sys_clk_s,
      SPLB_Rst => plb0_SPLB_Rst(3),
      PLB_ABus => plb0_PLB_ABus,
      PLB_UABus => plb0_PLB_UABus,
      PLB_PAValid => plb0_PLB_PAValid,
      PLB_SAValid => plb0_PLB_SAValid,
      PLB_rdPrim => plb0_PLB_rdPrim(3),
      PLB_wrPrim => plb0_PLB_wrPrim(3),
      PLB_masterID => plb0_PLB_masterID,
      PLB_abort => plb0_PLB_abort,
      PLB_busLock => plb0_PLB_busLock,
      PLB_RNW => plb0_PLB_RNW,
      PLB_BE => plb0_PLB_BE,
      PLB_MSize => plb0_PLB_MSize,
      PLB_size => plb0_PLB_size,
      PLB_type => plb0_PLB_type,
      PLB_lockErr => plb0_PLB_lockErr,
      PLB_wrDBus => plb0_PLB_wrDBus,
      PLB_wrBurst => plb0_PLB_wrBurst,
      PLB_rdBurst => plb0_PLB_rdBurst,
      PLB_wrPendReq => plb0_PLB_wrPendReq,
      PLB_rdPendReq => plb0_PLB_rdPendReq,
      PLB_wrPendPri => plb0_PLB_wrPendPri,
      PLB_rdPendPri => plb0_PLB_rdPendPri,
      PLB_reqPri => plb0_PLB_reqPri,
      PLB_TAttribute => plb0_PLB_TAttribute,
      Sl_addrAck => plb0_Sl_addrAck(3),
      Sl_SSize => plb0_Sl_SSize(6 to 7),
      Sl_wait => plb0_Sl_wait(3),
      Sl_rearbitrate => plb0_Sl_rearbitrate(3),
      Sl_wrDAck => plb0_Sl_wrDAck(3),
      Sl_wrComp => plb0_Sl_wrComp(3),
      Sl_wrBTerm => plb0_Sl_wrBTerm(3),
      Sl_rdDBus => plb0_Sl_rdDBus(192 to 255),
      Sl_rdWdAddr => plb0_Sl_rdWdAddr(12 to 15),
      Sl_rdDAck => plb0_Sl_rdDAck(3),
      Sl_rdComp => plb0_Sl_rdComp(3),
      Sl_rdBTerm => plb0_Sl_rdBTerm(3),
      Sl_MBusy => plb0_Sl_MBusy(9 to 11),
      Sl_MWrErr => plb0_Sl_MWrErr(9 to 11),
      Sl_MRdErr => plb0_Sl_MRdErr(9 to 11),
      Sl_MIRQ => plb0_Sl_MIRQ(9 to 11),
      SysACE_MPA => fpga_0_sysace_compactflash_SysACE_MPA,
      SysACE_CLK => fpga_0_sysace_compactflash_SysACE_CLK,
      SysACE_MPIRQ => fpga_0_sysace_compactflash_SysACE_MPIRQ,
      SysACE_MPD_I => fpga_0_sysace_compactflash_SysACE_MPD_I,
      SysACE_MPD_O => fpga_0_sysace_compactflash_SysACE_MPD_O,
      SysACE_MPD_T => fpga_0_sysace_compactflash_SysACE_MPD_T,
      SysACE_CEN => fpga_0_sysace_compactflash_SysACE_CEN,
      SysACE_OEN => fpga_0_sysace_compactflash_SysACE_OEN,
      SysACE_WEN => fpga_0_sysace_compactflash_SysACE_WEN,
      SysACE_IRQ => open
    );

  clk_board_config : clk_board_config_wrapper
    port map (
      sys_clk => fpga_0_clk_board_config_sys_clk,
      sys_rst => net_gnd0,
      cfg_radio_dat_out => fpga_0_clk_board_config_cfg_radio_dat_out,
      cfg_radio_csb_out => fpga_0_clk_board_config_cfg_radio_csb_out,
      cfg_radio_en_out => fpga_0_clk_board_config_cfg_radio_en_out,
      cfg_radio_clk_out => fpga_0_clk_board_config_cfg_radio_clk_out,
      cfg_logic_dat_out => fpga_0_clk_board_config_cfg_logic_dat_out,
      cfg_logic_csb_out => fpga_0_clk_board_config_cfg_logic_csb_out,
      cfg_logic_en_out => fpga_0_clk_board_config_cfg_logic_en_out,
      cfg_logic_clk_out => fpga_0_clk_board_config_cfg_logic_clk_out,
      config_invalid => clkBoardConfig_DCM_Reset
    );

  Ethernet_MAC : ethernet_mac_wrapper
    port map (
      PHY_tx_clk => fpga_0_Ethernet_MAC_PHY_tx_clk,
      PHY_rx_clk => fpga_0_Ethernet_MAC_PHY_rx_clk,
      PHY_crs => fpga_0_Ethernet_MAC_PHY_crs,
      PHY_dv => fpga_0_Ethernet_MAC_PHY_dv,
      PHY_rx_data => fpga_0_Ethernet_MAC_PHY_rx_data,
      PHY_col => fpga_0_Ethernet_MAC_PHY_col,
      PHY_rx_er => fpga_0_Ethernet_MAC_PHY_rx_er,
      PHY_rst_n => fpga_0_Ethernet_MAC_PHY_rst_n,
      PHY_tx_en => fpga_0_Ethernet_MAC_PHY_tx_en,
      PHY_tx_data => fpga_0_Ethernet_MAC_PHY_tx_data,
      IP2INTC_Irpt => open,
      SPLB_Clk => sys_clk_s,
      SPLB_Rst => plb0_SPLB_Rst(4),
      PLB_ABus => plb0_PLB_ABus,
      PLB_UABus => plb0_PLB_UABus,
      PLB_PAValid => plb0_PLB_PAValid,
      PLB_SAValid => plb0_PLB_SAValid,
      PLB_rdPrim => plb0_PLB_rdPrim(4),
      PLB_wrPrim => plb0_PLB_wrPrim(4),
      PLB_masterID => plb0_PLB_masterID,
      PLB_abort => plb0_PLB_abort,
      PLB_busLock => plb0_PLB_busLock,
      PLB_RNW => plb0_PLB_RNW,
      PLB_BE => plb0_PLB_BE,
      PLB_MSize => plb0_PLB_MSize,
      PLB_size => plb0_PLB_size,
      PLB_type => plb0_PLB_type,
      PLB_lockErr => plb0_PLB_lockErr,
      PLB_wrDBus => plb0_PLB_wrDBus,
      PLB_wrBurst => plb0_PLB_wrBurst,
      PLB_rdBurst => plb0_PLB_rdBurst,
      PLB_wrPendReq => plb0_PLB_wrPendReq,
      PLB_rdPendReq => plb0_PLB_rdPendReq,
      PLB_wrPendPri => plb0_PLB_wrPendPri,
      PLB_rdPendPri => plb0_PLB_rdPendPri,
      PLB_reqPri => plb0_PLB_reqPri,
      PLB_TAttribute => plb0_PLB_TAttribute,
      Sl_addrAck => plb0_Sl_addrAck(4),
      Sl_SSize => plb0_Sl_SSize(8 to 9),
      Sl_wait => plb0_Sl_wait(4),
      Sl_rearbitrate => plb0_Sl_rearbitrate(4),
      Sl_wrDAck => plb0_Sl_wrDAck(4),
      Sl_wrComp => plb0_Sl_wrComp(4),
      Sl_wrBTerm => plb0_Sl_wrBTerm(4),
      Sl_rdDBus => plb0_Sl_rdDBus(256 to 319),
      Sl_rdWdAddr => plb0_Sl_rdWdAddr(16 to 19),
      Sl_rdDAck => plb0_Sl_rdDAck(4),
      Sl_rdComp => plb0_Sl_rdComp(4),
      Sl_rdBTerm => plb0_Sl_rdBTerm(4),
      Sl_MBusy => plb0_Sl_MBusy(12 to 14),
      Sl_MWrErr => plb0_Sl_MWrErr(12 to 14),
      Sl_MRdErr => plb0_Sl_MRdErr(12 to 14),
      Sl_MIRQ => plb0_Sl_MIRQ(12 to 14)
    );

  radio_controller_0 : radio_controller_0_wrapper
    port map (
      SPLB_Clk => clk_40MHz,
      SPLB_Rst => plb_32b_40MHz_SPLB_Rst(0),
      PLB_ABus => plb_32b_40MHz_PLB_ABus,
      PLB_UABus => plb_32b_40MHz_PLB_UABus,
      PLB_PAValid => plb_32b_40MHz_PLB_PAValid,
      PLB_SAValid => plb_32b_40MHz_PLB_SAValid,
      PLB_rdPrim => plb_32b_40MHz_PLB_rdPrim(0),
      PLB_wrPrim => plb_32b_40MHz_PLB_wrPrim(0),
      PLB_masterID => plb_32b_40MHz_PLB_masterID(0 to 0),
      PLB_abort => plb_32b_40MHz_PLB_abort,
      PLB_busLock => plb_32b_40MHz_PLB_busLock,
      PLB_RNW => plb_32b_40MHz_PLB_RNW,
      PLB_BE => plb_32b_40MHz_PLB_BE,
      PLB_MSize => plb_32b_40MHz_PLB_MSize,
      PLB_size => plb_32b_40MHz_PLB_size,
      PLB_type => plb_32b_40MHz_PLB_type,
      PLB_lockErr => plb_32b_40MHz_PLB_lockErr,
      PLB_wrDBus => plb_32b_40MHz_PLB_wrDBus,
      PLB_wrBurst => plb_32b_40MHz_PLB_wrBurst,
      PLB_rdBurst => plb_32b_40MHz_PLB_rdBurst,
      PLB_wrPendReq => plb_32b_40MHz_PLB_wrPendReq,
      PLB_rdPendReq => plb_32b_40MHz_PLB_rdPendReq,
      PLB_wrPendPri => plb_32b_40MHz_PLB_wrPendPri,
      PLB_rdPendPri => plb_32b_40MHz_PLB_rdPendPri,
      PLB_reqPri => plb_32b_40MHz_PLB_reqPri,
      PLB_TAttribute => plb_32b_40MHz_PLB_TAttribute,
      Sl_addrAck => plb_32b_40MHz_Sl_addrAck(0),
      Sl_SSize => plb_32b_40MHz_Sl_SSize(0 to 1),
      Sl_wait => plb_32b_40MHz_Sl_wait(0),
      Sl_rearbitrate => plb_32b_40MHz_Sl_rearbitrate(0),
      Sl_wrDAck => plb_32b_40MHz_Sl_wrDAck(0),
      Sl_wrComp => plb_32b_40MHz_Sl_wrComp(0),
      Sl_wrBTerm => plb_32b_40MHz_Sl_wrBTerm(0),
      Sl_rdDBus => plb_32b_40MHz_Sl_rdDBus(0 to 31),
      Sl_rdWdAddr => plb_32b_40MHz_Sl_rdWdAddr(0 to 3),
      Sl_rdDAck => plb_32b_40MHz_Sl_rdDAck(0),
      Sl_rdComp => plb_32b_40MHz_Sl_rdComp(0),
      Sl_rdBTerm => plb_32b_40MHz_Sl_rdBTerm(0),
      Sl_MBusy => plb_32b_40MHz_Sl_MBusy(0 to 0),
      Sl_MWrErr => plb_32b_40MHz_Sl_MWrErr(0 to 0),
      Sl_MRdErr => plb_32b_40MHz_Sl_MRdErr(0 to 0),
      Sl_MIRQ => plb_32b_40MHz_Sl_MIRQ(0 to 0),
      controller_logic_clk => radio_controller_0_controller_logic_clk,
      spi_clk => radio_bridge_slot_2_controller_spi_clk_radio_bridge_slot_3_controller_spi_clk_radio_controller_0_spi_clk,
      data_out => radio_bridge_slot_2_controller_spi_data_radio_bridge_slot_3_controller_spi_data_radio_controller_0_data_out,
      radio1_cs => open,
      radio2_cs => radio_bridge_slot_2_controller_radio_cs_radio_controller_0_radio2_cs,
      radio3_cs => radio_bridge_slot_3_controller_radio_cs_radio_controller_0_radio3_cs,
      radio4_cs => open,
      dac1_cs => open,
      dac2_cs => radio_bridge_slot_2_controller_dac_cs_radio_controller_0_dac2_cs,
      dac3_cs => radio_bridge_slot_3_controller_dac_cs_radio_controller_0_dac3_cs,
      dac4_cs => open,
      radio1_interpfiltbypass => open,
      radio1_decfiltbypass => open,
      radio1_SHDN => open,
      radio1_TxEn => open,
      radio1_RxEn => open,
      radio1_RxHP => open,
      radio1_LD => net_gnd0,
      radio1_24PA => open,
      radio1_5PA => open,
      radio1_ANTSW => open,
      radio1_LED => open,
      radio1_ADC_RX_DCS => open,
      radio1_ADC_RX_DFS => open,
      radio1_ADC_RX_OTRA => net_gnd0,
      radio1_ADC_RX_OTRB => net_gnd0,
      radio1_ADC_RX_PWDNA => open,
      radio1_ADC_RX_PWDNB => open,
      radio1_DIPSW => net_gnd4,
      radio1_RSSI_ADC_CLAMP => open,
      radio1_RSSI_ADC_HIZ => open,
      radio1_RSSI_ADC_OTR => net_gnd0,
      radio1_RSSI_ADC_SLEEP => open,
      radio1_RSSI_ADC_D => net_gnd10,
      radio1_TX_DAC_PLL_LOCK => net_gnd0,
      radio1_TX_DAC_RESET => open,
      radio1_SHDN_external => net_gnd0,
      radio1_TxEn_external => net_gnd0,
      radio1_RxEn_external => net_gnd0,
      radio1_RxHP_external => net_gnd0,
      radio1_TxGain => open,
      radio1_TxStart => open,
      radio2_interpfiltbypass => open,
      radio2_decfiltbypass => open,
      radio2_SHDN => radio_bridge_slot_2_controller_SHDN_radio_controller_0_radio2_SHDN,
      radio2_TxEn => radio_bridge_slot_2_controller_TxEn_radio_controller_0_radio2_TxEn,
      radio2_RxEn => radio_bridge_slot_2_controller_RxEn_radio_controller_0_radio2_RxEn,
      radio2_RxHP => radio_bridge_slot_2_controller_RxHP_radio_controller_0_radio2_RxHP,
      radio2_LD => radio_bridge_slot_2_controller_LD_radio_controller_0_radio2_LD,
      radio2_24PA => radio_bridge_slot_2_controller_24PA_radio_controller_0_radio2_24PA,
      radio2_5PA => radio_bridge_slot_2_controller_5PA_radio_controller_0_radio2_5PA,
      radio2_ANTSW => radio_bridge_slot_2_controller_ANTSW_radio_controller_0_radio2_ANTSW,
      radio2_LED => radio_bridge_slot_2_controller_LED_radio_controller_0_radio2_LED,
      radio2_ADC_RX_DCS => radio_bridge_slot_2_controller_RX_ADC_DCS_radio_controller_0_radio2_ADC_RX_DCS,
      radio2_ADC_RX_DFS => radio_bridge_slot_2_controller_RX_ADC_DFS_radio_controller_0_radio2_ADC_RX_DFS,
      radio2_ADC_RX_OTRA => radio_bridge_slot_2_controller_RX_ADC_OTRA_radio_controller_0_radio2_ADC_RX_OTRA,
      radio2_ADC_RX_OTRB => radio_bridge_slot_2_controller_RX_ADC_OTRB_radio_controller_0_radio2_ADC_RX_OTRB,
      radio2_ADC_RX_PWDNA => radio_bridge_slot_2_controller_RX_ADC_PWDNA_radio_controller_0_radio2_ADC_RX_PWDNA,
      radio2_ADC_RX_PWDNB => radio_bridge_slot_2_controller_RX_ADC_PWDNB_radio_controller_0_radio2_ADC_RX_PWDNB,
      radio2_DIPSW => radio_bridge_slot_2_controller_DIPSW_radio_controller_0_radio2_DIPSW,
      radio2_RSSI_ADC_CLAMP => radio_bridge_slot_2_controller_RSSI_ADC_CLAMP_radio_controller_0_radio2_RSSI_ADC_CLAMP,
      radio2_RSSI_ADC_HIZ => radio_bridge_slot_2_controller_RSSI_ADC_HIZ_radio_controller_0_radio2_RSSI_ADC_HIZ,
      radio2_RSSI_ADC_OTR => radio_bridge_slot_2_controller_RSSI_ADC_OTR_radio_controller_0_radio2_RSSI_ADC_OTR,
      radio2_RSSI_ADC_SLEEP => radio_bridge_slot_2_controller_RSSI_ADC_SLEEP_radio_controller_0_radio2_RSSI_ADC_SLEEP,
      radio2_RSSI_ADC_D => radio_bridge_slot_2_controller_RSSI_ADC_D_radio_controller_0_radio2_RSSI_ADC_D,
      radio2_TX_DAC_PLL_LOCK => radio_bridge_slot_2_controller_dac_PLL_LOCK_radio_controller_0_radio2_TX_DAC_PLL_LOCK,
      radio2_TX_DAC_RESET => radio_bridge_slot_2_controller_dac_RESET_radio_controller_0_radio2_TX_DAC_RESET,
      radio2_SHDN_external => radio_bridge_slot_2_controller_SHDN_external_radio_controller_0_radio2_SHDN_external,
      radio2_TxEn_external => radio_bridge_slot_2_controller_TxEn_external_radio_controller_0_radio2_TxEn_external,
      radio2_RxEn_external => radio_bridge_slot_2_controller_RxEn_external_radio_controller_0_radio2_RxEn_external,
      radio2_RxHP_external => radio_bridge_slot_2_controller_RxHP_external_radio_controller_0_radio2_RxHP_external,
      radio2_TxGain => radio_bridge_slot_2_user_Tx_gain_radio_controller_0_radio2_TxGain,
      radio2_TxStart => radio_bridge_slot_2_controller_TxStart_radio_controller_0_radio2_TxStart,
      radio3_interpfiltbypass => open,
      radio3_decfiltbypass => open,
      radio3_SHDN => radio_bridge_slot_3_controller_SHDN_radio_controller_0_radio3_SHDN,
      radio3_TxEn => radio_bridge_slot_3_controller_TxEn_radio_controller_0_radio3_TxEn,
      radio3_RxEn => radio_bridge_slot_3_controller_RxEn_radio_controller_0_radio3_RxEn,
      radio3_RxHP => radio_bridge_slot_3_controller_RxHP_radio_controller_0_radio3_RxHP,
      radio3_LD => radio_bridge_slot_3_controller_LD_radio_controller_0_radio3_LD,
      radio3_24PA => radio_bridge_slot_3_controller_24PA_radio_controller_0_radio3_24PA,
      radio3_5PA => radio_bridge_slot_3_controller_5PA_radio_controller_0_radio3_5PA,
      radio3_ANTSW => radio_bridge_slot_3_controller_ANTSW_radio_controller_0_radio3_ANTSW,
      radio3_LED => radio_bridge_slot_3_controller_LED_radio_controller_0_radio3_LED,
      radio3_ADC_RX_DCS => radio_bridge_slot_3_controller_RX_ADC_DCS_radio_controller_0_radio3_ADC_RX_DCS,
      radio3_ADC_RX_DFS => radio_bridge_slot_3_controller_RX_ADC_DFS_radio_controller_0_radio3_ADC_RX_DFS,
      radio3_ADC_RX_OTRA => radio_bridge_slot_3_controller_RX_ADC_OTRA_radio_controller_0_radio3_ADC_RX_OTRA,
      radio3_ADC_RX_OTRB => radio_bridge_slot_3_controller_RX_ADC_OTRB_radio_controller_0_radio3_ADC_RX_OTRB,
      radio3_ADC_RX_PWDNA => radio_bridge_slot_3_controller_RX_ADC_PWDNA_radio_controller_0_radio3_ADC_RX_PWDNA,
      radio3_ADC_RX_PWDNB => radio_bridge_slot_3_controller_RX_ADC_PWDNB_radio_controller_0_radio3_ADC_RX_PWDNB,
      radio3_DIPSW => radio_bridge_slot_3_controller_DIPSW_radio_controller_0_radio3_DIPSW,
      radio3_RSSI_ADC_CLAMP => radio_bridge_slot_3_controller_RSSI_ADC_CLAMP_radio_controller_0_radio3_RSSI_ADC_CLAMP,
      radio3_RSSI_ADC_HIZ => radio_bridge_slot_3_controller_RSSI_ADC_HIZ_radio_controller_0_radio3_RSSI_ADC_HIZ,
      radio3_RSSI_ADC_OTR => radio_bridge_slot_3_controller_RSSI_ADC_OTR_radio_controller_0_radio3_RSSI_ADC_OTR,
      radio3_RSSI_ADC_SLEEP => radio_bridge_slot_3_controller_RSSI_ADC_SLEEP_radio_controller_0_radio3_RSSI_ADC_SLEEP,
      radio3_RSSI_ADC_D => radio_bridge_slot_3_controller_RSSI_ADC_D_radio_controller_0_radio3_RSSI_ADC_D,
      radio3_TX_DAC_PLL_LOCK => radio_bridge_slot_3_controller_dac_PLL_LOCK_radio_controller_0_radio3_TX_DAC_PLL_LOCK,
      radio3_TX_DAC_RESET => radio_bridge_slot_3_controller_dac_RESET_radio_controller_0_radio3_TX_DAC_RESET,
      radio3_SHDN_external => radio_bridge_slot_3_controller_SHDN_external_radio_controller_0_radio3_SHDN_external,
      radio3_TxEn_external => radio_bridge_slot_3_controller_TxEn_external_radio_controller_0_radio3_TxEn_external,
      radio3_RxEn_external => radio_bridge_slot_3_controller_RxEn_external_radio_controller_0_radio3_RxEn_external,
      radio3_RxHP_external => radio_bridge_slot_3_controller_RxHP_external_radio_controller_0_radio3_RxHP_external,
      radio3_TxGain => radio_bridge_slot_3_user_Tx_gain_radio_controller_0_radio3_TxGain,
      radio3_TxStart => radio_bridge_slot_3_controller_TxStart_radio_controller_0_radio3_TxStart,
      radio4_interpfiltbypass => open,
      radio4_decfiltbypass => open,
      radio4_SHDN => open,
      radio4_TxEn => open,
      radio4_RxEn => open,
      radio4_RxHP => open,
      radio4_LD => net_gnd0,
      radio4_24PA => open,
      radio4_5PA => open,
      radio4_ANTSW => open,
      radio4_LED => open,
      radio4_ADC_RX_DCS => open,
      radio4_ADC_RX_DFS => open,
      radio4_ADC_RX_OTRA => net_gnd0,
      radio4_ADC_RX_OTRB => net_gnd0,
      radio4_ADC_RX_PWDNA => open,
      radio4_ADC_RX_PWDNB => open,
      radio4_DIPSW => net_gnd4,
      radio4_RSSI_ADC_CLAMP => open,
      radio4_RSSI_ADC_HIZ => open,
      radio4_RSSI_ADC_OTR => net_gnd0,
      radio4_RSSI_ADC_SLEEP => open,
      radio4_RSSI_ADC_D => net_gnd10,
      radio4_TX_DAC_PLL_LOCK => net_gnd0,
      radio4_TX_DAC_RESET => open,
      radio4_SHDN_external => net_gnd0,
      radio4_TxEn_external => net_gnd0,
      radio4_RxEn_external => net_gnd0,
      radio4_RxHP_external => net_gnd0,
      radio4_TxGain => open,
      radio4_TxStart => open
    );

  radio_bridge_slot_2 : radio_bridge_slot_2_wrapper
    port map (
      user_ADC_I => radio_bridge_slot_2_user_ADC_I,
      user_ADC_Q => radio_bridge_slot_2_user_ADC_Q,
      user_DAC_I => radio_bridge_slot_2_user_DAC_I,
      user_DAC_Q => radio_bridge_slot_2_user_DAC_Q,
      user_RxRF_gain => agc_g_rf_a,
      user_RxBB_gain => agc_g_bb_a,
      user_Tx_gain => radio_bridge_slot_2_user_Tx_gain_radio_controller_0_radio2_TxGain,
      user_TxModelStart => radio2_txStart,
      user_RSSI_ADC_clk => rssi_pkt_detect_plbw_0_rssi_clk_out,
      user_RSSI_ADC_D => radio_bridge_slot_2_user_RSSI_ADC_D,
      user_EEPROM_IO_T => eeprom_controller_DQ2_T_radio_bridge_slot_2_user_EEPROM_IO_T,
      user_EEPROM_IO_O => eeprom_controller_DQ2_O_radio_bridge_slot_2_user_EEPROM_IO_O,
      user_EEPROM_IO_I => eeprom_controller_DQ2_I_radio_bridge_slot_2_user_EEPROM_IO_I,
      user_SHDN_external => net_gnd0,
      user_RxEn_external => net_gnd0,
      user_TxEn_external => net_gnd0,
      user_RxHP_external => agc_rxhp_a,
      converter_clock_in => clk_40MHz,
      converter_clock_out => fpga_0_radio_bridge_slot_2_converter_clock_out,
      radio_RSSI_ADC_clk => fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_clk,
      radio_DAC_I => fpga_0_radio_bridge_slot_2_radio_DAC_I,
      radio_DAC_Q => fpga_0_radio_bridge_slot_2_radio_DAC_Q,
      radio_ADC_I => fpga_0_radio_bridge_slot_2_radio_ADC_I,
      radio_ADC_Q => fpga_0_radio_bridge_slot_2_radio_ADC_Q,
      radio_B => fpga_0_radio_bridge_slot_2_radio_B,
      radio_ANTSW => fpga_0_radio_bridge_slot_2_radio_ANTSW,
      radio_LED => fpga_0_radio_bridge_slot_2_radio_LED,
      radio_DIPSW => fpga_0_radio_bridge_slot_2_radio_DIPSW,
      radio_RSSI_ADC_D => fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_D,
      radio_EEPROM_IO => fpga_0_radio_bridge_slot_2_radio_EEPROM_IO,
      radio_spi_clk => fpga_0_radio_bridge_slot_2_radio_spi_clk,
      radio_spi_data => fpga_0_radio_bridge_slot_2_radio_spi_data,
      radio_spi_cs => fpga_0_radio_bridge_slot_2_radio_spi_cs,
      radio_SHDN => fpga_0_radio_bridge_slot_2_radio_SHDN,
      radio_TxEn => fpga_0_radio_bridge_slot_2_radio_TxEn,
      radio_RxEn => fpga_0_radio_bridge_slot_2_radio_RxEn,
      radio_RxHP => fpga_0_radio_bridge_slot_2_radio_RxHP,
      radio_24PA => fpga_0_radio_bridge_slot_2_radio_24PA,
      radio_5PA => fpga_0_radio_bridge_slot_2_radio_5PA,
      radio_RX_ADC_DCS => fpga_0_radio_bridge_slot_2_radio_RX_ADC_DCS,
      radio_RX_ADC_DFS => fpga_0_radio_bridge_slot_2_radio_RX_ADC_DFS,
      radio_RX_ADC_PWDNA => fpga_0_radio_bridge_slot_2_radio_RX_ADC_PWDNA,
      radio_RX_ADC_PWDNB => fpga_0_radio_bridge_slot_2_radio_RX_ADC_PWDNB,
      radio_RSSI_ADC_CLAMP => fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_CLAMP,
      radio_RSSI_ADC_HIZ => fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_HIZ,
      radio_RSSI_ADC_SLEEP => fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_SLEEP,
      radio_LD => fpga_0_radio_bridge_slot_2_radio_LD,
      radio_RX_ADC_OTRA => fpga_0_radio_bridge_slot_2_radio_RX_ADC_OTRA,
      radio_RX_ADC_OTRB => fpga_0_radio_bridge_slot_2_radio_RX_ADC_OTRB,
      radio_RSSI_ADC_OTR => fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_OTR,
      radio_DAC_PLL_LOCK => fpga_0_radio_bridge_slot_2_radio_dac_PLL_LOCK,
      radio_DAC_RESET => fpga_0_radio_bridge_slot_2_radio_dac_RESET,
      controller_interpfiltbypass => net_gnd0,
      controller_decfiltbypass => net_gnd0,
      controller_logic_clk => radio_controller_0_controller_logic_clk,
      controller_spi_clk => radio_bridge_slot_2_controller_spi_clk_radio_bridge_slot_3_controller_spi_clk_radio_controller_0_spi_clk,
      controller_spi_data => radio_bridge_slot_2_controller_spi_data_radio_bridge_slot_3_controller_spi_data_radio_controller_0_data_out,
      controller_radio_cs => radio_bridge_slot_2_controller_radio_cs_radio_controller_0_radio2_cs,
      controller_dac_cs => radio_bridge_slot_2_controller_dac_cs_radio_controller_0_dac2_cs,
      controller_SHDN => radio_bridge_slot_2_controller_SHDN_radio_controller_0_radio2_SHDN,
      controller_TxEn => radio_bridge_slot_2_controller_TxEn_radio_controller_0_radio2_TxEn,
      controller_RxEn => radio_bridge_slot_2_controller_RxEn_radio_controller_0_radio2_RxEn,
      controller_RxHP => radio_bridge_slot_2_controller_RxHP_radio_controller_0_radio2_RxHP,
      controller_24PA => radio_bridge_slot_2_controller_24PA_radio_controller_0_radio2_24PA,
      controller_5PA => radio_bridge_slot_2_controller_5PA_radio_controller_0_radio2_5PA,
      controller_ANTSW => radio_bridge_slot_2_controller_ANTSW_radio_controller_0_radio2_ANTSW,
      controller_LED => radio_bridge_slot_2_controller_LED_radio_controller_0_radio2_LED,
      controller_RX_ADC_DCS => radio_bridge_slot_2_controller_RX_ADC_DCS_radio_controller_0_radio2_ADC_RX_DCS,
      controller_RX_ADC_DFS => radio_bridge_slot_2_controller_RX_ADC_DFS_radio_controller_0_radio2_ADC_RX_DFS,
      controller_RX_ADC_PWDNA => radio_bridge_slot_2_controller_RX_ADC_PWDNA_radio_controller_0_radio2_ADC_RX_PWDNA,
      controller_RX_ADC_PWDNB => radio_bridge_slot_2_controller_RX_ADC_PWDNB_radio_controller_0_radio2_ADC_RX_PWDNB,
      controller_RSSI_ADC_CLAMP => radio_bridge_slot_2_controller_RSSI_ADC_CLAMP_radio_controller_0_radio2_RSSI_ADC_CLAMP,
      controller_RSSI_ADC_HIZ => radio_bridge_slot_2_controller_RSSI_ADC_HIZ_radio_controller_0_radio2_RSSI_ADC_HIZ,
      controller_RSSI_ADC_SLEEP => radio_bridge_slot_2_controller_RSSI_ADC_SLEEP_radio_controller_0_radio2_RSSI_ADC_SLEEP,
      controller_DIPSW => radio_bridge_slot_2_controller_DIPSW_radio_controller_0_radio2_DIPSW,
      controller_RSSI_ADC_D => radio_bridge_slot_2_controller_RSSI_ADC_D_radio_controller_0_radio2_RSSI_ADC_D,
      controller_LD => radio_bridge_slot_2_controller_LD_radio_controller_0_radio2_LD,
      controller_RX_ADC_OTRA => radio_bridge_slot_2_controller_RX_ADC_OTRA_radio_controller_0_radio2_ADC_RX_OTRA,
      controller_RX_ADC_OTRB => radio_bridge_slot_2_controller_RX_ADC_OTRB_radio_controller_0_radio2_ADC_RX_OTRB,
      controller_RSSI_ADC_OTR => radio_bridge_slot_2_controller_RSSI_ADC_OTR_radio_controller_0_radio2_RSSI_ADC_OTR,
      controller_DAC_PLL_LOCK => radio_bridge_slot_2_controller_dac_PLL_LOCK_radio_controller_0_radio2_TX_DAC_PLL_LOCK,
      controller_DAC_RESET => radio_bridge_slot_2_controller_dac_RESET_radio_controller_0_radio2_TX_DAC_RESET,
      controller_TxStart => radio_bridge_slot_2_controller_TxStart_radio_controller_0_radio2_TxStart,
      dac_spi_data => fpga_0_radio_bridge_slot_2_dac_spi_data,
      dac_spi_cs => fpga_0_radio_bridge_slot_2_dac_spi_cs,
      dac_spi_clk => fpga_0_radio_bridge_slot_2_dac_spi_clk,
      controller_SHDN_external => radio_bridge_slot_2_controller_SHDN_external_radio_controller_0_radio2_SHDN_external,
      controller_RxEn_external => radio_bridge_slot_2_controller_RxEn_external_radio_controller_0_radio2_RxEn_external,
      controller_TxEn_external => radio_bridge_slot_2_controller_TxEn_external_radio_controller_0_radio2_TxEn_external,
      controller_RxHP_external => radio_bridge_slot_2_controller_RxHP_external_radio_controller_0_radio2_RxHP_external
    );

  radio_bridge_slot_3 : radio_bridge_slot_3_wrapper
    port map (
      user_ADC_I => radio_bridge_slot_3_user_ADC_I,
      user_ADC_Q => radio_bridge_slot_3_user_ADC_Q,
      user_DAC_I => radio_bridge_slot_3_user_DAC_I,
      user_DAC_Q => radio_bridge_slot_3_user_DAC_Q,
      user_RxRF_gain => agc_g_rf_b,
      user_RxBB_gain => agc_g_bb_b,
      user_Tx_gain => radio_bridge_slot_3_user_Tx_gain_radio_controller_0_radio3_TxGain,
      user_TxModelStart => radio3_txStart,
      user_RSSI_ADC_clk => rssi_pkt_detect_plbw_0_rssi_clk_out,
      user_RSSI_ADC_D => radio_bridge_slot_3_user_RSSI_ADC_D,
      user_EEPROM_IO_T => eeprom_controller_DQ3_T_radio_bridge_slot_3_user_EEPROM_IO_T,
      user_EEPROM_IO_O => eeprom_controller_DQ3_O_radio_bridge_slot_3_user_EEPROM_IO_O,
      user_EEPROM_IO_I => eeprom_controller_DQ3_I_radio_bridge_slot_3_user_EEPROM_IO_I,
      user_SHDN_external => net_gnd0,
      user_RxEn_external => net_gnd0,
      user_TxEn_external => net_gnd0,
      user_RxHP_external => agc_rxhp_b,
      converter_clock_in => clk_40MHz,
      converter_clock_out => fpga_0_radio_bridge_slot_3_converter_clock_out,
      radio_RSSI_ADC_clk => fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_clk,
      radio_DAC_I => fpga_0_radio_bridge_slot_3_radio_DAC_I,
      radio_DAC_Q => fpga_0_radio_bridge_slot_3_radio_DAC_Q,
      radio_ADC_I => fpga_0_radio_bridge_slot_3_radio_ADC_I,
      radio_ADC_Q => fpga_0_radio_bridge_slot_3_radio_ADC_Q,
      radio_B => fpga_0_radio_bridge_slot_3_radio_B,
      radio_ANTSW => fpga_0_radio_bridge_slot_3_radio_ANTSW,
      radio_LED => fpga_0_radio_bridge_slot_3_radio_LED,
      radio_DIPSW => fpga_0_radio_bridge_slot_3_radio_DIPSW,
      radio_RSSI_ADC_D => fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_D,
      radio_EEPROM_IO => fpga_0_radio_bridge_slot_3_radio_EEPROM_IO,
      radio_spi_clk => fpga_0_radio_bridge_slot_3_radio_spi_clk,
      radio_spi_data => fpga_0_radio_bridge_slot_3_radio_spi_data,
      radio_spi_cs => fpga_0_radio_bridge_slot_3_radio_spi_cs,
      radio_SHDN => fpga_0_radio_bridge_slot_3_radio_SHDN,
      radio_TxEn => fpga_0_radio_bridge_slot_3_radio_TxEn,
      radio_RxEn => fpga_0_radio_bridge_slot_3_radio_RxEn,
      radio_RxHP => fpga_0_radio_bridge_slot_3_radio_RxHP,
      radio_24PA => fpga_0_radio_bridge_slot_3_radio_24PA,
      radio_5PA => fpga_0_radio_bridge_slot_3_radio_5PA,
      radio_RX_ADC_DCS => fpga_0_radio_bridge_slot_3_radio_RX_ADC_DCS,
      radio_RX_ADC_DFS => fpga_0_radio_bridge_slot_3_radio_RX_ADC_DFS,
      radio_RX_ADC_PWDNA => fpga_0_radio_bridge_slot_3_radio_RX_ADC_PWDNA,
      radio_RX_ADC_PWDNB => fpga_0_radio_bridge_slot_3_radio_RX_ADC_PWDNB,
      radio_RSSI_ADC_CLAMP => fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_CLAMP,
      radio_RSSI_ADC_HIZ => fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_HIZ,
      radio_RSSI_ADC_SLEEP => fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_SLEEP,
      radio_LD => fpga_0_radio_bridge_slot_3_radio_LD,
      radio_RX_ADC_OTRA => fpga_0_radio_bridge_slot_3_radio_RX_ADC_OTRA,
      radio_RX_ADC_OTRB => fpga_0_radio_bridge_slot_3_radio_RX_ADC_OTRB,
      radio_RSSI_ADC_OTR => fpga_0_radio_bridge_slot_3_radio_RSSI_ADC_OTR,
      radio_DAC_PLL_LOCK => fpga_0_radio_bridge_slot_3_radio_dac_PLL_LOCK,
      radio_DAC_RESET => fpga_0_radio_bridge_slot_3_radio_dac_RESET,
      controller_interpfiltbypass => net_gnd0,
      controller_decfiltbypass => net_gnd0,
      controller_logic_clk => radio_controller_0_controller_logic_clk,
      controller_spi_clk => radio_bridge_slot_2_controller_spi_clk_radio_bridge_slot_3_controller_spi_clk_radio_controller_0_spi_clk,
      controller_spi_data => radio_bridge_slot_2_controller_spi_data_radio_bridge_slot_3_controller_spi_data_radio_controller_0_data_out,
      controller_radio_cs => radio_bridge_slot_3_controller_radio_cs_radio_controller_0_radio3_cs,
      controller_dac_cs => radio_bridge_slot_3_controller_dac_cs_radio_controller_0_dac3_cs,
      controller_SHDN => radio_bridge_slot_3_controller_SHDN_radio_controller_0_radio3_SHDN,
      controller_TxEn => radio_bridge_slot_3_controller_TxEn_radio_controller_0_radio3_TxEn,
      controller_RxEn => radio_bridge_slot_3_controller_RxEn_radio_controller_0_radio3_RxEn,
      controller_RxHP => radio_bridge_slot_3_controller_RxHP_radio_controller_0_radio3_RxHP,
      controller_24PA => radio_bridge_slot_3_controller_24PA_radio_controller_0_radio3_24PA,
      controller_5PA => radio_bridge_slot_3_controller_5PA_radio_controller_0_radio3_5PA,
      controller_ANTSW => radio_bridge_slot_3_controller_ANTSW_radio_controller_0_radio3_ANTSW,
      controller_LED => radio_bridge_slot_3_controller_LED_radio_controller_0_radio3_LED,
      controller_RX_ADC_DCS => radio_bridge_slot_3_controller_RX_ADC_DCS_radio_controller_0_radio3_ADC_RX_DCS,
      controller_RX_ADC_DFS => radio_bridge_slot_3_controller_RX_ADC_DFS_radio_controller_0_radio3_ADC_RX_DFS,
      controller_RX_ADC_PWDNA => radio_bridge_slot_3_controller_RX_ADC_PWDNA_radio_controller_0_radio3_ADC_RX_PWDNA,
      controller_RX_ADC_PWDNB => radio_bridge_slot_3_controller_RX_ADC_PWDNB_radio_controller_0_radio3_ADC_RX_PWDNB,
      controller_RSSI_ADC_CLAMP => radio_bridge_slot_3_controller_RSSI_ADC_CLAMP_radio_controller_0_radio3_RSSI_ADC_CLAMP,
      controller_RSSI_ADC_HIZ => radio_bridge_slot_3_controller_RSSI_ADC_HIZ_radio_controller_0_radio3_RSSI_ADC_HIZ,
      controller_RSSI_ADC_SLEEP => radio_bridge_slot_3_controller_RSSI_ADC_SLEEP_radio_controller_0_radio3_RSSI_ADC_SLEEP,
      controller_DIPSW => radio_bridge_slot_3_controller_DIPSW_radio_controller_0_radio3_DIPSW,
      controller_RSSI_ADC_D => radio_bridge_slot_3_controller_RSSI_ADC_D_radio_controller_0_radio3_RSSI_ADC_D,
      controller_LD => radio_bridge_slot_3_controller_LD_radio_controller_0_radio3_LD,
      controller_RX_ADC_OTRA => radio_bridge_slot_3_controller_RX_ADC_OTRA_radio_controller_0_radio3_ADC_RX_OTRA,
      controller_RX_ADC_OTRB => radio_bridge_slot_3_controller_RX_ADC_OTRB_radio_controller_0_radio3_ADC_RX_OTRB,
      controller_RSSI_ADC_OTR => radio_bridge_slot_3_controller_RSSI_ADC_OTR_radio_controller_0_radio3_RSSI_ADC_OTR,
      controller_DAC_PLL_LOCK => radio_bridge_slot_3_controller_dac_PLL_LOCK_radio_controller_0_radio3_TX_DAC_PLL_LOCK,
      controller_DAC_RESET => radio_bridge_slot_3_controller_dac_RESET_radio_controller_0_radio3_TX_DAC_RESET,
      controller_TxStart => radio_bridge_slot_3_controller_TxStart_radio_controller_0_radio3_TxStart,
      dac_spi_data => fpga_0_radio_bridge_slot_3_dac_spi_data,
      dac_spi_cs => fpga_0_radio_bridge_slot_3_dac_spi_cs,
      dac_spi_clk => fpga_0_radio_bridge_slot_3_dac_spi_clk,
      controller_SHDN_external => radio_bridge_slot_3_controller_SHDN_external_radio_controller_0_radio3_SHDN_external,
      controller_RxEn_external => radio_bridge_slot_3_controller_RxEn_external_radio_controller_0_radio3_RxEn_external,
      controller_TxEn_external => radio_bridge_slot_3_controller_TxEn_external_radio_controller_0_radio3_TxEn_external,
      controller_RxHP_external => radio_bridge_slot_3_controller_RxHP_external_radio_controller_0_radio3_RxHP_external
    );

  analog_bridge_slot_4 : analog_bridge_slot_4_wrapper
    port map (
      user_DAC1_A => ofdm_rx_debug_eq_i,
      user_DAC1_B => ofdm_rx_debug_eq_q,
      user_DAC2_A => rx_debug_phasecorrect,
      user_DAC2_B => rx_debug_cfophasediff,
      user_DAC1_sleep => net_gnd0,
      user_DAC2_sleep => net_gnd0,
      user_ADC_A => open,
      user_ADC_B => open,
      user_ADC_DFS => net_vcc0,
      user_ADC_DCS => net_gnd0,
      user_ADC_pdwnA => net_gnd0,
      user_ADC_pdwnB => net_gnd0,
      user_ADC_otrA => open,
      user_ADC_otrB => open,
      user_LED => net_gnd3,
      clock_in => clk_40MHz,
      clock_out => fpga_0_analog_bridge_slot_4_clock_out,
      analog_DAC1_A => fpga_0_analog_bridge_slot_4_analog_DAC1_A,
      analog_DAC1_B => fpga_0_analog_bridge_slot_4_analog_DAC1_B,
      analog_DAC2_A => fpga_0_analog_bridge_slot_4_analog_DAC2_A,
      analog_DAC2_B => fpga_0_analog_bridge_slot_4_analog_DAC2_B,
      analog_DAC1_sleep => fpga_0_analog_bridge_slot_4_analog_DAC1_sleep,
      analog_DAC2_sleep => fpga_0_analog_bridge_slot_4_analog_DAC2_sleep,
      analog_ADC_A => fpga_0_analog_bridge_slot_4_analog_ADC_A,
      analog_ADC_B => fpga_0_analog_bridge_slot_4_analog_ADC_B,
      analog_ADC_DFS => fpga_0_analog_bridge_slot_4_analog_ADC_DFS,
      analog_ADC_DCS => fpga_0_analog_bridge_slot_4_analog_ADC_DCS,
      analog_ADC_pdwnA => fpga_0_analog_bridge_slot_4_analog_ADC_pdwnA,
      analog_ADC_pdwnB => fpga_0_analog_bridge_slot_4_analog_ADC_pdwnB,
      analog_ADC_otrA => fpga_0_analog_bridge_slot_4_analog_ADC_otrA,
      analog_ADC_otrB => fpga_0_analog_bridge_slot_4_analog_ADC_otrB,
      analog_LED => fpga_0_analog_bridge_slot_4_analog_LED
    );

  SRAM0_ZBT_512Kx32 : sram0_zbt_512kx32_wrapper
    port map (
      MCH_PLB_Clk => sys_clk_s,
      RdClk => sys_clk_s,
      MCH_PLB_Rst => plb0_SPLB_Rst(5),
      MCH0_Access_Control => net_gnd0,
      MCH0_Access_Data => net_gnd32,
      MCH0_Access_Write => net_gnd0,
      MCH0_Access_Full => open,
      MCH0_ReadData_Control => open,
      MCH0_ReadData_Data => open,
      MCH0_ReadData_Read => net_gnd0,
      MCH0_ReadData_Exists => open,
      MCH1_Access_Control => net_gnd0,
      MCH1_Access_Data => net_gnd32,
      MCH1_Access_Write => net_gnd0,
      MCH1_Access_Full => open,
      MCH1_ReadData_Control => open,
      MCH1_ReadData_Data => open,
      MCH1_ReadData_Read => net_gnd0,
      MCH1_ReadData_Exists => open,
      MCH2_Access_Control => net_gnd0,
      MCH2_Access_Data => net_gnd32,
      MCH2_Access_Write => net_gnd0,
      MCH2_Access_Full => open,
      MCH2_ReadData_Control => open,
      MCH2_ReadData_Data => open,
      MCH2_ReadData_Read => net_gnd0,
      MCH2_ReadData_Exists => open,
      MCH3_Access_Control => net_gnd0,
      MCH3_Access_Data => net_gnd32,
      MCH3_Access_Write => net_gnd0,
      MCH3_Access_Full => open,
      MCH3_ReadData_Control => open,
      MCH3_ReadData_Data => open,
      MCH3_ReadData_Read => net_gnd0,
      MCH3_ReadData_Exists => open,
      PLB_ABus => plb0_PLB_ABus,
      PLB_UABus => plb0_PLB_UABus,
      PLB_PAValid => plb0_PLB_PAValid,
      PLB_SAValid => plb0_PLB_SAValid,
      PLB_rdPrim => plb0_PLB_rdPrim(5),
      PLB_wrPrim => plb0_PLB_wrPrim(5),
      PLB_masterID => plb0_PLB_masterID,
      PLB_abort => plb0_PLB_abort,
      PLB_busLock => plb0_PLB_busLock,
      PLB_RNW => plb0_PLB_RNW,
      PLB_BE => plb0_PLB_BE,
      PLB_MSize => plb0_PLB_MSize,
      PLB_size => plb0_PLB_size,
      PLB_type => plb0_PLB_type,
      PLB_lockErr => plb0_PLB_lockErr,
      PLB_wrDBus => plb0_PLB_wrDBus,
      PLB_wrBurst => plb0_PLB_wrBurst,
      PLB_rdBurst => plb0_PLB_rdBurst,
      PLB_wrPendReq => plb0_PLB_wrPendReq,
      PLB_rdPendReq => plb0_PLB_rdPendReq,
      PLB_wrPendPri => plb0_PLB_wrPendPri,
      PLB_rdPendPri => plb0_PLB_rdPendPri,
      PLB_reqPri => plb0_PLB_reqPri,
      PLB_TAttribute => plb0_PLB_TAttribute,
      Sl_addrAck => plb0_Sl_addrAck(5),
      Sl_SSize => plb0_Sl_SSize(10 to 11),
      Sl_wait => plb0_Sl_wait(5),
      Sl_rearbitrate => plb0_Sl_rearbitrate(5),
      Sl_wrDAck => plb0_Sl_wrDAck(5),
      Sl_wrComp => plb0_Sl_wrComp(5),
      Sl_wrBTerm => plb0_Sl_wrBTerm(5),
      Sl_rdDBus => plb0_Sl_rdDBus(320 to 383),
      Sl_rdWdAddr => plb0_Sl_rdWdAddr(20 to 23),
      Sl_rdDAck => plb0_Sl_rdDAck(5),
      Sl_rdComp => plb0_Sl_rdComp(5),
      Sl_rdBTerm => plb0_Sl_rdBTerm(5),
      Sl_MBusy => plb0_Sl_MBusy(15 to 17),
      Sl_MWrErr => plb0_Sl_MWrErr(15 to 17),
      Sl_MRdErr => plb0_Sl_MRdErr(15 to 17),
      Sl_MIRQ => plb0_Sl_MIRQ(15 to 17),
      Mem_DQ_I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I,
      Mem_DQ_O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O,
      Mem_DQ_T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T,
      Mem_A => fpga_0_SRAM0_ZBT_512Kx32_Mem_A_split,
      Mem_RPN => open,
      Mem_CEN => open,
      Mem_OEN => fpga_0_SRAM0_ZBT_512Kx32_Mem_OEN(0 to 0),
      Mem_WEN => fpga_0_SRAM0_ZBT_512Kx32_Mem_WEN,
      Mem_QWEN => open,
      Mem_BEN => fpga_0_SRAM0_ZBT_512Kx32_Mem_BEN,
      Mem_CE => fpga_0_SRAM0_ZBT_512Kx32_Mem_CE(0 to 0),
      Mem_ADV_LDN => fpga_0_SRAM0_ZBT_512Kx32_Mem_ADV_LDN,
      Mem_LBON => open,
      Mem_CKEN => fpga_0_SRAM0_ZBT_512Kx32_Mem_CKEN,
      Mem_RNW => open
    );

  SRAM1_ZBT_512Kx32 : sram1_zbt_512kx32_wrapper
    port map (
      MCH_PLB_Clk => sys_clk_s,
      RdClk => sys_clk_s,
      MCH_PLB_Rst => plb0_SPLB_Rst(6),
      MCH0_Access_Control => net_gnd0,
      MCH0_Access_Data => net_gnd32,
      MCH0_Access_Write => net_gnd0,
      MCH0_Access_Full => open,
      MCH0_ReadData_Control => open,
      MCH0_ReadData_Data => open,
      MCH0_ReadData_Read => net_gnd0,
      MCH0_ReadData_Exists => open,
      MCH1_Access_Control => net_gnd0,
      MCH1_Access_Data => net_gnd32,
      MCH1_Access_Write => net_gnd0,
      MCH1_Access_Full => open,
      MCH1_ReadData_Control => open,
      MCH1_ReadData_Data => open,
      MCH1_ReadData_Read => net_gnd0,
      MCH1_ReadData_Exists => open,
      MCH2_Access_Control => net_gnd0,
      MCH2_Access_Data => net_gnd32,
      MCH2_Access_Write => net_gnd0,
      MCH2_Access_Full => open,
      MCH2_ReadData_Control => open,
      MCH2_ReadData_Data => open,
      MCH2_ReadData_Read => net_gnd0,
      MCH2_ReadData_Exists => open,
      MCH3_Access_Control => net_gnd0,
      MCH3_Access_Data => net_gnd32,
      MCH3_Access_Write => net_gnd0,
      MCH3_Access_Full => open,
      MCH3_ReadData_Control => open,
      MCH3_ReadData_Data => open,
      MCH3_ReadData_Read => net_gnd0,
      MCH3_ReadData_Exists => open,
      PLB_ABus => plb0_PLB_ABus,
      PLB_UABus => plb0_PLB_UABus,
      PLB_PAValid => plb0_PLB_PAValid,
      PLB_SAValid => plb0_PLB_SAValid,
      PLB_rdPrim => plb0_PLB_rdPrim(6),
      PLB_wrPrim => plb0_PLB_wrPrim(6),
      PLB_masterID => plb0_PLB_masterID,
      PLB_abort => plb0_PLB_abort,
      PLB_busLock => plb0_PLB_busLock,
      PLB_RNW => plb0_PLB_RNW,
      PLB_BE => plb0_PLB_BE,
      PLB_MSize => plb0_PLB_MSize,
      PLB_size => plb0_PLB_size,
      PLB_type => plb0_PLB_type,
      PLB_lockErr => plb0_PLB_lockErr,
      PLB_wrDBus => plb0_PLB_wrDBus,
      PLB_wrBurst => plb0_PLB_wrBurst,
      PLB_rdBurst => plb0_PLB_rdBurst,
      PLB_wrPendReq => plb0_PLB_wrPendReq,
      PLB_rdPendReq => plb0_PLB_rdPendReq,
      PLB_wrPendPri => plb0_PLB_wrPendPri,
      PLB_rdPendPri => plb0_PLB_rdPendPri,
      PLB_reqPri => plb0_PLB_reqPri,
      PLB_TAttribute => plb0_PLB_TAttribute,
      Sl_addrAck => plb0_Sl_addrAck(6),
      Sl_SSize => plb0_Sl_SSize(12 to 13),
      Sl_wait => plb0_Sl_wait(6),
      Sl_rearbitrate => plb0_Sl_rearbitrate(6),
      Sl_wrDAck => plb0_Sl_wrDAck(6),
      Sl_wrComp => plb0_Sl_wrComp(6),
      Sl_wrBTerm => plb0_Sl_wrBTerm(6),
      Sl_rdDBus => plb0_Sl_rdDBus(384 to 447),
      Sl_rdWdAddr => plb0_Sl_rdWdAddr(24 to 27),
      Sl_rdDAck => plb0_Sl_rdDAck(6),
      Sl_rdComp => plb0_Sl_rdComp(6),
      Sl_rdBTerm => plb0_Sl_rdBTerm(6),
      Sl_MBusy => plb0_Sl_MBusy(18 to 20),
      Sl_MWrErr => plb0_Sl_MWrErr(18 to 20),
      Sl_MRdErr => plb0_Sl_MRdErr(18 to 20),
      Sl_MIRQ => plb0_Sl_MIRQ(18 to 20),
      Mem_DQ_I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I,
      Mem_DQ_O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O,
      Mem_DQ_T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T,
      Mem_A => fpga_0_SRAM1_ZBT_512Kx32_Mem_A_split,
      Mem_RPN => open,
      Mem_CEN => open,
      Mem_OEN => fpga_0_SRAM1_ZBT_512Kx32_Mem_OEN(0 to 0),
      Mem_WEN => fpga_0_SRAM1_ZBT_512Kx32_Mem_WEN,
      Mem_QWEN => open,
      Mem_BEN => fpga_0_SRAM1_ZBT_512Kx32_Mem_BEN,
      Mem_CE => fpga_0_SRAM1_ZBT_512Kx32_Mem_CE(0 to 0),
      Mem_ADV_LDN => fpga_0_SRAM1_ZBT_512Kx32_Mem_ADV_LDN,
      Mem_LBON => open,
      Mem_CKEN => fpga_0_SRAM1_ZBT_512Kx32_Mem_CKEN,
      Mem_RNW => open
    );

  xps_bram_if_cntlr_2 : xps_bram_if_cntlr_2_wrapper
    port map (
      SPLB_Clk => sys_clk_s,
      SPLB_Rst => plb0_SPLB_Rst(7),
      PLB_ABus => plb0_PLB_ABus,
      PLB_UABus => plb0_PLB_UABus,
      PLB_PAValid => plb0_PLB_PAValid,
      PLB_SAValid => plb0_PLB_SAValid,
      PLB_rdPrim => plb0_PLB_rdPrim(7),
      PLB_wrPrim => plb0_PLB_wrPrim(7),
      PLB_masterID => plb0_PLB_masterID,
      PLB_abort => plb0_PLB_abort,
      PLB_busLock => plb0_PLB_busLock,
      PLB_RNW => plb0_PLB_RNW,
      PLB_BE => plb0_PLB_BE,
      PLB_MSize => plb0_PLB_MSize,
      PLB_size => plb0_PLB_size,
      PLB_type => plb0_PLB_type,
      PLB_lockErr => plb0_PLB_lockErr,
      PLB_wrDBus => plb0_PLB_wrDBus,
      PLB_wrBurst => plb0_PLB_wrBurst,
      PLB_rdBurst => plb0_PLB_rdBurst,
      PLB_wrPendReq => plb0_PLB_wrPendReq,
      PLB_rdPendReq => plb0_PLB_rdPendReq,
      PLB_wrPendPri => plb0_PLB_wrPendPri,
      PLB_rdPendPri => plb0_PLB_rdPendPri,
      PLB_reqPri => plb0_PLB_reqPri,
      PLB_TAttribute => plb0_PLB_TAttribute,
      Sl_addrAck => plb0_Sl_addrAck(7),
      Sl_SSize => plb0_Sl_SSize(14 to 15),
      Sl_wait => plb0_Sl_wait(7),
      Sl_rearbitrate => plb0_Sl_rearbitrate(7),
      Sl_wrDAck => plb0_Sl_wrDAck(7),
      Sl_wrComp => plb0_Sl_wrComp(7),
      Sl_wrBTerm => plb0_Sl_wrBTerm(7),
      Sl_rdDBus => plb0_Sl_rdDBus(448 to 511),
      Sl_rdWdAddr => plb0_Sl_rdWdAddr(28 to 31),
      Sl_rdDAck => plb0_Sl_rdDAck(7),
      Sl_rdComp => plb0_Sl_rdComp(7),
      Sl_rdBTerm => plb0_Sl_rdBTerm(7),
      Sl_MBusy => plb0_Sl_MBusy(21 to 23),
      Sl_MWrErr => plb0_Sl_MWrErr(21 to 23),
      Sl_MRdErr => plb0_Sl_MRdErr(21 to 23),
      Sl_MIRQ => plb0_Sl_MIRQ(21 to 23),
      BRAM_Rst => xps_bram_if_cntlr_2_port_BRAM_Rst,
      BRAM_Clk => xps_bram_if_cntlr_2_port_BRAM_Clk,
      BRAM_EN => xps_bram_if_cntlr_2_port_BRAM_EN,
      BRAM_WEN => xps_bram_if_cntlr_2_port_BRAM_WEN,
      BRAM_Addr => xps_bram_if_cntlr_2_port_BRAM_Addr,
      BRAM_Din => xps_bram_if_cntlr_2_port_BRAM_Din,
      BRAM_Dout => xps_bram_if_cntlr_2_port_BRAM_Dout
    );

  xps_bram_if_cntlr_2_bram : xps_bram_if_cntlr_2_bram_wrapper
    port map (
      BRAM_Rst_A => xps_bram_if_cntlr_2_port_BRAM_Rst,
      BRAM_Clk_A => xps_bram_if_cntlr_2_port_BRAM_Clk,
      BRAM_EN_A => xps_bram_if_cntlr_2_port_BRAM_EN,
      BRAM_WEN_A => xps_bram_if_cntlr_2_port_BRAM_WEN,
      BRAM_Addr_A => xps_bram_if_cntlr_2_port_BRAM_Addr,
      BRAM_Din_A => xps_bram_if_cntlr_2_port_BRAM_Din,
      BRAM_Dout_A => xps_bram_if_cntlr_2_port_BRAM_Dout,
      BRAM_Rst_B => ofdm_TxRxPLB_BRAM_port_BRAM_Rst,
      BRAM_Clk_B => clk_40MHz,
      BRAM_EN_B => net_vcc0,
      BRAM_WEN_B => ofdm_TxRxPLB_BRAM_port_BRAM_WEN,
      BRAM_Addr_B => ofdm_TxRxPLB_BRAM_port_BRAM_Addr,
      BRAM_Din_B => ofdm_TxRxPLB_BRAM_port_BRAM_Din,
      BRAM_Dout_B => ofdm_TxRxPLB_BRAM_port_BRAM_Dout
    );

  ppc405_0_iocm : ppc405_0_iocm_wrapper
    port map (
      ISOCM_Clk => sys_clk_s,
      SYS_Rst => sys_bus_reset(0),
      ISOCM_Rst => ppc405_0_iocm_ISOCM_Rst,
      M_ISOCMBRAMRDABUS => ppc405_0_iocm_M_ISOCMBRAMRDABUS,
      M_ISOCMBRAMWRABUS => ppc405_0_iocm_M_ISOCMBRAMWRABUS,
      M_ISOCMBRAMEN => ppc405_0_iocm_M_ISOCMBRAMEN,
      M_ISOCMBRAMWRDBUS => ppc405_0_iocm_M_ISOCMBRAMWRDBUS,
      M_ISOCMBRAMODDWRITEEN => ppc405_0_iocm_M_ISOCMBRAMODDWRITEEN,
      M_ISOCMBRAMEVENWRITEEN => ppc405_0_iocm_M_ISOCMBRAMEVENWRITEEN,
      M_ISOCMDCRBRAMODDEN => net_gnd0,
      M_ISOCMDCRBRAMEVENEN => net_gnd0,
      M_ISOCMDCRBRAMRDSELECT => net_gnd0,
      S_BRAMISOCMRDDBUS => ppc405_0_iocm_S_BRAMISOCMRDDBUS,
      S_BRAMISOCMDCRRDDBUS => ppc405_0_iocm_S_BRAMISOCMDCRRDDBUS,
      S_ISOCMSLAVESELECT => ppc405_0_iocm_S_ISOCMSLAVESELECT(0 to 0),
      S_ISOCMDCRSLAVESELECT => ppc405_0_iocm_S_ISOCMDCRSLAVESELECT(0 to 0),
      BRAMISOCMRDDBUS => ppc405_0_iocm_BRAMISOCMRDDBUS,
      ISARCVALUE => ppc405_0_iocm_ISARCVALUE,
      ISCNTLVALUE => ppc405_0_iocm_ISCNTLVALUE,
      ISOCMBRAMEN => ppc405_0_iocm_ISOCMBRAMEN,
      ISOCMBRAMWRDBUS => ppc405_0_iocm_ISOCMBRAMWRDBUS,
      ISOCMBRAMODDWRITEEN => ppc405_0_iocm_ISOCMBRAMODDWRITEEN,
      ISOCMBRAMEVENWRITEEN => ppc405_0_iocm_ISOCMBRAMEVENWRITEEN,
      ISOCMBRAMRDABUS => ppc405_0_iocm_ISOCMBRAMRDABUS,
      ISOCMBRAMWRABUS => ppc405_0_iocm_ISOCMBRAMWRABUS,
      ISOCMDCRBRAMODDEN => ppc405_0_iocm_ISOCMDCRBRAMODDEN,
      ISOCMDCRBRAMEVENEN => ppc405_0_iocm_ISOCMDCRBRAMEVENEN,
      ISOCMDCRBRAMRDSELECT => ppc405_0_iocm_ISOCMDCRBRAMRDSELECT,
      BRAMISOCMDCRRDDBUS => open
    );

  ppc405_0_iocm_cntlr : ppc405_0_iocm_cntlr_wrapper
    port map (
      BRAMISOCMCLK => sys_clk_s,
      ISBRAMRST => ppc405_0_iocm_ISOCM_Rst,
      ISOCMBRAMRDABUS => ppc405_0_iocm_ISOCMBRAMRDABUS,
      ISOCMBRAMWRABUS => ppc405_0_iocm_ISOCMBRAMWRABUS,
      ISOCMBRAMEN => ppc405_0_iocm_ISOCMBRAMEN,
      ISOCMBRAMWRDBUS => ppc405_0_iocm_ISOCMBRAMWRDBUS,
      ISOCMBRAMODDWRITEEN => ppc405_0_iocm_ISOCMBRAMODDWRITEEN,
      ISOCMBRAMEVENWRITEEN => ppc405_0_iocm_ISOCMBRAMEVENWRITEEN,
      ISOCMDCRBRAMODDEN => ppc405_0_iocm_ISOCMDCRBRAMODDEN,
      ISOCMDCRBRAMEVENEN => ppc405_0_iocm_ISOCMDCRBRAMEVENEN,
      ISOCMDCRBRAMRDSELECT => ppc405_0_iocm_ISOCMDCRBRAMRDSELECT,
      S_BRAMISOCMRDDBUS => ppc405_0_iocm_S_BRAMISOCMRDDBUS,
      S_BRAMISOCMDCRRDDBUS => ppc405_0_iocm_S_BRAMISOCMDCRRDDBUS,
      S_ISOCMSLAVESELECT => ppc405_0_iocm_S_ISOCMSLAVESELECT(0),
      S_ISOCMDCRSLAVESELECT => ppc405_0_iocm_S_ISOCMDCRSLAVESELECT(0),
      BRAM_Rst_A => isocm_porta_BRAM_Rst,
      BRAM_Clk_A => isocm_porta_BRAM_Clk,
      BRAM_Addr_A => isocm_porta_BRAM_Addr,
      BRAM_EN_A => isocm_porta_BRAM_EN,
      BRAM_WEN_A => isocm_porta_BRAM_WEN,
      BRAM_Dout_A => isocm_porta_BRAM_Dout,
      BRAM_Din_A => isocm_porta_BRAM_Din,
      BRAM_Rst_B => isocm_portb_BRAM_Rst,
      BRAM_Clk_B => isocm_portb_BRAM_Clk,
      BRAM_Addr_B => isocm_portb_BRAM_Addr,
      BRAM_EN_B => isocm_portb_BRAM_EN,
      BRAM_WEN_B => isocm_portb_BRAM_WEN,
      BRAM_Dout_B => isocm_portb_BRAM_Dout,
      BRAM_Din_B => isocm_portb_BRAM_Din
    );

  isocm_bram : isocm_bram_wrapper
    port map (
      BRAM_Rst_A => isocm_porta_BRAM_Rst,
      BRAM_Clk_A => isocm_porta_BRAM_Clk,
      BRAM_EN_A => isocm_porta_BRAM_EN,
      BRAM_WEN_A => isocm_porta_BRAM_WEN,
      BRAM_Addr_A => isocm_porta_BRAM_Addr,
      BRAM_Din_A => isocm_porta_BRAM_Din,
      BRAM_Dout_A => isocm_porta_BRAM_Dout,
      BRAM_Rst_B => isocm_portb_BRAM_Rst,
      BRAM_Clk_B => isocm_portb_BRAM_Clk,
      BRAM_EN_B => isocm_portb_BRAM_EN,
      BRAM_WEN_B => isocm_portb_BRAM_WEN,
      BRAM_Addr_B => isocm_portb_BRAM_Addr,
      BRAM_Din_B => isocm_portb_BRAM_Din,
      BRAM_Dout_B => isocm_portb_BRAM_Dout
    );

  ppc405_0_docm : ppc405_0_docm_wrapper
    port map (
      DSOCM_Clk => sys_clk_s,
      SYS_Rst => sys_bus_reset(0),
      DSOCM_Rst => ppc405_0_docm_DSOCM_Rst,
      M_DSOCMBRAMABUS => ppc405_0_docm_M_DSOCMBRAMABUS,
      M_DSOCMBRAMBYTEWRITE => ppc405_0_docm_M_DSOCMBRAMBYTEWRITE,
      M_DSOCMBRAMEN => ppc405_0_docm_M_DSOCMBRAMEN,
      M_DSOCMBRAMWRDBUS => ppc405_0_docm_M_DSOCMBRAMWRDBUS,
      M_DSOCMBUSY => ppc405_0_docm_M_DSOCMBUSY,
      M_DSOCMRDADDRVALID => net_gnd0,
      M_DSOCMWRADDRVALID => net_gnd0,
      S_BRAMDSOCMRDDBUS => ppc405_0_docm_S_BRAMDSOCMRDDBUS,
      S_DSOCMRWCOMPLETE => ppc405_0_docm_S_DSOCMRWCOMPLETE(0 to 0),
      S_DSOCMSLAVESELECT => ppc405_0_docm_S_DSOCMSLAVESELECT(0 to 0),
      BRAMDSOCMRDDBUS => ppc405_0_docm_BRAMDSOCMRDDBUS,
      DSARCVALUE => ppc405_0_docm_DSARCVALUE,
      DSCNTLVALUE => ppc405_0_docm_DSCNTLVALUE,
      DSOCMBRAMWRDBUS => ppc405_0_docm_DSOCMBRAMWRDBUS,
      DSOCMBRAMEN => ppc405_0_docm_DSOCMBRAMEN,
      DSOCMBRAMBYTEWRITE => ppc405_0_docm_DSOCMBRAMBYTEWRITE,
      DSOCMBRAMABUS => ppc405_0_docm_DSOCMBRAMABUS,
      DSOCMBUSY => open,
      DSOCMRDADDRVALID => open,
      DSOCMWRADDRVALID => open,
      DSOCMRWCOMPLETE => open
    );

  ppc405_0_docm_cntlr : ppc405_0_docm_cntlr_wrapper
    port map (
      BRAMDSOCMCLK => sys_clk_s,
      DSBRAMRST => ppc405_0_docm_DSOCM_Rst,
      DSOCMBRAMABUS => ppc405_0_docm_DSOCMBRAMABUS,
      DSOCMBRAMBYTEWRITE => ppc405_0_docm_DSOCMBRAMBYTEWRITE,
      DSOCMBRAMEN => ppc405_0_docm_DSOCMBRAMEN,
      DSOCMBRAMWRDBUS => ppc405_0_docm_DSOCMBRAMWRDBUS,
      S_BRAMDSOCMRDDBUS => ppc405_0_docm_S_BRAMDSOCMRDDBUS,
      S_DSOCMRWCOMPLETE => ppc405_0_docm_S_DSOCMRWCOMPLETE(0),
      S_DSOCMSLAVESELECT => ppc405_0_docm_S_DSOCMSLAVESELECT(0),
      BRAM_Rst_A => dsocm_porta_BRAM_Rst,
      BRAM_Clk_A => dsocm_porta_BRAM_Clk,
      BRAM_EN_A => dsocm_porta_BRAM_EN,
      BRAM_WEN_A => dsocm_porta_BRAM_WEN,
      BRAM_Addr_A => dsocm_porta_BRAM_Addr,
      BRAM_Din_A => dsocm_porta_BRAM_Din,
      BRAM_Dout_A => dsocm_porta_BRAM_Dout
    );

  dsocm_bram : dsocm_bram_wrapper
    port map (
      BRAM_Rst_A => dsocm_porta_BRAM_Rst,
      BRAM_Clk_A => dsocm_porta_BRAM_Clk,
      BRAM_EN_A => dsocm_porta_BRAM_EN,
      BRAM_WEN_A => dsocm_porta_BRAM_WEN,
      BRAM_Addr_A => dsocm_porta_BRAM_Addr,
      BRAM_Din_A => dsocm_porta_BRAM_Din,
      BRAM_Dout_A => dsocm_porta_BRAM_Dout,
      BRAM_Rst_B => net_gnd0,
      BRAM_Clk_B => net_gnd0,
      BRAM_EN_B => net_gnd0,
      BRAM_WEN_B => net_gnd4,
      BRAM_Addr_B => net_gnd32,
      BRAM_Din_B => open,
      BRAM_Dout_B => net_gnd32
    );

  SRAM0_ZBT_512Kx32_util_bus_split_0 : sram0_zbt_512kx32_util_bus_split_0_wrapper
    port map (
      Sig => fpga_0_SRAM0_ZBT_512Kx32_Mem_A_split,
      Out1 => fpga_0_SRAM0_ZBT_512Kx32_Mem_A,
      Out2 => open
    );

  SRAM1_ZBT_512Kx32_util_bus_split_1 : sram1_zbt_512kx32_util_bus_split_1_wrapper
    port map (
      Sig => fpga_0_SRAM1_ZBT_512Kx32_Mem_A_split,
      Out1 => fpga_0_SRAM1_ZBT_512Kx32_Mem_A,
      Out2 => open
    );

  clock_generator_0 : clock_generator_0_wrapper
    port map (
      CLKIN => dcm_clk_s,
      CLKFBIN => net_gnd0,
      CLKOUT0 => proc_clk_s,
      CLKOUT1 => sys_clk_s,
      CLKOUT2 => clk_40MHz,
      CLKOUT3 => open,
      CLKOUT4 => open,
      CLKOUT5 => open,
      CLKOUT6 => open,
      CLKOUT7 => open,
      CLKOUT8 => open,
      CLKOUT9 => open,
      CLKOUT10 => open,
      CLKOUT11 => open,
      CLKOUT12 => open,
      CLKOUT13 => open,
      CLKOUT14 => open,
      CLKOUT15 => open,
      CLKFBOUT => open,
      RST => clkBoardConfig_DCM_Reset,
      LOCKED => Dcm_all_locked
    );

  proc_sys_reset_0 : proc_sys_reset_0_wrapper
    port map (
      Slowest_sync_clk => clk_40MHz,
      Ext_Reset_In => sys_rst_s,
      Aux_Reset_In => net_gnd0,
      MB_Debug_Sys_Rst => net_gnd0,
      Core_Reset_Req_0 => ppc_reset_bus_Core_Reset_Req,
      Chip_Reset_Req_0 => ppc_reset_bus_Chip_Reset_Req,
      System_Reset_Req_0 => ppc_reset_bus_System_Reset_Req,
      Core_Reset_Req_1 => net_gnd0,
      Chip_Reset_Req_1 => net_gnd0,
      System_Reset_Req_1 => net_gnd0,
      Dcm_locked => Dcm_all_locked,
      RstcPPCresetcore_0 => ppc_reset_bus_RstcPPCresetcore,
      RstcPPCresetchip_0 => ppc_reset_bus_RstsPPCresetchip,
      RstcPPCresetsys_0 => ppc_reset_bus_RstcPPCresetsys,
      RstcPPCresetcore_1 => open,
      RstcPPCresetchip_1 => open,
      RstcPPCresetsys_1 => open,
      MB_Reset => open,
      Bus_Struct_Reset => sys_bus_reset(0 to 0),
      Peripheral_Reset => sys_periph_reset(0 to 0)
    );

  plbv46_plbv46_bridge_0 : plbv46_plbv46_bridge_0_wrapper
    port map (
      SPLB_Clk => sys_clk_s,
      SPLB_Rst => plb0_SPLB_Rst(8),
      IP2INTC_Irpt => open,
      PLB_ABus => plb0_PLB_ABus,
      PLB_UABus => plb0_PLB_UABus,
      PLB_PAValid => plb0_PLB_PAValid,
      PLB_SAValid => plb0_PLB_SAValid,
      PLB_rdPrim => plb0_PLB_rdPrim(8),
      PLB_wrPrim => plb0_PLB_wrPrim(8),
      PLB_masterID => plb0_PLB_masterID,
      PLB_abort => plb0_PLB_abort,
      PLB_busLock => plb0_PLB_busLock,
      PLB_RNW => plb0_PLB_RNW,
      PLB_BE => plb0_PLB_BE,
      PLB_MSize => plb0_PLB_MSize,
      PLB_size => plb0_PLB_size,
      PLB_type => plb0_PLB_type,
      PLB_lockErr => plb0_PLB_lockErr,
      PLB_wrDBus => plb0_PLB_wrDBus,
      PLB_wrBurst => plb0_PLB_wrBurst,
      PLB_rdBurst => plb0_PLB_rdBurst,
      PLB_wrPendReq => plb0_PLB_wrPendReq,
      PLB_rdPendReq => plb0_PLB_rdPendReq,
      PLB_wrPendPri => plb0_PLB_wrPendPri,
      PLB_rdPendPri => plb0_PLB_rdPendPri,
      PLB_reqPri => plb0_PLB_reqPri,
      PLB_TAttribute => plb0_PLB_TAttribute,
      Sl_addrAck => plb0_Sl_addrAck(8),
      Sl_SSize => plb0_Sl_SSize(16 to 17),
      Sl_wait => plb0_Sl_wait(8),
      Sl_rearbitrate => plb0_Sl_rearbitrate(8),
      Sl_wrDAck => plb0_Sl_wrDAck(8),
      Sl_wrComp => plb0_Sl_wrComp(8),
      Sl_wrBTerm => plb0_Sl_wrBTerm(8),
      Sl_rdDBus => plb0_Sl_rdDBus(512 to 575),
      Sl_rdWdAddr => plb0_Sl_rdWdAddr(32 to 35),
      Sl_rdDAck => plb0_Sl_rdDAck(8),
      Sl_rdComp => plb0_Sl_rdComp(8),
      Sl_rdBTerm => plb0_Sl_rdBTerm(8),
      Sl_MBusy => plb0_Sl_MBusy(24 to 26),
      Sl_MWrErr => plb0_Sl_MWrErr(24 to 26),
      Sl_MRdErr => plb0_Sl_MRdErr(24 to 26),
      Sl_MIRQ => plb0_Sl_MIRQ(24 to 26),
      MPLB_Clk => clk_40MHz,
      MPLB_Rst => plb_32b_40MHz_MPLB_Rst(0),
      M_request => plb_32b_40MHz_M_request(0),
      M_priority => plb_32b_40MHz_M_priority,
      M_busLock => plb_32b_40MHz_M_busLock(0),
      M_RNW => plb_32b_40MHz_M_RNW(0),
      M_BE => plb_32b_40MHz_M_BE,
      M_MSize => plb_32b_40MHz_M_MSize,
      M_size => plb_32b_40MHz_M_size,
      M_type => plb_32b_40MHz_M_type,
      M_ABus => plb_32b_40MHz_M_ABus,
      M_wrBurst => plb_32b_40MHz_M_wrBurst(0),
      M_rdBurst => plb_32b_40MHz_M_rdBurst(0),
      M_wrDBus => plb_32b_40MHz_M_wrDBus,
      PLB_MAddrAck => plb_32b_40MHz_PLB_MAddrAck(0),
      PLB_MSSize => plb_32b_40MHz_PLB_MSSize,
      PLB_MRearbitrate => plb_32b_40MHz_PLB_MRearbitrate(0),
      PLB_MTimeout => plb_32b_40MHz_PLB_MTimeout(0),
      PLB_MRdErr => plb_32b_40MHz_PLB_MRdErr(0),
      PLB_MWrErr => plb_32b_40MHz_PLB_MWrErr(0),
      PLB_MRdDBus => plb_32b_40MHz_PLB_MRdDBus,
      PLB_MRdDAck => plb_32b_40MHz_PLB_MRdDAck(0),
      PLB_MRdBTerm => plb_32b_40MHz_PLB_MRdBTerm(0),
      PLB_MWrDAck => plb_32b_40MHz_PLB_MWrDAck(0),
      PLB_MWrBTerm => plb_32b_40MHz_PLB_MWrBTerm(0),
      M_TAttribute => plb_32b_40MHz_M_TAttribute,
      M_lockErr => plb_32b_40MHz_M_lockErr(0),
      M_abort => plb_32b_40MHz_M_abort(0),
      M_UABus => plb_32b_40MHz_M_UABus,
      PLB_MBusy => plb_32b_40MHz_PLB_MBusy(0),
      PLB_MIRQ => plb_32b_40MHz_PLB_MIRQ(0),
      PLB_MRdWdAddr => plb_32b_40MHz_PLB_MRdWdAddr
    );

  plb_32b_40MHz : plb_32b_40mhz_wrapper
    port map (
      PLB_Clk => clk_40MHz,
      SYS_Rst => sys_bus_reset(0),
      PLB_Rst => open,
      SPLB_Rst => plb_32b_40MHz_SPLB_Rst,
      MPLB_Rst => plb_32b_40MHz_MPLB_Rst(0 to 0),
      PLB_dcrAck => open,
      PLB_dcrDBus => open,
      DCR_ABus => net_gnd10,
      DCR_DBus => net_gnd32,
      DCR_Read => net_gnd0,
      DCR_Write => net_gnd0,
      M_ABus => plb_32b_40MHz_M_ABus,
      M_UABus => plb_32b_40MHz_M_UABus,
      M_BE => plb_32b_40MHz_M_BE,
      M_RNW => plb_32b_40MHz_M_RNW(0 to 0),
      M_abort => plb_32b_40MHz_M_abort(0 to 0),
      M_busLock => plb_32b_40MHz_M_busLock(0 to 0),
      M_TAttribute => plb_32b_40MHz_M_TAttribute,
      M_lockErr => plb_32b_40MHz_M_lockErr(0 to 0),
      M_MSize => plb_32b_40MHz_M_MSize,
      M_priority => plb_32b_40MHz_M_priority,
      M_rdBurst => plb_32b_40MHz_M_rdBurst(0 to 0),
      M_request => plb_32b_40MHz_M_request(0 to 0),
      M_size => plb_32b_40MHz_M_size,
      M_type => plb_32b_40MHz_M_type,
      M_wrBurst => plb_32b_40MHz_M_wrBurst(0 to 0),
      M_wrDBus => plb_32b_40MHz_M_wrDBus,
      Sl_addrAck => plb_32b_40MHz_Sl_addrAck,
      Sl_MRdErr => plb_32b_40MHz_Sl_MRdErr,
      Sl_MWrErr => plb_32b_40MHz_Sl_MWrErr,
      Sl_MBusy => plb_32b_40MHz_Sl_MBusy,
      Sl_rdBTerm => plb_32b_40MHz_Sl_rdBTerm,
      Sl_rdComp => plb_32b_40MHz_Sl_rdComp,
      Sl_rdDAck => plb_32b_40MHz_Sl_rdDAck,
      Sl_rdDBus => plb_32b_40MHz_Sl_rdDBus,
      Sl_rdWdAddr => plb_32b_40MHz_Sl_rdWdAddr,
      Sl_rearbitrate => plb_32b_40MHz_Sl_rearbitrate,
      Sl_SSize => plb_32b_40MHz_Sl_SSize,
      Sl_wait => plb_32b_40MHz_Sl_wait,
      Sl_wrBTerm => plb_32b_40MHz_Sl_wrBTerm,
      Sl_wrComp => plb_32b_40MHz_Sl_wrComp,
      Sl_wrDAck => plb_32b_40MHz_Sl_wrDAck,
      Sl_MIRQ => plb_32b_40MHz_Sl_MIRQ,
      PLB_MIRQ => plb_32b_40MHz_PLB_MIRQ(0 to 0),
      PLB_ABus => plb_32b_40MHz_PLB_ABus,
      PLB_UABus => plb_32b_40MHz_PLB_UABus,
      PLB_BE => plb_32b_40MHz_PLB_BE,
      PLB_MAddrAck => plb_32b_40MHz_PLB_MAddrAck(0 to 0),
      PLB_MTimeout => plb_32b_40MHz_PLB_MTimeout(0 to 0),
      PLB_MBusy => plb_32b_40MHz_PLB_MBusy(0 to 0),
      PLB_MRdErr => plb_32b_40MHz_PLB_MRdErr(0 to 0),
      PLB_MWrErr => plb_32b_40MHz_PLB_MWrErr(0 to 0),
      PLB_MRdBTerm => plb_32b_40MHz_PLB_MRdBTerm(0 to 0),
      PLB_MRdDAck => plb_32b_40MHz_PLB_MRdDAck(0 to 0),
      PLB_MRdDBus => plb_32b_40MHz_PLB_MRdDBus,
      PLB_MRdWdAddr => plb_32b_40MHz_PLB_MRdWdAddr,
      PLB_MRearbitrate => plb_32b_40MHz_PLB_MRearbitrate(0 to 0),
      PLB_MWrBTerm => plb_32b_40MHz_PLB_MWrBTerm(0 to 0),
      PLB_MWrDAck => plb_32b_40MHz_PLB_MWrDAck(0 to 0),
      PLB_MSSize => plb_32b_40MHz_PLB_MSSize,
      PLB_PAValid => plb_32b_40MHz_PLB_PAValid,
      PLB_RNW => plb_32b_40MHz_PLB_RNW,
      PLB_SAValid => plb_32b_40MHz_PLB_SAValid,
      PLB_abort => plb_32b_40MHz_PLB_abort,
      PLB_busLock => plb_32b_40MHz_PLB_busLock,
      PLB_TAttribute => plb_32b_40MHz_PLB_TAttribute,
      PLB_lockErr => plb_32b_40MHz_PLB_lockErr,
      PLB_masterID => plb_32b_40MHz_PLB_masterID(0 to 0),
      PLB_MSize => plb_32b_40MHz_PLB_MSize,
      PLB_rdPendPri => plb_32b_40MHz_PLB_rdPendPri,
      PLB_wrPendPri => plb_32b_40MHz_PLB_wrPendPri,
      PLB_rdPendReq => plb_32b_40MHz_PLB_rdPendReq,
      PLB_wrPendReq => plb_32b_40MHz_PLB_wrPendReq,
      PLB_rdBurst => plb_32b_40MHz_PLB_rdBurst,
      PLB_rdPrim => plb_32b_40MHz_PLB_rdPrim,
      PLB_reqPri => plb_32b_40MHz_PLB_reqPri,
      PLB_size => plb_32b_40MHz_PLB_size,
      PLB_type => plb_32b_40MHz_PLB_type,
      PLB_wrBurst => plb_32b_40MHz_PLB_wrBurst,
      PLB_wrDBus => plb_32b_40MHz_PLB_wrDBus,
      PLB_wrPrim => plb_32b_40MHz_PLB_wrPrim,
      PLB_SaddrAck => open,
      PLB_SMRdErr => open,
      PLB_SMWrErr => open,
      PLB_SMBusy => open,
      PLB_SrdBTerm => open,
      PLB_SrdComp => open,
      PLB_SrdDAck => open,
      PLB_SrdDBus => open,
      PLB_SrdWdAddr => open,
      PLB_Srearbitrate => open,
      PLB_Sssize => open,
      PLB_Swait => open,
      PLB_SwrBTerm => open,
      PLB_SwrComp => open,
      PLB_SwrDAck => open,
      Bus_Error_Det => open
    );

  ofdm_txrx_mimo_plbw_0 : ofdm_txrx_mimo_plbw_0_wrapper
    port map (
      bram_datain => ofdm_TxRxPLB_BRAM_port_BRAM_Din,
      splb_clk => clk_40MHz,
      debug_chipscopetrig1 => debug_chipscopetrig,
      plb_abus => plb_32b_40MHz_PLB_ABus,
      plb_pavalid => plb_32b_40MHz_PLB_PAValid,
      plb_rnw => plb_32b_40MHz_PLB_RNW,
      plb_wrdbus => plb_32b_40MHz_PLB_wrDBus,
      rssi_anta => radio_bridge_slot_2_user_RSSI_ADC_D,
      rssi_antb => radio_bridge_slot_3_user_RSSI_ADC_D,
      rx_anta_adci => ofdmRx_antA_ADC_I,
      rx_anta_adcq => ofdmRx_antA_ADC_Q,
      rx_anta_agc_done => agc_done_a,
      rx_anta_gainbb => agc_g_bb_a,
      rx_anta_gainrf => agc_g_rf_a,
      rx_antb_adci => ofdmRx_antB_ADC_I,
      rx_antb_adcq => ofdmRx_antB_ADC_Q,
      rx_antb_agc_done => agc_done_b,
      rx_antb_gainbb => agc_g_bb_b,
      rx_antb_gainrf => agc_g_rf_b,
      rx_reset => sys_periph_reset(0),
      splb_rst => plb_32b_40MHz_SPLB_Rst(1),
      tx_reset => sys_periph_reset(0),
      tx_starttransmit => txPHYStart,
      bram_addr => ofdm_TxRxPLB_BRAM_port_BRAM_Addr,
      bram_dout => ofdm_TxRxPLB_BRAM_port_BRAM_Dout,
      bram_reset => ofdm_TxRxPLB_BRAM_port_BRAM_Rst,
      bram_wen => ofdm_TxRxPLB_BRAM_port_BRAM_WEN,
      idlefordifs => ofdm_pktDetector_mimo_plbw_0_idlefordifs,
      pktdetect => rssi_pkt_detect_plbw_0_rssi_pkt_det_out,
      rssi_clk_out => rssi_pkt_detect_plbw_0_rssi_clk_out,
      rx_debug_antsel => open,
      rx_debug_cfophasediff => rx_debug_cfophasediff,
      rx_debug_eq_i => ofdm_rx_debug_eq_i,
      rx_debug_eq_q => ofdm_rx_debug_eq_q,
      rx_debug_payload => debug_rx_payload,
      rx_debug_phasecorrect => rx_debug_phasecorrect,
      rx_debug_phaseerror => open,
      rx_debug_pktdone => open,
      rx_int_badheader => ofdm_txrx_mimo_plbw_0_rx_int_badheader,
      rx_int_badpkt => rx_int_badpkt,
      rx_int_goodheader => rx_int_goodheader,
      rx_int_goodpkt => rx_int_goodpkt,
      rx_pktdetreset => rx_pktdetreset,
      sl_addrack => plb_32b_40MHz_Sl_addrAck(1),
      sl_rdcomp => plb_32b_40MHz_Sl_rdComp(1),
      sl_rddack => plb_32b_40MHz_Sl_rdDAck(1),
      sl_rddbus => plb_32b_40MHz_Sl_rdDBus(32 to 63),
      sl_wait => plb_32b_40MHz_Sl_wait(1),
      sl_wrcomp => plb_32b_40MHz_Sl_wrComp(1),
      sl_wrdack => plb_32b_40MHz_Sl_wrDAck(1),
      tx_anta_dac_i => radio_bridge_slot_2_user_DAC_I,
      tx_anta_dac_q => radio_bridge_slot_2_user_DAC_Q,
      tx_antb_dac_i => radio_bridge_slot_3_user_DAC_I,
      tx_antb_dac_q => radio_bridge_slot_3_user_DAC_Q,
      tx_debug_pktrunning => debug_tx_pktrunning,
      tx_pktdone => open
    );

  warp_timer_plbw_0 : warp_timer_plbw_0_wrapper
    port map (
      splb_clk => sys_clk_s,
      idlefordifs => ofdm_pktDetector_mimo_plbw_0_idlefordifs,
      plb_abus => plb0_PLB_ABus,
      plb_pavalid => plb0_PLB_PAValid,
      plb_rnw => plb0_PLB_RNW,
      plb_wrdbus => plb0_PLB_wrDBus,
      splb_rst => plb0_SPLB_Rst(9),
      sl_addrack => plb0_Sl_addrAck(9),
      sl_rdcomp => plb0_Sl_rdComp(9),
      sl_rddack => plb0_Sl_rdDAck(9),
      sl_rddbus => plb0_Sl_rdDBus(576 to 639),
      sl_wait => plb0_Sl_wait(9),
      sl_wrcomp => plb0_Sl_wrComp(9),
      sl_wrdack => plb0_Sl_wrDAck(9),
      timer0_active => debug_timer0_active,
      timer1_active => open,
      timer2_active => open,
      timer3_active => open,
      timer4_active => open,
      timer5_active => open,
      timer6_active => open,
      timer7_active => open,
      timerexpire => open
    );

  ofdm_agc_mimo_plbw_0 : ofdm_agc_mimo_plbw_0_wrapper
    port map (
      splb_clk => clk_40MHz,
      i_in_a => radio_bridge_slot_2_user_ADC_I,
      i_in_b => radio_bridge_slot_3_user_ADC_I,
      packet_in => rssi_pkt_detect_plbw_0_rssi_pkt_det_out,
      plb_abus => plb_32b_40MHz_PLB_ABus,
      plb_pavalid => plb_32b_40MHz_PLB_PAValid,
      plb_rnw => plb_32b_40MHz_PLB_RNW,
      plb_wrdbus => plb_32b_40MHz_PLB_wrDBus,
      q_in_a => radio_bridge_slot_2_user_ADC_Q,
      q_in_b => radio_bridge_slot_3_user_ADC_Q,
      reset_in => rx_pktdetreset,
      rssi_in_a => radio_bridge_slot_2_user_RSSI_ADC_D,
      rssi_in_b => radio_bridge_slot_3_user_RSSI_ADC_D,
      splb_rst => plb_32b_40MHz_SPLB_Rst(2),
      done_a => agc_done_a,
      done_b => agc_done_b,
      g_bb_a => agc_g_bb_a,
      g_bb_b => agc_g_bb_b,
      g_rf_a => agc_g_rf_a,
      g_rf_b => agc_g_rf_b,
      i_out_a => ofdmRx_antA_ADC_I,
      i_out_b => ofdmRx_antB_ADC_I,
      q_out_a => ofdmRx_antA_ADC_Q,
      q_out_b => ofdmRx_antB_ADC_Q,
      rxhp_a => agc_rxhp_a,
      rxhp_b => agc_rxhp_b,
      sl_addrack => plb_32b_40MHz_Sl_addrAck(2),
      sl_rdcomp => plb_32b_40MHz_Sl_rdComp(2),
      sl_rddack => plb_32b_40MHz_Sl_rdDAck(2),
      sl_rddbus => plb_32b_40MHz_Sl_rdDBus(64 to 95),
      sl_wait => plb_32b_40MHz_Sl_wait(2),
      sl_wrcomp => plb_32b_40MHz_Sl_wrComp(2),
      sl_wrdack => plb_32b_40MHz_Sl_wrDAck(2)
    );

  util_reduced_logic_0 : util_reduced_logic_0_wrapper
    port map (
      Op1 => pgassign3,
      Res => txPHYStart
    );

  debugOutputs : debugoutputs_wrapper
    port map (
      SPLB_Clk => sys_clk_s,
      SPLB_Rst => plb0_SPLB_Rst(10),
      PLB_ABus => plb0_PLB_ABus,
      PLB_UABus => plb0_PLB_UABus,
      PLB_PAValid => plb0_PLB_PAValid,
      PLB_SAValid => plb0_PLB_SAValid,
      PLB_rdPrim => plb0_PLB_rdPrim(10),
      PLB_wrPrim => plb0_PLB_wrPrim(10),
      PLB_masterID => plb0_PLB_masterID,
      PLB_abort => plb0_PLB_abort,
      PLB_busLock => plb0_PLB_busLock,
      PLB_RNW => plb0_PLB_RNW,
      PLB_BE => plb0_PLB_BE,
      PLB_MSize => plb0_PLB_MSize,
      PLB_size => plb0_PLB_size,
      PLB_type => plb0_PLB_type,
      PLB_lockErr => plb0_PLB_lockErr,
      PLB_wrDBus => plb0_PLB_wrDBus,
      PLB_wrBurst => plb0_PLB_wrBurst,
      PLB_rdBurst => plb0_PLB_rdBurst,
      PLB_wrPendReq => plb0_PLB_wrPendReq,
      PLB_rdPendReq => plb0_PLB_rdPendReq,
      PLB_wrPendPri => plb0_PLB_wrPendPri,
      PLB_rdPendPri => plb0_PLB_rdPendPri,
      PLB_reqPri => plb0_PLB_reqPri,
      PLB_TAttribute => plb0_PLB_TAttribute,
      Sl_addrAck => plb0_Sl_addrAck(10),
      Sl_SSize => plb0_Sl_SSize(20 to 21),
      Sl_wait => plb0_Sl_wait(10),
      Sl_rearbitrate => plb0_Sl_rearbitrate(10),
      Sl_wrDAck => plb0_Sl_wrDAck(10),
      Sl_wrComp => plb0_Sl_wrComp(10),
      Sl_wrBTerm => plb0_Sl_wrBTerm(10),
      Sl_rdDBus => plb0_Sl_rdDBus(640 to 703),
      Sl_rdWdAddr => plb0_Sl_rdWdAddr(40 to 43),
      Sl_rdDAck => plb0_Sl_rdDAck(10),
      Sl_rdComp => plb0_Sl_rdComp(10),
      Sl_rdBTerm => plb0_Sl_rdBTerm(10),
      Sl_MBusy => plb0_Sl_MBusy(30 to 32),
      Sl_MWrErr => plb0_Sl_MWrErr(30 to 32),
      Sl_MRdErr => plb0_Sl_MRdErr(30 to 32),
      Sl_MIRQ => plb0_Sl_MIRQ(30 to 32),
      IP2INTC_Irpt => open,
      GPIO_IO_I => net_gnd4,
      GPIO_IO_O => open,
      GPIO_IO_T => open,
      GPIO_in => net_gnd4,
      GPIO_d_out => fpga_0_debug_GPIO_d_out,
      GPIO_t_out => open,
      GPIO2_IO_I => net_gnd4,
      GPIO2_IO_O => open,
      GPIO2_IO_T => open,
      GPIO2_in => net_gnd4,
      GPIO2_d_out => open,
      GPIO2_t_out => open
    );

  xps_central_dma_0 : xps_central_dma_0_wrapper
    port map (
      SPLB_Clk => sys_clk_s,
      SPLB_Rst => plb0_SPLB_Rst(11),
      MPLB_Clk => sys_clk_s,
      MPLB_Rst => plb0_MPLB_Rst(2),
      SPLB_ABus => plb0_PLB_ABus,
      SPLB_BE => plb0_PLB_BE,
      SPLB_UABus => plb0_PLB_UABus,
      SPLB_PAValid => plb0_PLB_PAValid,
      SPLB_SAValid => plb0_PLB_SAValid,
      SPLB_rdPrim => plb0_PLB_rdPrim(11),
      SPLB_wrPrim => plb0_PLB_wrPrim(11),
      SPLB_masterID => plb0_PLB_masterID,
      SPLB_abort => plb0_PLB_abort,
      SPLB_busLock => plb0_PLB_busLock,
      SPLB_RNW => plb0_PLB_RNW,
      SPLB_MSize => plb0_PLB_MSize,
      SPLB_size => plb0_PLB_size,
      SPLB_type => plb0_PLB_type,
      SPLB_lockErr => plb0_PLB_lockErr,
      SPLB_wrDBus => plb0_PLB_wrDBus,
      SPLB_wrBurst => plb0_PLB_wrBurst,
      SPLB_rdBurst => plb0_PLB_rdBurst,
      SPLB_wrPendReq => plb0_PLB_wrPendReq,
      SPLB_rdPendReq => plb0_PLB_rdPendReq,
      SPLB_wrPendPri => plb0_PLB_wrPendPri,
      SPLB_rdPendPri => plb0_PLB_rdPendPri,
      SPLB_reqPri => plb0_PLB_reqPri,
      SPLB_TAttribute => plb0_PLB_TAttribute,
      Sl_addrAck => plb0_Sl_addrAck(11),
      Sl_SSize => plb0_Sl_SSize(22 to 23),
      Sl_wait => plb0_Sl_wait(11),
      Sl_rearbitrate => plb0_Sl_rearbitrate(11),
      Sl_wrDAck => plb0_Sl_wrDAck(11),
      Sl_wrComp => plb0_Sl_wrComp(11),
      Sl_wrBTerm => plb0_Sl_wrBTerm(11),
      Sl_rdDBus => plb0_Sl_rdDBus(704 to 767),
      Sl_rdWdAddr => plb0_Sl_rdWdAddr(44 to 47),
      Sl_rdDAck => plb0_Sl_rdDAck(11),
      Sl_rdComp => plb0_Sl_rdComp(11),
      Sl_rdBTerm => plb0_Sl_rdBTerm(11),
      Sl_MBusy => plb0_Sl_MBusy(33 to 35),
      Sl_MWrErr => plb0_Sl_MWrErr(33 to 35),
      Sl_MRdErr => plb0_Sl_MRdErr(33 to 35),
      Sl_MIRQ => plb0_Sl_MIRQ(33 to 35),
      IP2INTC_Irpt => open,
      MPLB_MAddrAck => plb0_PLB_MAddrAck(2),
      MPLB_MSSize => plb0_PLB_MSSize(4 to 5),
      MPLB_MRearbitrate => plb0_PLB_MRearbitrate(2),
      MPLB_MTimeout => plb0_PLB_MTimeout(2),
      MPLB_MBusy => plb0_PLB_MBusy(2),
      MPLB_MRdErr => plb0_PLB_MRdErr(2),
      MPLB_MWrErr => plb0_PLB_MWrErr(2),
      MPLB_MIRQ => plb0_PLB_MIRQ(2),
      MPLB_MRdDBus => plb0_PLB_MRdDBus(128 to 191),
      MPLB_MRdWdAddr => plb0_PLB_MRdWdAddr(8 to 11),
      MPLB_MRdDAck => plb0_PLB_MRdDAck(2),
      MPLB_MRdBTerm => plb0_PLB_MRdBTerm(2),
      MPLB_MWrDAck => plb0_PLB_MWrDAck(2),
      MPLB_MWrBTerm => plb0_PLB_MWrBTerm(2),
      M_request => plb0_M_request(2),
      M_priority => plb0_M_priority(4 to 5),
      M_busLock => plb0_M_busLock(2),
      M_RNW => plb0_M_RNW(2),
      M_BE => plb0_M_BE(16 to 23),
      M_MSize => plb0_M_MSize(4 to 5),
      M_size => plb0_M_size(8 to 11),
      M_type => plb0_M_type(6 to 8),
      M_TAttribute => plb0_M_TAttribute(32 to 47),
      M_lockErr => plb0_M_lockErr(2),
      M_abort => plb0_M_abort(2),
      M_UABus => plb0_M_UABus(64 to 95),
      M_ABus => plb0_M_ABus(64 to 95),
      M_wrDBus => plb0_M_wrDBus(128 to 191),
      M_wrBurst => plb0_M_wrBurst(2),
      M_rdBurst => plb0_M_rdBurst(2)
    );

  eeprom_0 : eeprom_0_wrapper
    port map (
      DQ0_T => fpga_0_eeprom_controller_DQ0_T,
      DQ0_O => fpga_0_eeprom_controller_DQ0_O,
      DQ0_I => fpga_0_eeprom_controller_DQ0_I,
      DQ1_T => open,
      DQ1_O => open,
      DQ1_I => net_vcc0,
      DQ2_T => eeprom_controller_DQ2_T_radio_bridge_slot_2_user_EEPROM_IO_T,
      DQ2_O => eeprom_controller_DQ2_O_radio_bridge_slot_2_user_EEPROM_IO_O,
      DQ2_I => eeprom_controller_DQ2_I_radio_bridge_slot_2_user_EEPROM_IO_I,
      DQ3_T => eeprom_controller_DQ3_T_radio_bridge_slot_3_user_EEPROM_IO_T,
      DQ3_O => eeprom_controller_DQ3_O_radio_bridge_slot_3_user_EEPROM_IO_O,
      DQ3_I => eeprom_controller_DQ3_I_radio_bridge_slot_3_user_EEPROM_IO_I,
      DQ4_T => open,
      DQ4_O => open,
      DQ4_I => net_vcc0,
      DQ5_T => open,
      DQ5_O => open,
      DQ5_I => net_vcc0,
      DQ6_T => open,
      DQ6_O => open,
      DQ6_I => net_vcc0,
      DQ7_T => open,
      DQ7_O => open,
      DQ7_I => net_vcc0,
      SPLB_Clk => clk_40MHz,
      SPLB_Rst => plb_32b_40MHz_SPLB_Rst(3),
      PLB_ABus => plb_32b_40MHz_PLB_ABus,
      PLB_UABus => plb_32b_40MHz_PLB_UABus,
      PLB_PAValid => plb_32b_40MHz_PLB_PAValid,
      PLB_SAValid => plb_32b_40MHz_PLB_SAValid,
      PLB_rdPrim => plb_32b_40MHz_PLB_rdPrim(3),
      PLB_wrPrim => plb_32b_40MHz_PLB_wrPrim(3),
      PLB_masterID => plb_32b_40MHz_PLB_masterID(0 to 0),
      PLB_abort => plb_32b_40MHz_PLB_abort,
      PLB_busLock => plb_32b_40MHz_PLB_busLock,
      PLB_RNW => plb_32b_40MHz_PLB_RNW,
      PLB_BE => plb_32b_40MHz_PLB_BE,
      PLB_MSize => plb_32b_40MHz_PLB_MSize,
      PLB_size => plb_32b_40MHz_PLB_size,
      PLB_type => plb_32b_40MHz_PLB_type,
      PLB_lockErr => plb_32b_40MHz_PLB_lockErr,
      PLB_wrDBus => plb_32b_40MHz_PLB_wrDBus,
      PLB_wrBurst => plb_32b_40MHz_PLB_wrBurst,
      PLB_rdBurst => plb_32b_40MHz_PLB_rdBurst,
      PLB_wrPendReq => plb_32b_40MHz_PLB_wrPendReq,
      PLB_rdPendReq => plb_32b_40MHz_PLB_rdPendReq,
      PLB_wrPendPri => plb_32b_40MHz_PLB_wrPendPri,
      PLB_rdPendPri => plb_32b_40MHz_PLB_rdPendPri,
      PLB_reqPri => plb_32b_40MHz_PLB_reqPri,
      PLB_TAttribute => plb_32b_40MHz_PLB_TAttribute,
      Sl_addrAck => plb_32b_40MHz_Sl_addrAck(3),
      Sl_SSize => plb_32b_40MHz_Sl_SSize(6 to 7),
      Sl_wait => plb_32b_40MHz_Sl_wait(3),
      Sl_rearbitrate => plb_32b_40MHz_Sl_rearbitrate(3),
      Sl_wrDAck => plb_32b_40MHz_Sl_wrDAck(3),
      Sl_wrComp => plb_32b_40MHz_Sl_wrComp(3),
      Sl_wrBTerm => plb_32b_40MHz_Sl_wrBTerm(3),
      Sl_rdDBus => plb_32b_40MHz_Sl_rdDBus(96 to 127),
      Sl_rdWdAddr => plb_32b_40MHz_Sl_rdWdAddr(12 to 15),
      Sl_rdDAck => plb_32b_40MHz_Sl_rdDAck(3),
      Sl_rdComp => plb_32b_40MHz_Sl_rdComp(3),
      Sl_rdBTerm => plb_32b_40MHz_Sl_rdBTerm(3),
      Sl_MBusy => plb_32b_40MHz_Sl_MBusy(3 to 3),
      Sl_MWrErr => plb_32b_40MHz_Sl_MWrErr(3 to 3),
      Sl_MRdErr => plb_32b_40MHz_Sl_MRdErr(3 to 3),
      Sl_MIRQ => plb_32b_40MHz_Sl_MIRQ(3 to 3)
    );

  user_io_board_controller_plbw_0 : user_io_board_controller_plbw_0_wrapper
    port map (
      buttons_big => user_io_board_controller_plbw_0_buttons_big,
      buttons_small => user_io_board_controller_plbw_0_buttons_small,
      splb_clk => sys_clk_s,
      dip_switch => user_io_board_controller_plbw_0_dip_switch,
      plb_abus => plb0_PLB_ABus,
      plb_pavalid => plb0_PLB_PAValid,
      plb_rnw => plb0_PLB_RNW,
      plb_wrdbus => plb0_PLB_wrDBus,
      reset => sys_periph_reset(0),
      splb_rst => plb0_SPLB_Rst(12),
      trackball_ox => user_io_board_controller_plbw_0_trackball_ox,
      trackball_oxn => user_io_board_controller_plbw_0_trackball_oxn,
      trackball_oy => user_io_board_controller_plbw_0_trackball_oy,
      trackball_oyn => user_io_board_controller_plbw_0_trackball_oyn,
      trackball_sel2 => user_io_board_controller_plbw_0_trackball_sel2,
      buzzer => user_io_board_controller_plbw_0_buzzer,
      cs => user_io_board_controller_plbw_0_cs,
      leds => user_io_board_controller_plbw_0_leds,
      resetlcd => user_io_board_controller_plbw_0_resetlcd,
      scl => user_io_board_controller_plbw_0_scl,
      sdi => user_io_board_controller_plbw_0_sdi,
      sl_addrack => plb0_Sl_addrAck(12),
      sl_rdcomp => plb0_Sl_rdComp(12),
      sl_rddack => plb0_Sl_rdDAck(12),
      sl_rddbus => plb0_Sl_rdDBus(768 to 831),
      sl_wait => plb0_Sl_wait(12),
      sl_wrcomp => plb0_Sl_wrComp(12),
      sl_wrdack => plb0_Sl_wrDAck(12),
      trackball_sel1 => user_io_board_controller_plbw_0_trackball_sel1,
      trackball_xscn => user_io_board_controller_plbw_0_trackball_xscn,
      trackball_yscn => user_io_board_controller_plbw_0_trackball_yscn
    );

  iobuf_0 : IOBUF
    port map (
      I => fpga_0_eeprom_controller_DQ0_O,
      IO => fpga_0_eeprom_controller_DQ0_pin,
      O => fpga_0_eeprom_controller_DQ0_I,
      T => fpga_0_eeprom_controller_DQ0_T
    );

  iobuf_1 : IOBUF
    port map (
      I => fpga_0_sysace_compactflash_SysACE_MPD_O(15),
      IO => fpga_0_sysace_compactflash_SysACE_MPD_pin(15),
      O => fpga_0_sysace_compactflash_SysACE_MPD_I(15),
      T => fpga_0_sysace_compactflash_SysACE_MPD_T(15)
    );

  iobuf_2 : IOBUF
    port map (
      I => fpga_0_sysace_compactflash_SysACE_MPD_O(14),
      IO => fpga_0_sysace_compactflash_SysACE_MPD_pin(14),
      O => fpga_0_sysace_compactflash_SysACE_MPD_I(14),
      T => fpga_0_sysace_compactflash_SysACE_MPD_T(14)
    );

  iobuf_3 : IOBUF
    port map (
      I => fpga_0_sysace_compactflash_SysACE_MPD_O(13),
      IO => fpga_0_sysace_compactflash_SysACE_MPD_pin(13),
      O => fpga_0_sysace_compactflash_SysACE_MPD_I(13),
      T => fpga_0_sysace_compactflash_SysACE_MPD_T(13)
    );

  iobuf_4 : IOBUF
    port map (
      I => fpga_0_sysace_compactflash_SysACE_MPD_O(12),
      IO => fpga_0_sysace_compactflash_SysACE_MPD_pin(12),
      O => fpga_0_sysace_compactflash_SysACE_MPD_I(12),
      T => fpga_0_sysace_compactflash_SysACE_MPD_T(12)
    );

  iobuf_5 : IOBUF
    port map (
      I => fpga_0_sysace_compactflash_SysACE_MPD_O(11),
      IO => fpga_0_sysace_compactflash_SysACE_MPD_pin(11),
      O => fpga_0_sysace_compactflash_SysACE_MPD_I(11),
      T => fpga_0_sysace_compactflash_SysACE_MPD_T(11)
    );

  iobuf_6 : IOBUF
    port map (
      I => fpga_0_sysace_compactflash_SysACE_MPD_O(10),
      IO => fpga_0_sysace_compactflash_SysACE_MPD_pin(10),
      O => fpga_0_sysace_compactflash_SysACE_MPD_I(10),
      T => fpga_0_sysace_compactflash_SysACE_MPD_T(10)
    );

  iobuf_7 : IOBUF
    port map (
      I => fpga_0_sysace_compactflash_SysACE_MPD_O(9),
      IO => fpga_0_sysace_compactflash_SysACE_MPD_pin(9),
      O => fpga_0_sysace_compactflash_SysACE_MPD_I(9),
      T => fpga_0_sysace_compactflash_SysACE_MPD_T(9)
    );

  iobuf_8 : IOBUF
    port map (
      I => fpga_0_sysace_compactflash_SysACE_MPD_O(8),
      IO => fpga_0_sysace_compactflash_SysACE_MPD_pin(8),
      O => fpga_0_sysace_compactflash_SysACE_MPD_I(8),
      T => fpga_0_sysace_compactflash_SysACE_MPD_T(8)
    );

  iobuf_9 : IOBUF
    port map (
      I => fpga_0_sysace_compactflash_SysACE_MPD_O(7),
      IO => fpga_0_sysace_compactflash_SysACE_MPD_pin(7),
      O => fpga_0_sysace_compactflash_SysACE_MPD_I(7),
      T => fpga_0_sysace_compactflash_SysACE_MPD_T(7)
    );

  iobuf_10 : IOBUF
    port map (
      I => fpga_0_sysace_compactflash_SysACE_MPD_O(6),
      IO => fpga_0_sysace_compactflash_SysACE_MPD_pin(6),
      O => fpga_0_sysace_compactflash_SysACE_MPD_I(6),
      T => fpga_0_sysace_compactflash_SysACE_MPD_T(6)
    );

  iobuf_11 : IOBUF
    port map (
      I => fpga_0_sysace_compactflash_SysACE_MPD_O(5),
      IO => fpga_0_sysace_compactflash_SysACE_MPD_pin(5),
      O => fpga_0_sysace_compactflash_SysACE_MPD_I(5),
      T => fpga_0_sysace_compactflash_SysACE_MPD_T(5)
    );

  iobuf_12 : IOBUF
    port map (
      I => fpga_0_sysace_compactflash_SysACE_MPD_O(4),
      IO => fpga_0_sysace_compactflash_SysACE_MPD_pin(4),
      O => fpga_0_sysace_compactflash_SysACE_MPD_I(4),
      T => fpga_0_sysace_compactflash_SysACE_MPD_T(4)
    );

  iobuf_13 : IOBUF
    port map (
      I => fpga_0_sysace_compactflash_SysACE_MPD_O(3),
      IO => fpga_0_sysace_compactflash_SysACE_MPD_pin(3),
      O => fpga_0_sysace_compactflash_SysACE_MPD_I(3),
      T => fpga_0_sysace_compactflash_SysACE_MPD_T(3)
    );

  iobuf_14 : IOBUF
    port map (
      I => fpga_0_sysace_compactflash_SysACE_MPD_O(2),
      IO => fpga_0_sysace_compactflash_SysACE_MPD_pin(2),
      O => fpga_0_sysace_compactflash_SysACE_MPD_I(2),
      T => fpga_0_sysace_compactflash_SysACE_MPD_T(2)
    );

  iobuf_15 : IOBUF
    port map (
      I => fpga_0_sysace_compactflash_SysACE_MPD_O(1),
      IO => fpga_0_sysace_compactflash_SysACE_MPD_pin(1),
      O => fpga_0_sysace_compactflash_SysACE_MPD_I(1),
      T => fpga_0_sysace_compactflash_SysACE_MPD_T(1)
    );

  iobuf_16 : IOBUF
    port map (
      I => fpga_0_sysace_compactflash_SysACE_MPD_O(0),
      IO => fpga_0_sysace_compactflash_SysACE_MPD_pin(0),
      O => fpga_0_sysace_compactflash_SysACE_MPD_I(0),
      T => fpga_0_sysace_compactflash_SysACE_MPD_T(0)
    );

  iobuf_17 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(0),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(0),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(0),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(0)
    );

  iobuf_18 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(1),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(1),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(1),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(1)
    );

  iobuf_19 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(2),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(2),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(2),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(2)
    );

  iobuf_20 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(3),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(3),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(3),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(3)
    );

  iobuf_21 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(4),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(4),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(4),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(4)
    );

  iobuf_22 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(5),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(5),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(5),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(5)
    );

  iobuf_23 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(6),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(6),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(6),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(6)
    );

  iobuf_24 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(7),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(7),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(7),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(7)
    );

  iobuf_25 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(8),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(8),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(8),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(8)
    );

  iobuf_26 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(9),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(9),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(9),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(9)
    );

  iobuf_27 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(10),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(10),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(10),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(10)
    );

  iobuf_28 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(11),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(11),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(11),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(11)
    );

  iobuf_29 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(12),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(12),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(12),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(12)
    );

  iobuf_30 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(13),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(13),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(13),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(13)
    );

  iobuf_31 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(14),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(14),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(14),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(14)
    );

  iobuf_32 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(15),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(15),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(15),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(15)
    );

  iobuf_33 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(16),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(16),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(16),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(16)
    );

  iobuf_34 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(17),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(17),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(17),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(17)
    );

  iobuf_35 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(18),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(18),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(18),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(18)
    );

  iobuf_36 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(19),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(19),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(19),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(19)
    );

  iobuf_37 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(20),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(20),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(20),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(20)
    );

  iobuf_38 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(21),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(21),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(21),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(21)
    );

  iobuf_39 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(22),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(22),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(22),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(22)
    );

  iobuf_40 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(23),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(23),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(23),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(23)
    );

  iobuf_41 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(24),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(24),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(24),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(24)
    );

  iobuf_42 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(25),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(25),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(25),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(25)
    );

  iobuf_43 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(26),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(26),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(26),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(26)
    );

  iobuf_44 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(27),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(27),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(27),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(27)
    );

  iobuf_45 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(28),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(28),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(28),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(28)
    );

  iobuf_46 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(29),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(29),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(29),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(29)
    );

  iobuf_47 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(30),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(30),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(30),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(30)
    );

  iobuf_48 : IOBUF
    port map (
      I => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_O(31),
      IO => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin(31),
      O => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_I(31),
      T => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_T(31)
    );

  iobuf_49 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(0),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(0),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(0),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(0)
    );

  iobuf_50 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(1),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(1),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(1),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(1)
    );

  iobuf_51 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(2),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(2),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(2),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(2)
    );

  iobuf_52 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(3),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(3),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(3),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(3)
    );

  iobuf_53 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(4),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(4),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(4),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(4)
    );

  iobuf_54 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(5),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(5),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(5),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(5)
    );

  iobuf_55 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(6),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(6),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(6),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(6)
    );

  iobuf_56 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(7),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(7),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(7),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(7)
    );

  iobuf_57 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(8),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(8),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(8),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(8)
    );

  iobuf_58 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(9),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(9),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(9),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(9)
    );

  iobuf_59 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(10),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(10),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(10),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(10)
    );

  iobuf_60 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(11),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(11),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(11),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(11)
    );

  iobuf_61 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(12),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(12),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(12),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(12)
    );

  iobuf_62 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(13),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(13),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(13),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(13)
    );

  iobuf_63 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(14),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(14),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(14),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(14)
    );

  iobuf_64 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(15),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(15),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(15),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(15)
    );

  iobuf_65 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(16),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(16),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(16),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(16)
    );

  iobuf_66 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(17),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(17),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(17),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(17)
    );

  iobuf_67 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(18),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(18),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(18),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(18)
    );

  iobuf_68 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(19),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(19),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(19),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(19)
    );

  iobuf_69 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(20),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(20),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(20),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(20)
    );

  iobuf_70 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(21),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(21),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(21),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(21)
    );

  iobuf_71 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(22),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(22),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(22),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(22)
    );

  iobuf_72 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(23),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(23),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(23),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(23)
    );

  iobuf_73 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(24),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(24),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(24),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(24)
    );

  iobuf_74 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(25),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(25),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(25),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(25)
    );

  iobuf_75 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(26),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(26),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(26),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(26)
    );

  iobuf_76 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(27),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(27),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(27),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(27)
    );

  iobuf_77 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(28),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(28),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(28),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(28)
    );

  iobuf_78 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(29),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(29),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(29),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(29)
    );

  iobuf_79 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(30),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(30),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(30),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(30)
    );

  iobuf_80 : IOBUF
    port map (
      I => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_O(31),
      IO => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin(31),
      O => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_I(31),
      T => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_T(31)
    );

end architecture STRUCTURE;

